<>

# Message

### From GNUstepWiki	{#siteSub}

(Redirected from [Action message][1])

A message consists of the method selector (name) and accompanying arguments that tell the receiving [object][2] in a message expression what to do.

<table>
<tr>
<td>
## Contents
* [1 Action Message][3]
* [2 Asynchronous Message][4]
* [3 Event Message][5]
* [4 Remote Message][6]
* [5 Synchronous Message][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Action Message

In the [Application Kit][9], a message sent by an [object][10] (such as a Button or Slider) in response to a user action (such as clicking the button or dragging the slider's knob).

The message translates the user's action into a specific instruction for the [application][11].

[[edit][12]]

<>

## Asynchronous Message

A remote message that returns immediately, without waiting for the [application][13] that receives the message to respond. The sending [application][14] and the receiving [application][15] act independently, and are therefore not "in sync."

[[edit][16]]

<>

## Event Message

In the [Application Kit][17], a message to perform a [method][18] named after an event or sub-event. Event messages are used to dispatch events to the [objects][19] that will respond to them.

[[edit][20]]

<>

## Remote Message

A message sent from one [application][21] to an [object][22] in another [application][23].

[[edit][24]]

<>

## Synchronous Message

A remote message that doesn't return until the receiving [application][25] finishes responding to the message. Because the [application][26] that sends the message waits for an acknowledgment or return information from the receiving [application][27], the two applications are kept "in sync."

 Retrieved from "<http://wiki.gnustep.org/index.php/Message>"

[Categories][28]: [Objective-C][29]

##### Views

* [Article][30]
* [Discussion][31]
* [Edit][32]
* [History][33]

##### Personal tools

* [Create an account or log in][34]

[][35]

##### users

* [Applications][36]
* [Guides][37]
* [FAQ][38]
* [Get Help][39]
* [Report Bugs][40]
* [Donations][41]
* [Screenshots][42]

##### developers

* [Guides][43]
* [FAQ][44]
* [Base API (Foundation)][45]
* [GUI API (AppKit)][46]
* [Frameworks][47]

##### Navigation

* [Main Page][48]
* [Community portal][49]
* [Current events][50]
* [Recent changes][51]
* [Random page][52]
* [Help][53]

##### Search

##### Toolbox

* [What links here][54]
* [Related changes][55]
* [Upload file][56]
* [Special pages][57]
* [Printable version][58]

[![MediaWiki][59]][60]

* This page was last modified 09:43, 21 June 2006.
* This page has been accessed 16,307 times.
* Content is available under [GNU General Public License][61].
* [About GNUstepWiki][62]
* [Disclaimers][63]

  [1]: /index.php?title=Action_message&redirect=no "Action message"
  [2]: /index.php/Object "Object"
  [3]: #Action_Message
  [4]: #Asynchronous_Message
  [5]: #Event_Message
  [6]: #Remote_Message
  [7]: #Synchronous_Message
  [8]: /index.php?title=Message&action=edit&section=1 "Message"
  [9]: /index.php/AppKit "AppKit"
  [10]: /index.php/Object "Object"
  [11]: /index.php?title=Application&action=edit "Application"
  [12]: /index.php?title=Message&action=edit&section=2 "Message"
  [13]: /index.php?title=Application&action=edit "Application"
  [14]: /index.php?title=Application&action=edit "Application"
  [15]: /index.php?title=Application&action=edit "Application"
  [16]: /index.php?title=Message&action=edit&section=3 "Message"
  [17]: /index.php/AppKit "AppKit"
  [18]: /index.php/Method "Method"
  [19]: /index.php/Object "Object"
  [20]: /index.php?title=Message&action=edit&section=4 "Message"
  [21]: /index.php?title=Application&action=edit "Application"
  [22]: /index.php/Object "Object"
  [23]: /index.php?title=Application&action=edit "Application"
  [24]: /index.php?title=Message&action=edit&section=5 "Message"
  [25]: /index.php?title=Application&action=edit "Application"
  [26]: /index.php?title=Application&action=edit "Application"
  [27]: /index.php?title=Application&action=edit "Application"
  [28]: /index.php?title=Special:Categories&article=Message "Special:Categories"
  [29]: /index.php/Category:Objective-C "Category:Objective-C"
  [30]: /index.php/Message
  [31]: /index.php?title=Talk:Message&action=edit
  [32]: /index.php?title=Message&action=edit
  [33]: /index.php?title=Message&action=history
  [34]: /index.php?title=Special:Userlogin&returnto=Message
  [35]: /index.php/Main_Page "Main Page"
  [36]: /index.php/Category:Applications
  [37]: /index.php/User_Guides
  [38]: /index.php/User_FAQ
  [39]: /index.php/Get_Help
  [40]: /index.php/Report_Bugs
  [41]: /index.php/GNUstepWiki:Site_support
  [42]: /index.php/Screenshots
  [43]: /index.php/Developer_Guides
  [44]: /index.php/Developer_FAQ
  [45]: /index.php/Foundation
  [46]: /index.php/AppKit
  [47]: /index.php/Category:Frameworks
  [48]: /index.php/Main_Page
  [49]: /index.php/GNUstepWiki:Community_Portal
  [50]: /index.php/Current_events
  [51]: /index.php/Special:Recentchanges
  [52]: /index.php/Special:Random
  [53]: /index.php/Help:Contents
  [54]: /index.php/Special:Whatlinkshere/Message
  [55]: /index.php/Special:Recentchangeslinked/Message
  [56]: /index.php/Special:Upload
  [57]: /index.php/Special:Specialpages
  [58]: /index.php?title=Message&printable=yes&printable=yes
  [59]: /skins/common/images/poweredby_mediawiki_88x31.png
  [60]: http://www.mediawiki.org/
  [61]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [62]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [63]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"