<>

# Adun.app

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />
 Adun is a multipurpose, open source molecular simulation framework. It is also an object oriented program entirely written in Objective-C that aims to incorporate most of the current implementations of molecular simulation algorithms at the micro-, meso- and macroscopic levels.

<>

#### Current Version: [0\.8.2][2]

* Released: October 25, 2007
* Licensed: GPL

<>

### Overview

**Objectives**

Adun is a new extendible molecular simulation program that also includes data management and analysis capabilities. What follows is an overview of our main aims for the 1.0 version of our software. The current stable version is 0.81. For information on the specific features of each release see the Status section.

<br />
**Description**

<br />
 The Adun molecular simulation application has been designed from the ground up to cater for a broad range of users and needs, from computational chemists to experimental biologists. Adun provides advanced algorithms and protocols for molecular simulation which can be accessed from an intuitive user interface but also from a more flexible programmatic level. It is built on the Adun framework which is a powerful library for creating and manipulating simulations. However it goes beyond just performing simulations by incorporating tools for analysis and management of simulation data aswell as providing mechanisms that allow the easy extension of its abilities. In many senses Adun is simply a structure that can incorporate any molecular simulation tools allowing it almost unlimited potential for growth.

<br />
**Innovative Aspects**

<br />
 Data analysis features are extendible through plugins. Control of a simulation can also be handled by plugins. AdunKernel library provides a high level interface for creating, controlling and manipulating simulations The basic libraries are scriptable. Scripts can also run in the context of the running program e.g. Interact with live objects, automated common tasks etc. Tightly integrated with a graphical user interface. Data management features allows browsing, searching and grouping of various types of simulation data. Data storage can be augmented through SQL databases allowing distributed data sharing. Force Field independent Ã¢ÂÂ Adun is not coupled to any one force field and it can be extended to use any existing force field (aswell as new ones)

<br />
**Advantages**

<br />
 Adun seeks to eliminate two of the barriers to productivity that exist with current simulation packages.

<br />

**High Perfomance Productivity**

The plugin &amp; scripting capabilities coupled with the rigorous structure of the Adun framework allow for rapid implementation of new protocols and features. Moreover the implementation and distribution of these features is not tied to the main Adun distribution. New plugins and scripts can be uploaded by developers anywhere to the Adun website and thus users can benefit immediately from them.

<br />

**Data management**

Many current simulators leave managing their inputs and output to the user. However raw simulation data and subsequent data derived from it can have complex inter-relationships (between themselves and with the output of other simulations). Keeping track and accessing all this data is a time consuming and difficult task Ã¢ÂÂ a burden which Adun removes from the user. However Adun goes beyond data management as it can be augmented through the use of SQL databases. Not only does this provide more advanced storage solutions it also allows browsing and manipulation of Adun data residing in remote databases. This expands the amount of data available for analysis aswell as allowing collaboration through a single interface.

<>

### Features

<br />

<>

### Maintainer

* Michael A. Johnston
* RaÃÂºl AlcÃÂ¡ntara
* Jordi VillÃÂ -Freixa
* Alexander V. Diemand

<>

### Related Links

* <http://diana.imim.es/Adun>

<br />

**references**

* Johnston, MA, Galvan, IF, and VillÃÂ -Freixa, J (2005). Framework-based design of a new all-purpose molecular simulation application: the Adun simulator. [J Comput Chem 26(15):1647-59][3].
* Johnston, MA and VillÃÂ -Freixa, J (2007). Enabling Data Sharing and Collaboration in Complex Systems Applications [LNIB 4360:124-140][4].

 Retrieved from "<http://wiki.gnustep.org/index.php/Adun.app>"

[Categories][5]: [Stub][6] | [Science Applications][7] | [Applications][8]

##### Views

* [Article][9]
* [Discussion][10]
* [Edit][11]
* [History][12]

##### Personal tools

* [Create an account or log in][13]

[][14]

##### users

* [Applications][15]
* [Guides][16]
* [FAQ][17]
* [Get Help][18]
* [Report Bugs][19]
* [Donations][20]
* [Screenshots][21]

##### developers

* [Guides][22]
* [FAQ][23]
* [Base API (Foundation)][24]
* [GUI API (AppKit)][25]
* [Frameworks][26]

##### Navigation

* [Main Page][27]
* [Community portal][28]
* [Current events][29]
* [Recent changes][30]
* [Random page][31]
* [Help][32]

##### Search

##### Toolbox

* [What links here][33]
* [Related changes][34]
* [Upload file][35]
* [Special pages][36]
* [Printable version][37]

[![MediaWiki][38]][39]

* This page was last modified 16:43, 24 July 2009.
* This page has been accessed 82,139 times.
* Content is available under [GNU General Public License][40].
* [About GNUstepWiki][41]
* [Disclaimers][42]

  [1]: http://wiki.gnustep.org/index.php?title=Adun.app&action=edit "http://wiki.gnustep.org/index.php?title=Adun.app&action=edit"
  [2]: http://download.gna.org/adun/Adun-0.8.2.tar.gz "http://download.gna.org/adun/Adun-0.8.2.tar.gz"
  [3]: http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=Retrieve&db=PubMed&list_uids=16175583 "http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=Retrieve&db=PubMed&list uids=16175583"
  [4]: http://www.springerlink.com/content/9476700461j37732/ "http://www.springerlink.com/content/9476700461j37732/"
  [5]: /index.php?title=Special:Categories&article=Adun.app "Special:Categories"
  [6]: /index.php/Category:Stub "Category:Stub"
  [7]: /index.php/Category:Science_Applications "Category:Science Applications"
  [8]: /index.php/Category:Applications "Category:Applications"
  [9]: /index.php/Adun.app
  [10]: /index.php?title=Talk:Adun.app&action=edit
  [11]: /index.php?title=Adun.app&action=edit
  [12]: /index.php?title=Adun.app&action=history
  [13]: /index.php?title=Special:Userlogin&returnto=Adun.app
  [14]: /index.php/Main_Page "Main Page"
  [15]: /index.php/Category:Applications
  [16]: /index.php/User_Guides
  [17]: /index.php/User_FAQ
  [18]: /index.php/Get_Help
  [19]: /index.php/Report_Bugs
  [20]: /index.php/GNUstepWiki:Site_support
  [21]: /index.php/Screenshots
  [22]: /index.php/Developer_Guides
  [23]: /index.php/Developer_FAQ
  [24]: /index.php/Foundation
  [25]: /index.php/AppKit
  [26]: /index.php/Category:Frameworks
  [27]: /index.php/Main_Page
  [28]: /index.php/GNUstepWiki:Community_Portal
  [29]: /index.php/Current_events
  [30]: /index.php/Special:Recentchanges
  [31]: /index.php/Special:Random
  [32]: /index.php/Help:Contents
  [33]: /index.php/Special:Whatlinkshere/Adun.app
  [34]: /index.php/Special:Recentchangeslinked/Adun.app
  [35]: /index.php/Special:Upload
  [36]: /index.php/Special:Specialpages
  [37]: /index.php?title=Adun.app&printable=yes&printable=yes
  [38]: /skins/common/images/poweredby_mediawiki_88x31.png
  [39]: http://www.mediawiki.org/
  [40]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [41]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [42]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"