<>

# Apache2Adaptor

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Introduction][1]
* [2 Configuration][2]
  * [2\.1 Example][3]
  * [2\.2 Accessing WO 5 Applications via our Adaptor][4]
* [3 Notes][5]
</td>
</tr>
</table>

[[edit][6]]

<>

## Introduction

After you have created a [GNUstepWeb][7] application, you might want to deploy it. The Apache 2 adaptor is a module that loads into your apache server. If somebody asks your web server for a dynamic web page it will forward the request to the appropriate application instance.

<br />

[[edit][8]]

<>

## Configuration

The main difference between the older adaptors and the new one for Apache2 is that all configuration is done per virtual host context. In addition, no special config file is nessesary. All can go into httpd.conf.

**ShowApps on** will dump a list of configured applications.

**ShowApps off** hides that list.

**App Name=**_appname_ **Instance=**_instancenumber_ **Host=**_IP or Hostname_:_port_

<br />

[[edit][9]]

<>

#### Example

<br />

	ShowApps on
	App Name=TCWebMail Instance=1 Host=10.1.0.1:9901
	App Name=PBX Instance=1 Host=127.0.0.1:9001

Your application should be reachable at <http://www.example.com/wo/appname.woa/>

[[edit][10]]

<>

#### Accessing WO 5 Applications via our Adaptor

	App Name=HelloWorld Instance=1 Host= 10.1.0.99:4711
	RewriteEngine On
	RewriteRule ^/cgi-bin/WebObjects/HelloWorld.woa/(.*)$ /wo/HelloWorld.woa/$1 [L,PT,QSA]

Start your HelloWorld like this

	./dist/selfcontained/HelloWorld.woa/HelloWorld -WOPort 4711

This will show you the Java HelloWorld if you point your browser to <http://www.example.com/cgi-bin/WebObjects/HelloWorld.woa/>

[[edit][11]]

<>

## Notes

If the adaptor receives an request it cannot forward to the requested application, it will list the configured applications if **ShowApps on** was configured. Otherwise just a useless page is displayed.

This adaptor was written from scratch, based on Apache2 example code. It does not require any additional libraries or frameworks other than GSWeb and Apache2. It does not need libProplist.

----

 Retrieved from "<http://wiki.gnustep.org/index.php/Apache2Adaptor>"

[Categories][12]: [GNUstepWeb][13] | [Development][14]

##### Views

* [Article][15]
* [Discussion][16]
* [Edit][17]
* [History][18]

##### Personal tools

* [Create an account or log in][19]

[][20]

##### users

* [Applications][21]
* [Guides][22]
* [FAQ][23]
* [Get Help][24]
* [Report Bugs][25]
* [Donations][26]
* [Screenshots][27]

##### developers

* [Guides][28]
* [FAQ][29]
* [Base API (Foundation)][30]
* [GUI API (AppKit)][31]
* [Frameworks][32]

##### Navigation

* [Main Page][33]
* [Community portal][34]
* [Current events][35]
* [Recent changes][36]
* [Random page][37]
* [Help][38]

##### Search

##### Toolbox

* [What links here][39]
* [Related changes][40]
* [Upload file][41]
* [Special pages][42]
* [Printable version][43]

[![MediaWiki][44]][45]

* This page was last modified 20:10, 1 December 2007.
* This page has been accessed 14,137 times.
* Content is available under [GNU General Public License][46].
* [About GNUstepWiki][47]
* [Disclaimers][48]

  [1]: #Introduction
  [2]: #Configuration
  [3]: #Example
  [4]: #Accessing_WO_5_Applications_via_our_Adaptor
  [5]: #Notes
  [6]: /index.php?title=Apache2Adaptor&action=edit&section=1 "Apache2Adaptor"
  [7]: /index.php/GNUstepWeb "GNUstepWeb"
  [8]: /index.php?title=Apache2Adaptor&action=edit&section=2 "Apache2Adaptor"
  [9]: /index.php?title=Apache2Adaptor&action=edit&section=3 "Apache2Adaptor"
  [10]: /index.php?title=Apache2Adaptor&action=edit&section=4 "Apache2Adaptor"
  [11]: /index.php?title=Apache2Adaptor&action=edit&section=5 "Apache2Adaptor"
  [12]: /index.php?title=Special:Categories&article=Apache2Adaptor "Special:Categories"
  [13]: /index.php/Category:GNUstepWeb "Category:GNUstepWeb"
  [14]: /index.php/Category:Development "Category:Development"
  [15]: /index.php/Apache2Adaptor
  [16]: /index.php?title=Talk:Apache2Adaptor&action=edit
  [17]: /index.php?title=Apache2Adaptor&action=edit
  [18]: /index.php?title=Apache2Adaptor&action=history
  [19]: /index.php?title=Special:Userlogin&returnto=Apache2Adaptor
  [20]: /index.php/Main_Page "Main Page"
  [21]: /index.php/Category:Applications
  [22]: /index.php/User_Guides
  [23]: /index.php/User_FAQ
  [24]: /index.php/Get_Help
  [25]: /index.php/Report_Bugs
  [26]: /index.php/GNUstepWiki:Site_support
  [27]: /index.php/Screenshots
  [28]: /index.php/Developer_Guides
  [29]: /index.php/Developer_FAQ
  [30]: /index.php/Foundation
  [31]: /index.php/AppKit
  [32]: /index.php/Category:Frameworks
  [33]: /index.php/Main_Page
  [34]: /index.php/GNUstepWiki:Community_Portal
  [35]: /index.php/Current_events
  [36]: /index.php/Special:Recentchanges
  [37]: /index.php/Special:Random
  [38]: /index.php/Help:Contents
  [39]: /index.php/Special:Whatlinkshere/Apache2Adaptor
  [40]: /index.php/Special:Recentchangeslinked/Apache2Adaptor
  [41]: /index.php/Special:Upload
  [42]: /index.php/Special:Specialpages
  [43]: /index.php?title=Apache2Adaptor&printable=yes&printable=yes
  [44]: /skins/common/images/poweredby_mediawiki_88x31.png
  [45]: http://www.mediawiki.org/
  [46]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [47]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [48]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"