<>

# Application wish list

### From GNUstepWiki	{#siteSub}

What applications do you want for GNUstep? Please check the [list of applications][1] before adding.

<table>
<tr>
<td>
## Contents
* [1 Database][2]
  * [1\.1 Database management][3]
* [2 Development][4]
  * [2\.1 Project Management app][5]
  * [2\.2 nib2gmodel/nib2gorm without OPENSTEP/MacOSX][6]
  * [2\.3 CVS app][7]
  * [2\.4 F-Script][8]
  * [2\.5 ManOpen][9]
* [3 Graphics][10]
  * [3\.1 Blender][11]
  * [3\.2 OmniGraffle clone][12]
  * [3\.3 OmniOutliner clone][13]
  * [3\.4 Painting app (photoshop)][14]
  * [3\.5 Pixen (Pixel Art Tool)][15]
* [4 MultiMedia][16]
  * [4\.1 iTunes/Rhythmbox clone][17]
  * [4\.2 DivX/XViD/DVD/VCD Player][18]
* [5 Networking][19]
  * [5\.1 Torrent][20]
  * [5\.2 ICQ][21]
  * [5\.3 Web browser][22]
  * [5\.4 Web services app][23]
  * [5\.5 Video conferencing software][24]
* [6 PIM][25]
  * [6\.1 Task management app][26]
* [7 Security][27]
  * [7\.1 Keychain][28]
* [8 Text Processing / Office][29]
  * [8\.1 Word Processor][30]
  * [8\.2 Spreadsheet][31]
  * [8\.3 CSS/html editor][32]
  * [8\.4 A simple DTP application][33]
  * [8\.5 Digital Librarian-like][34]
* [9 Misc][35]
  * [9\.1 Old NeXTSTEP/OPENSTEP apps][36]
  * [9\.2 Frontend for different platform to Grand Dictionnaire (in French)][37]
  * [9\.3 Keyboard switcher application][38]
  * [9\.4 Google.app][39]
  * [9\.5 DMG.app?][40]
  * [9\.6 CronniX - A cron front end][41]
  * [9\.7 PfaEdit - A font editor][42]
  * [9\.8 GuileServices / StepTalk Services][43]
  * [9\.9 Printer.app][44]
  * [9\.10 Growl! (Global notification system)][45]
* [10 Games][46]
  * [10\.1 Chess][47]
  * [10\.2 Crosswords][48]
* [11 Desktop settings][49]
</td>
</tr>
</table>

[[edit][50]]

<>

## Database

[[edit][51]]

<>

### Database management

A desktop software (like [PgAccess][52] for example) to manage database. This program could use the GDL2 (Gnustep Database Library). It could be a good exercise and demonstration of this very good library.

[SequelPro][53] - MySQL database management for Mac OS X (Objective-C).

* gnustep libraries are not complete enough to make Sequel pro work?
  * They need help: <https://github.com/sequelpro/sequelpro/issues/362>

An SQLite browserÃÂ ? --[svetlana][54] 11:58, 25 February 2017 (CET)

[[edit][55]]

<>

## Development

[[edit][56]]

<>

### Project Management app

Something like [Planner][57]. It has to be simple, not overbloated as MS Project.

[[edit][58]]

<>

### nib2gmodel/nib2gorm without OPENSTEP/MacOSX

GORM can open NIB files created with MacOSX 10.2 and later. OPENSTEP/MacOSX is still needed for older NIB files.

[[edit][59]]

<>

### CVS app

Port CVL.

[[edit][60]]

<>

### F-Script

[F-Script][61] is useful for examining applications' properties and various Objective-C objects. It's FOSS, but I don't think there's a GNUstep port yet.

 this is highly dependent on the objc-runtime

[[edit][62]]

<>

### ManOpen

[[1]][63] Source is available and even an OpenSTEP variant. But not GNUstep.

[[edit][64]]

<>

## Graphics

[[edit][65]]

<>

### Blender

Blender has recently (since October 2002) gone GPL. Consisting of porting the Blender GUI/WM abstract library GHOST, using NSOpenGLContext, or a CoreGraphics implementation one day. Objective-C++ might be needed for implementing GHOST, but probably can be worked around easily enough. There is an OSX port, probably using CoreGraphics.

[Blender Foundation Homepage][66]

Most of Blender is written in C++ doesn't seem to use CoreGraphics but Apple's GL.

[[edit][67]]

<>

### OmniGraffle clone

(I don't really know what this is, but people have said they want one. Someone please add a description!ÃÂ :)

This is for diagram, UML .... I 'm thinking to write it. But not \*right now\*. It will have probably a Gorm-feel

[OmniGraffle][68] was a clone of Lighthouse Design's Diagram.app, which was a re-working of the NeXT Developer Example Sketch.app, adding rubber-banding / angular connection lines.

[[edit][69]]

<>

### OmniOutliner clone

This is a really cool app which can be used for anything. Mostly i think it is used to organise your minds while being creative (some kind of knowledge manager).

The inspiration for this was Jayson Adams' Millennium Software's NoteBook.app, which lives again as the (commercial) program [NoteTaker][70].

[[edit][71]]

<>

### Painting app (photoshop)

Bitmap drawing app.

Think Photoshop, not [The Gimp][72].

In fact, forget that. Something new.

Something usable - can do Photoshop, but easy to learn. The Gimp can nearly do photoshop, but who can use it?

It would be great if it consisted of two parts - a very small very useful image viewer/manager (eg gqview) and the actual editor plugin (the big part). So installing image-core would give a very small useful app, then adding image-edit would make it into photoshop.

When opening an image file eg by clicking on it or running image-core thefile.jpg then only the core apps should start, so it starts real quick. If i right-click and choose edit or something .. THEN the other stuff is pulled in.

Or whatever. Just an idea. But makes development path cool. Could also have a vector plugin, or whatever.

Maybe we should wait, when (if?) Gimp gets '[gegl][73]'ed. then having a decent photoshop like app would be as simple as writing a gui for the gegl foundation. + gives us a nice featureset + plugins!

Maliwan project is aiming to achieve the same goal of GEGL. Right now GEGL isn't even half complete but we can still reimplement it base on GEGL's design. lastlife is waiting for you in irc if you want to discuss the idea. Maliwan is planned to be the heart of the BluTulip which is the actual application.

* porting <http://seashore.sourceforge.net/> from their website: Seashore is an open source image editor for Cocoa. It features gradients, textures and anti-aliasing for both text and brush strokes. It supports multiple layers and alpha channel editing. It is based around the GIMP's technology and uses the same native file format.

a screenshot is here: [[2]][74] which looks very clean and easy to use.

[[edit][75]]

<>

### Pixen (Pixel Art Tool)

[Pixen][76] is a decent, open source pixel art tool and there aren't alot of free or professional programs like it. There is also a compliment tool by the same guys for mapping called Reptile.

A port can be found [here][77].

[[edit][78]]

<>

## MultiMedia

[[edit][79]]

<>

### iTunes/Rhythmbox clone

It would be nice to see a music or video player with real music/media management like [Rhythmbox][80] or [iTunes][81]. iTunes has started to support management of movies and videoclips, so maybe media management is the way to go?

[[edit][82]]

<>

### DivX/XViD/DVD/VCD Player

I see that there was at least an attempt to port mplayer at one point but it seems to be dead. Maybe [VLC][83] which does have an OSX version, could be ported.

_Looks cool, but requires CoreFoundation_ -- cbv

I'd like to see [Ogle][84] (a DVD player) ported. [Martin][85]

_As far as I can see, Ogle (the actual player) doesn't really need porting, only Ogle-gui (the user interface add-on), which is GTK2 based_ -- cbv

[[edit][86]]

<>

## Networking

[[edit][87]]

<>

### Torrent

A torrent client for GNUstep?

[[edit][88]]

<>

### ICQ

And other instant messengers.

* Check <http://freshmeat.net/projects/fireapp/>
* See [Grouch][89].

[[edit][90]]

<>

### Web browser

Seems to be a popular requestÃÂ :).

* Work is on the way to bring [SimpleWebKit][91], a small WebKit compatible library up to working condition. [SimpleWebKit][92] is part of the GNUstep project and can be found in the SVN. This library will allow the creation of a simple web browser, such as [Vespucci.app][93].
* The WebKit project has also offered their support to anyone who wishes to port WebKit to GNUstep, [see this e-mail][94]. This framework would allow the creation of a fully functional web browser.
* [the OS X version of Chromium][95] (no porting in progress to my knowledge)
* "Apple's version of WebKit on which a clone of Safari can be built"

[[edit][96]]

<>

### Web services app

A [Watson][97] / Sherlock clone would be useful to me.

[[edit][98]]

<>

### Video conferencing software

[http://en.wikipedia.org/wiki/List\_of\_SIP\_software#Free\_and\_open-source\_license\_2][99]

* There's [Ekiga][100] (excellent piece of software) which it no longer dependent on the GNOME libraries to work but looses some functionality. Would be nice to have a GNUstep native application that could use the same protocols (SIP and H.323).
* [Telephone (application)][101] - a softphone for Mac OS X. It uses Session Initiation Protocol for communication. Written in Objective-C, BSD licence.

[[edit][102]]

<>

## PIM

[[edit][103]]

<>

### Task management app

Chronographer (lobbying by ludovic) + libical or ~TaskManager (lobbying by Fabien) + libical

Check SKYRIX libs (Opengroupware)

[[edit][104]]

<>

## Security

[[edit][105]]

<>

### Keychain

I want a better Keychain. I need an architecture and app to securely store not just usernames and passwords, but also other useful data. Think associated email / verification method, SSH passwords and keys, email public and private keys, and user-defined name-value pairs (for unforeseen uses, this facilitates micro-formats, like a standard for voicemail PIN etc). And a pony!

Apple indicates that their KeyChain is derived from the open-source Common Data Security Architecture, so such a project would not have to start from scratch. I'm unsure how useful the third-party open-source [Keychain Framework][106] would be.

_The above mentioned keychain on SourceForge depends on Apple's own 'Security' framework. I'm not sure how much of it is publicly available (and if so, portable)_ -- cbv

[[edit][107]]

<>

## Text Processing / Office

[[edit][108]]

<>

### Word Processor

A port of the Cocoa version of [AbiWord][109] would be great, considering a word processor is a pretty vital application, and that Abiword is a pretty good one.

Porting Bean from the Macintosh 10.4 is currently done in the [GAP][110] GNUstep application project. It mostly works and the build is done using [pbxbuild][111], but no release to the general public yet.

[[edit][112]]

<>

### Spreadsheet

A spreadsheet application would be great for GNUstep. A clone of Lotus Improv or Lighthouse Design's Parasheet would be a nice thing for GNUstep to have.

 You could look at porting [FlexiSheet][113]; it's the only Cocoa FOSS spreadsheet I know of. Coincidentally, it has a couple of ideas borrowed from Lotus Improv.

There has been recent progress for a FlexiSheet revival. GNUmakefiles are done. The current application is in [GAP][114] cvs, no release yet to the general public.

[[edit][115]]

<>

### CSS/html editor

A cool html/css editor - emphasis on the css structural side.

Object oriented properties application to CSS element definitions, and insert those properties into HTML in web pages. Don't worry about WYSIWIG - that's what web browsers are for, displaying web pages. Just make a object-oriented CSS/HTML editor.

Maybe port [Nexus][116] for that?

_This might actually be feasible, however, Nexus is based on [libwww][117] and its source is, well, very NeXTSTEP'ish..._ -- cbv

[[edit][118]]

<>

### A simple DTP application

A simple frame-based application for desktop publishing. Something like [Calamus][119] ([here][120] is the documentation of tools and modules). Nothing fancy, just application that can lay out frames, control text flow, use paragraph styles and master pages.

I'd rather see TeXView.app come back myself.... I think it's far more feasible (doing a decent page layout app is \_hard\_ just as Donald E. Knuth). Perhaps better still would be to take advantage of LyX's \`\`GUI-independence_ and provide a GNUstep front-end for it, <http://www.lyx.org> ._

No, nothing like LyX or TeX. I have in mind a _visual_ page layout editing tool with features as described above (similar to PageMaker). LyX and TeX are a bit different approaches and should be alternatives to Frame based DTP application.

	- Stefan

I think a heavy-weight drawing package w/ page layout features would be a better solution here (this is the workflow I'm using on my NeXT Cube now), then it could be tied into an XML-based workflow in a fashion like to Apple's new Keynote, perhaps in a fashion like to Pages-by-Pages. To describe my workflow a bit---I now use Altsys Virtuoso on my NeXT Cube w/ Omega (Unicode-aware TeX variant) for most of my page layout. IME, if a document gets too large to manage w/ Altsys Virtuoso, it might as well go into TeX... Not that I'd mind seeing a replacement for PasteUp.app, I just think that a drawing program is more immediately important / useful.

For simple DTP utility, I'd dearly love to see a re-creation of [TouchType.app][121]

	- William

Maybe you should take a look at [TeXmacs][122]. Looks promising and is in great need of a GNUstep frontend.

	- david.

Interesting. I'd seen TeXMacs mentioned on comp.text.tex quite often, but hadn't realized it had gotten as far as it had. Interesting counterpoint to LyX.

	- William

One really interesting thing would be to have a fame class which would useful enough so it could be used to put together a simple DTP Application but which would be flexible enough that it could be available to any application - the text control is a standard control for windows managers like MS Windows or Gnome. If there were an equivalent "flowing graphic control", you'd have a powerful building block indeed (note that in MS windows, the text control is actually poor enough that no credible application can built around besides notepad). Also, for a programming text editor, scintilla is great. One thing to consider is that for DTP/HTML editor, what you would want would be a \*superset\* of the scintilla interface. It would be great to add all the different features in such a way that you didn't have interfaces duplicating each other's functionalities.

-- JosephSolbrig

[[edit][123]]

<>

### Digital Librarian-like

I would really, really like a Digital Librarian for GNUstep. Basically, imagine an application that manage your documents the same way iTunes manage your music or iPhoto your photos... (to take well-known OSX apps as exampleÃÂ ;-)

It would provide 1) automatic management of the documents by projects/ideas/whatever metadata 2) index your documents to let you search quickly in it 3) handles bibliography As a postgrad student I have a LOT of articles in PDF/PS/DVI/html on my hard drive, and such an application would be really nice to help managing that.

* How about something like [GNULibrarian][124]? I was just browsing the other day and found it! [Stefanbidi][125]

[[edit][126]]

<>

## Misc

[[edit][127]]

<>

### Old NeXTSTEP/OPENSTEP apps

See [this side (in French)][128] for a list.

[[edit][129]]

<>

### Frontend for different platform to [Grand Dictionnaire (in French)][130]

[[edit][131]]

<>

### Keyboard switcher application

[[edit][132]]

<>

### Google.app

* Complete with ApplicationServices
* WebBrowser integration
* Using proper NS\* classes for HTML retrieval
* Ability to select which Google server (www.google.ca, www.google.co.jp)
* Google News, Google Groups, Google Images too.

Hns: his looks more like a general WebBrowser than a special Google.app

[[edit][133]]

<>

### DMG.app?

* Installer/extractor/viewer for DMG images.
* Create DMG packages
* Useful for OSX source packages

_Note:_ The DMG format is Apple proprietary and undocumented. Basically, DMG support is only available under OSX and its unlikely to change.

[[edit][134]]

<>

### CronniX - A cron front end

<http://www.abstracture.de/projects-en/cronnix>

That won't be easily portable, as different OSs use a different cron setup. Eg. BSD has (and uses) both, /etc/crontab \_\_and\_\_ /var/cron/tabs/&lt;username&gt; ...

[[edit][135]]

<>

### PfaEdit - A font editor

PfaEdit has its name changed to [FontForge][136].

Actually, Cenon (see above) is able to do some limited font editing. Not to knock pfaedit, I use it a lot and think it's a way cool program. Wonder if the two could be merged somehow.

[[edit][137]]

<>

### GuileServices / StepTalk Services

On NeXTSTEP there was an application (service?) called [TickleServices][138] that allowed you to write your own services in the Tcl language. Something along these lines, but using guile/steptalk would be a nice addition to gnustep.

[[edit][139]]

<>

### Printer.app

An application/framework for managing printers, printer properties and print queues. (CUPS frontend?) (NOTE: To an extent, GNUstep already has CUPS support, and has number of builtin classes and panels for managing printers and printer settings. They may just need to be extended a little for different uses and environments.)

[[edit][140]]

<>

### Growl! (Global notification system)

[Growl!][141] uses distributed notification center to display a graphic message on screen. Every application can send messages to it, for example, when new emails arrive, buddies sign in the instant messager, a task end, etc. It is very easy to implement.

_Parts require CoreFoundation and/or WebKit_ -- cbv

Perhaps the CoreFoundation bits could be handled by [CF-Lite][142].

_Since about version 299 CoreFoundation doesn't compile properly anymore on systems other than Darwin._ -- [cbv][143]

[[edit][144]]

<>

## Games

[[edit][145]]

<>

### Chess

Port [xboard][146] to GNUstep?

[[edit][147]]

<>

### Crosswords

An application to generate (automatically or by hand) crosswords. Candidates to port from (review?):

* [opensource iPad application][148] by Matt Neuburg and Mark Alldritt

[[edit][149]]

<>

## Desktop settings

Tools to configure simple desktop settings such as

* xrandr (gnustep needs arandr ported to it, preferably as a SystemPreferences.app module)
* sound management
  * [VolumeControl.app][150] already exists
  * porting pavucontrol as a system preferences module to the wishlist item for pulseaudio? pavucontrol handles device and volume selection for pulseaudio. (jcarthew on the mailing list [[3]][151])
* network management
  * nm-applet under the wishlist item for network-manager. We don't need to port the entirety of network-manager or pulseaudio, just the user facing frontends. (jcarthew on the mailing list [[4]][152])
  * wicd?
  * another?

 Retrieved from "[http://wiki.gnustep.org/index.php/Application\_wish\_list][153]"

##### Views

* [Article][154]
* [Discussion][155]
* [Edit][156]
* [History][157]

##### Personal tools

* [Create an account or log in][158]

[][159]

##### users

* [Applications][160]
* [Guides][161]
* [FAQ][162]
* [Get Help][163]
* [Report Bugs][164]
* [Donations][165]
* [Screenshots][166]

##### developers

* [Guides][167]
* [FAQ][168]
* [Base API (Foundation)][169]
* [GUI API (AppKit)][170]
* [Frameworks][171]

##### Navigation

* [Main Page][172]
* [Community portal][173]
* [Current events][174]
* [Recent changes][175]
* [Random page][176]
* [Help][177]

##### Search

##### Toolbox

* [What links here][178]
* [Related changes][179]
* [Upload file][180]
* [Special pages][181]
* [Printable version][182]

[![MediaWiki][183]][184]

* This page was last modified 10:58, 25 February 2017.
* This page has been accessed 179,839 times.
* Content is available under [GNU General Public License][185].
* [About GNUstepWiki][186]
* [Disclaimers][187]

  [1]: /index.php/Category:Applications "Category:Applications"
  [2]: #Database
  [3]: #Database_management
  [4]: #Development
  [5]: #Project_Management_app
  [6]: #nib2gmodel.2Fnib2gorm_without_OPENSTEP.2FMacOSX
  [7]: #CVS_app
  [8]: #F-Script
  [9]: #ManOpen
  [10]: #Graphics
  [11]: #Blender
  [12]: #OmniGraffle_clone
  [13]: #OmniOutliner_clone
  [14]: #Painting_app_.28photoshop.29
  [15]: #Pixen_.28Pixel_Art_Tool.29
  [16]: #MultiMedia
  [17]: #iTunes.2FRhythmbox_clone
  [18]: #DivX.2FXViD.2FDVD.2FVCD_Player
  [19]: #Networking
  [20]: #Torrent
  [21]: #ICQ
  [22]: #Web_browser
  [23]: #Web_services_app
  [24]: #Video_conferencing_software
  [25]: #PIM
  [26]: #Task_management_app
  [27]: #Security
  [28]: #Keychain
  [29]: #Text_Processing_.2F_Office
  [30]: #Word_Processor
  [31]: #Spreadsheet
  [32]: #CSS.2Fhtml_editor
  [33]: #A_simple_DTP_application
  [34]: #Digital_Librarian-like
  [35]: #Misc
  [36]: #Old_NeXTSTEP.2FOPENSTEP_apps
  [37]: #Frontend_for_different_platform_to_Grand_Dictionnaire_.28in_French.29
  [38]: #Keyboard_switcher_application
  [39]: #Google.app
  [40]: #DMG.app.3F
  [41]: #CronniX_-_A_cron_front_end
  [42]: #PfaEdit_-_A_font_editor
  [43]: #GuileServices_.2F_StepTalk_Services
  [44]: #Printer.app
  [45]: #Growl.21_.28Global_notification_system.29
  [46]: #Games
  [47]: #Chess
  [48]: #Crosswords
  [49]: #Desktop_settings
  [50]: /index.php?title=Application_wish_list&action=edit&section=1 "Application wish list"
  [51]: /index.php?title=Application_wish_list&action=edit&section=2 "Application wish list"
  [52]: http://sourceforge.net/projects/pgaccess/ "http://sourceforge.net/projects/pgaccess/"
  [53]: https://github.com/sequelpro/sequelpro "https://github.com/sequelpro/sequelpro"
  [54]: /index.php?title=User:Svetlana&action=edit "User:Svetlana"
  [55]: /index.php?title=Application_wish_list&action=edit&section=3 "Application wish list"
  [56]: /index.php?title=Application_wish_list&action=edit&section=4 "Application wish list"
  [57]: http://www.simpleprojectmanagement.com/planner/home.html "http://www.simpleprojectmanagement.com/planner/home.html"
  [58]: /index.php?title=Application_wish_list&action=edit&section=5 "Application wish list"
  [59]: /index.php?title=Application_wish_list&action=edit&section=6 "Application wish list"
  [60]: /index.php?title=Application_wish_list&action=edit&section=7 "Application wish list"
  [61]: http://www.fscript.org/ "http://www.fscript.org/"
  [62]: /index.php?title=Application_wish_list&action=edit&section=8 "Application wish list"
  [63]: http://www.clindberg.org/projects/ManOpen.html "http://www.clindberg.org/projects/ManOpen.html"
  [64]: /index.php?title=Application_wish_list&action=edit&section=9 "Application wish list"
  [65]: /index.php?title=Application_wish_list&action=edit&section=10 "Application wish list"
  [66]: http://www.blender.org/ "http://www.blender.org/"
  [67]: /index.php?title=Application_wish_list&action=edit&section=11 "Application wish list"
  [68]: http://www.omnigroup.com/applications/omnigraffle/ "http://www.omnigroup.com/applications/omnigraffle/"
  [69]: /index.php?title=Application_wish_list&action=edit&section=12 "Application wish list"
  [70]: http://www.aquaminds.com/ "http://www.aquaminds.com/"
  [71]: /index.php?title=Application_wish_list&action=edit&section=13 "Application wish list"
  [72]: http://www.gimp.org/ "http://www.gimp.org/"
  [73]: http://gegl.org/ "http://gegl.org/"
  [74]: http://seashore.sourceforge.net/screenshot.php "http://seashore.sourceforge.net/screenshot.php"
  [75]: /index.php?title=Application_wish_list&action=edit&section=14 "Application wish list"
  [76]: http://www.pixenapp.com/ "http://www.pixenapp.com/"
  [77]: http://home.gna.org/gsimageapps/ "http://home.gna.org/gsimageapps/"
  [78]: /index.php?title=Application_wish_list&action=edit&section=15 "Application wish list"
  [79]: /index.php?title=Application_wish_list&action=edit&section=16 "Application wish list"
  [80]: https://wiki.gnome.org/Apps/Rhythmbox "https://wiki.gnome.org/Apps/Rhythmbox"
  [81]: http://www.apple.com/itunes/ "http://www.apple.com/itunes/"
  [82]: /index.php?title=Application_wish_list&action=edit&section=17 "Application wish list"
  [83]: http://www.videolan.org/ "http://www.videolan.org/"
  [84]: http://www.dtek.chalmers.se/groups/dvd/ "http://www.dtek.chalmers.se/groups/dvd/"
  [85]: /index.php/User:Martin "User:Martin"
  [86]: /index.php?title=Application_wish_list&action=edit&section=18 "Application wish list"
  [87]: /index.php?title=Application_wish_list&action=edit&section=19 "Application wish list"
  [88]: /index.php?title=Application_wish_list&action=edit&section=20 "Application wish list"
  [89]: /index.php/Grouch "Grouch"
  [90]: /index.php?title=Application_wish_list&action=edit&section=21 "Application wish list"
  [91]: /index.php/SimpleWebKit "SimpleWebKit"
  [92]: /index.php/SimpleWebKit "SimpleWebKit"
  [93]: /index.php/Vespucci.app "Vespucci.app"
  [94]: http://lists.gnu.org/archive/html/discuss-gnustep/2007-03/msg00290.html "http://lists.gnu.org/archive/html/discuss-gnustep/2007-03/msg00290.html"
  [95]: https://chromium.googlesource.com/chromium/src/+/master/docs/mac_build_instructions.md "https://chromium.googlesource.com/chromium/src/ /master/docs/mac build instructions.md"
  [96]: /index.php?title=Application_wish_list&action=edit&section=22 "Application wish list"
  [97]: http://www.karelia.com/watson/ "http://www.karelia.com/watson/"
  [98]: /index.php?title=Application_wish_list&action=edit&section=23 "Application wish list"
  [99]: http://en.wikipedia.org/wiki/List_of_SIP_software#Free_and_open-source_license_2 "http://en.wikipedia.org/wiki/List of SIP software#Free and open-source license 2"
  [100]: http://www.ekiga.org/ "http://www.ekiga.org/"
  [101]: http://www.tlphn.com/ "http://www.tlphn.com/"
  [102]: /index.php?title=Application_wish_list&action=edit&section=24 "Application wish list"
  [103]: /index.php?title=Application_wish_list&action=edit&section=25 "Application wish list"
  [104]: /index.php?title=Application_wish_list&action=edit&section=26 "Application wish list"
  [105]: /index.php?title=Application_wish_list&action=edit&section=27 "Application wish list"
  [106]: http://sourceforge.net/projects/keychain "http://sourceforge.net/projects/keychain"
  [107]: /index.php?title=Application_wish_list&action=edit&section=28 "Application wish list"
  [108]: /index.php?title=Application_wish_list&action=edit&section=29 "Application wish list"
  [109]: http://www.abisource.com/ "http://www.abisource.com/"
  [110]: /index.php/GAP "GAP"
  [111]: /index.php/Pbxbuild "Pbxbuild"
  [112]: /index.php?title=Application_wish_list&action=edit&section=30 "Application wish list"
  [113]: http://sourceforge.net/projects/flexisheet/ "http://sourceforge.net/projects/flexisheet/"
  [114]: /index.php/GAP "GAP"
  [115]: /index.php?title=Application_wish_list&action=edit&section=31 "Application wish list"
  [116]: http://www.w3.org/People/Berners-Lee/WorldWideWeb.html "http://www.w3.org/People/Berners-Lee/WorldWideWeb.html"
  [117]: http://www.w3.org/Library/ "http://www.w3.org/Library/"
  [118]: /index.php?title=Application_wish_list&action=edit&section=32 "Application wish list"
  [119]: http://www.calamus.net/ "http://www.calamus.net/"
  [120]: http://www.calamus.net/man/index_us.htm "http://www.calamus.net/man/index us.htm"
  [121]: http://www.kevra.org/TheBestOfNext/ThirdPartyProducts/ThirdPartySoftware/Utilities/FONTS/AdobeTouchType/AdobeTouchType.html "http://www.kevra.org/TheBestOfNext/ThirdPartyProducts/ThirdPartySoftware/Utilities/FONTS/AdobeTouchType/AdobeTouchType.html"
  [122]: http://www.texmacs.org/ "http://www.texmacs.org/"
  [123]: /index.php?title=Application_wish_list&action=edit&section=33 "Application wish list"
  [124]: http://debian.uni-essen.de/misc/GNUstep/Apps/GNUlibrarian/ "http://debian.uni-essen.de/misc/GNUstep/Apps/GNUlibrarian/"
  [125]: /index.php/User:Stefanbidi "User:Stefanbidi"
  [126]: /index.php?title=Application_wish_list&action=edit&section=34 "Application wish list"
  [127]: /index.php?title=Application_wish_list&action=edit&section=35 "Application wish list"
  [128]: http://www.levenez.com/NeXTSTEP/meApps.html "http://www.levenez.com/NeXTSTEP/meApps.html"
  [129]: /index.php?title=Application_wish_list&action=edit&section=36 "Application wish list"
  [130]: http://www.granddictionnaire.com/ "http://www.granddictionnaire.com/"
  [131]: /index.php?title=Application_wish_list&action=edit&section=37 "Application wish list"
  [132]: /index.php?title=Application_wish_list&action=edit&section=38 "Application wish list"
  [133]: /index.php?title=Application_wish_list&action=edit&section=39 "Application wish list"
  [134]: /index.php?title=Application_wish_list&action=edit&section=40 "Application wish list"
  [135]: /index.php?title=Application_wish_list&action=edit&section=41 "Application wish list"
  [136]: http://fontforge.sourceforge.net/ "http://fontforge.sourceforge.net/"
  [137]: /index.php?title=Application_wish_list&action=edit&section=42 "Application wish list"
  [138]: http://www.doubleu.com/TickleServices.html "http://www.doubleu.com/TickleServices.html"
  [139]: /index.php?title=Application_wish_list&action=edit&section=43 "Application wish list"
  [140]: /index.php?title=Application_wish_list&action=edit&section=44 "Application wish list"
  [141]: http://growl.info/ "http://growl.info/"
  [142]: http://developer.apple.com/opensource/cflite.html "http://developer.apple.com/opensource/cflite.html"
  [143]: /index.php/User:Cbv "User:Cbv"
  [144]: /index.php?title=Application_wish_list&action=edit&section=45 "Application wish list"
  [145]: /index.php?title=Application_wish_list&action=edit&section=46 "Application wish list"
  [146]: http://www.gnu.org/software/xboard/ "http://www.gnu.org/software/xboard/"
  [147]: /index.php?title=Application_wish_list&action=edit&section=47 "Application wish list"
  [148]: https://github.com/mattneub/crosswords "https://github.com/mattneub/crosswords"
  [149]: /index.php?title=Application_wish_list&action=edit&section=48 "Application wish list"
  [150]: /index.php/VolumeControl.app "VolumeControl.app"
  [151]: http://lists.gnu.org/archive/html/discuss-gnustep/2016-02/msg00031.html "http://lists.gnu.org/archive/html/discuss-gnustep/2016-02/msg00031.html"
  [152]: http://lists.gnu.org/archive/html/discuss-gnustep/2016-02/msg00031.html "http://lists.gnu.org/archive/html/discuss-gnustep/2016-02/msg00031.html"
  [153]: http://wiki.gnustep.org/index.php/Application_wish_list
  [154]: /index.php/Application_wish_list
  [155]: /index.php?title=Talk:Application_wish_list&action=edit
  [156]: /index.php?title=Application_wish_list&action=edit
  [157]: /index.php?title=Application_wish_list&action=history
  [158]: /index.php?title=Special:Userlogin&returnto=Application_wish_list
  [159]: /index.php/Main_Page "Main Page"
  [160]: /index.php/Category:Applications
  [161]: /index.php/User_Guides
  [162]: /index.php/User_FAQ
  [163]: /index.php/Get_Help
  [164]: /index.php/Report_Bugs
  [165]: /index.php/GNUstepWiki:Site_support
  [166]: /index.php/Screenshots
  [167]: /index.php/Developer_Guides
  [168]: /index.php/Developer_FAQ
  [169]: /index.php/Foundation
  [170]: /index.php/AppKit
  [171]: /index.php/Category:Frameworks
  [172]: /index.php/Main_Page
  [173]: /index.php/GNUstepWiki:Community_Portal
  [174]: /index.php/Current_events
  [175]: /index.php/Special:Recentchanges
  [176]: /index.php/Special:Random
  [177]: /index.php/Help:Contents
  [178]: /index.php/Special:Whatlinkshere/Application_wish_list
  [179]: /index.php/Special:Recentchangeslinked/Application_wish_list
  [180]: /index.php/Special:Upload
  [181]: /index.php/Special:Specialpages
  [182]: /index.php?title=Application_wish_list&printable=yes&printable=yes
  [183]: /skins/common/images/poweredby_mediawiki_88x31.png
  [184]: http://www.mediawiki.org/
  [185]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [186]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [187]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"