<>

# ApplicationKitCompatibility

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> Class / method </th>
<th> MacOS X version </th>
<th> Status </th>
<th> Comments </th>
</tr>
<tr>
<td>CIColor Additions </td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>CIImage Additions </td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSActionCell</td>
<td> 10.0 </td>
<td> Looks Good </td>
<td></td>
</tr>
<tr>
<td>NSAffineTransform Additions </td>
<td> 10.0 </td>
<td> Looks Good </td>
<td></td>
</tr>
<tr>
<td>NSAlert / alertWithError</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSAnimation</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSAppleScript Addition </td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / activateIgnoringOtherApps</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> The app is always activated unconditionally </td>
</tr>
<tr>
<td>NSApplication / runModalForWindow relativeToWindow</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> Currently just centers window on the screen </td>
</tr>
<tr>
<td>NSApplication / beginModalSessionForWindow relativeToWindow</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / runModalSession</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> Apple's docs state that, before processing the events, it makes the session window key and orders the window front. This method does not attempt to do this because: 1) we don't want to interfere with use of other apps during modal session for this app; 2) occasionally other windows are active and should be usable during modal sessions (e.g., a popup dialog from a modal window); 3) most of the time beginModalSessionForWindow will have been called in advance. If the latter is not the case, you may need to order the window front yourself in advance. </td>
</tr>
<tr>
<td>NSApplication / beginSheet modalForWindow modalDelegate didEndSelector contextInfo</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> Under GNUstep, the sheet aspect is not implemented (just centers window on the screen), but modalDelegate didEndSelector is called if both non-nil. </td>
</tr>
<tr>
<td>NSApplication / endSheet</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
<tr>
<td>NSApplication / endSheet returnCode</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
<tr>
<td>NSApplication / preventWindowOrdering</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / hide</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> On OS X this activates the next app that is running, however on GNUstep this is up to the window manager </td>
</tr>
<tr>
<td>NSApplication / orderedDocuments</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / orderedWindows</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> OS X scripting method to return windows in front-to-back on-screen order for scriptable windows. The GNUstep implementation returns all the windows excluding NSPanels. some backends may return an array in an unspecified order. </td>
</tr>
<tr>
<td>NSApplication / cancelUserAttentionRequest</td>
<td> 10.1 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / requestUserAttention</td>
<td> 10.1 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSApplication / replyToOpenToPrint</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSArrayController</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSATSTypesetter</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBezierPath / appendBezierPathWithPackedGlyphs</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBezierPath / getLineDash count phase</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> FIXME: How big is the pattern array? </td>
</tr>
<tr>
<td>NSBezierPath / stroke</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> FIXME: I don't see how this should work with color changes </td>
</tr>
<tr>
<td>NSBezierPath / fill</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> FIXME: I don't see how this should work with color changes </td>
</tr>
<tr>
<td>NSBitmapImageRep / colorizeByMappingGray toColor blackMapping whiteMapping</td>
<td> 10.0 </td>
<td> Behaves Differently </td>
<td> Does nothing </td>
</tr>
<tr>
<td>NSBitmapImageRep / initWithBitmapDataPlanes pixelsWide pixelsHigh bitsPerSample samplesPerPixel hasAlpha isPlanar colorSpaceName bitmapFormat bytesPerRow bitsPerPixel</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / initForIncrementalLoad</td>
<td> 10.2 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / bitmapFormat</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / representationOfImageRepsInArray usingType properties</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> FIXME: returns only the first image in the array, and only works for NSBitmapImageRep or subclasses thereof. </td>
</tr>
<tr>
<td>NSBitmapImageRep / incrementalLoadFromData complete</td>
<td> 10.2 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / colorAtX Y</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / setColorAtX Y</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / getPixel atX y</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBitmapImageRep / setPixel atX y</td>
<td> 10.4 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBox / boxType</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBox / setBoxType</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBox / setTitle</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / displayColumn</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> FIXME: why the following? Are we displaying now, or marking for _later display_?? Given the name, I think we are displaying _now_. </td>
</tr>
<tr>
<td>NSBrowser / titleheight</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> Nextish look requires 21 here ( hardcode ) </td>
</tr>
<tr>
<td>NSBrowser / frameOfInsideOfColumn</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> xxx what does this one do? </td>
</tr>
<tr>
<td>NSBrowser / columnContentWidthForColumnWidth</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / columnWidthForColumnContentWidth</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / setColumnResizing</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / columnResizingType</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / setPrefersAllColumnUserResizing</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / prefersAllColumnUserResizing</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / setWidth ofColumn</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / widthOfColumn</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / setColumnsAutoSave_Name_</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td> I cannot find setColumnsAutoSave at [Apple's docs][1], but I can find setColumnsAutoSaveName. [Martin][2] 06:59, 17 March 2007 (CET) </td>
</tr>
<tr>
<td>NSBrowser / columnAutoSaveName</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser / removeSavedColumnsWithAutoSaveName</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser delegate / browser shouldSizeColumn forUserResize toWidth</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser delegate / browser sizeToFitWidthOfColumn</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowser notification / NSBrowserColumnConfigurationDidChangeNotification</td>
<td> 10.3 </td>
<td> Not Implemented </td>
<td></td>
</tr>
<tr>
<td>NSBrowserCell / image</td>
<td> 10.2 </td>
<td> Not Implemented </td>
<td> or use NSCell/image?? </td>
</tr>
<tr>
<td>NSBrowserCell / setImage</td>
<td> 10.2 </td>
<td> Not Implemented </td>
<td> or use NSCell/setImage?? </td>
</tr>
<tr>
<td>NSBundle additions / contextHelpForKey</td>
<td> 10.0 </td>
<td> Not Implemented </td>
<td>[Apple's docs][3] list the changes </td>
</tr>
<tr>
<td>NSButton</td>
<td> 10.0 </td>
<td> Looks Good </td>
<td></td>
</tr>
<tr>
<td>NSButtonCell / alternateMnemonic</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> Mnemonics are not supported in Mac OS X. </td>
</tr>
<tr>
<td>NSButtonCell / alternateMnemonicLocation</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
<tr>
<td>NSButtonCell / attributedAlternateTitle</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
<tr>
<td>NSButtonCell / setAlternateMnemonicLocation</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
<tr>
<td>NSButtonCell / setAlternateTitleWithMnemonic</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td> TODO: We should underline this character </td>
</tr>
<tr>
<td>NSButtonCell / setAttributedAlternateTitle</td>
<td> 10.0 </td>
<td>ÃÂ ? </td>
<td></td>
</tr>
</table>

<br />

TODO wiki [that][4]

 Retrieved from "<http://wiki.gnustep.org/index.php/ApplicationKitCompatibility>"

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 00:28, 30 April 2007.
* This page has been accessed 66,645 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: http://developer.apple.com/documentation/Cocoa/Reference/ApplicationKit/Classes/NSBrowser_Class/Reference/Reference.html "http://developer.apple.com/documentation/Cocoa/Reference/ApplicationKit/Classes/NSBrowser Class/Reference/Reference.html"
  [2]: /index.php/User:Martin "User:Martin"
  [3]: http://developer.apple.com/documentation/Cocoa/Reference/ApplicationKit/Classes/NSBundle_AppKitAdditions/Reference/Reference.html "http://developer.apple.com/documentation/Cocoa/Reference/ApplicationKit/Classes/NSBundle AppKitAdditions/Reference/Reference.html"
  [4]: http://www.sonappart.net/gnustep/AppKit_Compat.html "http://www.sonappart.net/gnustep/AppKit Compat.html"
  [5]: /index.php/ApplicationKitCompatibility
  [6]: /index.php?title=Talk:ApplicationKitCompatibility&action=edit
  [7]: /index.php?title=ApplicationKitCompatibility&action=edit
  [8]: /index.php?title=ApplicationKitCompatibility&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=ApplicationKitCompatibility
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/ApplicationKitCompatibility
  [30]: /index.php/Special:Recentchangeslinked/ApplicationKitCompatibility
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=ApplicationKitCompatibility&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"