<>

# GNUstep Suite

### From GNUstepWiki	{#siteSub}

(Redirected from [Architecture][1])

[<img src="/images/0/08/GNUstep-library-map.png" width="200" height="200" alt="How GNUstep libraries and others interrelate" />][2]

How GNUstep libraries and others interrelate

The GNUstep suite consists of the core packages, the development tools and some auxiliary libraries.

<table>
<tr>
<td>
## Contents
* [1 The Core][3]
* [2 Development Tools][4]
* [3 Auxiliary Libraries][5]
* [4 Other Projects][6]
</td>
</tr>
</table>

[[edit][7]]

<>

## The Core

The core packages of libraries and tools are the basis of GNUstep. There are four parts at present: makefiles, base library, GUI library and the back-end. All four are available in the Startup package from the downloads pages.

* [Make][8]: The GNUstep Makefile Package is a configuration system and set of rules that makes compilation of GNUstep source as easy as simply listing the files.
* [Base Library][9]: Our base library implements the FoundationKit part of the OpenStep specification.
* [GUI Library][10]: This implements the ApplicationKit from the OpenStep spec.
* [Backend][11]: The back-end provides a small set of functions used by the GUI library to interface to the actual window system (X11, etc). It also has a drawing engine which emulates common PostScript functions.

[[edit][12]]

<>

## Development Tools

* [GNU Objective-C Compiler (GCC)][13]: To produce applications, we compile source code to make executable binaries. The GNU C compiler has supported Objective-C for years, and it has been ported to almost every operating system.
* [GNU Debugger (GDB)][14]: GDB version 6.0, and higher, supports debugging Objective-C code natively. See our [instructions][15] for Objective-C debugging with gdb.
* [ProjectCenter][16]: Good development systems always build on project management. Project Center lets you search, edit, debug and design your applications and libraries with a range of tools.
* [Gorm][17]: The _Graphical Object Relationship Modeller_ lets you graphically design a user interface for your application.

[[edit][18]]

<>

## Auxiliary Libraries

[<img src="/images/3/3e/GNUstep-web-map.png" width="200" height="200" alt="How GNUstep web libraries interrelate" />][19]

How GNUstep web libraries interrelate

A list of currently available libraries and frameworks [can be found here][20].

* [GNUstep Database Library Version 2 (GDL2)][21]
* [GNUstep Web Applications Framework (GSWeb)][22]: The GNUstepWeb library is a logic extension of the GNUstep project designed to be compatible with NeXT's WebObjects 4.x.

[[edit][23]]

<>

## Other Projects

* Foundation Extensions Library (extensions): This library contains some classes and extensions that are not required for GNUstep, but provide some useful functions none the less.

* [libFoundation][24] (no longer developed): An alternate implementation of FoundationKit. libFoundation is more slim than gnustep-base, but still lacks several features of Foundation. It implements some extensions to Foundation that are also available separately for use with gnustep-base.

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_Suite][25]"

[Categories][26]: [Development][27]

##### Views

* [Article][28]
* [Discussion][29]
* [Edit][30]
* [History][31]

##### Personal tools

* [Create an account or log in][32]

[][33]

##### users

* [Applications][34]
* [Guides][35]
* [FAQ][36]
* [Get Help][37]
* [Report Bugs][38]
* [Donations][39]
* [Screenshots][40]

##### developers

* [Guides][41]
* [FAQ][42]
* [Base API (Foundation)][43]
* [GUI API (AppKit)][44]
* [Frameworks][45]

##### Navigation

* [Main Page][46]
* [Community portal][47]
* [Current events][48]
* [Recent changes][49]
* [Random page][50]
* [Help][51]

##### Search

##### Toolbox

* [What links here][52]
* [Related changes][53]
* [Upload file][54]
* [Special pages][55]
* [Printable version][56]

[![MediaWiki][57]][58]

* This page was last modified 19:43, 15 September 2006.
* This page has been accessed 30,246 times.
* Content is available under [GNU General Public License][59].
* [About GNUstepWiki][60]
* [Disclaimers][61]

  [1]: /index.php?title=Architecture&redirect=no "Architecture"
  [2]: /index.php/Image:GNUstep-library-map.png "How GNUstep libraries and others interrelate"
  [3]: #The_Core
  [4]: #Development_Tools
  [5]: #Auxiliary_Libraries
  [6]: #Other_Projects
  [7]: /index.php?title=GNUstep_Suite&action=edit&section=1 "GNUstep Suite"
  [8]: /index.php/Make "Make"
  [9]: /index.php/Base "Base"
  [10]: /index.php/GUI "GUI"
  [11]: /index.php/Backend "Backend"
  [12]: /index.php?title=GNUstep_Suite&action=edit&section=2 "GNUstep Suite"
  [13]: http://gcc.gnu.org/ "http://gcc.gnu.org/"
  [14]: http://www.gnu.org/software/gdb/gdb.html "http://www.gnu.org/software/gdb/gdb.html"
  [15]: http://www.gnustep.org/resources/documentation/Developer/Base/General/Debugging.html "http://www.gnustep.org/resources/documentation/Developer/Base/General/Debugging.html"
  [16]: /index.php/ProjectCenter "ProjectCenter"
  [17]: /index.php/Gorm "Gorm"
  [18]: /index.php?title=GNUstep_Suite&action=edit&section=3 "GNUstep Suite"
  [19]: /index.php/Image:GNUstep-web-map.png "How GNUstep web libraries interrelate"
  [20]: /index.php/Frameworks "Frameworks"
  [21]: http://www.gnustep.org/resources/documentation/Developer/GDL2/GDL2.html "http://www.gnustep.org/resources/documentation/Developer/GDL2/GDL2.html"
  [22]: http://www.gnustepweb.org "http://www.gnustepweb.org"
  [23]: /index.php?title=GNUstep_Suite&action=edit&section=4 "GNUstep Suite"
  [24]: http://sourceforge.net/projects/libfoundation "http://sourceforge.net/projects/libfoundation"
  [25]: http://wiki.gnustep.org/index.php/GNUstep_Suite
  [26]: /index.php?title=Special:Categories&article=GNUstep_Suite "Special:Categories"
  [27]: /index.php/Category:Development "Category:Development"
  [28]: /index.php/GNUstep_Suite
  [29]: /index.php/Talk:GNUstep_Suite
  [30]: /index.php?title=GNUstep_Suite&action=edit
  [31]: /index.php?title=GNUstep_Suite&action=history
  [32]: /index.php?title=Special:Userlogin&returnto=GNUstep_Suite
  [33]: /index.php/Main_Page "Main Page"
  [34]: /index.php/Category:Applications
  [35]: /index.php/User_Guides
  [36]: /index.php/User_FAQ
  [37]: /index.php/Get_Help
  [38]: /index.php/Report_Bugs
  [39]: /index.php/GNUstepWiki:Site_support
  [40]: /index.php/Screenshots
  [41]: /index.php/Developer_Guides
  [42]: /index.php/Developer_FAQ
  [43]: /index.php/Foundation
  [44]: /index.php/AppKit
  [45]: /index.php/Category:Frameworks
  [46]: /index.php/Main_Page
  [47]: /index.php/GNUstepWiki:Community_Portal
  [48]: /index.php/Current_events
  [49]: /index.php/Special:Recentchanges
  [50]: /index.php/Special:Random
  [51]: /index.php/Help:Contents
  [52]: /index.php/Special:Whatlinkshere/GNUstep_Suite
  [53]: /index.php/Special:Recentchangeslinked/GNUstep_Suite
  [54]: /index.php/Special:Upload
  [55]: /index.php/Special:Specialpages
  [56]: /index.php?title=GNUstep_Suite&printable=yes&printable=yes
  [57]: /skins/common/images/poweredby_mediawiki_88x31.png
  [58]: http://www.mediawiki.org/
  [59]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [60]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [61]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"