<>

# Coding style

### From GNUstepWiki	{#siteSub}

Everyone has their own coding style preferences, and many people will be happy to tell you that other people's styles are insane/unreadable. Since we use a standard style for GNUstep, the most common complaint you will hear is that the GNUstep style is unreadable... but if you look at the personal styles of the people complaining you will find a whole range, many of which you will find less usable than the GNUstep style.

In fact, the GNUstep style is a reasonably chosen variation of the GNU standard coding style (a variation because the GNU standard style is for C and Objectice-C is slightly different). Which means that it's mainstream enough that we can be sure there's no objective problem with it.

So laying aside any religious convictions about coding style ... the main point is that we need to stick to a common standard so that everyone working on the project can become familiar with the one style (no matter how different from the style they are used to it is), and we can therefore all work together effectively. New contributions _must_ stick to the standard style.

One objection to the style is that it is unfamiliar to Apple/iPhone developers ... but we really want our code to look different to Apple's code as part of a constant effort to avoid any accusation of copyright theft ...not only must we be careful never to copy any of Apple's code, but our code must clearly look different.

Please read [full details of coding standrds][1]

 Retrieved from "[http://wiki.gnustep.org/index.php/Coding\_style][2]"

##### Views

* [Article][3]
* [Discussion][4]
* [Edit][5]
* [History][6]

##### Personal tools

* [Create an account or log in][7]

[][8]

##### users

* [Applications][9]
* [Guides][10]
* [FAQ][11]
* [Get Help][12]
* [Report Bugs][13]
* [Donations][14]
* [Screenshots][15]

##### developers

* [Guides][16]
* [FAQ][17]
* [Base API (Foundation)][18]
* [GUI API (AppKit)][19]
* [Frameworks][20]

##### Navigation

* [Main Page][21]
* [Community portal][22]
* [Current events][23]
* [Recent changes][24]
* [Random page][25]
* [Help][26]

##### Search

##### Toolbox

* [What links here][27]
* [Related changes][28]
* [Upload file][29]
* [Special pages][30]
* [Printable version][31]

[![MediaWiki][32]][33]

* This page was last modified 09:12, 13 February 2012.
* This page has been accessed 4,833 times.
* Content is available under [GNU General Public License][34].
* [About GNUstepWiki][35]
* [Disclaimers][36]

  [1]: http://www.gnustep.org/resources/documentation/Developer/CodingStandards/coding-standards_3.html#SEC_Top "http://www.gnustep.org/resources/documentation/Developer/CodingStandards/coding-standards 3.html#SEC Top"
  [2]: http://wiki.gnustep.org/index.php/Coding_style
  [3]: /index.php/Coding_style
  [4]: /index.php?title=Talk:Coding_style&action=edit
  [5]: /index.php?title=Coding_style&action=edit
  [6]: /index.php?title=Coding_style&action=history
  [7]: /index.php?title=Special:Userlogin&returnto=Coding_style
  [8]: /index.php/Main_Page "Main Page"
  [9]: /index.php/Category:Applications
  [10]: /index.php/User_Guides
  [11]: /index.php/User_FAQ
  [12]: /index.php/Get_Help
  [13]: /index.php/Report_Bugs
  [14]: /index.php/GNUstepWiki:Site_support
  [15]: /index.php/Screenshots
  [16]: /index.php/Developer_Guides
  [17]: /index.php/Developer_FAQ
  [18]: /index.php/Foundation
  [19]: /index.php/AppKit
  [20]: /index.php/Category:Frameworks
  [21]: /index.php/Main_Page
  [22]: /index.php/GNUstepWiki:Community_Portal
  [23]: /index.php/Current_events
  [24]: /index.php/Special:Recentchanges
  [25]: /index.php/Special:Random
  [26]: /index.php/Help:Contents
  [27]: /index.php/Special:Whatlinkshere/Coding_style
  [28]: /index.php/Special:Recentchangeslinked/Coding_style
  [29]: /index.php/Special:Upload
  [30]: /index.php/Special:Specialpages
  [31]: /index.php?title=Coding_style&printable=yes&printable=yes
  [32]: /skins/common/images/poweredby_mediawiki_88x31.png
  [33]: http://www.mediawiki.org/
  [34]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [35]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [36]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"