<>

# Collections

### From GNUstepWiki	{#siteSub}

Collections are any

<table>
<tr>
<th> Class </th>
<th> Generic Name </th>
<th> Capability </th>
<th> Purpose </th>
</tr>
<tr>
<td>[NSArray][1]</td>
<td>Array List / Linked List </td>
<td>Rapid Access, Slow Mutation </td>
<td>A reizable list of items. **NB** Each node of the the list is just a reference, the list need not be of a single type. </td>
</tr>
<tr>
<td>[NSSet][2]</td>
<td>Unordered List </td>
<td>Slow Access, Rapid Mutation </td>
<td></td>
</tr>
<tr>
<td>[NSIndexedSet][3]</td>
<td>Indexed Unordered List </td>
<td>Fast Access, Fast Mutation </td>
<td></td>
</tr>
<tr>
<td>[NSDictionary][4]</td>
<td>Map/Hashtable </td>
<td>Arbitrary Association,Serializable </td>
</tr>
</table>

[[edit][5]]

<>

## Mutability

For each immutable class there is a mutable equivalent, to make a collection mutable use "mutableCopy:". Alternatly when creating the object create an instace of the mutable version instead.

[[edit][6]]

<>

## Serialization

Dictionaries may only serialize known classes to plist files, they are:

* NSDictionary(must cointain only serializable classes)
* NSNumber
* NSArray(must cointain only serializable classes)
* NSString

see also [NSKeyedArchiver][7].

[[edit][8]]

<>

## Weak and Strong

[Garbage collection][9] and [ARC][10] use weak and strong, it gets complicated: read [Apple on Garbage Collection][11] [Apple on ARC][12]

 Retrieved from "<http://wiki.gnustep.org/index.php/Collections>"

##### Views

* [Article][13]
* [Discussion][14]
* [Edit][15]
* [History][16]

##### Personal tools

* [Create an account or log in][17]

[][18]

##### users

* [Applications][19]
* [Guides][20]
* [FAQ][21]
* [Get Help][22]
* [Report Bugs][23]
* [Donations][24]
* [Screenshots][25]

##### developers

* [Guides][26]
* [FAQ][27]
* [Base API (Foundation)][28]
* [GUI API (AppKit)][29]
* [Frameworks][30]

##### Navigation

* [Main Page][31]
* [Community portal][32]
* [Current events][33]
* [Recent changes][34]
* [Random page][35]
* [Help][36]

##### Search

##### Toolbox

* [What links here][37]
* [Related changes][38]
* [Upload file][39]
* [Special pages][40]
* [Printable version][41]

[![MediaWiki][42]][43]

* This page was last modified 01:30, 18 July 2012.
* This page has been accessed 6,582 times.
* Content is available under [GNU General Public License][44].
* [About GNUstepWiki][45]
* [Disclaimers][46]

  [1]: /index.php/NSArray "NSArray"
  [2]: /index.php?title=NSSet&action=edit "NSSet"
  [3]: /index.php?title=NSIndexedSet&action=edit "NSIndexedSet"
  [4]: /index.php?title=NSDictionary&action=edit "NSDictionary"
  [5]: /index.php?title=Collections&action=edit&section=1 "Collections"
  [6]: /index.php?title=Collections&action=edit&section=2 "Collections"
  [7]: /index.php/NSKeyedArchiver "NSKeyedArchiver"
  [8]: /index.php?title=Collections&action=edit&section=3 "Collections"
  [9]: /index.php?title=Garbage_collection&action=edit "Garbage collection"
  [10]: /index.php?title=ARC&action=edit "ARC"
  [11]: https://developer.apple.com/library/mac/documentation/Cocoa/Conceptual/GarbageCollection/Introduction.html "https://developer.apple.com/library/mac/documentation/Cocoa/Conceptual/GarbageCollection/Introduction.html"
  [12]: https://developer.apple.com/library/mac/#releasenotes/ObjectiveC/RN-TransitioningToARC/Introduction/Introduction.html "https://developer.apple.com/library/mac/#releasenotes/ObjectiveC/RN-TransitioningToARC/Introduction/Introduction.html"
  [13]: /index.php/Collections
  [14]: /index.php?title=Talk:Collections&action=edit
  [15]: /index.php?title=Collections&action=edit
  [16]: /index.php?title=Collections&action=history
  [17]: /index.php?title=Special:Userlogin&returnto=Collections
  [18]: /index.php/Main_Page "Main Page"
  [19]: /index.php/Category:Applications
  [20]: /index.php/User_Guides
  [21]: /index.php/User_FAQ
  [22]: /index.php/Get_Help
  [23]: /index.php/Report_Bugs
  [24]: /index.php/GNUstepWiki:Site_support
  [25]: /index.php/Screenshots
  [26]: /index.php/Developer_Guides
  [27]: /index.php/Developer_FAQ
  [28]: /index.php/Foundation
  [29]: /index.php/AppKit
  [30]: /index.php/Category:Frameworks
  [31]: /index.php/Main_Page
  [32]: /index.php/GNUstepWiki:Community_Portal
  [33]: /index.php/Current_events
  [34]: /index.php/Special:Recentchanges
  [35]: /index.php/Special:Random
  [36]: /index.php/Help:Contents
  [37]: /index.php/Special:Whatlinkshere/Collections
  [38]: /index.php/Special:Recentchangeslinked/Collections
  [39]: /index.php/Special:Upload
  [40]: /index.php/Special:Specialpages
  [41]: /index.php?title=Collections&printable=yes&printable=yes
  [42]: /skins/common/images/poweredby_mediawiki_88x31.png
  [43]: http://www.mediawiki.org/
  [44]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [45]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [46]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"