<>

# Contributing to GNUstep core libraries

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Contributing major work to the core][1]
  * [1\.1 Creating the header][2]
  * [1\.2 Implementing the class][3]
  * [1\.3 Implementing test cases][4]
  * [1\.4 Coding style][5]
  * [1\.5 Writing documentation][6]
  * [1\.6 Copyright Assignment][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Contributing major work to the core

Generally, if you are contributing a major piece of code to the GNUstep code, it's an implementation on a new class from OSX. As Apple keep adding new APIs with every release of OSX, there is always work to do here.

[[edit][9]]

<>

### [Creating the header][10]

This is not as simple as copying Apple's header file ... though looking at their documentation and header are a good starting point.

[[edit][11]]

<>

### [Implementing the class][12]

The design/coding is probably the most fun bit

[[edit][13]]

<>

### [Implementing test cases][14]

All new code in the core libraries needs corresponding test cases in the testsuite ... that makes sure that when anyone else tries to change the code, they see if they have broken anything.

[[edit][15]]

<>

### [Coding style][16]

All headers, source files, and test cases should conform to the coding style standards of the GNUstep project. A consistent style is very important in a collaborative project where other people will want to read your code (and where you may want to read theirs).

[[edit][17]]

<>

### [Writing documentation][18]

We need documentation of the new classes and how they work ... you can write descriptions of how they work as you are implementing features/methods.

[[edit][19]]

<>

### [Copyright Assignment][20]

Boring legal details, but we have to go through them

 Retrieved from "[http://wiki.gnustep.org/index.php/Contributing\_to\_GNUstep\_core\_libraries][21]"

##### Views

* [Article][22]
* [Discussion][23]
* [Edit][24]
* [History][25]

##### Personal tools

* [Create an account or log in][26]

[][27]

##### users

* [Applications][28]
* [Guides][29]
* [FAQ][30]
* [Get Help][31]
* [Report Bugs][32]
* [Donations][33]
* [Screenshots][34]

##### developers

* [Guides][35]
* [FAQ][36]
* [Base API (Foundation)][37]
* [GUI API (AppKit)][38]
* [Frameworks][39]

##### Navigation

* [Main Page][40]
* [Community portal][41]
* [Current events][42]
* [Recent changes][43]
* [Random page][44]
* [Help][45]

##### Search

##### Toolbox

* [What links here][46]
* [Related changes][47]
* [Upload file][48]
* [Special pages][49]
* [Printable version][50]

[![MediaWiki][51]][52]

* This page was last modified 12:51, 7 February 2012.
* This page has been accessed 6,025 times.
* Content is available under [GNU General Public License][53].
* [About GNUstepWiki][54]
* [Disclaimers][55]

  [1]: #Contributing_major_work_to_the_core
  [2]: #Creating_the_header
  [3]: #Implementing_the_class
  [4]: #Implementing_test_cases
  [5]: #Coding_style
  [6]: #Writing_documentation
  [7]: #Copyright_Assignment
  [8]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=1 "Contributing to GNUstep core libraries"
  [9]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=2 "Contributing to GNUstep core libraries"
  [10]: /index.php/Creating_the_header "Creating the header"
  [11]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=3 "Contributing to GNUstep core libraries"
  [12]: /index.php/Implementing_the_class "Implementing the class"
  [13]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=4 "Contributing to GNUstep core libraries"
  [14]: /index.php/Implementing_test_cases "Implementing test cases"
  [15]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=5 "Contributing to GNUstep core libraries"
  [16]: /index.php/Coding_style "Coding style"
  [17]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=6 "Contributing to GNUstep core libraries"
  [18]: /index.php/Writing_documentation "Writing documentation"
  [19]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit&section=7 "Contributing to GNUstep core libraries"
  [20]: /index.php/Copyright_Assignment "Copyright Assignment"
  [21]: http://wiki.gnustep.org/index.php/Contributing_to_GNUstep_core_libraries
  [22]: /index.php/Contributing_to_GNUstep_core_libraries
  [23]: /index.php?title=Talk:Contributing_to_GNUstep_core_libraries&action=edit
  [24]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=edit
  [25]: /index.php?title=Contributing_to_GNUstep_core_libraries&action=history
  [26]: /index.php?title=Special:Userlogin&returnto=Contributing_to_GNUstep_core_libraries
  [27]: /index.php/Main_Page "Main Page"
  [28]: /index.php/Category:Applications
  [29]: /index.php/User_Guides
  [30]: /index.php/User_FAQ
  [31]: /index.php/Get_Help
  [32]: /index.php/Report_Bugs
  [33]: /index.php/GNUstepWiki:Site_support
  [34]: /index.php/Screenshots
  [35]: /index.php/Developer_Guides
  [36]: /index.php/Developer_FAQ
  [37]: /index.php/Foundation
  [38]: /index.php/AppKit
  [39]: /index.php/Category:Frameworks
  [40]: /index.php/Main_Page
  [41]: /index.php/GNUstepWiki:Community_Portal
  [42]: /index.php/Current_events
  [43]: /index.php/Special:Recentchanges
  [44]: /index.php/Special:Random
  [45]: /index.php/Help:Contents
  [46]: /index.php/Special:Whatlinkshere/Contributing_to_GNUstep_core_libraries
  [47]: /index.php/Special:Recentchangeslinked/Contributing_to_GNUstep_core_libraries
  [48]: /index.php/Special:Upload
  [49]: /index.php/Special:Specialpages
  [50]: /index.php?title=Contributing_to_GNUstep_core_libraries&printable=yes&printable=yes
  [51]: /skins/common/images/poweredby_mediawiki_88x31.png
  [52]: http://www.mediawiki.org/
  [53]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [54]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [55]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"