<>

# Cross Compiling

### From GNUstepWiki	{#siteSub}

Cross Compiling and GNUstep depends on what you want to achieve.

The following is based on [this discussion][1] on the mailing list.

See also: [Writing\_portable\_code][2]

<table>
<tr>
<td>
## Contents
* [1 I have a GNUstep source running on Linux/GNUstep and want the same application to run on OSX][3]
  * [1\.1 Copy source files to OSX and use gnustep-make][4]
  * [1\.2 Copy source files to OSX to develop, build and debug using Xcode][5]
  * [1\.3 Install GNUstep on OSX using MacPorts][6]
  * [1\.4 Real cross-compiling (building on Linux for MacOS X)][7]
* [2 I have an Xcode project and want to run on Linux][8]
* [3 I have an Xcode project and want to run on Windows][9]
</td>
</tr>
</table>

[[edit][10]]

<>

## I have a GNUstep source running on Linux/GNUstep and want the same application to run on OSX

You have several options - more or less complex.

[[edit][11]]

<>

### Copy source files to OSX and use gnustep-make

The simplest, and best option is obviously to install [gnustep-make][12] on your Mac.

	 curl <ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-make-2.0.5.tar.gz>
	 ./configure
	 make
	 sudo make install

and then compile your project by typing 'make'. You get a native Apple OSX application compiled against the Apple OSX ObjC frameworks ... using the same GNUmakefiles you were using on GNU/Linux/\*BSD/Windows.ÃÂ :-) --N. Pero

<br />
 Additionally to the already suggested use of Xcode, you can build GNUstep on OS X with the apple-apple-apple combo. While this might need a tweak or two to work, this gives you a thin layer of GNUstep (its additions) onto what Cocoa already provides. --Markus Hitter

[[edit][13]]

<>

### Copy source files to OSX to develop, build and debug using Xcode

Add a wrapping Xcode project (in addition to the GNUstep makefile) and configure it to compile directly on OSX for OSX using the OSX Cocoa frameworks. You can share the sources e.g. through SVN. There is no problem having GNUmakefiles and some .xcodeproj in the same source code directory. The main benefit of this approach is that you can use the Xcode/gdb integration for debugging.

Examples using this approach: 1. SWK Browser from the GNUstep SWK project, DataBuilder from 2. GSCoreData (look into the sources at www.gna.org)

Development is done by either working on Linux and using GORM/Project Center and compiling for Linux, or on OSX opening the project in Xcode. The only thing to keep in mind is that you must also update the Xcode project or the GNUmakefile if you add source files or resources. The GNUstep .app bundle is different and runs on Linux only. The OSX .app bundle runs only on OSX, i.e. there is no single bundle that covers all architectures (unless you do some additional tricks).

[[edit][14]]

<>

### Install GNUstep on OSX using MacPorts

Then, you can set up an identical build environment on both machines. The drawback is that you don't have a "native" OSX application which you can easily launch by a double-click on the .app icon.

Benoit Astruc writes: I think I have done thisÃÂ : - I installed GNUstep Make and BaseAdditions on Mac OS X 10.3 (it was 2 years ago so not the Make 2.0 version, I don't know if it works with the new version), - I used a GNUmakefile like this oneÃÂ :

	 # This usually happens when you source GNUstep.sh, then run ./configure,
	 # then log out, then log in again and try to compile
	 ifeq ($(GNUSTEP_MAKEFILES),)
	    $(error You need to run the GNUstep configuration script before compiling!)
	 endif
	 include $(GNUSTEP_MAKEFILES)/common.make
	 APP_NAME = WRP
	 WRP_MAIN_MODEL_FILE = MainMenu
	 WRP_APPLICATION_ICON = WRP.icns
	 WRP_PRINCIPAL_CLASS = NSApplication
	 WRP_RESOURCE_FILES = gui/* Images/* Resources/*
	 WRP_OBJC_FILES = main.m \
	 ...
	 snip a bunch of sources files
	 ...
	 DEGeneralPrefsController.m \
	 GSStringCat.m
	 include GNUmakefile.preamble
	 include $(GNUSTEP_MAKEFILES)/application.make

There was a trick however, the first time I had to write manually some file, WRPInfo.plist if I remember well, and then it was used. I don't do anything on this app since 2 years ago so I don't remember well, but I am pretty sure I had nothing more to do. And the result was a perfectly Mac OS X app build with GNUstep make.

[[edit][15]]

<>

### Real cross-compiling (building on Linux for MacOS X)

This means that you have a gcc version on your Linux machine that emits executables that run on OSX. Unfortunately, OSX uses MACH-O binaries and building a cross-compiling gcc is very tricky. So I would not consider this as a reasonable option.

[[edit][16]]

<>

## I have an Xcode project and want to run on Linux

a) your target machine has a compiler Here, you have to check that you are not using too specific frameworks. Then, add a GNUmakefile. Copy the files to your Linux system and run the GNUstep makefile.

b) your target machine is an embedded system In this case, you need a cross-compiler on the build host. This can be a full Linux machine or a OSX machine (but it is more difficult to get a working cross-compiler running on OSX).

[[edit][17]]

<>

## I have an Xcode project and want to run on Windows

Please refer to [[1]][18]

 Retrieved from "[http://wiki.gnustep.org/index.php/Cross\_Compiling][19]"

##### Views

* [Article][20]
* [Discussion][21]
* [Edit][22]
* [History][23]

##### Personal tools

* [Create an account or log in][24]

[][25]

##### users

* [Applications][26]
* [Guides][27]
* [FAQ][28]
* [Get Help][29]
* [Report Bugs][30]
* [Donations][31]
* [Screenshots][32]

##### developers

* [Guides][33]
* [FAQ][34]
* [Base API (Foundation)][35]
* [GUI API (AppKit)][36]
* [Frameworks][37]

##### Navigation

* [Main Page][38]
* [Community portal][39]
* [Current events][40]
* [Recent changes][41]
* [Random page][42]
* [Help][43]

##### Search

##### Toolbox

* [What links here][44]
* [Related changes][45]
* [Upload file][46]
* [Special pages][47]
* [Printable version][48]

[![MediaWiki][49]][50]

* This page was last modified 12:11, 30 January 2009.
* This page has been accessed 67,339 times.
* Content is available under [GNU General Public License][51].
* [About GNUstepWiki][52]
* [Disclaimers][53]

  [1]: http://groups.google.com/group/gnu.gnustep.discuss/browse_frm/thread/06920400aed740d2 "http://groups.google.com/group/gnu.gnustep.discuss/browse frm/thread/06920400aed740d2"
  [2]: /index.php/Writing_portable_code "Writing portable code"
  [3]: #I_have_a_GNUstep_source_running_on_Linux.2FGNUstep_and_want_the_same_application_to_run_on_OSX
  [4]: #Copy_source_files_to_OSX_and_use_gnustep-make
  [5]: #Copy_source_files_to_OSX_to_develop.2C_build_and_debug_using_Xcode
  [6]: #Install_GNUstep_on_OSX_using_MacPorts
  [7]: #Real_cross-compiling_.28building_on_Linux_for_MacOS_X.29
  [8]: #I_have_an_Xcode_project_and_want_to_run_on_Linux
  [9]: #I_have_an_Xcode_project_and_want_to_run_on_Windows
  [10]: /index.php?title=Cross_Compiling&action=edit&section=1 "Cross Compiling"
  [11]: /index.php?title=Cross_Compiling&action=edit&section=2 "Cross Compiling"
  [12]: /images/8/81/FOSDEM2007Make-2.0.pdf "FOSDEM2007Make-2.0.pdf"
  [13]: /index.php?title=Cross_Compiling&action=edit&section=3 "Cross Compiling"
  [14]: /index.php?title=Cross_Compiling&action=edit&section=4 "Cross Compiling"
  [15]: /index.php?title=Cross_Compiling&action=edit&section=5 "Cross Compiling"
  [16]: /index.php?title=Cross_Compiling&action=edit&section=6 "Cross Compiling"
  [17]: /index.php?title=Cross_Compiling&action=edit&section=7 "Cross Compiling"
  [18]: http://www.gnustep.org/experience/Windows.html "http://www.gnustep.org/experience/Windows.html"
  [19]: http://wiki.gnustep.org/index.php/Cross_Compiling
  [20]: /index.php/Cross_Compiling
  [21]: /index.php?title=Talk:Cross_Compiling&action=edit
  [22]: /index.php?title=Cross_Compiling&action=edit
  [23]: /index.php?title=Cross_Compiling&action=history
  [24]: /index.php?title=Special:Userlogin&returnto=Cross_Compiling
  [25]: /index.php/Main_Page "Main Page"
  [26]: /index.php/Category:Applications
  [27]: /index.php/User_Guides
  [28]: /index.php/User_FAQ
  [29]: /index.php/Get_Help
  [30]: /index.php/Report_Bugs
  [31]: /index.php/GNUstepWiki:Site_support
  [32]: /index.php/Screenshots
  [33]: /index.php/Developer_Guides
  [34]: /index.php/Developer_FAQ
  [35]: /index.php/Foundation
  [36]: /index.php/AppKit
  [37]: /index.php/Category:Frameworks
  [38]: /index.php/Main_Page
  [39]: /index.php/GNUstepWiki:Community_Portal
  [40]: /index.php/Current_events
  [41]: /index.php/Special:Recentchanges
  [42]: /index.php/Special:Random
  [43]: /index.php/Help:Contents
  [44]: /index.php/Special:Whatlinkshere/Cross_Compiling
  [45]: /index.php/Special:Recentchangeslinked/Cross_Compiling
  [46]: /index.php/Special:Upload
  [47]: /index.php/Special:Specialpages
  [48]: /index.php?title=Cross_Compiling&printable=yes&printable=yes
  [49]: /skins/common/images/poweredby_mediawiki_88x31.png
  [50]: http://www.mediawiki.org/
  [51]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [52]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [53]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"