<>

# DBusKit

### From GNUstepWiki	{#siteSub}

DBusKit is a framework that interfaces Objective-C applications with the D-Bus IPC service.

<>

#### Current Version: 0.1.1

* Released: April 16 2013
* Licensed: LGPL

<>

### Overview

The DBusKit framework offers tight integration of D-Bus services into Objective-C applications. It handles all low-level details of communication with D-Bus daemons and the services connected to them and exposes an interface similar to Distributed Objects to make it easy for Objective-C programmers to access D-Bus services.

<>

### Features

* Distributed Objects-like API for exchanging messages with D-Bus services.
* A notification center class for watching signals emitted by D-Bus services.
* 'dk\_make\_interface' tool to generate Objective-C protocol declarations from D-Bus interface files.

<>

### Maintainer

* Niels Grewe

<>

### Related Links

* [Current release tarball][1]
* [SVN trunk][2]

 Retrieved from "<http://wiki.gnustep.org/index.php/DBusKit>"

[Categories][3]: [Frameworks][4]

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 09:38, 1 May 2013.
* This page has been accessed 7,765 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: http://download.gna.org/gnustep/dbuskit-0.1.1.tar.gz "http://download.gna.org/gnustep/dbuskit-0.1.1.tar.gz"
  [2]: http://svn.gna.org/svn/gnustep/libs/dbuskit/trunk "http://svn.gna.org/svn/gnustep/libs/dbuskit/trunk"
  [3]: /index.php?title=Special:Categories&article=DBusKit "Special:Categories"
  [4]: /index.php/Category:Frameworks "Category:Frameworks"
  [5]: /index.php/DBusKit
  [6]: /index.php?title=Talk:DBusKit&action=edit
  [7]: /index.php?title=DBusKit&action=edit
  [8]: /index.php?title=DBusKit&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=DBusKit
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/DBusKit
  [30]: /index.php/Special:Recentchangeslinked/DBusKit
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=DBusKit&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"