<>

# Dependencies

### From GNUstepWiki	{#siteSub}

The following is the current (as of December 27, 2006) list of _direct_ dependencies for GNUstep.

**Note**ÃÂ :

* some of these dependencies are dependent of each other (e.g. _tiff_ requires _jpeg_, and _libungif_ requires _freetype2_)
* each of these dependencies may require additional libraries, which are not listed here
* the given names may not accurately reflect the actual package name as provided by your system

<br />

<table>
<tr>
<td>
## Contents
* [1 GNUstep-make][1]
* [2 GNUstep-base][2]
* [3 GNUstep-gui][3]
* [4 GNUstep-back][4]
  * [4\.1 XLIB][5]
  * [4\.2 ART][6]
  * [4\.3 CAIRO][7]
* [5 Documentation][8]
</td>
</tr>
</table>

[[edit][9]]

<>

# GNUstep-make

** Required **

* [GCC with ObjC support][10] -- preferably version 4.x, 2.95 minimum (with gnustep-supplied libobjc)
* [GNU make][11] -- called _gmake_ or _gnumake_ on some systems

** Optional **

* [gdb][12] -- for debugging
* [Window Maker][13] -- this would install a lot of dependencies beforehand

[[edit][14]]

<>

# GNUstep-base

** Required **

* GNUstep-make
* [libffi-dev (libffi)][15] currently recommended default **or** [ffcall][16] -- stack-frame handling

** Recommended development kit dependencies**

* [libicu-dev (icu)][17] -- for International Components for Unicode
* [libxml2-dev (xml2)][18] -- for XML-based property-lists
* [libxslt1-dev (xslt)][19] -- for style sheet support for use with XML
* [libgnutls-dev (gnutls)][20] -- for Transport Layer Security (TLS 1.0 and SSL 3.0) On Ubuntu and debian this will automatically pull in libgcrypt11-dev, liggpg-error-dev, and libtasn1-3-dev

* [libssl-dev (openssl)][21] -- for HTTPS connections in [NSURL][22]

The recommended and optional development kit packages in Debian and Ubuntu will pull in the compiled libraries for you as a dependancy. Selecting only the run-time library will generate a configure warning. If you continue with 'make', then the noted library functionalities will be missing in your final executable.

The remaining references give only the typical library name.

** Optional **

* [libiconv][23] -- Unicode support, only install if not provided by your system. Note the GNU 'C' library (libc6-dev) provides the required functionality on all recent GNU/Linux systems
* [libgmp][24] -- arbitrary precision arithmetic -run 'make check' if building yourself to assure you are getting appropriate results.
* libgnutls -- provides Transport Layer Security -- TLS 1.0 and SSL 3.0 protocols (libgnutls-dev)
* libbfd -- universal "Binary File Descriptor" library, part of [GNU binutils][25] (binutils-dev)
* [mDNSResponder][26] -- for [Bonjour][27] service discovery, as implemented by [NSNetServices][28] and [NSNetServiceBrowser][29] Search for libavahi under Ubuntu and Debian for the equivalent. See <http://www.avahi.org/> for additional details.

Selecting libavahi-compat-libdnssd-dev in Ubuntu or debian will automatically add libavahi-client-dev, libavahi-common-dev,libdbus-1-dev development kits.

[[edit][30]]

<>

# GNUstep-gui

** Required **

* GNUstep-base
* [tiff][31] -- Tag Image File Format (TIFF) support for image data

In Ubuntu and Debian the development kit libtiff4-dev automatically pulls in libjpeg62-dev and libtiffxx0c2.

** Recommended **

* [jpeg][32] -- Joint Photographic Experts Group (JPEG) lossy image data compression support

In Ubuntu and Debian install the libjpeg62-dev development kit.

* [png][33] -- Portable Network Graphics (PNG) support

In Ubuntu and Debian install the libpng12-dev development kit.

** Optional **

* [libungif][34] -- for reading and writing GIF images

In Ubuntu and Debian are transitioning to the libgif-dev instead of the older libungif4-dev development kit.

* [aspell][35] -- spell checking

In Ubuntu and Debian install the libaspell-dev development kit.

* [cups-base][36] -- printing

In Ubuntu and Debian install libcups2-dev will automatically pull in comerr-dev, libkadm55, libkrb5-dev development kits.

* [libicns-dev][37] for manipulation of the MacOS icns resource format. This development kit in Ubuntu and Debian will pull in the libicns1 library.

* [libaudiofile][38] -- sound

* [portaudio][39] -- sound, needs at least portaudio-v19

In Ubuntu and Debian installing portaudio19-dev will automatically pull in libasound2-dev, libfreebob0, libjack-dev, libjack0, libjack0.100.0-dev, libportaudio2 development kits.

[[edit][40]]

<>

# GNUstep-back

GNUstep-back currently supports three separate back-ends (xlib, art and cairo). Windows currently uses its own default backend.

** Required for all back-ends **

* GNUstep-gui

** Required for X11 back-ends **

* [libxt-dev][41] --development kit for X11 toolkit intrinsics library

In Ubuntu and Debian installing the libxt-dev development kit will automatically pull in libice-dev, libsm-dev

In Ubuntu and Debian install the libxext-dev development kit to support shared memory and additional X-Windows extensions

** Recommended for all X11 back-ends **

* [libXft][42] -- Freetype based font drawing API This changes the anti-aliasing of fonts over the default methods.

In Ubuntu and Debian install the libxft-dev development kit.

<br />

[[edit][43]]

<>

## XLIB

As above.

[[edit][44]]

<>

## ART

**Required**

* [freetype2][45] -- TrueType font rendering engine

In Ubuntu and Debian install the libfreetype6-dev development kit.

* [libart\_lgpl2][46] -- 2D graphics supporting

In Ubuntu and Debian install the libart-2.0-dev development kit.

[[edit][47]]

<>

## CAIRO

** Required **.

* [cairo][48] -- PDF 1.4 imaging model

**Optional** Cairo supports multiple output devices.

* [glitz][49] -- OpenGL image compositing library

In Ubuntu and Debian installing the libglitz-glx1-dev development kit will pull in libgl1-mesa-dev, libglitz1-dev, mesa-common-dev, xlibmesa-gl-dev

[[edit][50]]

<>

# Documentation

* [TeTeX / texi2pdf][51] -- if you want to create the API documentation
* [texi2html][52]

 Retrieved from "<http://wiki.gnustep.org/index.php/Dependencies>"

[Categories][53]: [Development][54]

##### Views

* [Article][55]
* [Discussion][56]
* [Edit][57]
* [History][58]

##### Personal tools

* [Create an account or log in][59]

[][60]

##### users

* [Applications][61]
* [Guides][62]
* [FAQ][63]
* [Get Help][64]
* [Report Bugs][65]
* [Donations][66]
* [Screenshots][67]

##### developers

* [Guides][68]
* [FAQ][69]
* [Base API (Foundation)][70]
* [GUI API (AppKit)][71]
* [Frameworks][72]

##### Navigation

* [Main Page][73]
* [Community portal][74]
* [Current events][75]
* [Recent changes][76]
* [Random page][77]
* [Help][78]

##### Search

##### Toolbox

* [What links here][79]
* [Related changes][80]
* [Upload file][81]
* [Special pages][82]
* [Printable version][83]

[![MediaWiki][84]][85]

* This page was last modified 22:01, 20 August 2011.
* This page has been accessed 112,425 times.
* Content is available under [GNU General Public License][86].
* [About GNUstepWiki][87]
* [Disclaimers][88]

  [1]: #GNUstep-make
  [2]: #GNUstep-base
  [3]: #GNUstep-gui
  [4]: #GNUstep-back
  [5]: #XLIB
  [6]: #ART
  [7]: #CAIRO
  [8]: #Documentation
  [9]: /index.php?title=Dependencies&action=edit&section=1 "Dependencies"
  [10]: http://gcc.gnu.org/ "http://gcc.gnu.org/"
  [11]: http://www.gnu.org/software/make/make.html "http://www.gnu.org/software/make/make.html"
  [12]: http://www.gnu.org/software/gdb/ "http://www.gnu.org/software/gdb/"
  [13]: http://www.windowmaker.info/ "http://www.windowmaker.info/"
  [14]: /index.php?title=Dependencies&action=edit&section=2 "Dependencies"
  [15]: http://sources.redhat.com/libffi/ "http://sources.redhat.com/libffi/"
  [16]: http://www.haible.de/bruno/packages-ffcall.html "http://www.haible.de/bruno/packages-ffcall.html"
  [17]: http://site.icu-project.org/ "http://site.icu-project.org/"
  [18]: http://xmlsoft.org/ "http://xmlsoft.org/"
  [19]: http://xmlsoft.org/XSLT/ "http://xmlsoft.org/XSLT/"
  [20]: http://www.gnu.org/software/gnutls/ "http://www.gnu.org/software/gnutls/"
  [21]: http://www.openssl.org/ "http://www.openssl.org/"
  [22]: /index.php?title=NSURL&action=edit "NSURL"
  [23]: http://www.gnu.org/software/libiconv/ "http://www.gnu.org/software/libiconv/"
  [24]: http://www.swox.com/gmp/ "http://www.swox.com/gmp/"
  [25]: http://www.gnu.org/software/binutils/ "http://www.gnu.org/software/binutils/"
  [26]: http://developer.apple.com/opensource/internet/bonjour.html "http://developer.apple.com/opensource/internet/bonjour.html"
  [27]: http://www.apple.com/macosx/features/bonjour/ "http://www.apple.com/macosx/features/bonjour/"
  [28]: /index.php/NSNetServices "NSNetServices"
  [29]: /index.php/NSNetServiceBrowser "NSNetServiceBrowser"
  [30]: /index.php?title=Dependencies&action=edit&section=3 "Dependencies"
  [31]: http://www.remotesensing.org/libtiff/ "http://www.remotesensing.org/libtiff/"
  [32]: http://www.ijg.org/ "http://www.ijg.org/"
  [33]: http://www.libpng.org/pub/png/libpng.html "http://www.libpng.org/pub/png/libpng.html"
  [34]: http://sourceforge.net/projects/libungif/ "http://sourceforge.net/projects/libungif/"
  [35]: http://aspell.sourceforge.net/ "http://aspell.sourceforge.net/"
  [36]: http://www.cups.org/ "http://www.cups.org/"
  [37]: http://icns.sourceforge.net/ "http://icns.sourceforge.net/"
  [38]: http://www.68k.org/~michael/audiofile/ "http://www.68k.org/~michael/audiofile/"
  [39]: http://www.portaudio.com/ "http://www.portaudio.com/"
  [40]: /index.php?title=Dependencies&action=edit&section=4 "Dependencies"
  [41]: http://www.x.org/wiki/ "http://www.x.org/wiki/"
  [42]: http://fontconfig.org/ "http://fontconfig.org/"
  [43]: /index.php?title=Dependencies&action=edit&section=5 "Dependencies"
  [44]: /index.php?title=Dependencies&action=edit&section=6 "Dependencies"
  [45]: http://freetype.sourceforge.net/freetype1/projects.html "http://freetype.sourceforge.net/freetype1/projects.html"
  [46]: http://www.levien.com/libart/ "http://www.levien.com/libart/"
  [47]: /index.php?title=Dependencies&action=edit&section=7 "Dependencies"
  [48]: http://www.cairographics.org/ "http://www.cairographics.org/"
  [49]: http://freedesktop.org/Software/glitz "http://freedesktop.org/Software/glitz"
  [50]: /index.php?title=Dependencies&action=edit&section=8 "Dependencies"
  [51]: http://www.tug.org/teTeX/ "http://www.tug.org/teTeX/"
  [52]: http://texi2html.cvshome.org/ "http://texi2html.cvshome.org/"
  [53]: /index.php?title=Special:Categories&article=Dependencies "Special:Categories"
  [54]: /index.php/Category:Development "Category:Development"
  [55]: /index.php/Dependencies
  [56]: /index.php?title=Talk:Dependencies&action=edit
  [57]: /index.php?title=Dependencies&action=edit
  [58]: /index.php?title=Dependencies&action=history
  [59]: /index.php?title=Special:Userlogin&returnto=Dependencies
  [60]: /index.php/Main_Page "Main Page"
  [61]: /index.php/Category:Applications
  [62]: /index.php/User_Guides
  [63]: /index.php/User_FAQ
  [64]: /index.php/Get_Help
  [65]: /index.php/Report_Bugs
  [66]: /index.php/GNUstepWiki:Site_support
  [67]: /index.php/Screenshots
  [68]: /index.php/Developer_Guides
  [69]: /index.php/Developer_FAQ
  [70]: /index.php/Foundation
  [71]: /index.php/AppKit
  [72]: /index.php/Category:Frameworks
  [73]: /index.php/Main_Page
  [74]: /index.php/GNUstepWiki:Community_Portal
  [75]: /index.php/Current_events
  [76]: /index.php/Special:Recentchanges
  [77]: /index.php/Special:Random
  [78]: /index.php/Help:Contents
  [79]: /index.php/Special:Whatlinkshere/Dependencies
  [80]: /index.php/Special:Recentchangeslinked/Dependencies
  [81]: /index.php/Special:Upload
  [82]: /index.php/Special:Specialpages
  [83]: /index.php?title=Dependencies&printable=yes&printable=yes
  [84]: /skins/common/images/poweredby_mediawiki_88x31.png
  [85]: http://www.mediawiki.org/
  [86]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [87]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [88]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"