<>

# Deployment on Windows

### From GNUstepWiki	{#siteSub}

These instructions are based on a mail from Lloyd Dupont. You find more recent instructions from Nicola Pero in the file core/make/Documentation/README.MinGW. Keep in mind that either ones are experimental. You may have to try out yourself which files you need to ship. The medium-term goal is to provide a separate runtime package that puts libs to a standard place so that it will suffice to zip&amp;deploy the .app directory.

These directions seem to work but have been tested only on Lloyd Dupont's development machine so far Ã¢ÂÂ this has yet to be tested on a test machine without anything installed. (Please update this once someone's tested this!)

[[edit][1]]

<>

## Preparation of your MinGW GNUstep environment

First-off, it is recommended you build GNUstep from SVN yourself using [the MinGW README][2] or following the instructions for [Installation on Windows][3].

It's a relatively long but painless process.

[[edit][4]]

<>

## Making sure that DLLs are available to your application

Once GNUstep is built, you'll need to do three things to deploy your application:

1\. Make sure that all the dependency DLLs that are installed in the MinGW GNUstep environment are in your application's directory or in the PATH (see [Installation on Windows][5] step 11 and 14: libintl, libiconv, etc)

2\. Make sure that all the DLLs in &lt;GNUstep&gt;/System/Tools are in your application's directory or in the PATH

3\. The content of &lt;GNUstep&gt;/System directory (with the exception of &lt;GNUstep&gt;/System/Tools) should be pointed to by one of the following environment variables:

	 GNUSTEP_SYSTEM_ROOT
	 GNUSTEP_NETWORK_ROOT
	 GNUSTEP_LOCAL_ROOT

Hint: make all three variables point to the same directory to avoid all suprises. You don't need System/Tools in these as you have already copied the DLLs.

The three variables are intended to support a more complex GNUstep environment than you may need for a single application deployement.

If you don't want to mess with system environment variables or want to have multiple (side by side) installations, you could set these variables at application startup time with:

	 [NSProcessInfo initializeWithArguments: __argv
	                                  count: __ argc
	                            environment: (char**){
	   "GNUSTEP_SYSTEM_ROOT=C:\AppLocalGSPath",
	   "GNUSTEP_NETWORK_ROOT=C:\AppLocalGSPath",
	   "GNUSTEP_LOCAL_ROOT=C:\AppLocalGSPath",
	   NULL} ];

It is important to call this method early before any other part of the application triggers caching of incorrect GNUstep environment variables.

Warning: simply using putenv might fail if, for some reason, the class NSProcessInfo has already been initialized - it will have cached the environment variables.

Voila! Your GNUstep-based application can now be shipped without the user having to know about or install GNUstep - and you don't have the risk of an untested version of GNUstep being loaded by your application either.

Happy GSCodingÃÂ ;-)

 Retrieved from "[http://wiki.gnustep.org/index.php/Deployment\_on\_Windows][6]"

[Categories][7]: [Deployment][8] | [Microsoft Windows][9]

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 11:15, 29 October 2011.
* This page has been accessed 31,152 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: /index.php?title=Deployment_on_Windows&action=edit&section=1 "Deployment on Windows"
  [2]: http://www.gnustep.org/resources/documentation/User/GNUstep/README.MinGW "http://www.gnustep.org/resources/documentation/User/GNUstep/README.MinGW"
  [3]: /index.php/Installation_on_Windows "Installation on Windows"
  [4]: /index.php?title=Deployment_on_Windows&action=edit&section=2 "Deployment on Windows"
  [5]: /index.php/Installation_on_Windows "Installation on Windows"
  [6]: http://wiki.gnustep.org/index.php/Deployment_on_Windows
  [7]: /index.php?title=Special:Categories&article=Deployment_on_Windows "Special:Categories"
  [8]: /index.php?title=Category:Deployment&action=edit "Category:Deployment"
  [9]: /index.php/Category:Microsoft_Windows "Category:Microsoft Windows"
  [10]: /index.php/Deployment_on_Windows
  [11]: /index.php?title=Talk:Deployment_on_Windows&action=edit
  [12]: /index.php?title=Deployment_on_Windows&action=edit
  [13]: /index.php?title=Deployment_on_Windows&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=Deployment_on_Windows
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/Deployment_on_Windows
  [35]: /index.php/Special:Recentchangeslinked/Deployment_on_Windows
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=Deployment_on_Windows&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"