<>

# DesktopServicesKit

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

## Proposal for a Desktop Services Framework

With [Camaelon][2] theming, GNUstep applications may be able to offer an "almost native" experience in alien environments like Windows and MacOS.

To avoid significant and repetitive modifications to applications which may require some support from the native desktop environment or provide services to other applications (classic low-threshhold activities such as handling MIME and file types, all the way through to native file dialogs and gateways into local accessibility services), it may be sensible to begin work on a DesktopServicesKit.

The following is a limited list of common desktop services offered (to one extent or another) by environments like KDE, GNOME, Windows, MacOS, Etoile and ...:

* desktop notifications and information
* file and directory dialogs
* printing services and dialogs
* registration of MIME and file-type handling capabilities
* native application helper launch and termination
* gateway from GNUstep accessibility framework (does it exist yet?) to local platform
* privilege escalations

This would logically be complemented by a rather lighter System Services Framework to deal with native operating system issues such as networking, disk, volume, filesystem and file metadata, capabilities and permissions management, authentication services, etc.

 Retrieved from "<http://wiki.gnustep.org/index.php/DesktopServicesKit>"

##### Views

* [Article][3]
* [Discussion][4]
* [Edit][5]
* [History][6]

##### Personal tools

* [Create an account or log in][7]

[][8]

##### users

* [Applications][9]
* [Guides][10]
* [FAQ][11]
* [Get Help][12]
* [Report Bugs][13]
* [Donations][14]
* [Screenshots][15]

##### developers

* [Guides][16]
* [FAQ][17]
* [Base API (Foundation)][18]
* [GUI API (AppKit)][19]
* [Frameworks][20]

##### Navigation

* [Main Page][21]
* [Community portal][22]
* [Current events][23]
* [Recent changes][24]
* [Random page][25]
* [Help][26]

##### Search

##### Toolbox

* [What links here][27]
* [Related changes][28]
* [Upload file][29]
* [Special pages][30]
* [Printable version][31]

[![MediaWiki][32]][33]

* This page was last modified 03:47, 28 October 2007.
* This page has been accessed 9,871 times.
* Content is available under [GNU General Public License][34].
* [About GNUstepWiki][35]
* [Disclaimers][36]

  [1]: /index.php?title=DesktopServicesKit&action=edit&section=1 "DesktopServicesKit"
  [2]: /index.php/Camaelon "Camaelon"
  [3]: /index.php/DesktopServicesKit
  [4]: /index.php?title=Talk:DesktopServicesKit&action=edit
  [5]: /index.php?title=DesktopServicesKit&action=edit
  [6]: /index.php?title=DesktopServicesKit&action=history
  [7]: /index.php?title=Special:Userlogin&returnto=DesktopServicesKit
  [8]: /index.php/Main_Page "Main Page"
  [9]: /index.php/Category:Applications
  [10]: /index.php/User_Guides
  [11]: /index.php/User_FAQ
  [12]: /index.php/Get_Help
  [13]: /index.php/Report_Bugs
  [14]: /index.php/GNUstepWiki:Site_support
  [15]: /index.php/Screenshots
  [16]: /index.php/Developer_Guides
  [17]: /index.php/Developer_FAQ
  [18]: /index.php/Foundation
  [19]: /index.php/AppKit
  [20]: /index.php/Category:Frameworks
  [21]: /index.php/Main_Page
  [22]: /index.php/GNUstepWiki:Community_Portal
  [23]: /index.php/Current_events
  [24]: /index.php/Special:Recentchanges
  [25]: /index.php/Special:Random
  [26]: /index.php/Help:Contents
  [27]: /index.php/Special:Whatlinkshere/DesktopServicesKit
  [28]: /index.php/Special:Recentchangeslinked/DesktopServicesKit
  [29]: /index.php/Special:Upload
  [30]: /index.php/Special:Specialpages
  [31]: /index.php?title=DesktopServicesKit&printable=yes&printable=yes
  [32]: /skins/common/images/poweredby_mediawiki_88x31.png
  [33]: http://www.mediawiki.org/
  [34]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [35]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [36]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"