<>

# Developer FAQ

### From GNUstepWiki	{#siteSub}

<br />
 Please send corrections to [gnustep-maintainer@gnu.org][1]. Also look at the [User FAQ][2] for more user oriented questions.

<table>
<tr>
<td>
## Contents
* [1 Getting Started][3]
  * [1\.1 Installation][4]
  * [1\.2 Installation Troubleshooting][5]
  * [1\.3 Configuration][6]
* [2 Compatibility][7]
  * [2\.1 Is it easy to port OPENSTEP programs to GNUstep?][8]
  * [2\.2 How about porting between Cocoa and GNUstep?][9]
  * [2\.3 Tools for porting][10]
  * [2\.4 Can I transfer archived data from GNUstep to Cocoa?][11]
  * [2\.5 Do Distributed Objects work between GNUstep and Cocoa?][12]
  * [2\.6 Is there an Interface Builder for GNUstep?][13]
  * [2\.7 Can I use my original NIB files?][14]
  * [2\.8 Can I use the hybrid "Objective-C++"ÃÂ ?][15]
  * [2\.9 Is there a plan to support the Java/YellowBox bindings?][16]
  * [2\.10 What if I compile GNUstep under OPENSTEP/MacOS X?][17]
  * [2\.11 Is the Objective-C API for GTK related?][18]
  * [2\.12 How about implementing parts of the Application Kit with GTK?][19]
* [3 Compiling and Developing][20]
  * [3\.1 How can I get started programming?][21]
  * [3\.2 Does GDB support Objective-C?][22]
* [4 How can I help with GNUstep?][23]
  * [4\.1 How do I start writing applications?][24]
  * [4\.2 Helping develop GNUstep][25]
  * [4\.3 Helping document GNUstep][26]
  * [4\.4 How do I assign my Contribution?][27]
  * [4\.5 How do I update the task list?][28]
  * [4\.6 How do I start writing tests?][29]
  * [4\.7 How can I help with the GNUstep website?][30]
* [5 GNU Objective-C Compiler and Runtime][31]
  * [5\.1 What is the Objective-C Runtime?][32]
  * [5\.2 Where can I get a gcc compiler with Objective-C support?][33]
  * [5\.3 How I can compile my own gcc compiler with Objective-C support?][34]
  * [5\.4 How I check if my gcc compiler has good Objective-C environment?][35]
* [6 GNUstep Base Library][36]
  * [6\.1 What is the GNUstep Base Library?][37]
  * [6\.2 What is its current state of development?][38]
  * [6\.3 What are the features of GNU Distributed Objects?][39]
* [7 GNUstep GUI Library][40]
  * [7\.1 What is the GUI Library?][41]
  * [7\.2 Explain the organization of the front- and back-ends][42]
  * [7\.3 What is the current state of development of the front-end?][43]
  * [7\.4 What Is the Current State of Development of the back-ends?][44]
* [8 GNUstep DisplayGhostScript Server][45]
  * [8\.1 What is the Display Ghostscript Server?][46]
  * [8\.2 What is its current state of development?][47]
  * [8\.3 What is the relationship between the Display Ghostscript Server and X-Window?][48]
</td>
</tr>
</table>

[[edit][49]]

<>

## Getting Started

[[edit][50]]

<>

### [Installation][51]

How to install GNUStep

[[edit][52]]

<>

### Installation [Troubleshooting][53]

What to do when installation screws up.

[[edit][54]]

<>

### [Configuration][55]

What to do once GNUStep is installed.

[[edit][56]]

<>

## Compatibility

[[edit][57]]

<>

### Is it easy to port OPENSTEP programs to GNUstep?

It is probably easy for simple programs. There are some portability tools to make this easier, or rewrite the Makefiles yourself. You will also have to translate the NIB files (if there are any) to GNUstep model files using the nib2gmodel program. See the [portability][58] page for details.

[[edit][59]]

<>

### How about porting between Cocoa and GNUstep?

It's easier from GNUstep to Cocoa than Cocoa to GNUstep. Cocoa is constantly changing, much faster than GNUstep could hope to keep up. They have added extensions and new classes that aren't available in GNUstep yet. Plus there are some other issues. See the [portability][60] page for details.

[[edit][61]]

<>

### Tools for porting

While the programming interface should be almost transparent between systems (except for the unimplemented parts, of course), there are a variety of other files and tools that are necessary for porting programs:

* **nib2gmodel:** This program coverts nib files from any system, such as Cocoa or OPENSTEP to a gmodel format file. Gmodel can be read directly by GNUstep or you can convert this to a more GNUstep-native gorm format (using the Gorm interface modeller).
* **[Renaissance][62]:** GNUstep Renaissance allows you to describe your user interfaces (that is, the windows in your application, and the buttons, boxes, textfields, etc in the windows) in simple and intuitive XML files, using an open, standard format describing the logic of the interface. It has a number of advantages over the proprietary nib format: portability, open standard, easy localization, themeability, and intelligent autolayout.
* **[Gorm][63]:** The equivalent of the Interface Builder in GNUstep. As of version 1.1.0 Gorm allows reading and writing of Mac OS 10.2 or later Cocoa NIB files. Please see <http://lists.gnu.org/archive/html/discuss-gnustep/2006-09/msg00008.html>.
* **OpenStep2GNUConverter and nfmake:** Two programs that allow you to convert PB files to GNUstep makefiles or compile a program on GNUstep directly from PB files. They probably work only for OPENSTEP systems and are a little out-of-date.
* **[StepTalk][64]:** A portable scripting environment that lets your do scripting in almost any language you like.

[[edit][65]]

<>

### Can I transfer archived data from GNUstep to Cocoa?

Apple's archiving format is proprietary and not documented, so this poses a problem for anyone wanting to implement compatibility with it. However, even if we reverse engineered the format, there are enough differences between the class and ivar layouts to make this sort of compatibility difficult. Not to mention the fact that we would constantly have to keep up with the changes Apple made. Also Apple's archiving format, as far as we know, would not be compatible between different machines because of endiness issues, although GNUstep doesn't have this problem.

The new keyed archiving using XML file formats is much more portable, and GNUstep is trying to maintain compatibility with Apple for this type of archiving.

[[edit][66]]

<>

### Do Distributed Objects work between GNUstep and Cocoa?

See the answer to the previous question (on archive compatibility) for why this won't work either.

[[edit][67]]

<>

### Is there an Interface Builder for GNUstep?

There is an Interface Builder for GNUstep called [Gorm][68]. A lot of work has been put into it and it works very well. The project manager [ProjectCenter][69] is also available. There is also [ProjectManager][70].

[[edit][71]]

<>

### Can I use my original NIB files?

It is currently possible to use newer keyed archiving files which were created on Mac OS 10.2 or later.

Older nibs, such as those from Mac OS 10.1 or from OPENSTEP which don't use keyed archiving aren't readable since Apple/NeXT never documented their nib format. These nibs must be translated into keyed nibs for use with GNUstep, if you have Mac OS 10.2 or later this is a simple matter of loading them into IB and saving them as keyed nibs. Alternatively, if you only have OPENSTEP you can use nib2gmodel to translate them into gmodel format.

[[edit][72]]

<>

### Can I use the hybrid "Objective-C++"ÃÂ ?

Yes. As of release 4.1 the GNU C Compiler (GCC) supports [Objective-C++][73].

[[edit][74]]

<>

### Is there a plan to support the Java/YellowBox bindings?

Yes. The GNustep Java library/bridge called [JIGS][75] is available now. JIGS is a free (LGPL) Java Interface for GNUstep; it can automatically wrap Objective-C libraries based on GNUstep, making them accessible directly to the Java programmer as if they were Java libraries. As a side effect, it is also possible to use the whole engine in the reverse way: JIGS provides a high level API to allow Objective-C programmers to start java virtual machines inside GNUstep Objective-C code and access java objects in the java virtual machine transparently, as if they were objective-C objects.

[[edit][76]]

<>

### What if I compile GNUstep under OPENSTEP/MacOS X?

GNUstep uses the X-windows display postscript extension. The interface to that is not the same as the interface to the OPENSTEP/MacOS X windows server. While someone could write a backend library to provide the interface, nobody has bothered to date.

You can, however, use a GNUstep program with an X11 server running on MacOS X.

[[edit][77]]

<>

### Is the Objective-C API for GTK related?

No. GNUstep applications provide their GUI via the OpenStep API, which provides fully object-oriented access to GUI manipulation.

The object-oriented nature of the libraries and language make it much easier for new users to create their own subclasses rather than simply using the supplied widgets as in other frameworks.

[[edit][78]]

<>

### How about implementing parts of the Application Kit with GTK?

Yes and No - The GNUstep architecture provides a single, platform-independent, API for handling all aspects of GUI interaction (implemented in the gstep-gui library), with a backend architecture that permits you to have different display models (display postscript, X-windows, win32, berlin ...) while letting you use the same code for printing as for displaying. Use of GTK in the frontend gui library would remove some of those advantages without adding any.

That being said, a backend library could be implemented using gtk if anyone wanted to do so. Since the frontend library handles most of the work involved in implementing the OpenStep API, the backend is a relatively thin layer and the advantages of GTK over direct xlib or win32 calls is likely to be minimal. If/when GTK is ported to more systems, a backend written using it could be a valuable asset - volunteers are, as always, welcome.

[[edit][79]]

<>

## Compiling and Developing

[[edit][80]]

<>

### How can I get started programming?

Good question. Please refer to the tutorials for some suggestions. Also look at Apple's documentation [(pointers in the Resources section on the GNUstep web site.)][81]

[[edit][82]]

<>

### Does GDB support Objective-C?

As of GDB 6.0, debugging of Objective-C code is supported.

[[edit][83]]

<>

## How can I help with GNUstep?

The first task is probably just to get familiar with it, then there's a lot you can do. Write library code or applications to get a feel for it. See the [community portal][84] for an overview of what a GNUstep developer should know.

Another simple way to get familiar with GNUstep is to help write documentation. A lot of documentation is written in the source code itself, and autogenerated. You could also improve on several of the manuals that explain the overall usage of GNUstep.

Here are the next steps:

* Start off by fixing [bugs][85]
* Look at the [list of tasks][86] for longer term work and check [Ideas][87] for other ideas.
* For a bigger challenge, finish off part of the [Roadmap][88]

[[edit][89]]

<>

### How do I start writing applications?

You can either look at the links on the GNUstep website for applications that have been started, and email their owners to volunteer to help, or you can start your own project.

Let people know what you are doing. Break your project up into the smallest units you can. Feed back frequent updates to the maintainers. Ask questions in the discussion mailing list.

[[edit][90]]

<>

### Helping develop GNUstep

There is plenty of unimplemented stuff in the gui library and backend libraries that volunteers can work on, just browse through the code and see if it conforms to the documentation.

Do remember that any changes beyond a few lines of code (or documentation) require a disclaimer or copyright assignment to the Free Software Foundation before they can be incorporated into the project. [See below][91].

Don't start with large-scale reorganization of anything -- instead, get a general idea in mind of what you want to do, and proceed as much as possible with incremental changes that don't break anything - that way you can make those incremental changes available to the rest of the community at frequent intervals.

Don't be afraid to give up - there is no shame in finding out that you have taken on too large or complex a project. It's much better to 'resign' and take on a smaller job than to just stop without telling anyone.

Please document the code you add or change (using autogsdoc comments that begin with a slash and two asterisks) and maybe write a testcase for it. But PLEASE, do not copy from the Apple documentation or any other copyrighted documentation.

Specific tasks are noted in the [developers section on the GNUstep website][92].

[[edit][93]]

<>

### Helping document GNUstep

All class documentation is written directly in the source code itself and translated using the autogsdoc program. See the source code and documentation for autogsdoc for information on documenting the classes.

Newcomers could write documentation for individual classes by comparing the OpenStep specification, the MacOS X documentation, and the GNUstep source. Documentation should clearly note where individual methods are specific to OpenStep, MacOS X or are GNustep extensions.

More experienced people could write documentation on general programming topics, and tutorials for new users. Contributors to the wiki are welcome!

Anyone willing to write documentation, either tutorials for using GNUstep, or reference documentation for individual classes, should either write it in gsdoc or as plain ascii text for someone else to format into gsdoc.

GNUstep documentation should have copyright assigned to the Free Software Foundation.

[[edit][94]]

<>

### How do I assign my Contribution?

Everyone who contributes more than 20 lines of code or so needs to sign a copyright assignment so that the FSF can have legal control of the copyright. This makes it easier to defend against any copyright infringement suits. Contact the GNUstep maintainer for instructions on how to do this or download and fill out the [form (instructions are included)][95].

[[edit][96]]

<>

### How do I update the task list?

The [task list][97] is supposed to tell people what jobs are waiting to be done. Feel free to add to it or update the tasks that are there (you need to create a login for yourself first).

One job of major importance that pretty much anyone can do is to look for jobs to add to the task list. In the case of methods from the OpenStep specification or the MacOS X documentation not being present in the GNUstep libraries, it is also helpful to add the method prototypes to the library header files.

Send any changes or additions to [bug-gnustep@gnu.org][98].

A beginner can look through the MacOS X documentation, the OpenStep specification and the GNUstep source and contribute task items.

If a class or method is

* in MacOS X and OpenStep but is not in GNUstep, it's a high priority TODO and should at least be added to the GNUstep headers and a dummy version added to the source with a FIXME comment.
* in MacOS X but not OpenStep or GNUstep, it's a low priority TODO. It should be added to the GNUstep headers bracketed in #ifndef STRICT\_OPENSTEP
* in OpenStep but not in MacOS X or GNUstep, it's a low priority TODO. It should be added to the GNUstep headers bracketed in #ifndef STRICT\_MACOS\_X

There are a couple of people working on this already, so it's a good idea to get in touch with Adam or Richard to coordinate efforts.

[[edit][99]]

<>

### How do I start writing tests?

You can write testcases - where the libraries fail tests, you could either fix the problem, or add it to the task list.

To write testcases, you need to use svn to install the latest GNUstep source code you can find. Then checkout the 'gnustep/tools/testsuite' module from svn.

[[edit][100]]

<>

### How can I help with the GNUstep website?

**Please consider contributing to this Wiki as opposed to the website.** Contact [Adam Fedor][101], the maintainer.

The GNUstep website is kept as a CVS module, but the largest portions of it (the FAQ and the Documentation) are actually generated from files in the individual GNUstep packages.

If you want to update the FAQ or documentation - grab the latest snapshot of the GNUstep core you can find, update it from the svn repository, and work with the contents of the appropriate documentation directory.

If you want to work on other parts of the website, you can grab a copy of the website via anonymous CVS. See [http://savannah.gnu.org/cvs/?group\_id=99][102] for instructions on how to do that.

The main task with the website is to figure out which bits are out-of-date (or wrong) and update/mark-as-outdated as required.

[[edit][103]]

<>

## GNU Objective-C Compiler and Runtime

[[edit][104]]

<>

### What is the Objective-C Runtime?

The [Objective-C runtime][105] Library provides C functions and data structures required to execute an Objective C program.

The GNU Objective-C Runtime Library offers everything NeXT's runtime does, including Categories, Protocols, \`+poseAs:', thread-safety, class initialization on demand, delayed loading of classes, and initialization of static instances (such as @""-style string literals).

It also has several differences over NeXT's implementation:

* GNU's runtime provides "selector-types" along with each selector; NeXT's does not. A selector-type is a string that describes the C variable types for the method's return and argument values. Among other uses, selector-types are extremely helpful for fast distributed objects implementations (see [GNUstep Base Library Section][106], below).

* Many of the GNU functions have different names than their corresponding NeXT functions; the GNU names conform to the GNU coding standards. The GNUstep base library contains a compatibility header that works with both runtimes. You should use functions there or use OpenStep Foundation methods/functions instead of the basic runtime functions so that your code can run with either system.

Apple has recently added new functionality to their runtime, including built-in exception handling, etc. Hopefully these will be ported to the GNU runtime in the future.

[[edit][107]]

<>

### Where can I get a gcc compiler with Objective-C support?

* TBA.

[[edit][108]]

<>

### How I can compile my own gcc compiler with Objective-C support?

* TBA.

[[edit][109]]

<>

### How I check if my gcc compiler has good Objective-C environment?

* TBA.

[[edit][110]]

<>

## GNUstep Base Library

[[edit][111]]

<>

### What is the GNUstep Base Library?

The GNUstep Base Library is a library of general-purpose, non-graphical Objective C objects. For example, it includes classes for strings, object collections, byte streams, typed coders, invocations, notifications, notification dispatchers, moments in time, network ports, remote object messaging support (distributed objects), event loops etc.

It provides functionality that aims to implement the non-graphical portion of the OpenStep standard (the Foundation library).

[[edit][112]]

<>

### What is its current state of development?

GNUstep base is currently stable and, to the best of our knowledge, implements all of the OpenStep functionality (except for a few classes that we feel are not useful). It also implements most all of the new Cocoa classes. However we do some things, like scripting, differently, so we don't implement all the Cocoa classes.

[[edit][113]]

<>

### What are the features of GNU Distributed Objects?

GNU Distributed Objects has many of the features of other distributed objects implementations, but, since it is free software, it can be ported to platforms for which other distributed objects implementations are not available.

NOTE: The GNU distributed object facilities have the same ease-of-use as Apple's; be warned, however, that they are not compatible with each other. They have different class hierarchies, different instance variables, different method names, different implementation strategies and different network message formats. You cannot communicate with a Apple NSConnection using a GNU NSConnection. Here are some differences between GNU distributed objects and Apple's distributed objects: Apple NSDistantObject asks it's remote target for the method encoding types and caches the results; GNU NSDistantObject gets the types directly from the local GNU "typed selector" mechanism if the information is known locally and only queries the remote target or caching encoding types when using a method that is not known to the local process. The NSProxy for the remote root object always has name and, once set, you cannot change the root object of a NSConnection; the GNU Proxy for the remote root object has a target address value just like all other Proxy's, and you can change the root object as many times as you like.

[[edit][114]]

<>

## GNUstep GUI Library

[[edit][115]]

<>

### What is the GUI Library?

The GNUstep GUI Library is a library of objects useful for writing graphical applications. For example, it includes classes for drawing and manipulating graphics objects on the screen: windows, menus, buttons, sliders, text fields, and events. There are also many peripheral classes that offer operating-system-independent interfaces to images, cursors, colors, fonts, pasteboards, printing. There are also workspace support classes such as data links, open/save panels, context-dependent help, spell checking.

It provides functionality that aims to implement the \`AppKit' portion of the OpenStep standard. However the implementation has been written to take advantage of GNUstep enhancements wherever possible.

[[edit][116]]

<>

### Explain the organization of the front- and back-ends

The GNUstep GUI Library is divided into a front- and back-end. The front-end contains the majority of implementation, but leaves out the low-level drawing and event code. A back-end can override whatever methods necessary in order to implement low-level drawing event receiving. Different back-ends will make GNUstep available on various platforms. The default GNU back-end will run on top of X-Window. Other back-ends could allow GNUstep to run on OpenGL and WIN32 graphics/event platforms. Much work will be saved by this clean separation between front- and back-end, because it allows different platforms to share the large amount of front-end code.

[[edit][117]]

<>

### What is the current state of development of the front-end?

Many of the classes are well implemented, if not thoroughly tested. See the GNUstep web sites and read status information contained in the distribution for the most up-to-date information.

[[edit][118]]

<>

### What Is the Current State of Development of the back-ends?

There are several backends currently available:

* **xlib:** This backend runs on X11 and uses standard xlib calls for implementing drawing. It works well, but is limited in many areas due to the limitations of xlib drawing.
* **art:** This is a very good backend that draws using the libart package and freetype with near PostScript quality and functionality.
* **w32:** This backend works on Windows and uses basic Windows drawing
* **cairo:** A backend based on the cairo graphics library. It is the standard backend (as long as the required libraries are installed).

[[edit][119]]

<>

## GNUstep DisplayGhostScript Server

[[edit][120]]

<>

### What is the Display Ghostscript Server?

It is a free implementation of a Display PostScript server based on the GNU Ghostscript program developed by Aladdin Enterprises and now owned by artofcode LLC.

At one point, GNUstep was using this for display purposes. However the development of DGS has stopped as it is too difficult to maintain and no one wanted to work on it. Now we are using other means of drawing.

[[edit][121]]

<>

### What is its current state of development?

GNU contracted with Aladdin Enterprises to add some key features to GNU Ghostscript so it could be used as a DPS server. This work has mostly been done, although Aladdin did not completely finish the work that they were contracted for. (Because the work took longer than specified and was not completed, Aladdin agreed to waive approximately $10,000 in promised fees for the work that was actually done and delivered.) DGS works fairly well with a single context. Alpha channel and compositing doesn't work.

Further development on DGS has been abandoned in favor of libraries such as Cairo and libart.

[[edit][122]]

<>

### What is the relationship between the Display Ghostscript Server and X-Window?

Display Ghostscript runs on top of X-Window.

 Retrieved from "[http://wiki.gnustep.org/index.php/Developer\_FAQ][123]"

[Categories][124]: [FAQ][125]

##### Views

* [Article][126]
* [Discussion][127]
* [Edit][128]
* [History][129]

##### Personal tools

* [Create an account or log in][130]

[][131]

##### users

* [Applications][132]
* [Guides][133]
* [FAQ][134]
* [Get Help][135]
* [Report Bugs][136]
* [Donations][137]
* [Screenshots][138]

##### developers

* [Guides][139]
* [FAQ][140]
* [Base API (Foundation)][141]
* [GUI API (AppKit)][142]
* [Frameworks][143]

##### Navigation

* [Main Page][144]
* [Community portal][145]
* [Current events][146]
* [Recent changes][147]
* [Random page][148]
* [Help][149]

##### Search

##### Toolbox

* [What links here][150]
* [Related changes][151]
* [Upload file][152]
* [Special pages][153]
* [Printable version][154]

[![MediaWiki][155]][156]

* This page was last modified 13:46, 30 March 2015.
* This page has been accessed 216,819 times.
* Content is available under [GNU General Public License][157].
* [About GNUstepWiki][158]
* [Disclaimers][159]

  [1]: mailto:gnustep-maintainer@gnu.org "mailto:gnustep-maintainer@gnu.org"
  [2]: /index.php/User_FAQ "User FAQ"
  [3]: #Getting_Started
  [4]: #Installation
  [5]: #Installation_Troubleshooting
  [6]: #Configuration
  [7]: #Compatibility
  [8]: #Is_it_easy_to_port_OPENSTEP_programs_to_GNUstep.3F
  [9]: #How_about_porting_between_Cocoa_and_GNUstep.3F
  [10]: #Tools_for_porting
  [11]: #Can_I_transfer_archived_data_from_GNUstep_to_Cocoa.3F
  [12]: #Do_Distributed_Objects_work_between_GNUstep_and_Cocoa.3F
  [13]: #Is_there_an_Interface_Builder_for_GNUstep.3F
  [14]: #Can_I_use_my_original_NIB_files.3F
  [15]: #Can_I_use_the_hybrid_.22Objective-C.2B.2B.22_.3F
  [16]: #Is_there_a_plan_to_support_the_Java.2FYellowBox_bindings.3F
  [17]: #What_if_I_compile_GNUstep_under_OPENSTEP.2FMacOS_X.3F
  [18]: #Is_the_Objective-C_API_for_GTK_related.3F
  [19]: #How_about_implementing_parts_of_the_Application_Kit_with_GTK.3F
  [20]: #Compiling_and_Developing
  [21]: #How_can_I_get_started_programming.3F
  [22]: #Does_GDB_support_Objective-C.3F
  [23]: #How_can_I_help_with_GNUstep.3F
  [24]: #How_do_I_start_writing_applications.3F
  [25]: #Helping_develop_GNUstep
  [26]: #Helping_document_GNUstep
  [27]: #How_do_I_assign_my_Contribution.3F
  [28]: #How_do_I_update_the_task_list.3F
  [29]: #How_do_I_start_writing_tests.3F
  [30]: #How_can_I_help_with_the_GNUstep_website.3F
  [31]: #GNU_Objective-C_Compiler_and_Runtime
  [32]: #What_is_the_Objective-C_Runtime.3F
  [33]: #Where_can_I_get_a_gcc_compiler_with_Objective-C_support.3F
  [34]: #How_I_can_compile_my_own_gcc_compiler_with_Objective-C_support.3F
  [35]: #How_I_check_if_my_gcc_compiler_has_good_Objective-C_environment.3F
  [36]: #GNUstep_Base_Library
  [37]: #What_is_the_GNUstep_Base_Library.3F
  [38]: #What_is_its_current_state_of_development.3F
  [39]: #What_are_the_features_of_GNU_Distributed_Objects.3F
  [40]: #GNUstep_GUI_Library
  [41]: #What_is_the_GUI_Library.3F
  [42]: #Explain_the_organization_of_the_front-_and_back-ends
  [43]: #What_is_the_current_state_of_development_of_the_front-end.3F
  [44]: #What_Is_the_Current_State_of_Development_of_the_back-ends.3F
  [45]: #GNUstep_DisplayGhostScript_Server
  [46]: #What_is_the_Display_Ghostscript_Server.3F
  [47]: #What_is_its_current_state_of_development.3F_2
  [48]: #What_is_the_relationship_between_the_Display_Ghostscript_Server_and_X-Window.3F
  [49]: /index.php?title=Developer_FAQ&action=edit&section=1 "Developer FAQ"
  [50]: /index.php?title=Developer_FAQ&action=edit&section=2 "Developer FAQ"
  [51]: /index.php/Installation "Installation"
  [52]: /index.php?title=Developer_FAQ&action=edit&section=3 "Developer FAQ"
  [53]: /index.php/User_FAQ#Troubleshooting "User FAQ"
  [54]: /index.php?title=Developer_FAQ&action=edit&section=4 "Developer FAQ"
  [55]: http://gnustep.made-it.com/Configuration/ "http://gnustep.made-it.com/Configuration/"
  [56]: /index.php?title=Developer_FAQ&action=edit&section=5 "Developer FAQ"
  [57]: /index.php?title=Developer_FAQ&action=edit&section=6 "Developer FAQ"
  [58]: /index.php/Writing_portable_code#Porting_from_Cocoa_or_OPENSTEP_.28NS.2A.29_to_GNUstep "Writing portable code"
  [59]: /index.php?title=Developer_FAQ&action=edit&section=7 "Developer FAQ"
  [60]: /index.php/Writing_portable_code#Porting_from_Cocoa_or_OPENSTEP_.28NS.2A.29_to_GNUstep "Writing portable code"
  [61]: /index.php?title=Developer_FAQ&action=edit&section=8 "Developer FAQ"
  [62]: /index.php/Renaissance "Renaissance"
  [63]: /index.php/Gorm "Gorm"
  [64]: /index.php/StepTalk "StepTalk"
  [65]: /index.php?title=Developer_FAQ&action=edit&section=9 "Developer FAQ"
  [66]: /index.php?title=Developer_FAQ&action=edit&section=10 "Developer FAQ"
  [67]: /index.php?title=Developer_FAQ&action=edit&section=11 "Developer FAQ"
  [68]: /index.php/Gorm "Gorm"
  [69]: /index.php/ProjectCenter "ProjectCenter"
  [70]: /index.php/ProjectManager "ProjectManager"
  [71]: /index.php?title=Developer_FAQ&action=edit&section=12 "Developer FAQ"
  [72]: /index.php?title=Developer_FAQ&action=edit&section=13 "Developer FAQ"
  [73]: http://web.archive.org/web/20081231010709/http://developer.apple.com/DOCUMENTATION/Cocoa/Conceptual/ObjectiveC/Articles/chapter_14_section_1.html "http://web.archive.org/web/20081231010709/http://developer.apple.com/DOCUMENTATION/Cocoa/Conceptual/ObjectiveC/Articles/chapter 14 section 1.html"
  [74]: /index.php?title=Developer_FAQ&action=edit&section=14 "Developer FAQ"
  [75]: /index.php/JIGS "JIGS"
  [76]: /index.php?title=Developer_FAQ&action=edit&section=15 "Developer FAQ"
  [77]: /index.php?title=Developer_FAQ&action=edit&section=16 "Developer FAQ"
  [78]: /index.php?title=Developer_FAQ&action=edit&section=17 "Developer FAQ"
  [79]: /index.php?title=Developer_FAQ&action=edit&section=18 "Developer FAQ"
  [80]: /index.php?title=Developer_FAQ&action=edit&section=19 "Developer FAQ"
  [81]: http://www.gnu.org/software/gnustep/resources/documentation/ "http://www.gnu.org/software/gnustep/resources/documentation/"
  [82]: /index.php?title=Developer_FAQ&action=edit&section=20 "Developer FAQ"
  [83]: /index.php?title=Developer_FAQ&action=edit&section=21 "Developer FAQ"
  [84]: /index.php/GNUstepWiki:Community_Portal "GNUstepWiki:Community Portal"
  [85]: http://savannah.gnu.org/bugs/?group_id=99 "http://savannah.gnu.org/bugs/?group id=99"
  [86]: #How_Do_I_Update_the_Task_List.3F
  [87]: /index.php/Ideas "Ideas"
  [88]: /index.php/Roadmap "Roadmap"
  [89]: /index.php?title=Developer_FAQ&action=edit&section=22 "Developer FAQ"
  [90]: /index.php?title=Developer_FAQ&action=edit&section=23 "Developer FAQ"
  [91]: #How_do_I_assign_my_contribution.3F
  [92]: http://www.gnu.org/software/gnustep/developers/ "http://www.gnu.org/software/gnustep/developers/"
  [93]: /index.php?title=Developer_FAQ&action=edit&section=24 "Developer FAQ"
  [94]: /index.php?title=Developer_FAQ&action=edit&section=25 "Developer FAQ"
  [95]: http://www.gnustep.org/resources/request-assign.future "http://www.gnustep.org/resources/request-assign.future"
  [96]: /index.php?title=Developer_FAQ&action=edit&section=26 "Developer FAQ"
  [97]: http://savannah.gnu.org/task/?group=gnustep "http://savannah.gnu.org/task/?group=gnustep"
  [98]: mailto:bug-gnustep@gnu.org "mailto:bug-gnustep@gnu.org"
  [99]: /index.php?title=Developer_FAQ&action=edit&section=27 "Developer FAQ"
  [100]: /index.php?title=Developer_FAQ&action=edit&section=28 "Developer FAQ"
  [101]: mailto:fedor@gnu.org "mailto:fedor@gnu.org"
  [102]: http://savannah.gnu.org/cvs/?group_id=99 "http://savannah.gnu.org/cvs/?group id=99"
  [103]: /index.php?title=Developer_FAQ&action=edit&section=29 "Developer FAQ"
  [104]: /index.php?title=Developer_FAQ&action=edit&section=30 "Developer FAQ"
  [105]: /index.php/Objective-C_runtime "Objective-C runtime"
  [106]: #GNUstep_Base_Library
  [107]: /index.php?title=Developer_FAQ&action=edit&section=31 "Developer FAQ"
  [108]: /index.php?title=Developer_FAQ&action=edit&section=32 "Developer FAQ"
  [109]: /index.php?title=Developer_FAQ&action=edit&section=33 "Developer FAQ"
  [110]: /index.php?title=Developer_FAQ&action=edit&section=34 "Developer FAQ"
  [111]: /index.php?title=Developer_FAQ&action=edit&section=35 "Developer FAQ"
  [112]: /index.php?title=Developer_FAQ&action=edit&section=36 "Developer FAQ"
  [113]: /index.php?title=Developer_FAQ&action=edit&section=37 "Developer FAQ"
  [114]: /index.php?title=Developer_FAQ&action=edit&section=38 "Developer FAQ"
  [115]: /index.php?title=Developer_FAQ&action=edit&section=39 "Developer FAQ"
  [116]: /index.php?title=Developer_FAQ&action=edit&section=40 "Developer FAQ"
  [117]: /index.php?title=Developer_FAQ&action=edit&section=41 "Developer FAQ"
  [118]: /index.php?title=Developer_FAQ&action=edit&section=42 "Developer FAQ"
  [119]: /index.php?title=Developer_FAQ&action=edit&section=43 "Developer FAQ"
  [120]: /index.php?title=Developer_FAQ&action=edit&section=44 "Developer FAQ"
  [121]: /index.php?title=Developer_FAQ&action=edit&section=45 "Developer FAQ"
  [122]: /index.php?title=Developer_FAQ&action=edit&section=46 "Developer FAQ"
  [123]: http://wiki.gnustep.org/index.php/Developer_FAQ
  [124]: /index.php?title=Special:Categories&article=Developer_FAQ "Special:Categories"
  [125]: /index.php/Category:FAQ "Category:FAQ"
  [126]: /index.php/Developer_FAQ
  [127]: /index.php?title=Talk:Developer_FAQ&action=edit
  [128]: /index.php?title=Developer_FAQ&action=edit
  [129]: /index.php?title=Developer_FAQ&action=history
  [130]: /index.php?title=Special:Userlogin&returnto=Developer_FAQ
  [131]: /index.php/Main_Page "Main Page"
  [132]: /index.php/Category:Applications
  [133]: /index.php/User_Guides
  [134]: /index.php/User_FAQ
  [135]: /index.php/Get_Help
  [136]: /index.php/Report_Bugs
  [137]: /index.php/GNUstepWiki:Site_support
  [138]: /index.php/Screenshots
  [139]: /index.php/Developer_Guides
  [140]: /index.php/Developer_FAQ
  [141]: /index.php/Foundation
  [142]: /index.php/AppKit
  [143]: /index.php/Category:Frameworks
  [144]: /index.php/Main_Page
  [145]: /index.php/GNUstepWiki:Community_Portal
  [146]: /index.php/Current_events
  [147]: /index.php/Special:Recentchanges
  [148]: /index.php/Special:Random
  [149]: /index.php/Help:Contents
  [150]: /index.php/Special:Whatlinkshere/Developer_FAQ
  [151]: /index.php/Special:Recentchangeslinked/Developer_FAQ
  [152]: /index.php/Special:Upload
  [153]: /index.php/Special:Specialpages
  [154]: /index.php?title=Developer_FAQ&printable=yes&printable=yes
  [155]: /skins/common/images/poweredby_mediawiki_88x31.png
  [156]: http://www.mediawiki.org/
  [157]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [158]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [159]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"