<>

# Development tools

### From GNUstepWiki	{#siteSub}

More about development tools: <http://www.gnustep.org/experience/DeveloperTools.html>

<table>
<tr>
<td>
## Contents
* [1 Gorm - Graphical Object Relationship Modeller][1]
* [2 Project Center][2]
* [3 Other tools][3]
  * [3\.1 Unit Testing][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Gorm - Graphical Object Relationship Modeller

Gorm stands for "Graphical Object Relationship Modeller" and is GNUstep's easy-to-use interface designer.

With Gorm designing tough and complex graphical interfaces for your applications can be done easily and quickl, using drag &amp; drop, powerful inspectors and teamwork with ProjectCenter.

Gorm allows developers to quickly create and edit graphical application interfaces using a whole lot of GUI elements: windows, menus, buttons, labels, sliders, tables, textfields, browsers, images, altert panels and more. Custom palettes can be dynamically loaded to add additional elements or functionality.

After creating the interface, objects can be linked using mouse operations. Also Gorm features interactive testing of interfaces.

Please see the following wiki sections to learn tips on how to effectively utilize Gorm:

* [Gorm Manual][6]
* [Gorm FAQ][7]
* [Gorm Installation On Windows][8]

Also see the following external links:

* ** [Official Gorm page][9] **

* **[Debian Offical Release][10]**

* **[FreeBSD Ports][11]**

[[edit][12]]

<>

## Project Center

** [Project Center][13] **

ProjectCenter is GNUstep's integrated developement environment (IDE). It is based in part on NeXT's original Project Builder. It assists you in starting new projects and lets you manage your project files using a intuitive and well ordered graphical user interface.

* [ProjectCenter FAQ][14]

[[edit][15]]

<>

## Other tools

[[edit][16]]

<>

### Unit Testing

GNUstep is blessed with a number of unit test frameworks:

* Traditionally, it has provided a [testing environment][17] based around Guile, an implementation of Scheme that has been blessed as the preferred GNU scripting language. It has been hard to convince Objective-C programmers to write tests in this language, and the utility of the package has not lived up to expectations.

* GNUstep now also contains a unit testing framework intended as general framework for testing the core GNUstep libraries, called [Testsuite][18]. This may not be suitable for more general unit testing of applications as it's been designed to operate with little of the GNUstep environment actually running. _Tip: use this if you're describing or fixing bugs or features in base, gui etc._

* [ÃÂtoilÃÂ©][19] contains a port to GNUstep of [UnitKit 1.5][20]. This is a straight-forward unit testing environment, suited to the needs of application developers. It also works under X-code on MacOS X.

* [Sen:te][21] have provided a unit testing environment called [OCUnit][22] which apparently works under GNUstep, although there are comments in the mailing lists about difficulty getting it working.

* Perhaps [ObjcUnit][23] is also relevant? --[svetlana][24] 01:26, 16 January 2017 (CET)

----

See also:

* [Official Development Frameworks][25]
* [Development Frameworks][26]

 Retrieved from "[http://wiki.gnustep.org/index.php/Development\_tools][27]"

##### Views

* [Article][28]
* [Discussion][29]
* [Edit][30]
* [History][31]

##### Personal tools

* [Create an account or log in][32]

[][33]

##### users

* [Applications][34]
* [Guides][35]
* [FAQ][36]
* [Get Help][37]
* [Report Bugs][38]
* [Donations][39]
* [Screenshots][40]

##### developers

* [Guides][41]
* [FAQ][42]
* [Base API (Foundation)][43]
* [GUI API (AppKit)][44]
* [Frameworks][45]

##### Navigation

* [Main Page][46]
* [Community portal][47]
* [Current events][48]
* [Recent changes][49]
* [Random page][50]
* [Help][51]

##### Search

##### Toolbox

* [What links here][52]
* [Related changes][53]
* [Upload file][54]
* [Special pages][55]
* [Printable version][56]

[![MediaWiki][57]][58]

* This page was last modified 00:26, 16 January 2017.
* This page has been accessed 69,682 times.
* Content is available under [GNU General Public License][59].
* [About GNUstepWiki][60]
* [Disclaimers][61]

  [1]: #Gorm_-_Graphical_Object_Relationship_Modeller
  [2]: #Project_Center
  [3]: #Other_tools
  [4]: #Unit_Testing
  [5]: /index.php?title=Development_tools&action=edit&section=1 "Development tools"
  [6]: /index.php/Gorm_Manual "Gorm Manual"
  [7]: /index.php/Gorm_FAQ "Gorm FAQ"
  [8]: /index.php/Gorm_Installation_On_Windows "Gorm Installation On Windows"
  [9]: http://www.gnustep.org/experience/Gorm.html "http://www.gnustep.org/experience/Gorm.html"
  [10]: https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=gorm "https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=gorm"
  [11]: http://www.freshports.org/devel/gorm "http://www.freshports.org/devel/gorm"
  [12]: /index.php?title=Development_tools&action=edit&section=2 "Development tools"
  [13]: http://www.gnustep.org/experience/ProjectCenter.html "http://www.gnustep.org/experience/ProjectCenter.html"
  [14]: /index.php/ProjectCenter_FAQ "ProjectCenter FAQ"
  [15]: /index.php?title=Development_tools&action=edit&section=3 "Development tools"
  [16]: /index.php?title=Development_tools&action=edit&section=4 "Development tools"
  [17]: http://www.gnustep.org/resources/documentation/testdoc_toc.html "http://www.gnustep.org/resources/documentation/testdoc toc.html"
  [18]: http://lists.gnu.org/archive/html/gnustep-dev/2005-06/msg00050.html "http://lists.gnu.org/archive/html/gnustep-dev/2005-06/msg00050.html"
  [19]: https://gna.org/projects/etoile "https://gna.org/projects/etoile"
  [20]: https://github.com/etoile/UnitKit "https://github.com/etoile/UnitKit"
  [21]: http://www.sente.ch/ "http://www.sente.ch/"
  [22]: http://www.sente.ch/software/ocunit/ "http://www.sente.ch/software/ocunit/"
  [23]: /index.php/ObjcUnit "ObjcUnit"
  [24]: /index.php?title=User:Svetlana&action=edit "User:Svetlana"
  [25]: /index.php/Category:Frameworks "Category:Frameworks"
  [26]: /index.php/Category:Development_Frameworks "Category:Development Frameworks"
  [27]: http://wiki.gnustep.org/index.php/Development_tools
  [28]: /index.php/Development_tools
  [29]: /index.php?title=Talk:Development_tools&action=edit
  [30]: /index.php?title=Development_tools&action=edit
  [31]: /index.php?title=Development_tools&action=history
  [32]: /index.php?title=Special:Userlogin&returnto=Development_tools
  [33]: /index.php/Main_Page "Main Page"
  [34]: /index.php/Category:Applications
  [35]: /index.php/User_Guides
  [36]: /index.php/User_FAQ
  [37]: /index.php/Get_Help
  [38]: /index.php/Report_Bugs
  [39]: /index.php/GNUstepWiki:Site_support
  [40]: /index.php/Screenshots
  [41]: /index.php/Developer_Guides
  [42]: /index.php/Developer_FAQ
  [43]: /index.php/Foundation
  [44]: /index.php/AppKit
  [45]: /index.php/Category:Frameworks
  [46]: /index.php/Main_Page
  [47]: /index.php/GNUstepWiki:Community_Portal
  [48]: /index.php/Current_events
  [49]: /index.php/Special:Recentchanges
  [50]: /index.php/Special:Random
  [51]: /index.php/Help:Contents
  [52]: /index.php/Special:Whatlinkshere/Development_tools
  [53]: /index.php/Special:Recentchangeslinked/Development_tools
  [54]: /index.php/Special:Upload
  [55]: /index.php/Special:Specialpages
  [56]: /index.php?title=Development_tools&printable=yes&printable=yes
  [57]: /skins/common/images/poweredby_mediawiki_88x31.png
  [58]: http://www.mediawiki.org/
  [59]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [60]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [61]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"