<>

# Document based applications

### From GNUstepWiki	{#siteSub}

Document based applications are those that are primarily concerned with user documents, allowing multiple (context-sensitive) document windows and a consistent mechanism for file loading and saving. GNUstep provides a model and associated services, for the rapid development of applications following this paradigm.

Document based applications in GNUstep use NSDocument and NSDocumentController to support and coordinate this behaviour. Below are some articles describing how you can add this functionality to your program, and the role these classes in play in gnustep-gui.

[NSDocument][1]

[Creating document based applications][2]

SaÃÂ¡o Kiselkov has put together several [video tutorials][3], one of which shows the process of creating a document-based application using ProjectManager.

 Retrieved from "[http://wiki.gnustep.org/index.php/Document\_based\_applications][4]"

[Categories][5]: [Development][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 23:09, 4 September 2006.
* This page has been accessed 22,149 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: /index.php/NSDocument "NSDocument"
  [2]: /index.php/Creating_document_based_applications "Creating document based applications"
  [3]: http://home.gna.org/pmanager/videos.html "http://home.gna.org/pmanager/videos.html"
  [4]: http://wiki.gnustep.org/index.php/Document_based_applications
  [5]: /index.php?title=Special:Categories&article=Document_based_applications "Special:Categories"
  [6]: /index.php/Category:Development "Category:Development"
  [7]: /index.php/Document_based_applications
  [8]: /index.php/Talk:Document_based_applications
  [9]: /index.php?title=Document_based_applications&action=edit
  [10]: /index.php?title=Document_based_applications&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=Document_based_applications
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/Document_based_applications
  [32]: /index.php/Special:Recentchangeslinked/Document_based_applications
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=Document_based_applications&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"