<>

# EDFrameworks

### From GNUstepWiki	{#siteSub}

One framework that provides seamless extensions of Foundation and AppKit. Two more frameworks that provide services for Internet applications, style sheet driven export of your objects and message handling.

<>

#### Current Version: [EDCommon][1] V. 33; [EDStyleSheet][2] V. 3; [EDMessage][3] V. 16

* Released: 2003
* Licensed: BSD style

<>

### Overview

The [EDCommon][4] framework extends Foundation and AppKit in a natural way. It contains common methods you always need, like removing whitespace around a string, special collection classes such as stack or object pair, an object-oriented API for socket programming, some widgets, the chasing arrows to indicate background activity for example, a parser for markup languages and other nifty stuff.

The [EDStyleSheet][5] framework uses the parser from the EDCommon Framework to read stylesheets and create an "active model" of the style sheet that interacts with your classes to produce output in any text based language, e.g. XML or LaTeX. In a way, a very flexible kind of WebObjects component. You can also subclass existing model classes and add new ones.

The [EDMessage][6] framework contains classes to analyse and create Internet Messages with MIME extensions as well as a ready-to-use e-mail client class.

<>

### Features

All frameworks come with project files for XCode and makefiles for GNUstep.

<>

### Maintainer

Mulle Kybernetik

<>

### Related Links

<http://www.mulle-kybernetik.com/software/EDFrameworks/download.html>

 Retrieved from "<http://wiki.gnustep.org/index.php/EDFrameworks>"

[Categories][7]: [Development Frameworks][8] | [Networking Frameworks][9] | [Frameworks][10]

##### Views

* [Article][11]
* [Discussion][12]
* [Edit][13]
* [History][14]

##### Personal tools

* [Create an account or log in][15]

[][16]

##### users

* [Applications][17]
* [Guides][18]
* [FAQ][19]
* [Get Help][20]
* [Report Bugs][21]
* [Donations][22]
* [Screenshots][23]

##### developers

* [Guides][24]
* [FAQ][25]
* [Base API (Foundation)][26]
* [GUI API (AppKit)][27]
* [Frameworks][28]

##### Navigation

* [Main Page][29]
* [Community portal][30]
* [Current events][31]
* [Recent changes][32]
* [Random page][33]
* [Help][34]

##### Search

##### Toolbox

* [What links here][35]
* [Related changes][36]
* [Upload file][37]
* [Special pages][38]
* [Printable version][39]

[![MediaWiki][40]][41]

* This page was last modified 13:48, 10 July 2008.
* This page has been accessed 7,048 times.
* Content is available under [GNU General Public License][42].
* [About GNUstepWiki][43]
* [Disclaimers][44]

  [1]: /index.php?title=EDCommon&action=edit "EDCommon"
  [2]: /index.php?title=EDStyleSheet&action=edit "EDStyleSheet"
  [3]: /index.php?title=EDMessage&action=edit "EDMessage"
  [4]: /index.php?title=EDCommon&action=edit "EDCommon"
  [5]: /index.php?title=EDStyleSheet&action=edit "EDStyleSheet"
  [6]: /index.php?title=EDMessage&action=edit "EDMessage"
  [7]: /index.php?title=Special:Categories&article=EDFrameworks "Special:Categories"
  [8]: /index.php/Category:Development_Frameworks "Category:Development Frameworks"
  [9]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [10]: /index.php/Category:Frameworks "Category:Frameworks"
  [11]: /index.php/EDFrameworks
  [12]: /index.php?title=Talk:EDFrameworks&action=edit
  [13]: /index.php?title=EDFrameworks&action=edit
  [14]: /index.php?title=EDFrameworks&action=history
  [15]: /index.php?title=Special:Userlogin&returnto=EDFrameworks
  [16]: /index.php/Main_Page "Main Page"
  [17]: /index.php/Category:Applications
  [18]: /index.php/User_Guides
  [19]: /index.php/User_FAQ
  [20]: /index.php/Get_Help
  [21]: /index.php/Report_Bugs
  [22]: /index.php/GNUstepWiki:Site_support
  [23]: /index.php/Screenshots
  [24]: /index.php/Developer_Guides
  [25]: /index.php/Developer_FAQ
  [26]: /index.php/Foundation
  [27]: /index.php/AppKit
  [28]: /index.php/Category:Frameworks
  [29]: /index.php/Main_Page
  [30]: /index.php/GNUstepWiki:Community_Portal
  [31]: /index.php/Current_events
  [32]: /index.php/Special:Recentchanges
  [33]: /index.php/Special:Random
  [34]: /index.php/Help:Contents
  [35]: /index.php/Special:Whatlinkshere/EDFrameworks
  [36]: /index.php/Special:Recentchangeslinked/EDFrameworks
  [37]: /index.php/Special:Upload
  [38]: /index.php/Special:Specialpages
  [39]: /index.php?title=EDFrameworks&printable=yes&printable=yes
  [40]: /skins/common/images/poweredby_mediawiki_88x31.png
  [41]: http://www.mediawiki.org/
  [42]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [43]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [44]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"