<>

# EtoileOS under Ubuntu Linux

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

## EtoileOS under Ubuntu Linux

* First, install [GNUstep under Ubuntu Linux][2]
* Works under Ubuntu Desktop 12.04 (as long as you fix errors using the steps below)
* PopplerKit compilation fails under Ubuntu Desktop 13.10

	sudo aptitude install libssl-dev libgmp3-dev libsqlite-dev libsqlite3-dev
	sudo aptitude install libgraphviz-dev libonig-dev libpoppler-dev libdbus-1-dev
	sudo aptitude install libxss-dev

	svn co svn://svn.gna.org/svn/etoile/trunk/Etoile Etoile
	cd Etoile
	make  # fix errors by following steps below.
	sudo -E make install
	./setup.sh

Then run using: etoile\_system

And try an app: Typewriter

<br />

[[edit][3]]

<>

## How to fix errors (SVN revision 9992 checked out on January 1, 2014)

**Note:** Although the above should just work, there are some errors. We can fix the errors by following the steps below.

	1) Comment out unrecognized symbol in line 670 in ./Languages/LanguageKit/CodeGen/CodeGenModule.mm:
	     // TO.JITExceptionHandling = 1;

	2) Comment out unrecognized symbol in lines 210 and 211 in ./Languages/LanguageKit/CodeGen/CodeGenTypes.mm:
	     // case llvm::Module::AnyPointerSize:
	     //    intPtrTy = llvm::Type::getIntNTy(context, sizeof(void*) * 8);

	3) Copy a missing include file needed by ./Frameworks/CoreObject/Extras/Model/COAttributedString.m
	     cp ./Frameworks/CoreObject/Debugging/COObjectGraphContext+Graphviz.h ./Frameworks/CoreObject/Extras/Model/

	4) Edit ./Services/User/StepChat/GNUmakefile to change the two instances of -werror to -Werror
	   because stepChat fails with clang-3.5: error: unknown argument: '-werror'.

	5) For the final link to succeed, add the full path to your llvm/build/lib/ directory to your ld.so.conf.
	   For example append the path it to /etc/ld.so.conf.d/libc.conf:
	      /usr/local/lib
	      /home/patryk/llvm/build/lib
	   and then run sudo ldconfig

Run make again after applying each of these fixes (or all of them).

 Retrieved from "[http://wiki.gnustep.org/index.php/EtoileOS\_under\_Ubuntu\_Linux][4]"

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 07:18, 2 January 2014.
* This page has been accessed 2,590 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: /index.php?title=EtoileOS_under_Ubuntu_Linux&action=edit&section=1 "EtoileOS under Ubuntu Linux"
  [2]: /index.php/GNUstep_under_Ubuntu_Linux "GNUstep under Ubuntu Linux"
  [3]: /index.php?title=EtoileOS_under_Ubuntu_Linux&action=edit&section=2 "EtoileOS under Ubuntu Linux"
  [4]: http://wiki.gnustep.org/index.php/EtoileOS_under_Ubuntu_Linux
  [5]: /index.php/EtoileOS_under_Ubuntu_Linux
  [6]: /index.php?title=Talk:EtoileOS_under_Ubuntu_Linux&action=edit
  [7]: /index.php?title=EtoileOS_under_Ubuntu_Linux&action=edit
  [8]: /index.php?title=EtoileOS_under_Ubuntu_Linux&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=EtoileOS_under_Ubuntu_Linux
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/EtoileOS_under_Ubuntu_Linux
  [30]: /index.php/Special:Recentchangeslinked/EtoileOS_under_Ubuntu_Linux
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=EtoileOS_under_Ubuntu_Linux&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"