<>

# FOSDEM 2005

### From GNUstepWiki	{#siteSub}

**GNUstep Developer Meeting at Fosdem 2005**

<table>
<tr>
<td>
## Contents
* [1 The event][1]
* [2 Why you want to be there][2]
* [3 Who will attend the meeting][3]
* [4 Topics][4]
  * [4\.1 Saturday][5]
  * [4\.2 Sunday][6]
* [5 Survey][7]
* [6 Marketing CD][8]
* [7 Additional Talks][9]
* [8 Contacts][10]
</td>
</tr>
</table>

[[edit][11]]

<>

## The event

A GNUstep developer meeting was held in Bruxelles (Belgium), during [Fosdem 2005][12] on 26-27 February 2005. Fosdem is the annual Free and Open source Software Developers' European Meeting, and provides a natural framework for GNUstep developers to meet.

GNUstep and [![Image:OpenGroupwareLogo.gif][13]][14] (<http://www.opengroupware.org/>) will share a booth and a dev room.

[[edit][15]]

<>

## Why you want to be there

You want to be there to meet the GNUstep developers in person.

The first GNUstep developer meetings, held during Fosdem 2002, [Fosdem 2003][16], and [Fosdem 2004][17] have been a [success][18]. GNUstep developers, programmers, users, fans, and curious had an occasion to meet and talk in a very friendly and informal atmosphere.

We hope to repeat this succesful experience during Fosdem 2005.

The focus of the meeting is more on meeting each other, rather than on formal conferences, but we still plan to organize a small agenda of talks about interesting GNUstep topics, to be held by major developers and contributors. They can be a starting point for further discussions, or simply an occasion to learn more about specific GNUstep topics. Stay tuned on these pages for more info.

We'd also like to invite a wider public to our talks and conferences, but that's not necessarily easy.

[[edit][19]]

<>

## Who will attend the meeting

One of the main reasons people attend the meeting is that you can meet, and talk directly to, other developers, whom you would otherwise meet only virtually (on mailing lists, emails, newsgroups, irc etc). We expect many lead developers and contributors to be present, so if you have never met them, you can't miss this occasion!

The following is a list of people of GNUstep fame (in alphabetical order) who have confirmed (or denied) that they will be able to join us at the GNUstep meeting at Fosdem 2005:

<table>
<tr>
<th> Name </th>
<th> Presence </th>
<th> Special comments </th>
</tr>
<tr>
<td> Marcus MÃÂ¼ller </td>
<td> yes </td>
</tr>
<tr>
<td> Helge Hess </td>
<td> yes </td>
</tr>
<tr>
<td> Bjoern Stierand </td>
<td> yes </td>
<td></td>
</tr>
<tr>
<td> Quentin MathÃÂ© </td>
<td> yes </td>
<td> I will come to the Saturday dinner </td>
</tr>
<tr>
<td> Nicolas Roard </td>
<td> yes </td>
<td> I will be happy to go to the saturday dinner tooÃÂ :) </td>
</tr>
<tr>
<td> Gerold Rupprecht </td>
<td> yes </td>
<td> I will be happy to sponsor dinner again Saturday evening </td>
</tr>
<tr>
<td> Wim Oudshoorn </td>
<td> yes </td>
<td></td>
</tr>
<tr>
<td> Fabien Vallon </td>
<td> yes </td>
<td></td>
</tr>
<tr>
<td> Chris Vetter </td>
<td> yes </td>
<td> I'll be back err there (job permitting) </td>
</tr>
<tr>
<td> Lars S.-Helldorf </td>
<td> yes </td>
<td> looking forward to the dinner </td>
</tr>
<tr>
<td> Peter Cooper </td>
<td> yes </td>
<td></td>
</tr>
</table>

If you plan to join us at the meeting, please let us know here in the wiki. Knowing how many people will attend will help in organizing the event, and will encourage other people to join.

[[edit][20]]

<>

## Topics

Proposed TalksÃÂ :

<table>
<tr>
<th> Name </th>
<th> Subject </th>
<th> Estimated length </th>
</tr>
<tr>
<td> Quentin MathÃÂ©, Nicolas Roard </td>
<td> ÃÂtoilÃÂ© desktop environment ideas and frameworks (BookmarkKit, ExtendedWorkspaceKit, IconKit,etc.) </td>
<td> 45 mn </td>
</tr>
<tr>
<td> GNUstep contributors </td>
<td> GNUstep marketingÃÂ : better GNUstep installation and development with GNUstep Kits, better look with new GNUstep icons and themes, etc. </td>
<td> 45 mn </td>
</tr>
<tr>
<td> Wim Oudshoorn &amp; others </td>
<td> GNUstep on Windows, presentation and discussion </td>
<td> 45 mn </td>
</tr>
<tr>
<td> Fabien Vallon </td>
<td> GNUstep image application project ,presentation </td>
<td> 15 mn </td>
</tr>
<tr>
<td> Helge Hess </td>
<td> Using OpenGroupware.org Frameworks, presentation </td>
<td> 45 mnÃÂ ? </td>
</tr>
<tr>
<td> Marcus Mueller </td>
<td> SOPE, presentation </td>
<td> 45 mnÃÂ ? </td>
</tr>
</table>

Here is the proposed timing:

[[edit][21]]

<>

### Saturday

<table>
<tr>
<th> Subject </th>
<th> duration </th>
<th> starting time </th>
<th> who </th>
</tr>
<tr>
<td> presentation of GNUstep </td>
<td> 30 min </td>
<td> 15:00 - 15:30 </td>
</tr>
<tr>
<td> talk about ÃÂtoilÃÂ© </td>
<td> 30 min </td>
<td> 15:30 - 16:00 </td>
<td> Quentin Mathe and Nicolas Roard </td>
</tr>
<tr>
<td> presentation of OpenGroupware </td>
<td> 30 min </td>
<td> 16:00 - 16:30 </td>
<td> Helge Hess </td>
</tr>
<tr>
<td> talk about SOPE </td>
<td> 30 min </td>
<td> 16:30 - 17:00 </td>
<td> Marcus Muller </td>
</tr>
</table>

[[edit][22]]

<>

### Sunday

<table>
<tr>
<th> Subject </th>
<th> duration </th>
<th> starting time </th>
<th> who </th>
</tr>
<tr>
<td> presentation of Image apps </td>
<td> 15 min </td>
<td> 14:45 - 15:00 </td>
<td> Fabien Vallon </td>
</tr>
<tr>
<td> GNUstep installer and deployment on Windows </td>
<td> 30 min </td>
<td> 15:00 - 15:30 </td>
<td>+ Oudshoorn </td>
</tr>
<tr>
<td> talk about using OpenGroupware.org Frameworks </td>
<td> 30 min </td>
<td> 15:30 - 16:00 </td>
<td> Helge Hess </td>
</tr>
<tr>
<td> talk about GNUstep marketing </td>
<td> 30 min </td>
<td> 16:00 - 16:30 </td>
</tr>
</table>

It can be great if all presenations (or at least pre-final versions) are available few days before the event and burnt to a CD with other GNUstep marketing and non-marketing material. _-- Stefan_

[[edit][23]]

<>

## Survey

See [Survey][24].

[[edit][25]]

<>

## Marketing CD

See [Marketing CD][26]

[[edit][27]]

<>

## Additional Talks

There will be additional quick public talks (not in the gnustep devroom) the Sunday about GNUstep, OpenGroupware.org and SOPE. See the lightning talks on the fosdem wiki: <http://wiki.fosdem.org/tiki-index.php?page=LightningTalks>

[[edit][28]]

<>

## Contacts

[Nicola Pero][29] and [Nicolas Roard][30] (nicolas at roard dot com), [Helge Hess][31] for OpenGroupware.org (hh at opengroupware dot org)

 Retrieved from "[http://wiki.gnustep.org/index.php/FOSDEM\_2005][32]"

[Categories][33]: [FOSDEM][34]

##### Views

* [Article][35]
* [Discussion][36]
* [Edit][37]
* [History][38]

##### Personal tools

* [Create an account or log in][39]

[][40]

##### users

* [Applications][41]
* [Guides][42]
* [FAQ][43]
* [Get Help][44]
* [Report Bugs][45]
* [Donations][46]
* [Screenshots][47]

##### developers

* [Guides][48]
* [FAQ][49]
* [Base API (Foundation)][50]
* [GUI API (AppKit)][51]
* [Frameworks][52]

##### Navigation

* [Main Page][53]
* [Community portal][54]
* [Current events][55]
* [Recent changes][56]
* [Random page][57]
* [Help][58]

##### Search

##### Toolbox

* [What links here][59]
* [Related changes][60]
* [Upload file][61]
* [Special pages][62]
* [Printable version][63]

[![MediaWiki][64]][65]

* This page was last modified 21:15, 8 March 2009.
* This page has been accessed 46,398 times.
* Content is available under [GNU General Public License][66].
* [About GNUstepWiki][67]
* [Disclaimers][68]

  [1]: #The_event
  [2]: #Why_you_want_to_be_there
  [3]: #Who_will_attend_the_meeting
  [4]: #Topics
  [5]: #Saturday
  [6]: #Sunday
  [7]: #Survey
  [8]: #Marketing_CD
  [9]: #Additional_Talks
  [10]: #Contacts
  [11]: /index.php?title=FOSDEM_2005&action=edit&section=1 "FOSDEM 2005"
  [12]: http://www.fosdem.org/2005/index/ "http://www.fosdem.org/2005/index/"
  [13]: /images/2/24/OpenGroupwareLogo.gif
  [14]: /index.php/Image:OpenGroupwareLogo.gif "Image:OpenGroupwareLogo.gif"
  [15]: /index.php?title=FOSDEM_2005&action=edit&section=2 "FOSDEM 2005"
  [16]: http://www.gnustep.it/fosdem2003/ "http://www.gnustep.it/fosdem2003/"
  [17]: http://wiki.gnustep.org/index.php/fosdem%202004 "http://wiki.gnustep.org/index.php/fosdem 2004"
  [18]: http://www.gnustep.de/Features/fosdem2003.en.php3 "http://www.gnustep.de/Features/fosdem2003.en.php3"
  [19]: /index.php?title=FOSDEM_2005&action=edit&section=3 "FOSDEM 2005"
  [20]: /index.php?title=FOSDEM_2005&action=edit&section=4 "FOSDEM 2005"
  [21]: /index.php?title=FOSDEM_2005&action=edit&section=5 "FOSDEM 2005"
  [22]: /index.php?title=FOSDEM_2005&action=edit&section=6 "FOSDEM 2005"
  [23]: /index.php?title=FOSDEM_2005&action=edit&section=7 "FOSDEM 2005"
  [24]: /index.php/Survey "Survey"
  [25]: /index.php?title=FOSDEM_2005&action=edit&section=8 "FOSDEM 2005"
  [26]: /index.php/Marketing_CD "Marketing CD"
  [27]: /index.php?title=FOSDEM_2005&action=edit&section=9 "FOSDEM 2005"
  [28]: /index.php?title=FOSDEM_2005&action=edit&section=10 "FOSDEM 2005"
  [29]: /index.php?title=Nicola_Pero&action=edit "Nicola Pero"
  [30]: /index.php?title=Nicolas_Roard&action=edit "Nicolas Roard"
  [31]: /index.php?title=Helge_Hess&action=edit "Helge Hess"
  [32]: http://wiki.gnustep.org/index.php/FOSDEM_2005
  [33]: /index.php?title=Special:Categories&article=FOSDEM_2005 "Special:Categories"
  [34]: /index.php/Category:FOSDEM "Category:FOSDEM"
  [35]: /index.php/FOSDEM_2005
  [36]: /index.php?title=Talk:FOSDEM_2005&action=edit
  [37]: /index.php?title=FOSDEM_2005&action=edit
  [38]: /index.php?title=FOSDEM_2005&action=history
  [39]: /index.php?title=Special:Userlogin&returnto=FOSDEM_2005
  [40]: /index.php/Main_Page "Main Page"
  [41]: /index.php/Category:Applications
  [42]: /index.php/User_Guides
  [43]: /index.php/User_FAQ
  [44]: /index.php/Get_Help
  [45]: /index.php/Report_Bugs
  [46]: /index.php/GNUstepWiki:Site_support
  [47]: /index.php/Screenshots
  [48]: /index.php/Developer_Guides
  [49]: /index.php/Developer_FAQ
  [50]: /index.php/Foundation
  [51]: /index.php/AppKit
  [52]: /index.php/Category:Frameworks
  [53]: /index.php/Main_Page
  [54]: /index.php/GNUstepWiki:Community_Portal
  [55]: /index.php/Current_events
  [56]: /index.php/Special:Recentchanges
  [57]: /index.php/Special:Random
  [58]: /index.php/Help:Contents
  [59]: /index.php/Special:Whatlinkshere/FOSDEM_2005
  [60]: /index.php/Special:Recentchangeslinked/FOSDEM_2005
  [61]: /index.php/Special:Upload
  [62]: /index.php/Special:Specialpages
  [63]: /index.php?title=FOSDEM_2005&printable=yes&printable=yes
  [64]: /skins/common/images/poweredby_mediawiki_88x31.png
  [65]: http://www.mediawiki.org/
  [66]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [67]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [68]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"