<>

# FOSDEM 2006

### From GNUstepWiki	{#siteSub}

**GNUstep Developer Meeting at Fosdem 2006**

<table>
<tr>
<td>
## Contents
* [1 The event][1]
* [2 Why you want to be there][2]
* [3 Who will attend the meeting][3]
* [4 Topics][4]
  * [4\.1 Saturday][5]
  * [4\.2 Sunday][6]
* [5 Survey][7]
* [6 Marketing CD][8]
* [7 Contacts][9]
</td>
</tr>
</table>

[[edit][10]]

<>

## The event

A GNUstep developer meeting will be held in Bruxelles (Belgium), during [Fosdem 2006][11] on 25-26 February 2006. Fosdem is the annual Free and Open source Software Developers' European Meeting, and provides a natural framework for GNUstep developers to meet.

GNUstep and [![Image:OpenGroupwareLogo.gif][12]][13] (<http://www.opengroupware.org/>) will share a booth and a dev room.

[[edit][14]]

<>

## Why you want to be there

You want to be there to meet the GNUstep developers in person.

The first GNUstep developer meetings, held during Fosdem 2002, [Fosdem 2003][15], [Fosdem 2004][16] and [Fosdem 2005][17] have been a [success][18]. GNUstep developers, programmers, users, fans, and curious had an occasion to meet and talk in a very friendly and informal atmosphere.

We hope to repeat this succesful experience during Fosdem 2006.

The focus of the meeting is more on meeting each other, rather than on formal conferences, but we still plan to organize a small agenda of talks about interesting GNUstep topics, to be held by major developers and contributors. They can be a starting point for further discussions, or simply an occasion to learn more about specific GNUstep topics. Stay tuned on these pages for more info.

We'd also like to invite a wider public to our talks and conferences, but that's not necessarily easy.

[[edit][19]]

<>

## Who will attend the meeting

One of the main reasons people attend the meeting is that you can meet, and talk directly to, other developers, whom you would otherwise meet only virtually (on mailing lists, emails, newsgroups, irc etc). We expect many lead developers and contributors to be present, so if you have never met them, you can't miss this occasion!

The following is a list of people of GNUstep fame (in alphabetical order) who have confirmed (or denied) that they will be able to join us at the GNUstep meeting at Fosdem 2006:

<table>
<tr>
<th> Name </th>
<th> Presence </th>
<th> Special comments </th>
</tr>
<tr>
<td> Richard Frith-Macdonald </td>
<td> yes </td>
<td> GNUstep </td>
</tr>
<tr>
<td> Helge Hess </td>
<td> yes </td>
<td> OpenGroupware.org </td>
</tr>
<tr>
<td> Fred Kiefer </td>
<td> yes </td>
<td> GNUstep </td>
</tr>
<tr>
<td> SaÃÂ¡o Kiselkov </td>
<td> yes </td>
<td> CoreData, ProjectManager </td>
</tr>
<tr>
<td> Quentin MathÃÂ© </td>
<td> yes </td>
<td> Etoile </td>
</tr>
<tr>
<td> Marcus MÃÂ¼ller aka ZNeK </td>
<td> yes </td>
<td> SOPE </td>
</tr>
<tr>
<td> Wim Oudshoorn </td>
<td>ÃÂ yes </td>
<td></td>
</tr>
<tr>
<td> Nicola Pero </td>
<td> yes </td>
<td> GNUstep </td>
</tr>
<tr>
<td> Nicolas Roard aka rIO </td>
<td> yes </td>
<td> Camaelon, Etoile </td>
</tr>
<tr>
<td> Nikolaus Schaller </td>
<td> yes </td>
<td> mySTEP </td>
</tr>
<tr>
<td> BjÃÂ¶rn Stierand </td>
<td> yes </td>
<td> OpenGroupware.org </td>
</tr>
<tr>
<td> Georg Wallmann aka Nat! </td>
<td> yes </td>
<td> Mulle kybernetiK </td>
</tr>
</table>

If you plan to join us at the meeting, please let us know here in the wiki. Knowing how many people will attend will help in organizing the event, and will encourage other people to join.

[[edit][20]]

<>

## Topics

Here is the list of the currently proposed talks (talk time will probably be around 30min/1h, depending on the number of talks we'll have)

<table>
<tr>
<th> Name </th>
<th> Subject </th>
<th> Estimated length </th>
</tr>
<tr>
<td> Helge Hess </td>
<td> OpenGroupware.org </td>
<td></td>
</tr>
<tr>
<td> Marcus MÃÂ¼ller </td>
<td> The SOPE application server (WebObjects+) </td>
<td></td>
</tr>
<tr>
<td> Quentin MathÃÂ©, Nicolas Roard </td>
<td> Etoile Desktop </td>
<td></td>
</tr>
<tr>
<td> SaÃÂ¡o Kiselkov </td>
<td> CoreData </td>
<td></td>
</tr>
<tr>
<td> SaÃÂ¡o Kiselkov </td>
<td> ProjectManager </td>
<td></td>
</tr>
<tr>
<td> Nikolaus Schaller </td>
<td> mySTEP: GNUstep on the Zaurus PDA </td>
<td></td>
</tr>
<tr>
<td> Nicolas Roard </td>
<td> Gorm, ProjectCenter, StepTalk palette, DBModeler </td>
<td></td>
</tr>
<tr>
<td> Wim Oudshoorn </td>
<td> Our experience porting an OpenStep application on MSWindows to GNUstep </td>
<td></td>
</tr>
</table>

Note: if possible, we should get all the slides before the fosdem, and create a livecd along with copies of the slides, booklets, etc.

Also, it would be very nice to videotape the presentations -- anybody has a video cameraÃÂ ?

Here is the proposed timing:

[[edit][21]]

<>

### Saturday

<table>
<tr>
<th> Subject </th>
<th> duration </th>
<th> starting time </th>
<th> who </th>
</tr>
<tr>
<td> GNUstep DevTools: GORM, StepTalk </td>
<td> 45min </td>
<td> 13:00 </td>
<td> Nicolas Roard </td>
</tr>
<tr>
<td> CoreData </td>
<td> 45min </td>
<td> 14:00 </td>
<td> SaÃÂ¡o Kiselkov </td>
</tr>
<tr>
<td> Web Applications with SOPE </td>
<td> 45min </td>
<td> 15:00 </td>
<td> Marcus Mueller </td>
</tr>
<tr>
<td> GNUstep on the Zaurus PDA </td>
<td> 45min </td>
<td> 16:00 </td>
<td> Nicolaus Schaller </td>
</tr>
</table>

[[edit][22]]

<>

### Sunday

<table>
<tr>
<th> Subject </th>
<th> duration </th>
<th> starting time </th>
<th> who </th>
</tr>
<tr>
<td> Windows Development with GNUstep </td>
<td> 45min </td>
<td> 10:00 </td>
<td> Richard Frith-Macdonald / Wim Oudshoorn </td>
</tr>
<tr>
<td> Project Manager IDE </td>
<td> 45min </td>
<td> 11:00 </td>
<td> SaÃÂ¡o Kiselkov </td>
</tr>
<tr>
<td> GroupDAV Meeting </td>
<td> 45min </td>
<td> 13:00 </td>
<td> Helge Hess </td>
</tr>
<tr>
<td> OpenGroupware.org Project and Applications </td>
<td> 45min </td>
<td> 14:00 </td>
<td> Helge Hess </td>
</tr>
<tr>
<td> Etoile Desktop Environment </td>
<td> 45min </td>
<td> 15:00 </td>
<td> Quentin MathÃÂ© / Nicolas Roard </td>
</tr>
</table>

[[edit][23]]

<>

## Survey

See [Survey][24].

[[edit][25]]

<>

## Marketing CD

See [Marketing CD][26]

[[edit][27]]

<>

## Contacts

[Nicola Pero][28] and [Nicolas Roard][29] (nicolas at roard dot com), [Helge Hess][30] for OpenGroupware.org (hh at opengroupware dot org)

 Retrieved from "[http://wiki.gnustep.org/index.php/FOSDEM\_2006][31]"

[Categories][32]: [FOSDEM][33]

##### Views

* [Article][34]
* [Discussion][35]
* [Edit][36]
* [History][37]

##### Personal tools

* [Create an account or log in][38]

[][39]

##### users

* [Applications][40]
* [Guides][41]
* [FAQ][42]
* [Get Help][43]
* [Report Bugs][44]
* [Donations][45]
* [Screenshots][46]

##### developers

* [Guides][47]
* [FAQ][48]
* [Base API (Foundation)][49]
* [GUI API (AppKit)][50]
* [Frameworks][51]

##### Navigation

* [Main Page][52]
* [Community portal][53]
* [Current events][54]
* [Recent changes][55]
* [Random page][56]
* [Help][57]

##### Search

##### Toolbox

* [What links here][58]
* [Related changes][59]
* [Upload file][60]
* [Special pages][61]
* [Printable version][62]

[![MediaWiki][63]][64]

* This page was last modified 21:15, 8 March 2009.
* This page has been accessed 113,044 times.
* Content is available under [GNU General Public License][65].
* [About GNUstepWiki][66]
* [Disclaimers][67]

  [1]: #The_event
  [2]: #Why_you_want_to_be_there
  [3]: #Who_will_attend_the_meeting
  [4]: #Topics
  [5]: #Saturday
  [6]: #Sunday
  [7]: #Survey
  [8]: #Marketing_CD
  [9]: #Contacts
  [10]: /index.php?title=FOSDEM_2006&action=edit&section=1 "FOSDEM 2006"
  [11]: http://www.fosdem.org/2006 "http://www.fosdem.org/2006"
  [12]: /images/2/24/OpenGroupwareLogo.gif
  [13]: /index.php/Image:OpenGroupwareLogo.gif "Image:OpenGroupwareLogo.gif"
  [14]: /index.php?title=FOSDEM_2006&action=edit&section=2 "FOSDEM 2006"
  [15]: http://www.gnustep.it/fosdem2003/ "http://www.gnustep.it/fosdem2003/"
  [16]: http://wiki.gnustep.org/index.php/fosdem%202004 "http://wiki.gnustep.org/index.php/fosdem 2004"
  [17]: http://wiki.gnustep.org/index.php/fosdem_2005 "http://wiki.gnustep.org/index.php/fosdem 2005"
  [18]: http://www.gnustep.de/Features/fosdem2003.en.php3 "http://www.gnustep.de/Features/fosdem2003.en.php3"
  [19]: /index.php?title=FOSDEM_2006&action=edit&section=3 "FOSDEM 2006"
  [20]: /index.php?title=FOSDEM_2006&action=edit&section=4 "FOSDEM 2006"
  [21]: /index.php?title=FOSDEM_2006&action=edit&section=5 "FOSDEM 2006"
  [22]: /index.php?title=FOSDEM_2006&action=edit&section=6 "FOSDEM 2006"
  [23]: /index.php?title=FOSDEM_2006&action=edit&section=7 "FOSDEM 2006"
  [24]: /index.php/Survey "Survey"
  [25]: /index.php?title=FOSDEM_2006&action=edit&section=8 "FOSDEM 2006"
  [26]: /index.php/Marketing_CD "Marketing CD"
  [27]: /index.php?title=FOSDEM_2006&action=edit&section=9 "FOSDEM 2006"
  [28]: /index.php?title=Nicola_Pero&action=edit "Nicola Pero"
  [29]: /index.php?title=Nicolas_Roard&action=edit "Nicolas Roard"
  [30]: /index.php?title=Helge_Hess&action=edit "Helge Hess"
  [31]: http://wiki.gnustep.org/index.php/FOSDEM_2006
  [32]: /index.php?title=Special:Categories&article=FOSDEM_2006 "Special:Categories"
  [33]: /index.php/Category:FOSDEM "Category:FOSDEM"
  [34]: /index.php/FOSDEM_2006
  [35]: /index.php?title=Talk:FOSDEM_2006&action=edit
  [36]: /index.php?title=FOSDEM_2006&action=edit
  [37]: /index.php?title=FOSDEM_2006&action=history
  [38]: /index.php?title=Special:Userlogin&returnto=FOSDEM_2006
  [39]: /index.php/Main_Page "Main Page"
  [40]: /index.php/Category:Applications
  [41]: /index.php/User_Guides
  [42]: /index.php/User_FAQ
  [43]: /index.php/Get_Help
  [44]: /index.php/Report_Bugs
  [45]: /index.php/GNUstepWiki:Site_support
  [46]: /index.php/Screenshots
  [47]: /index.php/Developer_Guides
  [48]: /index.php/Developer_FAQ
  [49]: /index.php/Foundation
  [50]: /index.php/AppKit
  [51]: /index.php/Category:Frameworks
  [52]: /index.php/Main_Page
  [53]: /index.php/GNUstepWiki:Community_Portal
  [54]: /index.php/Current_events
  [55]: /index.php/Special:Recentchanges
  [56]: /index.php/Special:Random
  [57]: /index.php/Help:Contents
  [58]: /index.php/Special:Whatlinkshere/FOSDEM_2006
  [59]: /index.php/Special:Recentchangeslinked/FOSDEM_2006
  [60]: /index.php/Special:Upload
  [61]: /index.php/Special:Specialpages
  [62]: /index.php?title=FOSDEM_2006&printable=yes&printable=yes
  [63]: /skins/common/images/poweredby_mediawiki_88x31.png
  [64]: http://www.mediawiki.org/
  [65]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [66]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [67]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"