<>

# FOSDEM 2007 Developer Workshop

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 What to do with 3rd Party Solutions within the GNUstep Community?][1]
* [2 Abstract][2]
* [3 What we did][3]
* [4 Results][4]
  * [4\.1 List of projects][5]
  * [4\.2 Reasons for Duplicates][6]
  * [4\.3 Solutions][7]
* [5 Additional Resources][8]
</td>
</tr>
</table>

[[edit][9]]

<>

# What to do with 3rd Party Solutions within the GNUstep Community?

**This page contains the original abstract and the summary of results of the developer workshop. The workshop took place on saturday, 24th of march. **

[[edit][10]]

<>

# Abstract

The goal of this workshop is to discuss questions dealing with 3rd party solutions and GNUstep and to summarize the results. At the beginning we may identify projects which seem to reinvent the wheel. Such projects are those implementing add-ons which have been developed before - logging functionality is a good example for this. Also, we may focus projects (re-) implementing GNUstep base functionality, like e.g. mySTEP. Then, having these projects figured out we may elaborate the potential reasons behind.

By starting to identify reasons for "duplicating" code we may shift the discussion to a different perspective and ask ourself, what GNUstep brings to the application programmer? Especially we may work out the requirements of the "typical" GNUstep application programmer. Collecting all information, thus bringing the potential reasons for "duplicated" codes, plus the capabilities of and the requirements for GNUstep altogether, we may then find out approaches for the handling of 3rd party solutions within the GNUstep community.

Since this session is meant as a workshop, the abstract presented hereby should be regarded as a collection of hints and all developers are warmly invited to actively participate in the discussion. The session will be moderated and organized by Helge Hess and Oliver Langer.

Moderation: Helge Hess, Oliver Langer

Schedule: 2 hours

<br />

[[edit][11]]

<>

# What we did

We identified projects which have the same or similar goals at least. As a result a list of subjects with their related projects has been worked out. Based on this list we wrote down potential reasons for these duplicates. Next we tried to find some solutions to resolve some duplicates.

Find below the list of duplicates, issues and solutions. As expected, we were far away from having all and complete solutions.

[[edit][12]]

<>

# Results

[[edit][13]]

<>

## List of projects

<table>
<tr>
<th> Subject </th>
<th> Related Projects </th>
</tr>
<tr>
<td> ObjCRuntime </td>
<td> AppleRuntime, GNU Runtime, Cocotron, (David) </td>
</tr>
<tr>
<td>Foundation </td>
<td> libFoundation, gstep-base, Cocoa, myStep, Cocotron, mgStep, SideStep </td>
</tr>
<tr>
<td>AppKi</td>
<td>gstep-gui, Apple, Cocotron, myStep, mgStep, (SideStep) </td>
</tr>
<tr>
<td>Mime</td>
<td>gstep-base, sope-mine, Pantomine, EDMessage, MailCore </td>
</tr>
<tr>
<td>XML</td>
<td>gstep-base, Sope-XML, Cocoa </td>
</tr>
<tr>
<td>Database</td>
<td>SQLClient, EDL2, sope-gdl1, CoreData, MulleEOF, BDB, FT </td>
</tr>
<tr>
<td>Web</td>
<td>gstep-web, Web-Server, SOPE, myStep </td>
</tr>
<tr>
<td>Logging</td>
<td>(gstep-base), Encore, sope-core, (Brainstorm), Log4Cocoa </td>
</tr>
</table>

[[edit][14]]

<>

## Reasons for Duplicates

We identified the following reasons:

* License
* [NIH][15]
* Historical not available
* Quality
* Code sucks
* Stability
* Coding style
* Copyright assignment
* Communication
* Information
* Parallel work
* Not asking for existing solutions
* Design decisions
* Incompleteness
* Deployment

Additionally we identified:

* Many links are broken on the website
* No public access for wiki
* With ObjectiveC 2.0 the runtime will not be compatible to Apple.

Reasons wrt. to subjects/projects:

* ObjCRuntime
  * Projects underly different licenses
* myStep
  * historical
  * Different goals

Due to limited time we were not able to work out the reasons for the other duplicates. We found out that in a lot of cases communication seems to be the major lack. E.g. people don't ask for existing solutions or for issues they have with a certain piece of software; finding related information on the web seems to be an issue as well.

[[edit][16]]

<>

## Solutions

Solutions being stated:

* OGo will use gnustep-base
* myStep team is putting efforts in merging/exchanging (at least partially) with gnustep

Ideas mentioned for handling such merges:

* the projects should use branches in the same repository.
* gnustep is willing to share its repository
* code is merged step by step from branch to branch

Additional solutions we worked out:

* Better quality through reusage
* Use common repositories for similar projects and migrate step by step
* Steps/Approaches (project plans, issues with existing software et cetera) should be communicated
* Use Wiki as a central point for announcements and discussions
* Wiki of [CocoaDev][17] works fine and may be a good reference
* Push more and more to the Wiki and only the musts on the GS web site
* Write the goals of GS and the differences to other projects for the public

[[edit][18]]

<>

# Additional Resources

The mind map taken during the workshop can be found here: [Media:2007-fosdem-workshop-3rdparty-solutions-in-gs-results.png][19].

 Retrieved from "[http://wiki.gnustep.org/index.php/FOSDEM\_2007\_Developer\_Workshop][20]"

##### Views

* [Article][21]
* [Discussion][22]
* [Edit][23]
* [History][24]

##### Personal tools

* [Create an account or log in][25]

[][26]

##### users

* [Applications][27]
* [Guides][28]
* [FAQ][29]
* [Get Help][30]
* [Report Bugs][31]
* [Donations][32]
* [Screenshots][33]

##### developers

* [Guides][34]
* [FAQ][35]
* [Base API (Foundation)][36]
* [GUI API (AppKit)][37]
* [Frameworks][38]

##### Navigation

* [Main Page][39]
* [Community portal][40]
* [Current events][41]
* [Recent changes][42]
* [Random page][43]
* [Help][44]

##### Search

##### Toolbox

* [What links here][45]
* [Related changes][46]
* [Upload file][47]
* [Special pages][48]
* [Printable version][49]

[![MediaWiki][50]][51]

* This page was last modified 10:41, 10 March 2007.
* This page has been accessed 22,684 times.
* Content is available under [GNU General Public License][52].
* [About GNUstepWiki][53]
* [Disclaimers][54]

  [1]: #What_to_do_with_3rd_Party_Solutions_within_the_GNUstep_Community.3F
  [2]: #Abstract
  [3]: #What_we_did
  [4]: #Results
  [5]: #List_of_projects
  [6]: #Reasons_for_Duplicates
  [7]: #Solutions
  [8]: #Additional_Resources
  [9]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=1 "FOSDEM 2007 Developer Workshop"
  [10]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=2 "FOSDEM 2007 Developer Workshop"
  [11]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=3 "FOSDEM 2007 Developer Workshop"
  [12]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=4 "FOSDEM 2007 Developer Workshop"
  [13]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=5 "FOSDEM 2007 Developer Workshop"
  [14]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=6 "FOSDEM 2007 Developer Workshop"
  [15]: http://en.wikipedia.org/wiki/Not_Invented_Here "http://en.wikipedia.org/wiki/Not Invented Here"
  [16]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=7 "FOSDEM 2007 Developer Workshop"
  [17]: http://www.cocoadev.com/ "http://www.cocoadev.com/"
  [18]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit&section=8 "FOSDEM 2007 Developer Workshop"
  [19]: /images/7/73/2007-fosdem-workshop-3rdparty-solutions-in-gs-results.png "2007-fosdem-workshop-3rdparty-solutions-in-gs-results.png"
  [20]: http://wiki.gnustep.org/index.php/FOSDEM_2007_Developer_Workshop
  [21]: /index.php/FOSDEM_2007_Developer_Workshop
  [22]: /index.php?title=Talk:FOSDEM_2007_Developer_Workshop&action=edit
  [23]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=edit
  [24]: /index.php?title=FOSDEM_2007_Developer_Workshop&action=history
  [25]: /index.php?title=Special:Userlogin&returnto=FOSDEM_2007_Developer_Workshop
  [26]: /index.php/Main_Page "Main Page"
  [27]: /index.php/Category:Applications
  [28]: /index.php/User_Guides
  [29]: /index.php/User_FAQ
  [30]: /index.php/Get_Help
  [31]: /index.php/Report_Bugs
  [32]: /index.php/GNUstepWiki:Site_support
  [33]: /index.php/Screenshots
  [34]: /index.php/Developer_Guides
  [35]: /index.php/Developer_FAQ
  [36]: /index.php/Foundation
  [37]: /index.php/AppKit
  [38]: /index.php/Category:Frameworks
  [39]: /index.php/Main_Page
  [40]: /index.php/GNUstepWiki:Community_Portal
  [41]: /index.php/Current_events
  [42]: /index.php/Special:Recentchanges
  [43]: /index.php/Special:Random
  [44]: /index.php/Help:Contents
  [45]: /index.php/Special:Whatlinkshere/FOSDEM_2007_Developer_Workshop
  [46]: /index.php/Special:Recentchangeslinked/FOSDEM_2007_Developer_Workshop
  [47]: /index.php/Special:Upload
  [48]: /index.php/Special:Specialpages
  [49]: /index.php?title=FOSDEM_2007_Developer_Workshop&printable=yes&printable=yes
  [50]: /skins/common/images/poweredby_mediawiki_88x31.png
  [51]: http://www.mediawiki.org/
  [52]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [53]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [54]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"