<>

# FOSDEM 2007 report

### From GNUstepWiki	{#siteSub}

Once again FOSDEM is over and was a great success for GNUstep. Attendance by GNUstep developers/users was, if anything, even better than last year, and the combined GNUstep/OpenGroupware booth was well attended and looked very good with a selection of leaflets to give away, books to show NeXT and Cocoa relationships, and [T-shirts for sale][1] (the excellent GNUstep Orca logo was admired by many people and was definitely one of the most stylish T-shirts on any stand).

Organisation of FOSDEM itself was much better than previous years, with good reliable and fast wireless LAN connections to the internet, plenty of power sockets, and decent projectors supplied for presentations in the developer rooms (though VGA cables were late arriving for the first presentation ... so taking your own cables was still a good idea).

Attendance at presentations was generally very high, with all the seating in the developer room filled and some people being forced to stand for some of the presentations. Sunday morning being the exception (people were too tired to get out of bed early after the partying on Saturday night), and Sunday afternoon was also fairly quiet as many people left early to travel home, so the developer's evening meal on Sunday was reduced to 5 (mostly ÃÂtoilÃÂ© developers) from the 18 present on Saturday.

[[edit][2]]

<>

## Saturday

I wasn't able to attend all the presentations, but I can do a summary of what I took from some of them:

On saturday, regular university classes were taking place in the developer rooms until 14:15, so the morning was spent manning the booth in the main corridor ... trying to look interesting and suck poor innocent newbie programmers into partaking of the addictive drug which is GNUstep. Actually, it's quite interesting to answer the questions and instructive to find out that the general conception is still that GNUstep is a desktop or operating system. A common question is 'is that still going?', so we definitely need more publicity and a clear message.

Nicola's talk on gnustep-make 2.0 was well received. It took the form of an overview of the history of the make package, Starting with the initial design decisions taken in order to support the objectives of:

1\. Supporting the custom, user-friendly filesystem layout pioneered by NeXT and continued by Apple with MacOS-X.

2\. Providing an exceptionally simple and fast mechanism to build projects.

Then describing how this has evolved to the current situation where those two functions are cleanly separated and the package is now capable of providing (2) on systems where (1) is not required/desirable. As I have tracked the progress of gnustep-make quite closely, I can't really tell which parts will have been new to most people, but the explanation was certainly clear and coherent.

Fred Kiefer's impromptu talk on the Cairo [backend][3] (filling the slot of Saso Kiselkov who was unfortunately unable to make it to FOSDEM) was illuminating for me in the way it focussed on key strategic advantages of using Cairo rather than technical details (though those were interesting too).

1. highly optimised drawing by experts (i.e. we don't have to learn all about graphics rendering ourselves)
2. portable ... should easily be used to ms-windows as well as X, so the backend code for drawing would be the same on both systems and we only need to concentrate on the different event handling.
3. it will generate pdf for us!
4. it uses pango for typesetting ... perhaps we could do the same somehow ... typesetting for non-western languages is _really_ tricky in the gui.

When Oliver Langer and Helge Hess's talk/discussion commenced, I think most of the people not involved/interested in GNUstep related projects will probably have left, but the room was still quite full. Helge took the role of primary moderator and wrote ideas on the blackboard, while Oliver entered the ideas into some sort of mind-map software on his laptop (so the results can be posted on the wiki - here they are: [FOSDEM\_2007\_Developer\_Workshop][4]) and made judicious interruptions when things got too far off-topic. We listed duplicate or forked variants of several different frameworks, then tried to come up with ideas about _why_ all the variants exist, and finally to come up with ideas to reduce duplication of effort. While we didn't come up with definite solutions (and never expected to), I think the whole debate was very positive and cooperative and did produce a lot of good ideas.

After this presentation, at 18:00, Fred, Nicola and I attempted a Skype conference call with Greg and Adam in the US, but due to a large background noise level, and the fact that we only had one headset at our end, tis was not very successful beyond an exchange of greetings. However, we have learned from that, and given the reliability of the internet link and the good quality of the supplied projector, I think next year we might be able to have a presentation done from the US and (if we could rig up speakers) a question and answer session with one person relaying questions to the US and with the answers being heard by everyone via the speakers. While we were doing this, Gerold Rupprecht and Nicaols Roard were busy arranging dinner ...

Once all this was over, we just had time to get back to central Brussels, stash our laptops away in our respective hotels, and meet up at the restaurant where we had a good meal (paid for in large part by Gerold who, while not doing any coding work, is a great cheerleader for GNUstep). Much entertaining conversation was had, and some of it was even about topics unrelated to computers. This continued in a bar after dinner, but I left early knowing I had to be up in time to get to FOSDEM by 9am on Sunday.

[[edit][5]]

<>

## Sunday

Sunday ... my discussion/presentation on base library priorities at 09:00 was very quiet ... I was the only one there at 9am (perhaps because the presentation didn't make it onto the official FOSDEM schedule, or everyone was asleep, or they just hate me). Actually, Fred asked to see it later and I ended up going through it for him, Nikolaus, Nicola and another interested bystander.

Oliver Langer's presentation on [FortyTwo][6] at 10:00 was also poorly attended because most people still hadn't made it out of bed ... the numbers gradually increased as the presentation went on. FortyTwo is a database system intended to represent nodes in a directed graph of information. The idea is to investigate methods of ordering knowledge in modern information systems such as the internet where a conventional relational database model cannot be applied. The work is still at a fairly early stage, but the foundation mechanisms are present and working and provide mechanisms to set up nodes and 'edges' where each node has an ordered set of incoming and outgoing edges. Hopefully Oliver will et his presentation onto the Wiki to provide more detail.

Dr Nicolaus Schaller's talk and demonstration on gnustep on handheld devices was very well attended with a particularly large number of people from outside the GNUstep community. It was interesting to see how little needed to be done (once you know how) to convert from compiling locally to cross-compiling for a PDA (I think this may have inspired Nicola with some ideas for gnustep-make), but I think the main theme was probably the immense amount of work done on providing the key components needed to support the features of the [quantumSTEP][7] (proprietary) applications designed to run on PDAs. Much of this work is being integrated into the GNUstep core libraries where appropriate.

At 12:00 to 13:00 we had a lunch break ... bad idea since many people had only recently had breakfast ... next year we should schedule presentations to start later in the day and continue over lunch (the idea of organising a working brunch at 10:00 was raised). At 13:00 Helge Hess and Marcus MÃÂ¼ller presented on Open Groupware (OGo/JOPE/SOPE) ... unfortunately I missed that as I was manning the boothÃÂ :-(

The [ÃÂtoilÃÂ©][8] presentation was due to start at 14:00, but Nicolas Roard and Quentin MathÃÂ© didn't make it there until nearly 14:15 (I cynically assumed that they had spent too long in the bar with the Belgian beer the night before, but it turns out they were hard at work hacking on the ÃÂtoilÃÂ© live CD). Even though it started late, this presentation was one of the best attended with standing room only a few minutes after I arrived. There was a demonstration of ÃÂtoilÃÂ© (and it really does look good now, in no small part due to the work of Jesse Ross who has produced some stunning icons and is working on a new default font). There was a quick run-through of the state of development and changes since last year, and a public commitment to focus more on applications and less on frameworksÃÂ :-) The second part of the presentation was about the philosophy behind ÃÂtoilÃÂ© (IMO identical to the NeXT and, at least in my case, the GNUstep philosophy). In particular there was strong emphasis on use of the services and filters mechanism to allow individual apps to concentrate on what they are good at, and get other apps to do the things they are less good at for them. Getting this functionality working in gnustep-gui was one of may first major projects in GNUstep, and it's really good to see people starting to use it seriously. The other emphasis for future development was upon linking data within one document to data from another application for dynamic update etc. This is the [NSDataLink][9] functionality introduced by NeXT, copied poorly by Microsoft in their OLE mechanism, and insanely dropped by Apple from MacOS-X. So I look forward to seeing NSDataLink (and associated classes) used in real applications in future. Perhaps we should consider extracting this from gnustep-gui and providing this functionality as an add-on framework for MacOS-X users?

At 15:00 we had a [gdl2][10] presentation by Matt Rice scheduled, but there was some sort of mixup about this and it didn't happen, but the room was still quite full with small groups of people in animated discussion about ideas and questions raised by the previous presentation. I left to go back to the booth in the main corridor and ended up giving my base library presentation there.

Theoretically, I had the theming presentation to deliver at 16:00, but it wasn't on the official schedule and I was still talking about base library priorities and saying goodbyes to people who were leaving to try to get home on Sunday evening in time to go to work on Monday... so that just never happened ... perhaps I'll tidy up a bit and put it on the wiki.

By the end of the day, the FOSDEM people were packing up around us as we continued hacking on code, until the point where all the tables and chairs were packed away and Nicolas was sitting on the floor busily coding a last fix for the ÃÂtoilÃÂ© login panel and finalising the live CD ... he was persuaded to move only by a FOSDEM guy saying 'we love you, but go away'.

After much wandering around the center of Brussels, we (Lars and the ÃÂtoilÃÂ© team and myself) finally ended up at a Japanese restaurant which was really good ... excellent food at a reasonable price ... and they patiently put up with us hanging around for ages after the meal, just talking and copying ÃÂtoilÃÂ© live ISO images between machines and not eating or drinking anything. If only I could remember the name of the place I'd recommend it.

One common point that seemed to come out in presentations and various discussions is that GNUstep programming is FUN, and that's why most of us do it ... and getting together and talking about problems is fun and inspirational and really productive, in fact there seems to be common approval of the idea of trying to get together twice a year (renting a chalet near Zurich was suggested as the second venue) and unless Gerold has reconsidered, I think we may well end up doing that. I think we would need to find dates where at least six people would be able to sign up to definitely attend in order to make organising that worthwhile.

 Retrieved from "[http://wiki.gnustep.org/index.php/FOSDEM\_2007\_report][11]"

[Categories][12]: [FOSDEM][13]

##### Views

* [Article][14]
* [Discussion][15]
* [Edit][16]
* [History][17]

##### Personal tools

* [Create an account or log in][18]

[][19]

##### users

* [Applications][20]
* [Guides][21]
* [FAQ][22]
* [Get Help][23]
* [Report Bugs][24]
* [Donations][25]
* [Screenshots][26]

##### developers

* [Guides][27]
* [FAQ][28]
* [Base API (Foundation)][29]
* [GUI API (AppKit)][30]
* [Frameworks][31]

##### Navigation

* [Main Page][32]
* [Community portal][33]
* [Current events][34]
* [Recent changes][35]
* [Random page][36]
* [Help][37]

##### Search

##### Toolbox

* [What links here][38]
* [Related changes][39]
* [Upload file][40]
* [Special pages][41]
* [Printable version][42]

[![MediaWiki][43]][44]

* This page was last modified 23:28, 9 December 2009.
* This page has been accessed 38,581 times.
* Content is available under [GNU General Public License][45].
* [About GNUstepWiki][46]
* [Disclaimers][47]

  [1]: http://www.cafepress.com/GNUSTEPU "http://www.cafepress.com/GNUSTEPU"
  [2]: /index.php?title=FOSDEM_2007_report&action=edit&section=1 "FOSDEM 2007 report"
  [3]: /index.php/Backend "Backend"
  [4]: /index.php/FOSDEM_2007_Developer_Workshop "FOSDEM 2007 Developer Workshop"
  [5]: /index.php?title=FOSDEM_2007_report&action=edit&section=2 "FOSDEM 2007 report"
  [6]: /index.php/FortyTwo "FortyTwo"
  [7]: /index.php/Platform:Other "Platform:Other"
  [8]: /index.php/GNUstep_environments "GNUstep environments"
  [9]: /index.php/NSDataLink "NSDataLink"
  [10]: /index.php/GDL "GDL"
  [11]: http://wiki.gnustep.org/index.php/FOSDEM_2007_report
  [12]: /index.php?title=Special:Categories&article=FOSDEM_2007_report "Special:Categories"
  [13]: /index.php/Category:FOSDEM "Category:FOSDEM"
  [14]: /index.php/FOSDEM_2007_report
  [15]: /index.php/Talk:FOSDEM_2007_report
  [16]: /index.php?title=FOSDEM_2007_report&action=edit
  [17]: /index.php?title=FOSDEM_2007_report&action=history
  [18]: /index.php?title=Special:Userlogin&returnto=FOSDEM_2007_report
  [19]: /index.php/Main_Page "Main Page"
  [20]: /index.php/Category:Applications
  [21]: /index.php/User_Guides
  [22]: /index.php/User_FAQ
  [23]: /index.php/Get_Help
  [24]: /index.php/Report_Bugs
  [25]: /index.php/GNUstepWiki:Site_support
  [26]: /index.php/Screenshots
  [27]: /index.php/Developer_Guides
  [28]: /index.php/Developer_FAQ
  [29]: /index.php/Foundation
  [30]: /index.php/AppKit
  [31]: /index.php/Category:Frameworks
  [32]: /index.php/Main_Page
  [33]: /index.php/GNUstepWiki:Community_Portal
  [34]: /index.php/Current_events
  [35]: /index.php/Special:Recentchanges
  [36]: /index.php/Special:Random
  [37]: /index.php/Help:Contents
  [38]: /index.php/Special:Whatlinkshere/FOSDEM_2007_report
  [39]: /index.php/Special:Recentchangeslinked/FOSDEM_2007_report
  [40]: /index.php/Special:Upload
  [41]: /index.php/Special:Specialpages
  [42]: /index.php?title=FOSDEM_2007_report&printable=yes&printable=yes
  [43]: /skins/common/images/poweredby_mediawiki_88x31.png
  [44]: http://www.mediawiki.org/
  [45]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [46]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [47]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"