<>

# Object

### From GNUstepWiki	{#siteSub}

(Redirected from [Factory object][1])

An object is a unit that groups a data structure ([instance variables][2]) and the operations ([methods][3]) that can use or affect that data.

Objects are the principal building blocks of object-oriented programs.

<table>
<tr>
<td>
## Contents
* [1 Anonymous Object][4]
* [2 Class Object][5]
* [3 Factory Object][6]
* [4 Instance Object][7]
* [5 Remote Object][8]
</td>
</tr>
</table>

[[edit][9]]

<>

## Anonymous Object

An object of unknown [class][10]. The [interface][11] to an anonymous object is published through a [protocol][12] declaration.

[[edit][13]]

<>

## Class Object

An object that represents a [class][14] and knows how to create new instances of the class. Class objects are created by the compiler, lack [instance variables][15], and can't be statically typed, but otherwise behave like all other objects.

As the receiver in a [message expression][16], a class object is represented by the class name.

[[edit][17]]

<>

## Factory Object

Same as a class object.

[[edit][18]]

<>

## Instance Object

An object that belongs to (aka _is a member of_) a particular [class][19].

Instances are created at run time according to the specification in the class definition (aka [interface][20]).

[[edit][21]]

<>

## Remote Object

An object in another application, one that's a potential receiver for a [remote message][22].

 Retrieved from "<http://wiki.gnustep.org/index.php/Object>"

[Categories][23]: [Objective-C][24]

##### Views

* [Article][25]
* [Discussion][26]
* [Edit][27]
* [History][28]

##### Personal tools

* [Create an account or log in][29]

[][30]

##### users

* [Applications][31]
* [Guides][32]
* [FAQ][33]
* [Get Help][34]
* [Report Bugs][35]
* [Donations][36]
* [Screenshots][37]

##### developers

* [Guides][38]
* [FAQ][39]
* [Base API (Foundation)][40]
* [GUI API (AppKit)][41]
* [Frameworks][42]

##### Navigation

* [Main Page][43]
* [Community portal][44]
* [Current events][45]
* [Recent changes][46]
* [Random page][47]
* [Help][48]

##### Search

##### Toolbox

* [What links here][49]
* [Related changes][50]
* [Upload file][51]
* [Special pages][52]
* [Printable version][53]

[![MediaWiki][54]][55]

* This page was last modified 09:42, 21 June 2006.
* This page has been accessed 17,754 times.
* Content is available under [GNU General Public License][56].
* [About GNUstepWiki][57]
* [Disclaimers][58]

  [1]: /index.php?title=Factory_object&redirect=no "Factory object"
  [2]: /index.php/Instance_variable "Instance variable"
  [3]: /index.php/Method "Method"
  [4]: #Anonymous_Object
  [5]: #Class_Object
  [6]: #Factory_Object
  [7]: #Instance_Object
  [8]: #Remote_Object
  [9]: /index.php?title=Object&action=edit&section=1 "Object"
  [10]: /index.php/Class "Class"
  [11]: /index.php/Interface "Interface"
  [12]: /index.php/Protocol "Protocol"
  [13]: /index.php?title=Object&action=edit&section=2 "Object"
  [14]: /index.php/Class "Class"
  [15]: /index.php/Instance_variable "Instance variable"
  [16]: /index.php/Message "Message"
  [17]: /index.php?title=Object&action=edit&section=3 "Object"
  [18]: /index.php?title=Object&action=edit&section=4 "Object"
  [19]: /index.php/Class "Class"
  [20]: /index.php/Interface "Interface"
  [21]: /index.php?title=Object&action=edit&section=5 "Object"
  [22]: /index.php/Message#Remote_Message "Message"
  [23]: /index.php?title=Special:Categories&article=Object "Special:Categories"
  [24]: /index.php/Category:Objective-C "Category:Objective-C"
  [25]: /index.php/Object
  [26]: /index.php?title=Talk:Object&action=edit
  [27]: /index.php?title=Object&action=edit
  [28]: /index.php?title=Object&action=history
  [29]: /index.php?title=Special:Userlogin&returnto=Object
  [30]: /index.php/Main_Page "Main Page"
  [31]: /index.php/Category:Applications
  [32]: /index.php/User_Guides
  [33]: /index.php/User_FAQ
  [34]: /index.php/Get_Help
  [35]: /index.php/Report_Bugs
  [36]: /index.php/GNUstepWiki:Site_support
  [37]: /index.php/Screenshots
  [38]: /index.php/Developer_Guides
  [39]: /index.php/Developer_FAQ
  [40]: /index.php/Foundation
  [41]: /index.php/AppKit
  [42]: /index.php/Category:Frameworks
  [43]: /index.php/Main_Page
  [44]: /index.php/GNUstepWiki:Community_Portal
  [45]: /index.php/Current_events
  [46]: /index.php/Special:Recentchanges
  [47]: /index.php/Special:Random
  [48]: /index.php/Help:Contents
  [49]: /index.php/Special:Whatlinkshere/Object
  [50]: /index.php/Special:Recentchangeslinked/Object
  [51]: /index.php/Special:Upload
  [52]: /index.php/Special:Specialpages
  [53]: /index.php?title=Object&printable=yes&printable=yes
  [54]: /skins/common/images/poweredby_mediawiki_88x31.png
  [55]: http://www.mediawiki.org/
  [56]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [57]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [58]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"