<>

# Foundation

### From GNUstepWiki	{#siteSub}

**Dynamic List**<br />
 This is a list which is constantly changing and may never be considered complete.

The GNUstep base library (aka gnustep-base) contains a powerful set of non-graphical [Objective-C][1] classes that can readily be used in your programs. At present there are approximately 70 different classes available, including classes to handle [strings][2] and [arrays][3], [dates][4] and times, [distributed objects][5], [URLs][6] and [file systems][7] to name but a few.

You can find the automatically generated API documentation [here][8].

[[edit][9]]

<>

## Features

* [Strings][10]
* [Collections][11] (arrays, sets, and dictionaries) and [enumerators][12]
* [File management][13]
* [Object Archiving][14]
* Advanced calendar [date][15] manipulation
* [Distributed Objects][16] and inter-process communication
* [URL][17] handling
* [Notifications][18] (and distributed notifications)
* Easy [multi-threading][19]
* [Timers][20]
* [Locks][21]
* [Exception handling][22]

[[edit][23]]

<>

## Notes and Snippets

<table>
<tr>
<th> Class Reference </th>
<th> Protocol Reference </th>
</tr>
<tr>
<td>
* [NSAffineTransform][24]
* [NSArchiver][25]
* [NSArray][26]
* [NSAssertionHandler][27]
* [NSAttributedString][28]
* [NSAutoreleasePool][29]
* [NSBundle][30]
* [NSCachedURLResponse][31]
* [NSCalendarDate][32]
* [NSCharacterSet][33]
* [NSClassDescription][34]
* [NSCoder][35]
* [NSComparisonPredicate][36]
* [NSCompoundPredicate][37]
* [NSConditionLock][38]
* [NSConnection][39]
* [NSCountedSet][40]
* [NSData][41]
* [NSDate][42]
* [NSDateFormatter][43]
* [NSDecimalNumber][44]
* [NSDecimalNumberHandler][45]
* [NSDeserializer][46]
* [NSDictionary][47]
* [NSDirectoryEnumerator][48]
* [NSDistantObject][49]
* [NSDistributedLock][50]
* [NSDistributedNotificationCenter][51]
* [NSEnumerator][52]
* [NSError][53]
* [NSException][54]
* [NSExpression][55]
* [NSFileHandle][56]
* [NSFileManager][57]
* [NSFormatter][58]
* [NSHTTPCookie][59]
* [NSHTTPCookieStorage][60]
* [NSHTTPURLResponse][61]
* [NSHost][62]
* [NSIndexPath][63]
* [NSIndexSet][64]
* [NSInputStream][65]
* [NSInvocation][66]
* [NSKeyedArchiver][67]
* [NSKeyedUnarchiver][68]
* [NSLocale][69]
* [NSLock][70]
* [NSMessagePort][71]
* [NSMessagePortNameServer][72]
* [NSMethodSignature][73]
* [NSMutableArray][74]
* [NSMutableAttributedString][75]
* [NSMutableCharacterSet][76]
* [NSMutableData][77]
* [NSMutableDictionary][78]
* [NSMutableIndexSet][79]
* [NSMutableSet][80]
* [NSMutableString][81]
* [NSMutableURLRequest][82]
* [NSNetService][83]
* [NSNetServiceBrowser][84]
* [NSNotification][85]
* [NSNotificationCenter][86]
* [NSNotificationQueue][87]
* [NSNull][88]
* [NSNumber][89]
* [NSNumberFormatter][90]
* [NSObject][91]
* [NSOutputStream][92]
* [NSPipe][93]
* [NSPort][94]
* [NSPortCoder][95]
* [NSPortMessage][96]
* [NSPortNameServer][97]
* [NSPredicate][98]
* [NSProcessInfo][99]
* [NSPropertyListSerialization][100]
* [NSProtocolChecker][101]
* [NSProxy][102]
* [NSRecursiveLock][103]
* [NSRunLoop][104]
* [NSScanner][105]
* [NSSerializer][106]
* [NSSet][107]
* [NSSocketPort][108]
* [NSSocketPortNameServer][109]
* [NSSortDescriptor][110]
* [NSStream][111]
* [NSString][112]
* [NSTask][113]
* [NSThread][114]
* [NSTimeZone][115]
* [NSTimeZoneDetail][116]
* [NSTimer][117]
* [NSURL][118]
* [NSURLAuthenticationChallenge][119]
* [NSURLCache][120]
* [NSURLConnection][121]
* [NSURLCredential][122]
* [NSURLCredentialStorage][123]
* [NSURLDownload][124]
* [NSURLHandle][125]
* [NSURLProtectionSpace][126]
* [NSURLProtocol][127]
* [NSURLRequest][128]
* [NSURLResponse][129]
* [NSUnarchiver][130]
* [NSUndoManager][131]
* [NSUserDefaults][132]
* [NSValue][133]
* [NSValueTransformer][134]
* [NSXMLParser][135]
* [NSConstantString][136]
</td>
<td>
* [NSCoding][137]
* [NSCopying][138]
* [NSDecimalNumberBehaviors][139]
* [NSLocking][140]
* [NSMutableCopying][141]
* [NSObjCTypeSerializationCallBack][142]
* [NSObject][143]
* [NSURLAuthenticationChallengeSender][144]
* [NSURLHandleClient][145]
* [NSURLProtocolClient][146]
</td>
</tr>
</table>

 Retrieved from "<http://wiki.gnustep.org/index.php/Foundation>"

[Categories][147]: [Frameworks][148]

##### Views

* [Article][149]
* [Discussion][150]
* [Edit][151]
* [History][152]

##### Personal tools

* [Create an account or log in][153]

[][154]

##### users

* [Applications][155]
* [Guides][156]
* [FAQ][157]
* [Get Help][158]
* [Report Bugs][159]
* [Donations][160]
* [Screenshots][161]

##### developers

* [Guides][162]
* [FAQ][163]
* [Base API (Foundation)][164]
* [GUI API (AppKit)][165]
* [Frameworks][166]

##### Navigation

* [Main Page][167]
* [Community portal][168]
* [Current events][169]
* [Recent changes][170]
* [Random page][171]
* [Help][172]

##### Search

##### Toolbox

* [What links here][173]
* [Related changes][174]
* [Upload file][175]
* [Special pages][176]
* [Printable version][177]

[![MediaWiki][178]][179]

* This page was last modified 00:02, 4 November 2012.
* This page has been accessed 111,280 times.
* Content is available under [GNU General Public License][180].
* [About GNUstepWiki][181]
* [Disclaimers][182]

  [1]: /index.php/Objective-C "Objective-C"
  [2]: /index.php/NSString "NSString"
  [3]: /index.php/NSArray "NSArray"
  [4]: /index.php?title=NSDate&action=edit "NSDate"
  [5]: /index.php?title=NSConnection&action=edit "NSConnection"
  [6]: /index.php?title=NSURL&action=edit "NSURL"
  [7]: /index.php?title=NSFileManager&action=edit "NSFileManager"
  [8]: http://www.gnustep.org/resources/documentation/Developer/Base/Reference/index.html "http://www.gnustep.org/resources/documentation/Developer/Base/Reference/index.html"
  [9]: /index.php?title=Foundation&action=edit&section=1 "Foundation"
  [10]: /index.php/Strings "Strings"
  [11]: /index.php/Collections "Collections"
  [12]: /index.php/NSEnumerator "NSEnumerator"
  [13]: /index.php?title=File_management&action=edit "File management"
  [14]: /index.php/Archiving "Archiving"
  [15]: /index.php?title=Date&action=edit "Date"
  [16]: /index.php?title=Distributed_Objects&action=edit "Distributed Objects"
  [17]: /index.php/URL "URL"
  [18]: /index.php?title=Notifications&action=edit "Notifications"
  [19]: /index.php?title=Threading&action=edit "Threading"
  [20]: /index.php?title=Timer&action=edit "Timer"
  [21]: /index.php?title=Lock&action=edit "Lock"
  [22]: /index.php?title=Exception_handling&action=edit "Exception handling"
  [23]: /index.php?title=Foundation&action=edit&section=2 "Foundation"
  [24]: /index.php?title=NSAffineTransform&action=edit "NSAffineTransform"
  [25]: /index.php?title=NSArchiver&action=edit "NSArchiver"
  [26]: /index.php/NSArray "NSArray"
  [27]: /index.php?title=NSAssertionHandler&action=edit "NSAssertionHandler"
  [28]: /index.php?title=NSAttributedString&action=edit "NSAttributedString"
  [29]: /index.php/NSAutoreleasePool "NSAutoreleasePool"
  [30]: /index.php/NSBundle "NSBundle"
  [31]: /index.php?title=NSCachedURLResponse&action=edit "NSCachedURLResponse"
  [32]: /index.php?title=NSCalendarDate&action=edit "NSCalendarDate"
  [33]: /index.php?title=NSCharacterSet&action=edit "NSCharacterSet"
  [34]: /index.php?title=NSClassDescription&action=edit "NSClassDescription"
  [35]: /index.php?title=NSCoder&action=edit "NSCoder"
  [36]: /index.php?title=NSComparisonPredicate&action=edit "NSComparisonPredicate"
  [37]: /index.php?title=NSCompoundPredicate&action=edit "NSCompoundPredicate"
  [38]: /index.php?title=NSConditionLock&action=edit "NSConditionLock"
  [39]: /index.php?title=NSConnection&action=edit "NSConnection"
  [40]: /index.php?title=NSCountedSet&action=edit "NSCountedSet"
  [41]: /index.php/NSData "NSData"
  [42]: /index.php?title=NSDate&action=edit "NSDate"
  [43]: /index.php?title=NSDateFormatter&action=edit "NSDateFormatter"
  [44]: /index.php?title=NSDecimalNumber&action=edit "NSDecimalNumber"
  [45]: /index.php?title=NSDecimalNumberHandler&action=edit "NSDecimalNumberHandler"
  [46]: /index.php?title=NSDeserializer&action=edit "NSDeserializer"
  [47]: /index.php?title=NSDictionary&action=edit "NSDictionary"
  [48]: /index.php?title=NSDirectoryEnumerator&action=edit "NSDirectoryEnumerator"
  [49]: /index.php?title=NSDistantObject&action=edit "NSDistantObject"
  [50]: /index.php?title=NSDistributedLock&action=edit "NSDistributedLock"
  [51]: /index.php?title=NSDistributedNotificationCenter&action=edit "NSDistributedNotificationCenter"
  [52]: /index.php/NSEnumerator "NSEnumerator"
  [53]: /index.php?title=NSError&action=edit "NSError"
  [54]: /index.php?title=NSException&action=edit "NSException"
  [55]: /index.php?title=NSExpression&action=edit "NSExpression"
  [56]: /index.php?title=NSFileHandle&action=edit "NSFileHandle"
  [57]: /index.php?title=NSFileManager&action=edit "NSFileManager"
  [58]: /index.php?title=NSFormatter&action=edit "NSFormatter"
  [59]: /index.php?title=NSHTTPCookie&action=edit "NSHTTPCookie"
  [60]: /index.php?title=NSHTTPCookieStorage&action=edit "NSHTTPCookieStorage"
  [61]: /index.php?title=NSHTTPURLResponse&action=edit "NSHTTPURLResponse"
  [62]: /index.php?title=NSHost&action=edit "NSHost"
  [63]: /index.php?title=NSIndexPath&action=edit "NSIndexPath"
  [64]: /index.php?title=NSIndexSet&action=edit "NSIndexSet"
  [65]: /index.php?title=NSInputStream&action=edit "NSInputStream"
  [66]: /index.php?title=NSInvocation&action=edit "NSInvocation"
  [67]: /index.php/NSKeyedArchiver "NSKeyedArchiver"
  [68]: /index.php?title=NSKeyedUnarchiver&action=edit "NSKeyedUnarchiver"
  [69]: /index.php?title=NSLocale&action=edit "NSLocale"
  [70]: /index.php?title=NSLock&action=edit "NSLock"
  [71]: /index.php?title=NSMessagePort&action=edit "NSMessagePort"
  [72]: /index.php?title=NSMessagePortNameServer&action=edit "NSMessagePortNameServer"
  [73]: /index.php?title=NSMethodSignature&action=edit "NSMethodSignature"
  [74]: /index.php?title=NSMutableArray&action=edit "NSMutableArray"
  [75]: /index.php?title=NSMutableAttributedString&action=edit "NSMutableAttributedString"
  [76]: /index.php?title=NSMutableCharacterSet&action=edit "NSMutableCharacterSet"
  [77]: /index.php?title=NSMutableData&action=edit "NSMutableData"
  [78]: /index.php?title=NSMutableDictionary&action=edit "NSMutableDictionary"
  [79]: /index.php?title=NSMutableIndexSet&action=edit "NSMutableIndexSet"
  [80]: /index.php?title=NSMutableSet&action=edit "NSMutableSet"
  [81]: /index.php/NSMutableString "NSMutableString"
  [82]: /index.php?title=NSMutableURLRequest&action=edit "NSMutableURLRequest"
  [83]: /index.php/NSNetService "NSNetService"
  [84]: /index.php/NSNetServiceBrowser "NSNetServiceBrowser"
  [85]: /index.php?title=NSNotification&action=edit "NSNotification"
  [86]: /index.php?title=NSNotificationCenter&action=edit "NSNotificationCenter"
  [87]: /index.php?title=NSNotificationQueue&action=edit "NSNotificationQueue"
  [88]: /index.php?title=NSNull&action=edit "NSNull"
  [89]: /index.php/NSNumber "NSNumber"
  [90]: /index.php?title=NSNumberFormatter&action=edit "NSNumberFormatter"
  [91]: /index.php?title=NSObject&action=edit "NSObject"
  [92]: /index.php?title=NSOutputStream&action=edit "NSOutputStream"
  [93]: /index.php?title=NSPipe&action=edit "NSPipe"
  [94]: /index.php?title=NSPort&action=edit "NSPort"
  [95]: /index.php?title=NSPortCoder&action=edit "NSPortCoder"
  [96]: /index.php?title=NSPortMessage&action=edit "NSPortMessage"
  [97]: /index.php?title=NSPortNameServer&action=edit "NSPortNameServer"
  [98]: /index.php?title=NSPredicate&action=edit "NSPredicate"
  [99]: /index.php?title=NSProcessInfo&action=edit "NSProcessInfo"
  [100]: /index.php?title=NSPropertyListSerialization&action=edit "NSPropertyListSerialization"
  [101]: /index.php?title=NSProtocolChecker&action=edit "NSProtocolChecker"
  [102]: /index.php?title=NSProxy&action=edit "NSProxy"
  [103]: /index.php?title=NSRecursiveLock&action=edit "NSRecursiveLock"
  [104]: /index.php?title=NSRunLoop&action=edit "NSRunLoop"
  [105]: /index.php?title=NSScanner&action=edit "NSScanner"
  [106]: /index.php?title=NSSerializer&action=edit "NSSerializer"
  [107]: /index.php?title=NSSet&action=edit "NSSet"
  [108]: /index.php?title=NSSocketPort&action=edit "NSSocketPort"
  [109]: /index.php?title=NSSocketPortNameServer&action=edit "NSSocketPortNameServer"
  [110]: /index.php?title=NSSortDescriptor&action=edit "NSSortDescriptor"
  [111]: /index.php?title=NSStream&action=edit "NSStream"
  [112]: /index.php/NSString "NSString"
  [113]: /index.php?title=NSTask&action=edit "NSTask"
  [114]: /index.php?title=NSThread&action=edit "NSThread"
  [115]: /index.php?title=NSTimeZone&action=edit "NSTimeZone"
  [116]: /index.php?title=NSTimeZoneDetail&action=edit "NSTimeZoneDetail"
  [117]: /index.php?title=NSTimer&action=edit "NSTimer"
  [118]: /index.php?title=NSURL&action=edit "NSURL"
  [119]: /index.php?title=NSURLAuthenticationChallenge&action=edit "NSURLAuthenticationChallenge"
  [120]: /index.php?title=NSURLCache&action=edit "NSURLCache"
  [121]: /index.php?title=NSURLConnection&action=edit "NSURLConnection"
  [122]: /index.php?title=NSURLCredential&action=edit "NSURLCredential"
  [123]: /index.php?title=NSURLCredentialStorage&action=edit "NSURLCredentialStorage"
  [124]: /index.php?title=NSURLDownload&action=edit "NSURLDownload"
  [125]: /index.php?title=NSURLHandle&action=edit "NSURLHandle"
  [126]: /index.php?title=NSURLProtectionSpace&action=edit "NSURLProtectionSpace"
  [127]: /index.php?title=NSURLProtocol&action=edit "NSURLProtocol"
  [128]: /index.php?title=NSURLRequest&action=edit "NSURLRequest"
  [129]: /index.php?title=NSURLResponse&action=edit "NSURLResponse"
  [130]: /index.php?title=NSUnarchiver&action=edit "NSUnarchiver"
  [131]: /index.php?title=NSUndoManager&action=edit "NSUndoManager"
  [132]: /index.php?title=NSUserDefaults&action=edit "NSUserDefaults"
  [133]: /index.php?title=NSValue&action=edit "NSValue"
  [134]: /index.php?title=NSValueTransformer&action=edit "NSValueTransformer"
  [135]: /index.php?title=NSXMLParser&action=edit "NSXMLParser"
  [136]: /index.php?title=NSConstantString&action=edit "NSConstantString"
  [137]: /index.php?title=NSCoding&action=edit "NSCoding"
  [138]: /index.php?title=NSCopying&action=edit "NSCopying"
  [139]: /index.php?title=NSDecimalNumberBehaviors&action=edit "NSDecimalNumberBehaviors"
  [140]: /index.php?title=NSLocking&action=edit "NSLocking"
  [141]: /index.php/NSMutableCopying "NSMutableCopying"
  [142]: /index.php?title=NSObjCTypeSerializationCallBack&action=edit "NSObjCTypeSerializationCallBack"
  [143]: /index.php?title=NSObject&action=edit "NSObject"
  [144]: /index.php?title=NSURLAuthenticationChallengeSender&action=edit "NSURLAuthenticationChallengeSender"
  [145]: /index.php?title=NSURLHandleClient&action=edit "NSURLHandleClient"
  [146]: /index.php?title=NSURLProtocolClient&action=edit "NSURLProtocolClient"
  [147]: /index.php?title=Special:Categories&article=Foundation "Special:Categories"
  [148]: /index.php/Category:Frameworks "Category:Frameworks"
  [149]: /index.php/Foundation
  [150]: /index.php?title=Talk:Foundation&action=edit
  [151]: /index.php?title=Foundation&action=edit
  [152]: /index.php?title=Foundation&action=history
  [153]: /index.php?title=Special:Userlogin&returnto=Foundation
  [154]: /index.php/Main_Page "Main Page"
  [155]: /index.php/Category:Applications
  [156]: /index.php/User_Guides
  [157]: /index.php/User_FAQ
  [158]: /index.php/Get_Help
  [159]: /index.php/Report_Bugs
  [160]: /index.php/GNUstepWiki:Site_support
  [161]: /index.php/Screenshots
  [162]: /index.php/Developer_Guides
  [163]: /index.php/Developer_FAQ
  [164]: /index.php/Foundation
  [165]: /index.php/AppKit
  [166]: /index.php/Category:Frameworks
  [167]: /index.php/Main_Page
  [168]: /index.php/GNUstepWiki:Community_Portal
  [169]: /index.php/Current_events
  [170]: /index.php/Special:Recentchanges
  [171]: /index.php/Special:Random
  [172]: /index.php/Help:Contents
  [173]: /index.php/Special:Whatlinkshere/Foundation
  [174]: /index.php/Special:Recentchangeslinked/Foundation
  [175]: /index.php/Special:Upload
  [176]: /index.php/Special:Specialpages
  [177]: /index.php?title=Foundation&printable=yes&printable=yes
  [178]: /skins/common/images/poweredby_mediawiki_88x31.png
  [179]: http://www.mediawiki.org/
  [180]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [181]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [182]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"