<>

# GDL

### From GNUstepWiki	{#siteSub}

GNUstep Database Library 2 (GDL2) is a set of libraries to map Objective-C objects to rows of relational database management systems (RDBMS). It aims to be compatible with Enterprise Objects Framework ([EOF][1]) as released with WebObjects 4.5 from Apple Inc and is used in conjuction with [GNUstepWeb][2].

<table>
<tr>
<td>
## Contents
* [1 Current Version: 0.12.0][3]
* [2 Features][4]
* [3 State][5]
* [4 Maintainer][6]
</td>
</tr>
</table>

[[edit][7]]

<>

#### Current Version: [0\.12.0][8]

* Released February 20, 2009

[[edit][9]]

<>

### Features

GDL2 consists of the following components:

* EOControl

 The fundamental abstraction library which includes many non RDBMS related extensions such as KeyValueCoding extensions and other categories. Most importantly it contains the classes which handle the coordination of object graphs namely EOEditingContext.

* EOAccess

 This library implements the underlying mechanism to retrieve and store data in RDBMS. It defines the abstract classes like EOAdaptor which are subclassed to interface with concrete RDBMS implementations.

* EOInterface

 This library implements classes used to synchronize UI components such as NSTextFields, NSButtons and NSTableViews with the state of objects which an EOEditingContext contains.

* EOAdaptors

 This is a collection of concrete EOAdaptor projects needed to connect to specific databases. GDL2 currently supplies an Adaptor for PostgreSQL and SQLite.

* DBModeler

 GDL2 offers an alpha version of [DBModeler][10] to create and maintain .eomodel(d) files.

* EOModeler

 This framework is used by DBModeler can be used to write bundles for DBModeler to interface with the application.

* GDL2Palette

 Both Gorm and InterfaceBuilder can be used to create nib files which contain display groups an EOEditingContext. The palette provides those applications with the necessary code to hook up UI components with the model objects.

* Examples/Trading

 The Trading framework, provides an example model, and some routines to create a database from the model, and populate the database with data, while not an example itself it is intended for use by example applications using GDL2 alone, EOInterface or GSWeb, and for higher level tests.

* Using GDL2 in other Projects

 Typically you would want to use EOControl and EOAccess for tools and

EOInterface additionally for applications.

 Tools:

	ADDITIONAL_NATIVE_LIBS += EOControl EOAccess

 Applications:

	ADDITIONAL_NATIVE_LIBS += EOControl EOAccess EOInterface

 GDL2 based Palettes / DBModeler Bundles:

	ADDITIONAL_NATIVE_LIBS += EOControl EOAccess EOInterface EOModeler

[[edit][11]]

<>

### State

Currently GDL2 is meant for developers who can help test and contribute to the current code or are willing to test the interface. It is not ready for general purpose production code. Having said that, it should be mentioned that GDL2 is being used in production environments and has been much tested in those contexts.

Expect the current interface to change especially with respect to functions and methods not documented in EOF 4.5. Even the library names themselves may change.

If you identify something that you need, please let us know at or even better get copyright assignment for the FSF and post a patch.

[[edit][12]]

<>

### Maintainer

* [David Ayers][13]
* [David Wetzel][14]
* [Matt Rice][15]

 Retrieved from "<http://wiki.gnustep.org/index.php/GDL>"

[Categories][16]: [Database Frameworks][17] | [Frameworks][18]

##### Views

* [Article][19]
* [Discussion][20]
* [Edit][21]
* [History][22]

##### Personal tools

* [Create an account or log in][23]

[][24]

##### users

* [Applications][25]
* [Guides][26]
* [FAQ][27]
* [Get Help][28]
* [Report Bugs][29]
* [Donations][30]
* [Screenshots][31]

##### developers

* [Guides][32]
* [FAQ][33]
* [Base API (Foundation)][34]
* [GUI API (AppKit)][35]
* [Frameworks][36]

##### Navigation

* [Main Page][37]
* [Community portal][38]
* [Current events][39]
* [Recent changes][40]
* [Random page][41]
* [Help][42]

##### Search

##### Toolbox

* [What links here][43]
* [Related changes][44]
* [Upload file][45]
* [Special pages][46]
* [Printable version][47]

[![MediaWiki][48]][49]

* This page was last modified 00:27, 28 June 2010.
* This page has been accessed 63,026 times.
* Content is available under [GNU General Public License][50].
* [About GNUstepWiki][51]
* [Disclaimers][52]

  [1]: /index.php?title=EOF&action=edit "EOF"
  [2]: /index.php/GNUstepWeb "GNUstepWeb"
  [3]: #Current_Version:_0.12.0
  [4]: #Features
  [5]: #State
  [6]: #Maintainer
  [7]: /index.php?title=GDL&action=edit&section=1 "GDL"
  [8]: ftp://ftp.gnustep.org/pub/gnustep/libs/gnustep-dl2-0.12.0.tar.gz "ftp://ftp.gnustep.org/pub/gnustep/libs/gnustep-dl2-0.12.0.tar.gz"
  [9]: /index.php?title=GDL&action=edit&section=2 "GDL"
  [10]: /index.php/DBModeler "DBModeler"
  [11]: /index.php?title=GDL&action=edit&section=3 "GDL"
  [12]: /index.php?title=GDL&action=edit&section=4 "GDL"
  [13]: mailto:ayers@fsfe.org "mailto:ayers@fsfe.org"
  [14]: mailto:dave@turbocat.de "mailto:dave@turbocat.de"
  [15]: mailto:ratmice@gmail.com "mailto:ratmice@gmail.com"
  [16]: /index.php?title=Special:Categories&article=GDL "Special:Categories"
  [17]: /index.php/Category:Database_Frameworks "Category:Database Frameworks"
  [18]: /index.php/Category:Frameworks "Category:Frameworks"
  [19]: /index.php/GDL
  [20]: /index.php?title=Talk:GDL&action=edit
  [21]: /index.php?title=GDL&action=edit
  [22]: /index.php?title=GDL&action=history
  [23]: /index.php?title=Special:Userlogin&returnto=GDL
  [24]: /index.php/Main_Page "Main Page"
  [25]: /index.php/Category:Applications
  [26]: /index.php/User_Guides
  [27]: /index.php/User_FAQ
  [28]: /index.php/Get_Help
  [29]: /index.php/Report_Bugs
  [30]: /index.php/GNUstepWiki:Site_support
  [31]: /index.php/Screenshots
  [32]: /index.php/Developer_Guides
  [33]: /index.php/Developer_FAQ
  [34]: /index.php/Foundation
  [35]: /index.php/AppKit
  [36]: /index.php/Category:Frameworks
  [37]: /index.php/Main_Page
  [38]: /index.php/GNUstepWiki:Community_Portal
  [39]: /index.php/Current_events
  [40]: /index.php/Special:Recentchanges
  [41]: /index.php/Special:Random
  [42]: /index.php/Help:Contents
  [43]: /index.php/Special:Whatlinkshere/GDL
  [44]: /index.php/Special:Recentchangeslinked/GDL
  [45]: /index.php/Special:Upload
  [46]: /index.php/Special:Specialpages
  [47]: /index.php?title=GDL&printable=yes&printable=yes
  [48]: /skins/common/images/poweredby_mediawiki_88x31.png
  [49]: http://www.mediawiki.org/
  [50]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [51]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [52]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"