<>

# GNUstep As a Product

### From GNUstepWiki	{#siteSub}

Ideas about how to market GNUstep

<table>
<tr>
<td>
## Contents
* [1 The GNUstep as a Product][1]
* [2 Distribution and installation][2]
* [3 Using GNUstep Development Environment][3]
* [4 Goals and how to get there][4]
* [5 Marketing Objective-C][5]
* [6 Other notes][6]
</td>
</tr>
</table>

[[edit][7]]

<>

## The GNUstep as a Product

There are several definitions of GNUstep. One is [here][8] (Home), [here][9] (Intro),[here][10] (Wiki Intro) and [here][11] (GS vs WM).

There are many uses for GNUstep, but we have to agree on single definition of a single product that will be provided at the beginning. Of course there are many flavours of GNUstep installations, but there should be only one or two introduced.

The product definition should contain:

* what it is
* what it offers
* references to something known and recognised (comparison is good for understanding)
* strengths of gnustep
* use few buzzwords, but very, very decently

GNUstep by its nature IS some kind of environment, as it is not bunch of libraries, because it requires its own filesystem storage (for resources, for example) and running servers (daemons). We can call this more complex set of components an environment. As there are not many applications for GNUstep right now, the best product that can be done from GNUstep is "GNUstep Development Environment". Sugestion for general description of the environment:

**GNUstep**: _GNUstep is a cross-platform, object oriented environment composed of frameworks, tools, and servers (daemons). It is very similar to the Cocoa frameworks from Apple, and tries to maintain compatibility with Cocoa wherever it is desired and possible. The frameworks provide classes for containers, distributed objects, object archiving, file management, text system, font management, image composition, WYSIWYG PostScript graphics, and more._

<table>
<tr>
<th> Product/Package </th>
<th> Description </th>
<th> Contents </th>
<caption></caption>
<td>**Runtime Environment**</td>
<td> Core that forms an environment in which GNUstep applications, tools and servers can be run. </td>
<td> GNUstep Core, Workspace application, Terminal application, example services </td>
<caption></caption>
<td>**Development Environment**</td>
<td> Collection of core applications for worskpace management, object relationship modelling, source code editing, terminal emulation and set of core development frameworks (Foundation and Application Kits) </td>
<td> Components from the Runtime Environment + Gorm, ProjectCenter, EasyDiff </td>
<caption></caption>
<td>**Framework Collection** [2] </td>
<td> Object oriented solutions for web application development, database (Oracle, MySQL, Postgresql,...) connectivity and object abstraction, language independent scripting </td>
<td> GSWeb, GDL2, StepTalk </td>
</tr>
</table>

[1] No user applications are included, as it is an development environment.

[2] feel free to replace the word Production with something better_._

[[edit][12]]

<>

## Distribution and installation

Any product has to be distributed. Current possible distribution channels are:

* Direct distribution from GNUstep website through .tar.gz source or binaries
* MS Windows executable
* Debian based linux distributions with .deb packages
* FreeBSD ports
* RPM packaging based distributions

Installation should be as easy as:

1. Download
2. Launch installer (doubleclicking in hosting environment is prefered)
3. Configure
4. Run!

For Linux distributions with native packaging systems, there should be meta package containing several gnustep packages according to the gnustep products/solutions.

For other Linux distributions, installation should be either guarded by executable package or by providing instructions that can be moved by Copy &amp; Paste into a terminal window.

For MS Windows, the installer should create full binary installation of the gnustep environment that is ready to launch. It should place a GNUstep icon on the desktop or into the start menu. Launching _GNUstep development session_ is same as launching GWorkspace.app or Terminal.app

[[edit][13]]

<>

## Using GNUstep Development Environment

User should be able to use GNUstep D.E. by clicking on an icon or picking a menu item. For the time being, the main entry to the environment should be GWorkspace or Terminal.app. No .cshrc or .bashrc fiddling should be required.

Having GNUstep useable from user's preferred terminal is for advanced users. Instructions for required 'sourcing' and 'setting env variables' should be given at the end of the installation and should be explicitly marked as instructions for advanced users.

Alternative for the development environment, there should be a very simple 'dock application' with preconfigured entries for GWorkspace, Terminal.app, Gorm.app and ProjectCenter.app. Nothing fancy, simple window with matrix of buttons with icons.

GWorkspace should be preconfigured to contain icons for System/Applications, Local/Applications, System/Documentation and Local/Documentation on the shelf.

[[edit][14]]

<>

## Goals and how to get there

First a list of the primary goals:

* Get more app developers
* Get more app users

Why do we want them:

* More testing of the GNUstep-core
* More bug fixes of GNUstep-core
* More applications that use GNUstep-core

How to attract developers:

* Good documentation
* Easy to use tools
* Complete development set

How to attract users:

* Apps
* Apps
* Apps

Where do we "hire" developers:

* See the list below

developers already know some kind of language, so we have to address them from their starting point. You want to be able to point e.g. a Java programmer to a document that targets the Java programmer to use [Objective-C][15].

Where do we find users:

* See the list below
* Make sure GNUstep is incorporated in as many distro's as possible

How are we gonna approach developers? How are we gonna approach users?

[[edit][16]]

<>

## Marketing [Objective-C][17]

Working with a language that is not familiar to most programmers requires a lot of marketing. The first idea was to create a list that shows the highlights of the language then create documents that tell e.g. a Java programmer how to do things in [Objective-C][18], and also for C programmes, C++ programmers etc. So an article per programming language.

[[edit][19]]

<>

## Other notes

[Release procedure][20]

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_As\_a\_Product][21]"

##### Views

* [Article][22]
* [Discussion][23]
* [Edit][24]
* [History][25]

##### Personal tools

* [Create an account or log in][26]

[][27]

##### users

* [Applications][28]
* [Guides][29]
* [FAQ][30]
* [Get Help][31]
* [Report Bugs][32]
* [Donations][33]
* [Screenshots][34]

##### developers

* [Guides][35]
* [FAQ][36]
* [Base API (Foundation)][37]
* [GUI API (AppKit)][38]
* [Frameworks][39]

##### Navigation

* [Main Page][40]
* [Community portal][41]
* [Current events][42]
* [Recent changes][43]
* [Random page][44]
* [Help][45]

##### Search

##### Toolbox

* [What links here][46]
* [Related changes][47]
* [Upload file][48]
* [Special pages][49]
* [Printable version][50]

[![MediaWiki][51]][52]

* This page was last modified 14:49, 2 October 2006.
* This page has been accessed 29,267 times.
* Content is available under [GNU General Public License][53].
* [About GNUstepWiki][54]
* [Disclaimers][55]

  [1]: #The_GNUstep_as_a_Product
  [2]: #Distribution_and_installation
  [3]: #Using_GNUstep_Development_Environment
  [4]: #Goals_and_how_to_get_there
  [5]: #Marketing_Objective-C
  [6]: #Other_notes
  [7]: /index.php?title=GNUstep_As_a_Product&action=edit&section=1 "GNUstep As a Product"
  [8]: http://www.gnustep.org/ "http://www.gnustep.org/"
  [9]: http://www.gnustep.org/information/aboutGNUstep.html "http://www.gnustep.org/information/aboutGNUstep.html"
  [10]: http://wiki.gnustep.org/index.php/Introduction%20to%20GNUstep "http://wiki.gnustep.org/index.php/Introduction to GNUstep"
  [11]: http://wiki.gnustep.org/index.php/GNUstepIsNotWM "http://wiki.gnustep.org/index.php/GNUstepIsNotWM"
  [12]: /index.php?title=GNUstep_As_a_Product&action=edit&section=2 "GNUstep As a Product"
  [13]: /index.php?title=GNUstep_As_a_Product&action=edit&section=3 "GNUstep As a Product"
  [14]: /index.php?title=GNUstep_As_a_Product&action=edit&section=4 "GNUstep As a Product"
  [15]: /index.php/Objective-C "Objective-C"
  [16]: /index.php?title=GNUstep_As_a_Product&action=edit&section=5 "GNUstep As a Product"
  [17]: /index.php/Objective-C "Objective-C"
  [18]: /index.php/Objective-C "Objective-C"
  [19]: /index.php?title=GNUstep_As_a_Product&action=edit&section=6 "GNUstep As a Product"
  [20]: /index.php?title=Release_procedure&action=edit "Release procedure"
  [21]: http://wiki.gnustep.org/index.php/GNUstep_As_a_Product
  [22]: /index.php/GNUstep_As_a_Product
  [23]: /index.php?title=Talk:GNUstep_As_a_Product&action=edit
  [24]: /index.php?title=GNUstep_As_a_Product&action=edit
  [25]: /index.php?title=GNUstep_As_a_Product&action=history
  [26]: /index.php?title=Special:Userlogin&returnto=GNUstep_As_a_Product
  [27]: /index.php/Main_Page "Main Page"
  [28]: /index.php/Category:Applications
  [29]: /index.php/User_Guides
  [30]: /index.php/User_FAQ
  [31]: /index.php/Get_Help
  [32]: /index.php/Report_Bugs
  [33]: /index.php/GNUstepWiki:Site_support
  [34]: /index.php/Screenshots
  [35]: /index.php/Developer_Guides
  [36]: /index.php/Developer_FAQ
  [37]: /index.php/Foundation
  [38]: /index.php/AppKit
  [39]: /index.php/Category:Frameworks
  [40]: /index.php/Main_Page
  [41]: /index.php/GNUstepWiki:Community_Portal
  [42]: /index.php/Current_events
  [43]: /index.php/Special:Recentchanges
  [44]: /index.php/Special:Random
  [45]: /index.php/Help:Contents
  [46]: /index.php/Special:Whatlinkshere/GNUstep_As_a_Product
  [47]: /index.php/Special:Recentchangeslinked/GNUstep_As_a_Product
  [48]: /index.php/Special:Upload
  [49]: /index.php/Special:Specialpages
  [50]: /index.php?title=GNUstep_As_a_Product&printable=yes&printable=yes
  [51]: /skins/common/images/poweredby_mediawiki_88x31.png
  [52]: http://www.mediawiki.org/
  [53]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [54]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [55]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"