<>

# GNUstep Installation Process

### From GNUstepWiki	{#siteSub}

At the moment, the ways available to install GNUstep is heavily dependent on the host operating system platform.

[[edit][1]]

<>

## Installing from source code

If you wish to install from source code, instructions are available from [GNUstep Howto][2] - and if you want to stay on the bleeding edge, check out point 7 on that page or Dennis Leeuw's [GNUstep Build Guide for Unix Systems][3].

* latest instructions for [Installation on Windows][4]
* latest instructions for [Gorm Installation On Windows][5]
* latest instructions for [Installation of 32bit GNUstep on 64bit Linux][6]

[[edit][7]]

<>

## Using your native packaging system

Many platforms offer native GNUstep packages that may be installed in the same way that other software is commonly installed. Some information on platform-specific packages can be located at [Platform\_compatibility][8].

[[edit][9]]

<>

## Some aspirations

GNUstep installation process could be and should be as simple as "pkg-inst GNUstep-1.0" across GNUstep supported OS plaforms.

Given GNUstep's cross-platform approach to application development activities, the application mangement activies should also be united across OS platforms.

For "pkg-inst GNUstep-1.0" details, please see [Package\_management][10].

<br />
 Few notes: <http://lists.gnu.org/archive/html/discuss-gnustep/2005-01/msg00381.html>

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_Installation\_Process][11]"

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 11:07, 29 October 2006.
* This page has been accessed 112,451 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: /index.php?title=GNUstep_Installation_Process&action=edit&section=1 "GNUstep Installation Process"
  [2]: http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto_toc.html "http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto toc.html"
  [3]: http://gnustep.made-it.com/BuildGuide/index.html "http://gnustep.made-it.com/BuildGuide/index.html"
  [4]: /index.php/Installation_on_Windows "Installation on Windows"
  [5]: /index.php/Gorm_Installation_On_Windows "Gorm Installation On Windows"
  [6]: /index.php/Installation_of_32bit_GNUstep_on_64bit_Linux "Installation of 32bit GNUstep on 64bit Linux"
  [7]: /index.php?title=GNUstep_Installation_Process&action=edit&section=2 "GNUstep Installation Process"
  [8]: /index.php/Platform_compatibility "Platform compatibility"
  [9]: /index.php?title=GNUstep_Installation_Process&action=edit&section=3 "GNUstep Installation Process"
  [10]: /index.php/Package_management "Package management"
  [11]: http://wiki.gnustep.org/index.php/GNUstep_Installation_Process
  [12]: /index.php/GNUstep_Installation_Process
  [13]: /index.php/Talk:GNUstep_Installation_Process
  [14]: /index.php?title=GNUstep_Installation_Process&action=edit
  [15]: /index.php?title=GNUstep_Installation_Process&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=GNUstep_Installation_Process
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/GNUstep_Installation_Process
  [37]: /index.php/Special:Recentchangeslinked/GNUstep_Installation_Process
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=GNUstep_Installation_Process&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"