<>

# GNUstep SVN Installation Guide

### From GNUstepWiki	{#siteSub}

This page is a step-by-step "How-to compile the latest svn version of GNUstep". It's mainly a short summary of different documents available.

**NOTE:** Instruction on installing GNUstep on Windows are available at [Installation on Windows][1].

<table>
<tr>
<td>
## Contents
* [1 Prerequisites][2]
* [2 Download][3]
* [3 Makefile Package][4]
* [4 Base/Foundation Library][5]
* [5 GUI/AppKit Library][6]
* [6 Backend Library][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Prerequisites

Make sure to have the libraries mentioned as [Dependencies][9] installed Ã¢ÂÂ from their specific web sites or using your packaging system. (Note that some distributions/variants put header files into separate \*-dev or \*-devel packages. In this case these must be installed, too!) You may also want to have a look at the article [Platform compatibility][10] for notes on your platform.

[[edit][11]]

<>

## Download

	 svn co <http://svn.gna.org/svn/gnustep/modules/core>

See also [Using Subversion][12].

Or use git to check out each core component separately. E.g. for make:

	 git svn clone <http://svn.gna.org/svn/gnustep/tools/make/trunk> make

[[edit][13]]

<>

## Makefile Package

You should install these packages as root.

	sudo

Now, start with the Makefile Package.

	cd core/make
	./configure
	make
	make install

For configurations options see `./configure --help`. For example `./configure --with-layout=fhs` enables a more FHS-conformable filesystem layout. `./configure --prefix=MYPATH` will install into MYPATH instead of the standard /usr/GNUstep. Typical options are / (into root directly, as NeXT or Apple do), /usr/local/GNUstep, /opt/GNUstep.

Extra configuration needed every time you use "GNUstep" from a command-line:

	. /usr/GNUstep/System/Library/Makefiles/GNUstep.sh

For Bourne compatible shells, or

	. /usr/GNUstep/System/Library/Makefiles/GNUstep.csh

For csh or tcsh.

[[edit][14]]

<>

## Base/Foundation Library

	cd core/base
	./configure
	make
	make install

[[edit][15]]

<>

## GUI/AppKit Library

	cd core/gui
	./configure
	make
	make install

[[edit][16]]

<>

## Backend Library

The most stable GNUstep [backend][17] currently is the one dependent on cairo. The libart backend is no longer actively developed. You may want to try one of the different backends by using the configure option "--enable-graphics=" with either art, xlib, opal or cairo as parameter.

	cd core/back
	./configure
	make
	make install

<br />

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_SVN\_Installation\_Guide][18]"

##### Views

* [Article][19]
* [Discussion][20]
* [Edit][21]
* [History][22]

##### Personal tools

* [Create an account or log in][23]

[][24]

##### users

* [Applications][25]
* [Guides][26]
* [FAQ][27]
* [Get Help][28]
* [Report Bugs][29]
* [Donations][30]
* [Screenshots][31]

##### developers

* [Guides][32]
* [FAQ][33]
* [Base API (Foundation)][34]
* [GUI API (AppKit)][35]
* [Frameworks][36]

##### Navigation

* [Main Page][37]
* [Community portal][38]
* [Current events][39]
* [Recent changes][40]
* [Random page][41]
* [Help][42]

##### Search

##### Toolbox

* [What links here][43]
* [Related changes][44]
* [Upload file][45]
* [Special pages][46]
* [Printable version][47]

[![MediaWiki][48]][49]

* This page was last modified 15:50, 22 April 2017.
* This page has been accessed 66,366 times.
* Content is available under [GNU General Public License][50].
* [About GNUstepWiki][51]
* [Disclaimers][52]

  [1]: /index.php/Installation_on_Windows "Installation on Windows"
  [2]: #Prerequisites
  [3]: #Download
  [4]: #Makefile_Package
  [5]: #Base.2FFoundation_Library
  [6]: #GUI.2FAppKit_Library
  [7]: #Backend_Library
  [8]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=1 "GNUstep SVN Installation Guide"
  [9]: /index.php/Dependencies "Dependencies"
  [10]: /index.php/Platform_compatibility "Platform compatibility"
  [11]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=2 "GNUstep SVN Installation Guide"
  [12]: /index.php/Using_Subversion "Using Subversion"
  [13]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=3 "GNUstep SVN Installation Guide"
  [14]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=4 "GNUstep SVN Installation Guide"
  [15]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=5 "GNUstep SVN Installation Guide"
  [16]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=6 "GNUstep SVN Installation Guide"
  [17]: /index.php/Backend "Backend"
  [18]: http://wiki.gnustep.org/index.php/GNUstep_SVN_Installation_Guide
  [19]: /index.php/GNUstep_SVN_Installation_Guide
  [20]: /index.php/Talk:GNUstep_SVN_Installation_Guide
  [21]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit
  [22]: /index.php?title=GNUstep_SVN_Installation_Guide&action=history
  [23]: /index.php?title=Special:Userlogin&returnto=GNUstep_SVN_Installation_Guide
  [24]: /index.php/Main_Page "Main Page"
  [25]: /index.php/Category:Applications
  [26]: /index.php/User_Guides
  [27]: /index.php/User_FAQ
  [28]: /index.php/Get_Help
  [29]: /index.php/Report_Bugs
  [30]: /index.php/GNUstepWiki:Site_support
  [31]: /index.php/Screenshots
  [32]: /index.php/Developer_Guides
  [33]: /index.php/Developer_FAQ
  [34]: /index.php/Foundation
  [35]: /index.php/AppKit
  [36]: /index.php/Category:Frameworks
  [37]: /index.php/Main_Page
  [38]: /index.php/GNUstepWiki:Community_Portal
  [39]: /index.php/Current_events
  [40]: /index.php/Special:Recentchanges
  [41]: /index.php/Special:Random
  [42]: /index.php/Help:Contents
  [43]: /index.php/Special:Whatlinkshere/GNUstep_SVN_Installation_Guide
  [44]: /index.php/Special:Recentchangeslinked/GNUstep_SVN_Installation_Guide
  [45]: /index.php/Special:Upload
  [46]: /index.php/Special:Specialpages
  [47]: /index.php?title=GNUstep_SVN_Installation_Guide&printable=yes&printable=yes
  [48]: /skins/common/images/poweredby_mediawiki_88x31.png
  [49]: http://www.mediawiki.org/
  [50]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [51]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [52]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"