<>

# GNUstep SVN Installation Guide

### From GNUstepWiki	{#siteSub}

(Redirected from [GNUstep SVN installation guide][1])

This page is a step-by-step "How-to compile the latest svn version of GNUstep". It's mainly a short summary of different documents available.

**NOTE:** Instruction on installing GNUstep on Windows are available at [Installation on Windows][2].

<table>
<tr>
<td>
## Contents
* [1 Prerequisites][3]
* [2 Download][4]
* [3 Makefile Package][5]
* [4 Base/Foundation Library][6]
* [5 GUI/AppKit Library][7]
* [6 Backend Library][8]
</td>
</tr>
</table>

[[edit][9]]

<>

## Prerequisites

Make sure to have the libraries mentioned as [Dependencies][10] installed Ã¢ÂÂ from their specific web sites or using your packaging system. (Note that some distributions/variants put header files into separate \*-dev or \*-devel packages. In this case these must be installed, too!) You may also want to have a look at the article [Platform compatibility][11] for notes on your platform.

[[edit][12]]

<>

## Download

	 svn co <http://svn.gna.org/svn/gnustep/modules/core>

See also [Using Subversion][13].

Or use git to check out each core component separately. E.g. for make:

	 git svn clone <http://svn.gna.org/svn/gnustep/tools/make/trunk> make

[[edit][14]]

<>

## Makefile Package

You should install these packages as root.

	sudo

Now, start with the Makefile Package.

	cd core/make
	./configure
	make
	make install

For configurations options see `./configure --help`. For example `./configure --with-layout=fhs` enables a more FHS-conformable filesystem layout. `./configure --prefix=MYPATH` will install into MYPATH instead of the standard /usr/GNUstep. Typical options are / (into root directly, as NeXT or Apple do), /usr/local/GNUstep, /opt/GNUstep.

Extra configuration needed every time you use "GNUstep" from a command-line:

	. /usr/GNUstep/System/Library/Makefiles/GNUstep.sh

For Bourne compatible shells, or

	. /usr/GNUstep/System/Library/Makefiles/GNUstep.csh

For csh or tcsh.

[[edit][15]]

<>

## Base/Foundation Library

	cd core/base
	./configure
	make
	make install

[[edit][16]]

<>

## GUI/AppKit Library

	cd core/gui
	./configure
	make
	make install

[[edit][17]]

<>

## Backend Library

The most stable GNUstep [backend][18] currently is the one dependent on cairo. The libart backend is no longer actively developed. You may want to try one of the different backends by using the configure option "--enable-graphics=" with either art, xlib, opal or cairo as parameter.

	cd core/back
	./configure
	make
	make install

<br />

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_SVN\_Installation\_Guide][19]"

##### Views

* [Article][20]
* [Discussion][21]
* [Edit][22]
* [History][23]

##### Personal tools

* [Create an account or log in][24]

[][25]

##### users

* [Applications][26]
* [Guides][27]
* [FAQ][28]
* [Get Help][29]
* [Report Bugs][30]
* [Donations][31]
* [Screenshots][32]

##### developers

* [Guides][33]
* [FAQ][34]
* [Base API (Foundation)][35]
* [GUI API (AppKit)][36]
* [Frameworks][37]

##### Navigation

* [Main Page][38]
* [Community portal][39]
* [Current events][40]
* [Recent changes][41]
* [Random page][42]
* [Help][43]

##### Search

##### Toolbox

* [What links here][44]
* [Related changes][45]
* [Upload file][46]
* [Special pages][47]
* [Printable version][48]

[![MediaWiki][49]][50]

* This page was last modified 15:50, 22 April 2017.
* This page has been accessed 66,367 times.
* Content is available under [GNU General Public License][51].
* [About GNUstepWiki][52]
* [Disclaimers][53]

  [1]: /index.php?title=GNUstep_SVN_installation_guide&redirect=no "GNUstep SVN installation guide"
  [2]: /index.php/Installation_on_Windows "Installation on Windows"
  [3]: #Prerequisites
  [4]: #Download
  [5]: #Makefile_Package
  [6]: #Base.2FFoundation_Library
  [7]: #GUI.2FAppKit_Library
  [8]: #Backend_Library
  [9]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=1 "GNUstep SVN Installation Guide"
  [10]: /index.php/Dependencies "Dependencies"
  [11]: /index.php/Platform_compatibility "Platform compatibility"
  [12]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=2 "GNUstep SVN Installation Guide"
  [13]: /index.php/Using_Subversion "Using Subversion"
  [14]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=3 "GNUstep SVN Installation Guide"
  [15]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=4 "GNUstep SVN Installation Guide"
  [16]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=5 "GNUstep SVN Installation Guide"
  [17]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit&section=6 "GNUstep SVN Installation Guide"
  [18]: /index.php/Backend "Backend"
  [19]: http://wiki.gnustep.org/index.php/GNUstep_SVN_Installation_Guide
  [20]: /index.php/GNUstep_SVN_Installation_Guide
  [21]: /index.php/Talk:GNUstep_SVN_Installation_Guide
  [22]: /index.php?title=GNUstep_SVN_Installation_Guide&action=edit
  [23]: /index.php?title=GNUstep_SVN_Installation_Guide&action=history
  [24]: /index.php?title=Special:Userlogin&returnto=GNUstep_SVN_Installation_Guide
  [25]: /index.php/Main_Page "Main Page"
  [26]: /index.php/Category:Applications
  [27]: /index.php/User_Guides
  [28]: /index.php/User_FAQ
  [29]: /index.php/Get_Help
  [30]: /index.php/Report_Bugs
  [31]: /index.php/GNUstepWiki:Site_support
  [32]: /index.php/Screenshots
  [33]: /index.php/Developer_Guides
  [34]: /index.php/Developer_FAQ
  [35]: /index.php/Foundation
  [36]: /index.php/AppKit
  [37]: /index.php/Category:Frameworks
  [38]: /index.php/Main_Page
  [39]: /index.php/GNUstepWiki:Community_Portal
  [40]: /index.php/Current_events
  [41]: /index.php/Special:Recentchanges
  [42]: /index.php/Special:Random
  [43]: /index.php/Help:Contents
  [44]: /index.php/Special:Whatlinkshere/GNUstep_SVN_Installation_Guide
  [45]: /index.php/Special:Recentchangeslinked/GNUstep_SVN_Installation_Guide
  [46]: /index.php/Special:Upload
  [47]: /index.php/Special:Specialpages
  [48]: /index.php?title=GNUstep_SVN_Installation_Guide&printable=yes&printable=yes
  [49]: /skins/common/images/poweredby_mediawiki_88x31.png
  [50]: http://www.mediawiki.org/
  [51]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [52]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [53]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"