<>

# GNUstep Suite

### From GNUstepWiki	{#siteSub}

[<img src="/images/0/08/GNUstep-library-map.png" width="200" height="200" alt="How GNUstep libraries and others interrelate" />][1]

How GNUstep libraries and others interrelate

The GNUstep suite consists of the core packages, the development tools and some auxiliary libraries.

<table>
<tr>
<td>
## Contents
* [1 The Core][2]
* [2 Development Tools][3]
* [3 Auxiliary Libraries][4]
* [4 Other Projects][5]
</td>
</tr>
</table>

[[edit][6]]

<>

## The Core

The core packages of libraries and tools are the basis of GNUstep. There are four parts at present: makefiles, base library, GUI library and the back-end. All four are available in the Startup package from the downloads pages.

* [Make][7]: The GNUstep Makefile Package is a configuration system and set of rules that makes compilation of GNUstep source as easy as simply listing the files.
* [Base Library][8]: Our base library implements the FoundationKit part of the OpenStep specification.
* [GUI Library][9]: This implements the ApplicationKit from the OpenStep spec.
* [Backend][10]: The back-end provides a small set of functions used by the GUI library to interface to the actual window system (X11, etc). It also has a drawing engine which emulates common PostScript functions.

[[edit][11]]

<>

## Development Tools

* [GNU Objective-C Compiler (GCC)][12]: To produce applications, we compile source code to make executable binaries. The GNU C compiler has supported Objective-C for years, and it has been ported to almost every operating system.
* [GNU Debugger (GDB)][13]: GDB version 6.0, and higher, supports debugging Objective-C code natively. See our [instructions][14] for Objective-C debugging with gdb.
* [ProjectCenter][15]: Good development systems always build on project management. Project Center lets you search, edit, debug and design your applications and libraries with a range of tools.
* [Gorm][16]: The _Graphical Object Relationship Modeller_ lets you graphically design a user interface for your application.

[[edit][17]]

<>

## Auxiliary Libraries

[<img src="/images/3/3e/GNUstep-web-map.png" width="200" height="200" alt="How GNUstep web libraries interrelate" />][18]

How GNUstep web libraries interrelate

A list of currently available libraries and frameworks [can be found here][19].

* [GNUstep Database Library Version 2 (GDL2)][20]
* [GNUstep Web Applications Framework (GSWeb)][21]: The GNUstepWeb library is a logic extension of the GNUstep project designed to be compatible with NeXT's WebObjects 4.x.

[[edit][22]]

<>

## Other Projects

* Foundation Extensions Library (extensions): This library contains some classes and extensions that are not required for GNUstep, but provide some useful functions none the less.

* [libFoundation][23] (no longer developed): An alternate implementation of FoundationKit. libFoundation is more slim than gnustep-base, but still lacks several features of Foundation. It implements some extensions to Foundation that are also available separately for use with gnustep-base.

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_Suite][24]"

[Categories][25]: [Development][26]

##### Views

* [Article][27]
* [Discussion][28]
* [Edit][29]
* [History][30]

##### Personal tools

* [Create an account or log in][31]

[][32]

##### users

* [Applications][33]
* [Guides][34]
* [FAQ][35]
* [Get Help][36]
* [Report Bugs][37]
* [Donations][38]
* [Screenshots][39]

##### developers

* [Guides][40]
* [FAQ][41]
* [Base API (Foundation)][42]
* [GUI API (AppKit)][43]
* [Frameworks][44]

##### Navigation

* [Main Page][45]
* [Community portal][46]
* [Current events][47]
* [Recent changes][48]
* [Random page][49]
* [Help][50]

##### Search

##### Toolbox

* [What links here][51]
* [Related changes][52]
* [Upload file][53]
* [Special pages][54]
* [Printable version][55]

[![MediaWiki][56]][57]

* This page was last modified 19:43, 15 September 2006.
* This page has been accessed 30,247 times.
* Content is available under [GNU General Public License][58].
* [About GNUstepWiki][59]
* [Disclaimers][60]

  [1]: /index.php/Image:GNUstep-library-map.png "How GNUstep libraries and others interrelate"
  [2]: #The_Core
  [3]: #Development_Tools
  [4]: #Auxiliary_Libraries
  [5]: #Other_Projects
  [6]: /index.php?title=GNUstep_Suite&action=edit&section=1 "GNUstep Suite"
  [7]: /index.php/Make "Make"
  [8]: /index.php/Base "Base"
  [9]: /index.php/GUI "GUI"
  [10]: /index.php/Backend "Backend"
  [11]: /index.php?title=GNUstep_Suite&action=edit&section=2 "GNUstep Suite"
  [12]: http://gcc.gnu.org/ "http://gcc.gnu.org/"
  [13]: http://www.gnu.org/software/gdb/gdb.html "http://www.gnu.org/software/gdb/gdb.html"
  [14]: http://www.gnustep.org/resources/documentation/Developer/Base/General/Debugging.html "http://www.gnustep.org/resources/documentation/Developer/Base/General/Debugging.html"
  [15]: /index.php/ProjectCenter "ProjectCenter"
  [16]: /index.php/Gorm "Gorm"
  [17]: /index.php?title=GNUstep_Suite&action=edit&section=3 "GNUstep Suite"
  [18]: /index.php/Image:GNUstep-web-map.png "How GNUstep web libraries interrelate"
  [19]: /index.php/Frameworks "Frameworks"
  [20]: http://www.gnustep.org/resources/documentation/Developer/GDL2/GDL2.html "http://www.gnustep.org/resources/documentation/Developer/GDL2/GDL2.html"
  [21]: http://www.gnustepweb.org "http://www.gnustepweb.org"
  [22]: /index.php?title=GNUstep_Suite&action=edit&section=4 "GNUstep Suite"
  [23]: http://sourceforge.net/projects/libfoundation "http://sourceforge.net/projects/libfoundation"
  [24]: http://wiki.gnustep.org/index.php/GNUstep_Suite
  [25]: /index.php?title=Special:Categories&article=GNUstep_Suite "Special:Categories"
  [26]: /index.php/Category:Development "Category:Development"
  [27]: /index.php/GNUstep_Suite
  [28]: /index.php/Talk:GNUstep_Suite
  [29]: /index.php?title=GNUstep_Suite&action=edit
  [30]: /index.php?title=GNUstep_Suite&action=history
  [31]: /index.php?title=Special:Userlogin&returnto=GNUstep_Suite
  [32]: /index.php/Main_Page "Main Page"
  [33]: /index.php/Category:Applications
  [34]: /index.php/User_Guides
  [35]: /index.php/User_FAQ
  [36]: /index.php/Get_Help
  [37]: /index.php/Report_Bugs
  [38]: /index.php/GNUstepWiki:Site_support
  [39]: /index.php/Screenshots
  [40]: /index.php/Developer_Guides
  [41]: /index.php/Developer_FAQ
  [42]: /index.php/Foundation
  [43]: /index.php/AppKit
  [44]: /index.php/Category:Frameworks
  [45]: /index.php/Main_Page
  [46]: /index.php/GNUstepWiki:Community_Portal
  [47]: /index.php/Current_events
  [48]: /index.php/Special:Recentchanges
  [49]: /index.php/Special:Random
  [50]: /index.php/Help:Contents
  [51]: /index.php/Special:Whatlinkshere/GNUstep_Suite
  [52]: /index.php/Special:Recentchangeslinked/GNUstep_Suite
  [53]: /index.php/Special:Upload
  [54]: /index.php/Special:Specialpages
  [55]: /index.php?title=GNUstep_Suite&printable=yes&printable=yes
  [56]: /skins/common/images/poweredby_mediawiki_88x31.png
  [57]: http://www.mediawiki.org/
  [58]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [59]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [60]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"