<>

# GNUstep release policy

### From GNUstepWiki	{#siteSub}

**Release Version Numbering scheme**

Releases are named by their major.minor.subminor version numbering scheme for releases and for naming tags in svn. eg. when making a release of version 1.2.3 of package foo the svn tag is foo-1\_2\_3. The library (SONAME) versions is changed when the major or minor version number of a release changes, but not the subminor number. So release 1.2.3 of package foo implies library libfoo.so.1.2 as does release 1.2.4.

**Policy on changing version numbers**

The minor version number is changed (and therefore the library version) when we break backward compatibility . This will mean that most releases we make will only change the subminor number rather than the minor number even where we have added substantial new features. While we realise that this has a problem with public perception being that the project is dead because it never makes 'big' new releases, we think it's better to address the problem with improved publicity of what's in the new release rather than by hoping that a big version number change will do it for us. On the rare occasion where we want a big public change, we would change the major version number (and of course SONAME).

**Release stability policy**

We advertise a 'stable' release _every_ time we break backward compatibility. We no longer advertise 'unstable/development' releases. Eg. if the last release was 1.3.24 then we release 1.4.0 as 'stable' and start working on 1.4.1 in subversion trunk. All releases (if any) in the 1.4 family would then be considered either bugfix or development releases.

**Standard release procedure (NOT backward compatible with previous version - new stable release)**

* bump the minor version number and SONAME and reset the subminor number to zero
* tag the version for release using the name-major\_minor\_subminor convention.
* copy the version for release to form a new 'stable' branch
* make tarballs and installation packages
* put release on ftp site and publicise
* set the subminor version in trunk to 1

**Standard release procedure (backward compatible with previous version**

* tag the version for release using the name\_major\_minor\_subminor convention.
* copy the version for release to form a new 'stable' branch
* make tarballs and installation packages
* bump the subminor version number in the trunk
* put release on ftp site and publicise
* increment the subminor version in trunk to 1

**Bugfix release procedure (on stable branch)**

* apply bugfixes to the 'stable' branch
* set the subminor version number in the 'stable' branch to the current value in trunk
* increment the subminor version number in trunk
* tag the version for release using the name\_major\_minor\_subminor convention.
* make tarballs and installation packages
* put on ftp site and publicise

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_release\_policy][1]"

[Categories][2]: [Project procedures][3]

##### Views

* [Article][4]
* [Discussion][5]
* [Edit][6]
* [History][7]

##### Personal tools

* [Create an account or log in][8]

[][9]

##### users

* [Applications][10]
* [Guides][11]
* [FAQ][12]
* [Get Help][13]
* [Report Bugs][14]
* [Donations][15]
* [Screenshots][16]

##### developers

* [Guides][17]
* [FAQ][18]
* [Base API (Foundation)][19]
* [GUI API (AppKit)][20]
* [Frameworks][21]

##### Navigation

* [Main Page][22]
* [Community portal][23]
* [Current events][24]
* [Recent changes][25]
* [Random page][26]
* [Help][27]

##### Search

##### Toolbox

* [What links here][28]
* [Related changes][29]
* [Upload file][30]
* [Special pages][31]
* [Printable version][32]

[![MediaWiki][33]][34]

* This page was last modified 12:23, 31 January 2012.
* This page has been accessed 18,247 times.
* Content is available under [GNU General Public License][35].
* [About GNUstepWiki][36]
* [Disclaimers][37]

  [1]: http://wiki.gnustep.org/index.php/GNUstep_release_policy
  [2]: /index.php?title=Special:Categories&article=GNUstep_release_policy "Special:Categories"
  [3]: /index.php/Category:Project_procedures "Category:Project procedures"
  [4]: /index.php/GNUstep_release_policy
  [5]: /index.php?title=Talk:GNUstep_release_policy&action=edit
  [6]: /index.php?title=GNUstep_release_policy&action=edit
  [7]: /index.php?title=GNUstep_release_policy&action=history
  [8]: /index.php?title=Special:Userlogin&returnto=GNUstep_release_policy
  [9]: /index.php/Main_Page "Main Page"
  [10]: /index.php/Category:Applications
  [11]: /index.php/User_Guides
  [12]: /index.php/User_FAQ
  [13]: /index.php/Get_Help
  [14]: /index.php/Report_Bugs
  [15]: /index.php/GNUstepWiki:Site_support
  [16]: /index.php/Screenshots
  [17]: /index.php/Developer_Guides
  [18]: /index.php/Developer_FAQ
  [19]: /index.php/Foundation
  [20]: /index.php/AppKit
  [21]: /index.php/Category:Frameworks
  [22]: /index.php/Main_Page
  [23]: /index.php/GNUstepWiki:Community_Portal
  [24]: /index.php/Current_events
  [25]: /index.php/Special:Recentchanges
  [26]: /index.php/Special:Random
  [27]: /index.php/Help:Contents
  [28]: /index.php/Special:Whatlinkshere/GNUstep_release_policy
  [29]: /index.php/Special:Recentchangeslinked/GNUstep_release_policy
  [30]: /index.php/Special:Upload
  [31]: /index.php/Special:Specialpages
  [32]: /index.php?title=GNUstep_release_policy&printable=yes&printable=yes
  [33]: /skins/common/images/poweredby_mediawiki_88x31.png
  [34]: http://www.mediawiki.org/
  [35]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [36]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [37]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"