<>

# GNUstep release procedure

### From GNUstepWiki	{#siteSub}

Steps for releasing the GNUstep core libraries (as well as others):

1\. Make sure news.texi and ReleaseNotes.gsdoc files are updated (or NEWS, ANNOUNCE, etc if it is a simple package). If the release is on a stable branch, also update these on the main branch so they are available to read in future releases.

2\. Update the 'Version' file with the new version or make sure the top-level GNUmakefile has VERSION set if there is not a separate Version file.

3\. core libraries: Update the documentation and release notes in the main directory:

	cd Documentation
	make clean; make; make regenerate

4\. Add a line in the ChangeLog, like:

	'* Version 1.10.0' as well.

and commit the changed files.

5\. Tag the release

	make svn-tag

(or 'make svn-tag-stable' if you are making a bugfix release from a stable branch rather than a main release from trunk).

6\. Make a source distribution

	make svn-dist

7\. Administrative stuff (Note: Admin-only scripts that I use to make this easier are in brackets):

* Sign the packages. Use gpg --detach-sign package.tar.gz [gstep-sign]
* Upload packages to ftp.gnustep.org, into the incoming directory [gstep-update].
* Install the documentation and copy it to the web repository [update\_documentation].
* Update the index.html and resources/downloads.php pages with the news.
* Commit the web repository.
* Make an announcement on info-gnustep@gnu.org, etc

If the packages are used by the GNUstep umbrella package (runtime or development environment), then the ubrella package should be released too.

[[edit][1]]

<>

## Preparation

It is desired that the release is made from SVN checkout. The release should correspond to a tagged state in the SVN.

Also it is required that all release test passed. If not, the release should not be created. For more information about the tests see [Quality assurance][2].

Follow standard versioning guidelines.

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_release\_procedure][3]"

[Categories][4]: [Project procedures][5]

##### Views

* [Article][6]
* [Discussion][7]
* [Edit][8]
* [History][9]

##### Personal tools

* [Create an account or log in][10]

[][11]

##### users

* [Applications][12]
* [Guides][13]
* [FAQ][14]
* [Get Help][15]
* [Report Bugs][16]
* [Donations][17]
* [Screenshots][18]

##### developers

* [Guides][19]
* [FAQ][20]
* [Base API (Foundation)][21]
* [GUI API (AppKit)][22]
* [Frameworks][23]

##### Navigation

* [Main Page][24]
* [Community portal][25]
* [Current events][26]
* [Recent changes][27]
* [Random page][28]
* [Help][29]

##### Search

##### Toolbox

* [What links here][30]
* [Related changes][31]
* [Upload file][32]
* [Special pages][33]
* [Printable version][34]

[![MediaWiki][35]][36]

* This page was last modified 07:09, 16 January 2007.
* This page has been accessed 21,532 times.
* Content is available under [GNU General Public License][37].
* [About GNUstepWiki][38]
* [Disclaimers][39]

  [1]: /index.php?title=GNUstep_release_procedure&action=edit&section=1 "GNUstep release procedure"
  [2]: /index.php/Quality_assurance "Quality assurance"
  [3]: http://wiki.gnustep.org/index.php/GNUstep_release_procedure
  [4]: /index.php?title=Special:Categories&article=GNUstep_release_procedure "Special:Categories"
  [5]: /index.php/Category:Project_procedures "Category:Project procedures"
  [6]: /index.php/GNUstep_release_procedure
  [7]: /index.php?title=Talk:GNUstep_release_procedure&action=edit
  [8]: /index.php?title=GNUstep_release_procedure&action=edit
  [9]: /index.php?title=GNUstep_release_procedure&action=history
  [10]: /index.php?title=Special:Userlogin&returnto=GNUstep_release_procedure
  [11]: /index.php/Main_Page "Main Page"
  [12]: /index.php/Category:Applications
  [13]: /index.php/User_Guides
  [14]: /index.php/User_FAQ
  [15]: /index.php/Get_Help
  [16]: /index.php/Report_Bugs
  [17]: /index.php/GNUstepWiki:Site_support
  [18]: /index.php/Screenshots
  [19]: /index.php/Developer_Guides
  [20]: /index.php/Developer_FAQ
  [21]: /index.php/Foundation
  [22]: /index.php/AppKit
  [23]: /index.php/Category:Frameworks
  [24]: /index.php/Main_Page
  [25]: /index.php/GNUstepWiki:Community_Portal
  [26]: /index.php/Current_events
  [27]: /index.php/Special:Recentchanges
  [28]: /index.php/Special:Random
  [29]: /index.php/Help:Contents
  [30]: /index.php/Special:Whatlinkshere/GNUstep_release_procedure
  [31]: /index.php/Special:Recentchangeslinked/GNUstep_release_procedure
  [32]: /index.php/Special:Upload
  [33]: /index.php/Special:Specialpages
  [34]: /index.php?title=GNUstep_release_procedure&printable=yes&printable=yes
  [35]: /skins/common/images/poweredby_mediawiki_88x31.png
  [36]: http://www.mediawiki.org/
  [37]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [38]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [39]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"