<>

# GNUstep

### From GNUstepWiki	{#siteSub}

**GNUstep** is a [cross-platform][1], object-oriented set of [frameworks][2] for desktop application [development][3]. The set of frameworks, based on [Cocoa][4] (previously [OpenStep][5]), enables developers to rapidly build sophisticated software by employing a large library of reusable software components. GNUstep is already used [in production][6] environments at several organizations.

[[edit][7]]

<>

### A Quick History about GNUstep, NeXTSTEP and OpenStep

NeXTStep was the start. Later NeXT Computer, trying to broaden the acceptance of their object tech, tried licensing it to IBM and others as NextStep (while keeping their OS still, with the same capitalization NeXTStep). Later they renamed the OS NeXTSTEP, but still the object technology that they still hoped to license to other vendors was called NextStep.

Through this time frame, NeXT developed a primeval Foundation Kit, and the Enterprise Objects Framework (EOF) to replace their aging Database Kit (dbkit). Sun was really interested in EOF, and through this interest NeXT (now NeXT Software) managed to get them interested in an updated version of their tech.

GNUstep began when Paul Kunz and others at [SLAC][8] wanted to port [HippoDraw][9] from NeXTSTEP to another platform. Instead of rewriting HippoDraw from scratch and reusing only the application design, they decided to rewrite the NeXTSTEP object layer which the application depended on. This was the first version of _libobjcX_. It enabled them to port HippoDraw to Unix systems running the X Window System without changing a single line of their application source. After the OpenStep specification was released to the public in 1994, they decided to write a new _objcX_ which would adhere to the new APIs. The software would become known as "GNUstep".

Together in October 1994, NeXT Software and Sun Microsystems published the OpenStep specification, which was co-designed but at this point not implemented by anyone.

The next versions of Solaris and NeXTSTEP, renamed to OPENSTEP 4.0, contained the new system.

There are a TON of names for the damn things.

However, OpenStep is not compatible with NextStep in either direction. OpenStep was a brand-new thing, only based loosely on the old "appkit" library.

Anyway, in '96 Apple Computer merged with NeXT Software with Apple paying $400 million in cash (and, IIRC, stock). Soon after, NeXT people took over key positions inside Apple, thus completing the "inverse takeover". Apple released the in-progress OPENSTEP v4.2 as a "Prelude to Rhapsody".

Through all this, the OS itself remained a pretty-crappy BSD with a nice, but rather different, GUI sitting on top of it. The BSD itself was bolted into Mach, which was almost used as nothing but a bootloader.

 Retrieved from "<http://wiki.gnustep.org/index.php/GNUstep>"

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 20:23, 11 November 2007.
* This page has been accessed 16,601 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: /index.php/Portability "Portability"
  [2]: /index.php/Frameworks "Frameworks"
  [3]: /index.php/Development_tools "Development tools"
  [4]: /index.php/Cocoa "Cocoa"
  [5]: /index.php/OpenStep "OpenStep"
  [6]: /index.php/GNUstep_in_production "GNUstep in production"
  [7]: /index.php?title=GNUstep&action=edit&section=1 "GNUstep"
  [8]: http://www.slac.stanford.edu/ "http://www.slac.stanford.edu/"
  [9]: http://www.slac.stanford.edu/grp/ek/hippodraw/ "http://www.slac.stanford.edu/grp/ek/hippodraw/"
  [10]: /index.php/GNUstep
  [11]: /index.php?title=Talk:GNUstep&action=edit
  [12]: /index.php?title=GNUstep&action=edit
  [13]: /index.php?title=GNUstep&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=GNUstep
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/GNUstep
  [35]: /index.php/Special:Recentchangeslinked/GNUstep
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=GNUstep&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"