<>

# GSWComponent

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Introduction][1]
* [2 Contents of a WO File Wrapper][2]
* [3 html file][3]
* [4 wod file][4]
* [5 woo file][5]
* [6 The component in a web browser][6]
</td>
</tr>
</table>

[[edit][7]]

<>

## Introduction

Components are the basic building blocks for [GNUstepWeb][8].

Every component is a directory. A component can represent a whole web page or just a part of it. It is easy to re-use pieces needed multiple times. A component contains three files they contain the HTML, the connections or bindings of your objects and additional information like the used encoding. Those files are suffixed .html, .wod and .woo.

If we use the WO Name syntax (Tags Named WEBOBJECT) we have the advantage of Web Objects Builder compatibility.

<br />
[<img src="/images/8/87/Wobuilder.jpg" width="630" height="480" alt="Image:Wobuilder.jpg" />][9]

[[edit][10]]

<>

## Contents of a WO File Wrapper

	user@host&gt;ls LoginComponent.wo/
	LoginComponent.html  LoginComponent.wod   LoginComponent.woo

[[edit][11]]

<>

## html file

` `

	&lt;!-- "$Id: LoginComponent.html 337 2006-01-25 15:30:46Z dave $" --&gt;
	&lt;webobject name=LoggedInCon&gt;&lt;webobject name=LoginForm&gt;
	       &lt;div class="logbar"&gt;
	               &lt;p class="center"&gt;Login to see your calls and account.&lt;/p&gt;
	               &lt;p class="right"&gt;Email:
	                       &lt;webobject name=EmailField&gt;&lt;/webobject&gt;&lt;/p&gt;
	               &lt;p class="right"&gt;Password:
	                       &lt;webobject name=PasswordField&gt;&lt;/webobject&gt;&lt;/p&gt;
	               &lt;p class="center"&gt;
	                       &lt;webobject name="LoginButton"&gt;&lt;/webobject&gt;&lt;webobject name=ErrorCond&gt;Error&lt;/webobject&gt;&lt;/p&gt;
	       &lt;/div&gt;
	&lt;/webobject&gt;&lt;/webobject&gt;&lt;webobject name=LoggedInCon2&gt;
	       &lt;div class="logbar"&gt;
	               &lt;h2&gt;My Account&lt;/h2&gt;
	               &lt;p class="center"&gt;&lt;webobject name=emailString&gt;&lt;/webobject&gt;&lt;/p&gt;
	               &lt;p class="center"&gt;&lt;webobject name=logoutLink&gt;Log out&lt;/webobject&gt;&lt;/p&gt;
	       &lt;/div&gt;
	&lt;/webobject&gt;
	&lt;!-- END LoginComponent --&gt;

[[edit][12]]

<>

## wod file

	 EmailField: WOTextField {
	         value = email;
	         size = 16;
	         name = "email";
	 }

	 ErrorCond: WOConditional {
	         condition = loginError;
	 }

	 LoggedInCon: WOConditional {
	         condition = session.client;
	         negate = true;
	 }

	 LoggedInCon2: WOConditional {
	         condition = session.client;
	 }

	 LoginButton: WOSubmitButton {
	         value = "Login";
	         directActionName = "login";
	 }

	 LoginForm: WOForm {
	 actionClass = "";
	 }

	 PasswordField: WOPasswordField {
	         value = password;
	         size = 16;
	         name = "password";
	 }

	 emailString: WOString {
	         value = session.client.eMail;
	         valueWhenEmpty = "me@example.com";
	 }

	 logoutLink: WOHyperlink {
	         action = logout;
	 }

[[edit][13]]

<>

## woo file

Note that this file is also important. GSWeb uses the encoding information here to load the component. Older versions (DW: trunk still in Jan 2007) do not use this file. If this file is not present, GSWeb will not find the component.

	 {
	   "WebObjects Release" = "WebObjects 5.0";
	   encoding = NSUTF8StringEncoding;
	 }

[[edit][14]]

<>

## The component in a web browser

After the page is being transferred to the web browser, it looks like that. (Note that the background image comes from a different component.)

[<img src="/images/a/ab/Component_in_browser.jpg" width="244" height="135" alt="Image:Component_in_browser.jpg" />][15]

----

 Retrieved from "<http://wiki.gnustep.org/index.php/GSWComponent>"

[Categories][16]: [GNUstepWeb][17] | [Development][18]

##### Views

* [Article][19]
* [Discussion][20]
* [Edit][21]
* [History][22]

##### Personal tools

* [Create an account or log in][23]

[][24]

##### users

* [Applications][25]
* [Guides][26]
* [FAQ][27]
* [Get Help][28]
* [Report Bugs][29]
* [Donations][30]
* [Screenshots][31]

##### developers

* [Guides][32]
* [FAQ][33]
* [Base API (Foundation)][34]
* [GUI API (AppKit)][35]
* [Frameworks][36]

##### Navigation

* [Main Page][37]
* [Community portal][38]
* [Current events][39]
* [Recent changes][40]
* [Random page][41]
* [Help][42]

##### Search

##### Toolbox

* [What links here][43]
* [Related changes][44]
* [Upload file][45]
* [Special pages][46]
* [Printable version][47]

[![MediaWiki][48]][49]

* This page was last modified 10:45, 2 January 2007.
* This page has been accessed 22,674 times.
* Content is available under [GNU General Public License][50].
* [About GNUstepWiki][51]
* [Disclaimers][52]

  [1]: #Introduction
  [2]: #Contents_of_a_WO_File_Wrapper
  [3]: #html_file
  [4]: #wod_file
  [5]: #woo_file
  [6]: #The_component_in_a_web_browser
  [7]: /index.php?title=GSWComponent&action=edit&section=1 "GSWComponent"
  [8]: /index.php/GNUstepWeb "GNUstepWeb"
  [9]: /index.php/Image:Wobuilder.jpg "Image:Wobuilder.jpg"
  [10]: /index.php?title=GSWComponent&action=edit&section=2 "GSWComponent"
  [11]: /index.php?title=GSWComponent&action=edit&section=3 "GSWComponent"
  [12]: /index.php?title=GSWComponent&action=edit&section=4 "GSWComponent"
  [13]: /index.php?title=GSWComponent&action=edit&section=5 "GSWComponent"
  [14]: /index.php?title=GSWComponent&action=edit&section=6 "GSWComponent"
  [15]: /index.php/Image:Component_in_browser.jpg "Image:Component_in_browser.jpg"
  [16]: /index.php?title=Special:Categories&article=GSWComponent "Special:Categories"
  [17]: /index.php/Category:GNUstepWeb "Category:GNUstepWeb"
  [18]: /index.php/Category:Development "Category:Development"
  [19]: /index.php/GSWComponent
  [20]: /index.php?title=Talk:GSWComponent&action=edit
  [21]: /index.php?title=GSWComponent&action=edit
  [22]: /index.php?title=GSWComponent&action=history
  [23]: /index.php?title=Special:Userlogin&returnto=GSWComponent
  [24]: /index.php/Main_Page "Main Page"
  [25]: /index.php/Category:Applications
  [26]: /index.php/User_Guides
  [27]: /index.php/User_FAQ
  [28]: /index.php/Get_Help
  [29]: /index.php/Report_Bugs
  [30]: /index.php/GNUstepWiki:Site_support
  [31]: /index.php/Screenshots
  [32]: /index.php/Developer_Guides
  [33]: /index.php/Developer_FAQ
  [34]: /index.php/Foundation
  [35]: /index.php/AppKit
  [36]: /index.php/Category:Frameworks
  [37]: /index.php/Main_Page
  [38]: /index.php/GNUstepWiki:Community_Portal
  [39]: /index.php/Current_events
  [40]: /index.php/Special:Recentchanges
  [41]: /index.php/Special:Random
  [42]: /index.php/Help:Contents
  [43]: /index.php/Special:Whatlinkshere/GSWComponent
  [44]: /index.php/Special:Recentchangeslinked/GSWComponent
  [45]: /index.php/Special:Upload
  [46]: /index.php/Special:Specialpages
  [47]: /index.php?title=GSWComponent&printable=yes&printable=yes
  [48]: /skins/common/images/poweredby_mediawiki_88x31.png
  [49]: http://www.mediawiki.org/
  [50]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [51]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [52]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"