<>

# AppKit

### From GNUstepWiki	{#siteSub}

(Redirected from [GUI][1])

**Dynamic List**<br />
 This is a list which is constantly changing and may never be considered complete.

The GNUstep GUI Library is a library of objects useful for writing graphical applications. For example, it includes classes for drawing and manipulating graphics objects on the screen: [windows][2], [menus][3], [buttons][4], [sliders][5], [text fields][6], and [events][7]. There are also many classes that offer operating-system-independent interfaces to [images][8], [cursors][9], [colors][10], [fonts][11], [pasteboards][12], printing. There are also workspace support classes such as data links, open/save panels, context-dependent help, spell checking.

It provides functionality that aims to implement the \`AppKit' portion of the [Cocoa][13] API (formerly [OpenStep][14] standard) however the implementation has been written to take advantage of GNUstep enhancements wherever possible.

The GNUstep GUI Library is divided into a front and back-end. The front-end contains the majority of the implementation, but leaves out the low-level drawing and event code. Different back-ends will make GNUstep available on various platforms. The default GNU back-end currently runs on top of the X Window System and uses only Xlib calls for graphics. Another backend uses a Display Postscript Server for graphics. Much work will be saved by this clean separation between front and back-end, because it allows different platforms to share the large amount of front-end code. Documentation for how the individual backends work is covered in a separate document.

You can find the automatically generated API documentation [here][15].

[[edit][16]]

<>

## Features

* User interface elements: table views, browsers, matrices, scroll views, ...
* Graphics: WYSIWYG, Postscript-like graphics, Bezier paths, image handling with multiple representations, graphical contexts
* [Color management][17]: calibrated vs. device colors, CMYK, RGB, HSB, gray and named color representations, alpha transparency
* [Text][18] system features: rich text format, text attachments, layout manager, typesetter, rules, paragraph styles, font management, [spell checking][19]
* [Document management][20]
* [Printing features][21]: print operations, print panel and page layout
* Help manager
* [Pasteboard][22] (a.k.a. clip board) services
* [Spell checker][23]
* [Workspace][24] bindings for applications
* [Drag and drop][25] operations
* [Services][26] shared among applications
* [XIB][27] WYSIWIG GUI definition language Ã¢ÂÂ To be implemented

[[edit][28]]

<>

## Notes and Snippets

<table>
<tr>
<th> Class Reference </th>
<th> Protocol Reference </th>
</tr>
<tr>
<td>
* [NSActionCell][29]
* [NSAffineTransform][30]
* [NSAlert][31]
* [NSApplication][32]
* [NSBezierPath][33]
* [NSBitmapImageRep][34]
* [NSBox][35]
* [NSBrowser][36]
* [NSBrowserCell][37]
* [NSButton][38]
* [NSButtonCell][39]
* [NSCachedImageRep][40]
* [NSCell][41]
* [NSClipView][42]
* [NSColor][43]
* [NSColorList][44]
* [NSColorPanel][45]
* [NSColorPicker][46]
* [NSColorWell][47]
* [NSComboBox][48]
* [NSComboBoxCell][49]
* [NSControl][50]
* [NSCursor][51]
* [NSCustomImageRep][52]
* [NSDataLink][53]
* [NSDataLinkManager][54]
* [NSDataLinkPanel][55]
* [NSDocument][56]
* [NSDocumentController][57]
* [NSDrawer][58]
* [NSDrawerDelegate][59]
* [NSEPSImageRep][60]
* [NSEvent][61]
* [NSFileWrapper][62]
* [NSFont][63]
* [NSFontManager][64]
* [NSFontPanel][65]
* [NSForm][66]
* [NSFormCell][67]
* [NSGraphicsContext][68]
* [NSHelpManager][69]
* [NSHelpPanel][70]
* [NSImage][71]
* [NSImageCell][72]
* [NSImageRep][73]
* [NSImageView][74]
* [NSInputManager][75]
* [NSInputServer][76]
* [NSLayoutManager][77]
* [NSMatrix][78]
* [NSMenu][79]
* [NSMenuItem][80]
* [NSMenuItemCell][81]
* [NSMenuView][82]
* [NSMovie][83]
* [NSMovieView][84]
* [NSMutableParagraphStyle][85]
* [NSNib][86]
* [NSNibConnector][87]
* [NSNibControlConnector][88]
* [NSNibOutletConnector][89]
* [NSOpenGLContext][90]
* [NSOpenGLPixelFormat][91]
* [NSOpenGLView][92]
* [NSOpenPanel][93]
* [NSOutlineView][94]
* [NSPageLayout][95]
* [NSPanel][96]
* [NSParagraphStyle][97]
* [NSPasteboard][98]
* [NSPopUpButton][99]
* [NSPopUpButtonCell][100]
* [NSPrintInfo][101]
* [NSPrintOperation][102]
* [NSPrintPanel][103]
* [NSPrinter][104]
* [NSProgressIndicator][105]
* [NSResponder][106]
* [NSRulerMarker][107]
* [NSRulerView][108]
* [NSSavePanel][109]
* [NSScreen][110]
* [NSScrollView][111]
* [NSScroller][112]
* [NSSearchField][113]
* [NSSearchFieldCell][114]
* [NSSecureTextField][115]
* [NSSecureTextFieldCell][116]
* [NSSelection][117]
* [NSSlider][118]
* [NSSliderCell][119]
* [NSSound][120]
* [NSSpellChecker][121]
* [NSSpellServer][122]
* [NSSplitView][123]
* [NSStepper][124]
* [NSStepperCell][125]
* [NSTabView][126]
* [NSTabViewItem][127]
* [NSTableColumn][128]
* [NSTableHeaderCell][129]
* [NSTableHeaderView][130]
* [NSTableView][131]
* [NSText][132]
* [NSTextAttachment][133]
* [NSTextAttachmentCell][134]
* [NSTextContainer][135]
* [NSTextField][136]
* [NSTextFieldCell][137]
* [NSTextStorage][138]
* [NSTextTab][139]
* [NSTextView][140]
* [NSToolbar][141]
* [NSToolbarItem][142]
* [NSView][143]
* [NSWindow][144]
* [NSWindowController][145]
* [NSWorkspace][146]
</td>
<td>
* [NSChangeSpelling][147]
* [NSColorPickingCustom][148]
* [NSColorPickingDefault][149]
* [NSDraggingInfo][150]
* [NSIgnoreMisspelledWords][151]
* [NSInputServerMouseTracker][152]
* [NSInputServiceProvider][153]
* [NSMenuItem][154]
* [NSMenuValidation][155]
* [NSMenuView][156]
* [NSTextAttachmentCell][157]
* [NSTextInput][158]
* [NSUserInterfaceValidations][159]
* [NSValidatedUserInterfaceItem][160]
</td>
</tr>
</table>

 Retrieved from "<http://wiki.gnustep.org/index.php/AppKit>"

[Categories][161]: [Frameworks][162]

##### Views

* [Article][163]
* [Discussion][164]
* [Edit][165]
* [History][166]

##### Personal tools

* [Create an account or log in][167]

[][168]

##### users

* [Applications][169]
* [Guides][170]
* [FAQ][171]
* [Get Help][172]
* [Report Bugs][173]
* [Donations][174]
* [Screenshots][175]

##### developers

* [Guides][176]
* [FAQ][177]
* [Base API (Foundation)][178]
* [GUI API (AppKit)][179]
* [Frameworks][180]

##### Navigation

* [Main Page][181]
* [Community portal][182]
* [Current events][183]
* [Recent changes][184]
* [Random page][185]
* [Help][186]

##### Search

##### Toolbox

* [What links here][187]
* [Related changes][188]
* [Upload file][189]
* [Special pages][190]
* [Printable version][191]

[![MediaWiki][192]][193]

* This page was last modified 20:20, 19 September 2012.
* This page has been accessed 90,763 times.
* Content is available under [GNU General Public License][194].
* [About GNUstepWiki][195]
* [Disclaimers][196]

  [1]: /index.php?title=GUI&redirect=no "GUI"
  [2]: /index.php/NSWindow "NSWindow"
  [3]: /index.php/NSMenu "NSMenu"
  [4]: /index.php/NSButton "NSButton"
  [5]: /index.php/NSSlider "NSSlider"
  [6]: /index.php/NSTextField "NSTextField"
  [7]: /index.php/NSEvent "NSEvent"
  [8]: /index.php?title=NSImage&action=edit "NSImage"
  [9]: /index.php?title=NSCursor&action=edit "NSCursor"
  [10]: /index.php?title=NSColor&action=edit "NSColor"
  [11]: /index.php?title=NSFont&action=edit "NSFont"
  [12]: /index.php?title=NSPasteboard&action=edit "NSPasteboard"
  [13]: /index.php/Cocoa "Cocoa"
  [14]: /index.php/OpenStep "OpenStep"
  [15]: http://www.gnustep.org/resources/documentation/Developer/Gui/Reference/index.html "http://www.gnustep.org/resources/documentation/Developer/Gui/Reference/index.html"
  [16]: /index.php?title=AppKit&action=edit&section=1 "AppKit"
  [17]: /index.php/Color "Color"
  [18]: /index.php/Text "Text"
  [19]: /index.php?title=Spell_checking&action=edit "Spell checking"
  [20]: /index.php?title=Document_architecture&action=edit "Document architecture"
  [21]: /index.php?title=Printing&action=edit "Printing"
  [22]: /index.php/Pasteboard "Pasteboard"
  [23]: /index.php?title=Spelling&action=edit "Spelling"
  [24]: /index.php?title=Workspace&action=edit "Workspace"
  [25]: /index.php/Drag_and_drop "Drag and drop"
  [26]: /index.php/Service "Service"
  [27]: /index.php/XIB "XIB"
  [28]: /index.php?title=AppKit&action=edit&section=2 "AppKit"
  [29]: /index.php?title=NSActionCell&action=edit "NSActionCell"
  [30]: /index.php?title=NSAffineTransform&action=edit "NSAffineTransform"
  [31]: /index.php/NSAlert "NSAlert"
  [32]: /index.php?title=NSApplication&action=edit "NSApplication"
  [33]: /index.php?title=NSBezierPath&action=edit "NSBezierPath"
  [34]: /index.php/NSBitmapImageRep "NSBitmapImageRep"
  [35]: /index.php/NSBox "NSBox"
  [36]: /index.php?title=NSBrowser&action=edit "NSBrowser"
  [37]: /index.php?title=NSBrowserCell&action=edit "NSBrowserCell"
  [38]: /index.php/NSButton "NSButton"
  [39]: /index.php/NSButtonCell "NSButtonCell"
  [40]: /index.php?title=NSCachedImageRep&action=edit "NSCachedImageRep"
  [41]: /index.php/NSCell "NSCell"
  [42]: /index.php/NSClipView "NSClipView"
  [43]: /index.php?title=NSColor&action=edit "NSColor"
  [44]: /index.php?title=NSColorList&action=edit "NSColorList"
  [45]: /index.php?title=NSColorPanel&action=edit "NSColorPanel"
  [46]: /index.php?title=NSColorPicker&action=edit "NSColorPicker"
  [47]: /index.php?title=NSColorWell&action=edit "NSColorWell"
  [48]: /index.php/NSComboBox "NSComboBox"
  [49]: /index.php?title=NSComboBoxCell&action=edit "NSComboBoxCell"
  [50]: /index.php/NSControl "NSControl"
  [51]: /index.php?title=NSCursor&action=edit "NSCursor"
  [52]: /index.php?title=NSCustomImageRep&action=edit "NSCustomImageRep"
  [53]: /index.php/NSDataLink "NSDataLink"
  [54]: /index.php?title=NSDataLinkManager&action=edit "NSDataLinkManager"
  [55]: /index.php?title=NSDataLinkPanel&action=edit "NSDataLinkPanel"
  [56]: /index.php/NSDocument "NSDocument"
  [57]: /index.php?title=NSDocumentController&action=edit "NSDocumentController"
  [58]: /index.php?title=NSDrawer&action=edit "NSDrawer"
  [59]: /index.php?title=NSDrawerDelegate&action=edit "NSDrawerDelegate"
  [60]: /index.php/NSEPSImageRep "NSEPSImageRep"
  [61]: /index.php/NSEvent "NSEvent"
  [62]: /index.php/NSFileWrapper "NSFileWrapper"
  [63]: /index.php?title=NSFont&action=edit "NSFont"
  [64]: /index.php?title=NSFontManager&action=edit "NSFontManager"
  [65]: /index.php?title=NSFontPanel&action=edit "NSFontPanel"
  [66]: /index.php?title=NSForm&action=edit "NSForm"
  [67]: /index.php?title=NSFormCell&action=edit "NSFormCell"
  [68]: /index.php/NSGraphicsContext "NSGraphicsContext"
  [69]: /index.php?title=NSHelpManager&action=edit "NSHelpManager"
  [70]: /index.php?title=NSHelpPanel&action=edit "NSHelpPanel"
  [71]: /index.php?title=NSImage&action=edit "NSImage"
  [72]: /index.php?title=NSImageCell&action=edit "NSImageCell"
  [73]: /index.php?title=NSImageRep&action=edit "NSImageRep"
  [74]: /index.php?title=NSImageView&action=edit "NSImageView"
  [75]: /index.php?title=NSInputManager&action=edit "NSInputManager"
  [76]: /index.php?title=NSInputServer&action=edit "NSInputServer"
  [77]: /index.php?title=NSLayoutManager&action=edit "NSLayoutManager"
  [78]: /index.php?title=NSMatrix&action=edit "NSMatrix"
  [79]: /index.php/NSMenu "NSMenu"
  [80]: /index.php/NSMenuItem "NSMenuItem"
  [81]: /index.php?title=NSMenuItemCell&action=edit "NSMenuItemCell"
  [82]: /index.php?title=NSMenuView&action=edit "NSMenuView"
  [83]: /index.php?title=NSMovie&action=edit "NSMovie"
  [84]: /index.php?title=NSMovieView&action=edit "NSMovieView"
  [85]: /index.php?title=NSMutableParagraphStyle&action=edit "NSMutableParagraphStyle"
  [86]: /index.php?title=NSNib&action=edit "NSNib"
  [87]: /index.php?title=NSNibConnector&action=edit "NSNibConnector"
  [88]: /index.php?title=NSNibControlConnector&action=edit "NSNibControlConnector"
  [89]: /index.php?title=NSNibOutletConnector&action=edit "NSNibOutletConnector"
  [90]: /index.php?title=NSOpenGLContext&action=edit "NSOpenGLContext"
  [91]: /index.php?title=NSOpenGLPixelFormat&action=edit "NSOpenGLPixelFormat"
  [92]: /index.php?title=NSOpenGLView&action=edit "NSOpenGLView"
  [93]: /index.php/NSOpenPanel "NSOpenPanel"
  [94]: /index.php?title=NSOutlineView&action=edit "NSOutlineView"
  [95]: /index.php?title=NSPageLayout&action=edit "NSPageLayout"
  [96]: /index.php?title=NSPanel&action=edit "NSPanel"
  [97]: /index.php?title=NSParagraphStyle&action=edit "NSParagraphStyle"
  [98]: /index.php?title=NSPasteboard&action=edit "NSPasteboard"
  [99]: /index.php?title=NSPopUpButton&action=edit "NSPopUpButton"
  [100]: /index.php?title=NSPopUpButtonCell&action=edit "NSPopUpButtonCell"
  [101]: /index.php?title=NSPrintInfo&action=edit "NSPrintInfo"
  [102]: /index.php?title=NSPrintOperation&action=edit "NSPrintOperation"
  [103]: /index.php?title=NSPrintPanel&action=edit "NSPrintPanel"
  [104]: /index.php?title=NSPrinter&action=edit "NSPrinter"
  [105]: /index.php?title=NSProgressIndicator&action=edit "NSProgressIndicator"
  [106]: /index.php?title=NSResponder&action=edit "NSResponder"
  [107]: /index.php?title=NSRulerMarker&action=edit "NSRulerMarker"
  [108]: /index.php?title=NSRulerView&action=edit "NSRulerView"
  [109]: /index.php?title=NSSavePanel&action=edit "NSSavePanel"
  [110]: /index.php?title=NSScreen&action=edit "NSScreen"
  [111]: /index.php?title=NSScrollView&action=edit "NSScrollView"
  [112]: /index.php?title=NSScroller&action=edit "NSScroller"
  [113]: /index.php?title=NSSearchField&action=edit "NSSearchField"
  [114]: /index.php?title=NSSearchFieldCell&action=edit "NSSearchFieldCell"
  [115]: /index.php?title=NSSecureTextField&action=edit "NSSecureTextField"
  [116]: /index.php?title=NSSecureTextFieldCell&action=edit "NSSecureTextFieldCell"
  [117]: /index.php?title=NSSelection&action=edit "NSSelection"
  [118]: /index.php/NSSlider "NSSlider"
  [119]: /index.php?title=NSSliderCell&action=edit "NSSliderCell"
  [120]: /index.php/NSSound "NSSound"
  [121]: /index.php?title=NSSpellChecker&action=edit "NSSpellChecker"
  [122]: /index.php?title=NSSpellServer&action=edit "NSSpellServer"
  [123]: /index.php?title=NSSplitView&action=edit "NSSplitView"
  [124]: /index.php?title=NSStepper&action=edit "NSStepper"
  [125]: /index.php?title=NSStepperCell&action=edit "NSStepperCell"
  [126]: /index.php?title=NSTabView&action=edit "NSTabView"
  [127]: /index.php?title=NSTabViewItem&action=edit "NSTabViewItem"
  [128]: /index.php?title=NSTableColumn&action=edit "NSTableColumn"
  [129]: /index.php?title=NSTableHeaderCell&action=edit "NSTableHeaderCell"
  [130]: /index.php?title=NSTableHeaderView&action=edit "NSTableHeaderView"
  [131]: /index.php/NSTableView "NSTableView"
  [132]: /index.php?title=NSText&action=edit "NSText"
  [133]: /index.php?title=NSTextAttachment&action=edit "NSTextAttachment"
  [134]: /index.php?title=NSTextAttachmentCell&action=edit "NSTextAttachmentCell"
  [135]: /index.php?title=NSTextContainer&action=edit "NSTextContainer"
  [136]: /index.php/NSTextField "NSTextField"
  [137]: /index.php?title=NSTextFieldCell&action=edit "NSTextFieldCell"
  [138]: /index.php?title=NSTextStorage&action=edit "NSTextStorage"
  [139]: /index.php?title=NSTextTab&action=edit "NSTextTab"
  [140]: /index.php?title=NSTextView&action=edit "NSTextView"
  [141]: /index.php/NSToolbar "NSToolbar"
  [142]: /index.php?title=NSToolbarItem&action=edit "NSToolbarItem"
  [143]: /index.php/NSView "NSView"
  [144]: /index.php/NSWindow "NSWindow"
  [145]: /index.php?title=NSWindowController&action=edit "NSWindowController"
  [146]: /index.php?title=NSWorkspace&action=edit "NSWorkspace"
  [147]: /index.php?title=NSChangeSpelling&action=edit "NSChangeSpelling"
  [148]: /index.php?title=NSColorPickingCustom&action=edit "NSColorPickingCustom"
  [149]: /index.php?title=NSColorPickingDefault&action=edit "NSColorPickingDefault"
  [150]: /index.php?title=NSDraggingInfo&action=edit "NSDraggingInfo"
  [151]: /index.php?title=NSIgnoreMisspelledWords&action=edit "NSIgnoreMisspelledWords"
  [152]: /index.php?title=NSInputServerMouseTracker&action=edit "NSInputServerMouseTracker"
  [153]: /index.php?title=NSInputServiceProvider&action=edit "NSInputServiceProvider"
  [154]: /index.php/NSMenuItem "NSMenuItem"
  [155]: /index.php?title=NSMenuValidation&action=edit "NSMenuValidation"
  [156]: /index.php?title=NSMenuView&action=edit "NSMenuView"
  [157]: /index.php?title=NSTextAttachmentCell&action=edit "NSTextAttachmentCell"
  [158]: /index.php?title=NSTextInput&action=edit "NSTextInput"
  [159]: /index.php?title=NSUserInterfaceValidations&action=edit "NSUserInterfaceValidations"
  [160]: /index.php?title=NSValidatedUserInterfaceItem&action=edit "NSValidatedUserInterfaceItem"
  [161]: /index.php?title=Special:Categories&article=AppKit "Special:Categories"
  [162]: /index.php/Category:Frameworks "Category:Frameworks"
  [163]: /index.php/AppKit
  [164]: /index.php/Talk:AppKit
  [165]: /index.php?title=AppKit&action=edit
  [166]: /index.php?title=AppKit&action=history
  [167]: /index.php?title=Special:Userlogin&returnto=AppKit
  [168]: /index.php/Main_Page "Main Page"
  [169]: /index.php/Category:Applications
  [170]: /index.php/User_Guides
  [171]: /index.php/User_FAQ
  [172]: /index.php/Get_Help
  [173]: /index.php/Report_Bugs
  [174]: /index.php/GNUstepWiki:Site_support
  [175]: /index.php/Screenshots
  [176]: /index.php/Developer_Guides
  [177]: /index.php/Developer_FAQ
  [178]: /index.php/Foundation
  [179]: /index.php/AppKit
  [180]: /index.php/Category:Frameworks
  [181]: /index.php/Main_Page
  [182]: /index.php/GNUstepWiki:Community_Portal
  [183]: /index.php/Current_events
  [184]: /index.php/Special:Recentchanges
  [185]: /index.php/Special:Random
  [186]: /index.php/Help:Contents
  [187]: /index.php/Special:Whatlinkshere/AppKit
  [188]: /index.php/Special:Recentchangeslinked/AppKit
  [189]: /index.php/Special:Upload
  [190]: /index.php/Special:Specialpages
  [191]: /index.php?title=AppKit&printable=yes&printable=yes
  [192]: /skins/common/images/poweredby_mediawiki_88x31.png
  [193]: http://www.mediawiki.org/
  [194]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [195]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [196]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"