<>

# Gorm Installation On Windows

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

### Steps to build Gorm on Windows (pre-0.9.5)

1) Install mingw as described here:

[Installation on Windows][2]

2) Go to the Gorm directory under gnustep/dev-apps/Gorm

3) Executing the following commands:

	  # First build the InterfaceBuilder library...
	  ln -s GormLib InterfaceBuilder
	  cd InterfaceBuilder
	  make install

	  # Now build Gorm itself...
	  cd ../
	  make

	  # Now install the palettes into the app and install
	  make install

4) CVS versions of Gorm have install-windows.sh which contains the commands listed above.

[[edit][3]]

<>

### For Gorm versions after 0.9.5 (CVS) or release 0.9.10

As of version 0.9.10 of Gorm, the build requires no special consideration. The above page is obsolete for these versions of Gorm. Simply doing a "make install" from the command line in the MinGW shell on Windows in the Gorm directory should install Gorm correctly.

[[edit][4]]

<>

### Why is the build process different on Windows?

Because Windows uses the PE-COFF executable format which does not support weak-symbols. Unlike ELF, all symbols in programs using COFF (or one of it's variants) must have any and all symbols defined at compile time. Gorm utilizes weak symbols because it's palettes take advantage of some of the code in the Gorm application. This is normally okay on most operating systems, but on Windows it's not.

I am currently refactoring Gorm's build process to make it cleaner and to help symplify the it on all platforms.

 Retrieved from "[http://wiki.gnustep.org/index.php/Gorm\_Installation\_On\_Windows][5]"

[Categories][6]: [Microsoft Windows][7]

##### Views

* [Article][8]
* [Discussion][9]
* [Edit][10]
* [History][11]

##### Personal tools

* [Create an account or log in][12]

[][13]

##### users

* [Applications][14]
* [Guides][15]
* [FAQ][16]
* [Get Help][17]
* [Report Bugs][18]
* [Donations][19]
* [Screenshots][20]

##### developers

* [Guides][21]
* [FAQ][22]
* [Base API (Foundation)][23]
* [GUI API (AppKit)][24]
* [Frameworks][25]

##### Navigation

* [Main Page][26]
* [Community portal][27]
* [Current events][28]
* [Recent changes][29]
* [Random page][30]
* [Help][31]

##### Search

##### Toolbox

* [What links here][32]
* [Related changes][33]
* [Upload file][34]
* [Special pages][35]
* [Printable version][36]

[![MediaWiki][37]][38]

* This page was last modified 19:29, 3 April 2009.
* This page has been accessed 24,049 times.
* Content is available under [GNU General Public License][39].
* [About GNUstepWiki][40]
* [Disclaimers][41]

  [1]: /index.php?title=Gorm_Installation_On_Windows&action=edit&section=1 "Gorm Installation On Windows"
  [2]: /index.php/Installation_on_Windows "Installation on Windows"
  [3]: /index.php?title=Gorm_Installation_On_Windows&action=edit&section=2 "Gorm Installation On Windows"
  [4]: /index.php?title=Gorm_Installation_On_Windows&action=edit&section=3 "Gorm Installation On Windows"
  [5]: http://wiki.gnustep.org/index.php/Gorm_Installation_On_Windows
  [6]: /index.php?title=Special:Categories&article=Gorm_Installation_On_Windows "Special:Categories"
  [7]: /index.php/Category:Microsoft_Windows "Category:Microsoft Windows"
  [8]: /index.php/Gorm_Installation_On_Windows
  [9]: /index.php?title=Talk:Gorm_Installation_On_Windows&action=edit
  [10]: /index.php?title=Gorm_Installation_On_Windows&action=edit
  [11]: /index.php?title=Gorm_Installation_On_Windows&action=history
  [12]: /index.php?title=Special:Userlogin&returnto=Gorm_Installation_On_Windows
  [13]: /index.php/Main_Page "Main Page"
  [14]: /index.php/Category:Applications
  [15]: /index.php/User_Guides
  [16]: /index.php/User_FAQ
  [17]: /index.php/Get_Help
  [18]: /index.php/Report_Bugs
  [19]: /index.php/GNUstepWiki:Site_support
  [20]: /index.php/Screenshots
  [21]: /index.php/Developer_Guides
  [22]: /index.php/Developer_FAQ
  [23]: /index.php/Foundation
  [24]: /index.php/AppKit
  [25]: /index.php/Category:Frameworks
  [26]: /index.php/Main_Page
  [27]: /index.php/GNUstepWiki:Community_Portal
  [28]: /index.php/Current_events
  [29]: /index.php/Special:Recentchanges
  [30]: /index.php/Special:Random
  [31]: /index.php/Help:Contents
  [32]: /index.php/Special:Whatlinkshere/Gorm_Installation_On_Windows
  [33]: /index.php/Special:Recentchangeslinked/Gorm_Installation_On_Windows
  [34]: /index.php/Special:Upload
  [35]: /index.php/Special:Specialpages
  [36]: /index.php?title=Gorm_Installation_On_Windows&printable=yes&printable=yes
  [37]: /skins/common/images/poweredby_mediawiki_88x31.png
  [38]: http://www.mediawiki.org/
  [39]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [40]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [41]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"