<>

# Gorm.app

### From GNUstepWiki	{#siteSub}

Gorm (_Graphical Object Relationship Modeller_) is meant to be the counter part to NeXT's [Interface Builder][1]. With Gorm designing tough and complex graphical interfaces for your applications can easy and quickly be done using drag &amp; drop, powerful inspectors and teamwork with [ProjectCenter][2].

<>

#### Current Version: [1\.2.23][3]

* Released: July 2016
* Licensed: GPL 3.0

<>

### Overview

Before NeXT Computer Inc. revolutionized software developement with its OpenStep API, a new way of designing graphical user interfaces was already introduced by NeXT at the beginning of the 90s. Its operating system NeXTstep featured Interface Builder, an application that for the first time allowed developers to quickly create nice user interfaces without having to code everything manually. Using drag &amp; drop elements of windows such as buttons, sliders, textfields etc. were created and edited, then linked to functions and variables. Thus, Interface Builder helped developers to focus on the code for the actual functions without having to care about stuff not related to their project goal.

Gorm allows developers to quickly create and edit graphical application interfaces using a whole lot of GUI elements: windows, menus, buttons, labels, sliders, tables, textfields, browsers, images, altert panels and more. Custom palettes can be dynamically loaded to add additional elements or functionality.

<>

### Features

Currently Gorm gets extended with new elements and inspectors to get every common GUI object included in the standard palettes. Doing this is relatively easy now as all the inspectors are now created using Gorm itself.

**Please Note**The recently added NIB compatibility is for 10.2.x and later nibs. Older typed stream nibs will need to be converted to 10.2.x nibs for use in Gorm. Older nibs will contain objects.nib, while newer ones will have keyedobjects.nib. If you have access to a Mac, the you can convert them. Please load them into InterfaceBuilder and save them again and they should convert. <>

### Maintainer

* [Greg Casamento][4]

<>

### Related Links

* [Gorm Manual][5]
* [Gorm FAQ][6]
* [Developer Guides][7]
* [Using ProjectCenter &amp; Gorm][8]
* [ProjectCenter][9]
* [Gorm Installation On Windows][10]

 Retrieved from "<http://wiki.gnustep.org/index.php/Gorm.app>"

[Categories][11]: [Development Applications][12] | [Applications][13]

##### Views

* [Article][14]
* [Discussion][15]
* [Edit][16]
* [History][17]

##### Personal tools

* [Create an account or log in][18]

[][19]

##### users

* [Applications][20]
* [Guides][21]
* [FAQ][22]
* [Get Help][23]
* [Report Bugs][24]
* [Donations][25]
* [Screenshots][26]

##### developers

* [Guides][27]
* [FAQ][28]
* [Base API (Foundation)][29]
* [GUI API (AppKit)][30]
* [Frameworks][31]

##### Navigation

* [Main Page][32]
* [Community portal][33]
* [Current events][34]
* [Recent changes][35]
* [Random page][36]
* [Help][37]

##### Search

##### Toolbox

* [What links here][38]
* [Related changes][39]
* [Upload file][40]
* [Special pages][41]
* [Printable version][42]

[![MediaWiki][43]][44]

* This page was last modified 08:03, 2 May 2017.
* This page has been accessed 69,502 times.
* Content is available under [GNU General Public License][45].
* [About GNUstepWiki][46]
* [Disclaimers][47]

  [1]: /index.php/Interface_Builder "Interface Builder"
  [2]: /index.php/ProjectCenter "ProjectCenter"
  [3]: ftp://ftp.gnustep.org/pub/gnustep/dev-apps/gorm-1.2.23.tar.gz "ftp://ftp.gnustep.org/pub/gnustep/dev-apps/gorm-1.2.23.tar.gz"
  [4]: mailto:greg_casamento@yahoo.com "mailto:greg casamento@yahoo.com"
  [5]: /index.php/Gorm_Manual "Gorm Manual"
  [6]: /index.php/Gorm_FAQ "Gorm FAQ"
  [7]: /index.php/Developer_Guides "Developer Guides"
  [8]: http://www.gnustep.it/pierre-yves/index.html "http://www.gnustep.it/pierre-yves/index.html"
  [9]: /index.php/ProjectCenter "ProjectCenter"
  [10]: /index.php/Gorm_Installation_On_Windows "Gorm Installation On Windows"
  [11]: /index.php?title=Special:Categories&article=Gorm.app "Special:Categories"
  [12]: /index.php/Category:Development_Applications "Category:Development Applications"
  [13]: /index.php/Category:Applications "Category:Applications"
  [14]: /index.php/Gorm.app
  [15]: /index.php?title=Talk:Gorm.app&action=edit
  [16]: /index.php?title=Gorm.app&action=edit
  [17]: /index.php?title=Gorm.app&action=history
  [18]: /index.php?title=Special:Userlogin&returnto=Gorm.app
  [19]: /index.php/Main_Page "Main Page"
  [20]: /index.php/Category:Applications
  [21]: /index.php/User_Guides
  [22]: /index.php/User_FAQ
  [23]: /index.php/Get_Help
  [24]: /index.php/Report_Bugs
  [25]: /index.php/GNUstepWiki:Site_support
  [26]: /index.php/Screenshots
  [27]: /index.php/Developer_Guides
  [28]: /index.php/Developer_FAQ
  [29]: /index.php/Foundation
  [30]: /index.php/AppKit
  [31]: /index.php/Category:Frameworks
  [32]: /index.php/Main_Page
  [33]: /index.php/GNUstepWiki:Community_Portal
  [34]: /index.php/Current_events
  [35]: /index.php/Special:Recentchanges
  [36]: /index.php/Special:Random
  [37]: /index.php/Help:Contents
  [38]: /index.php/Special:Whatlinkshere/Gorm.app
  [39]: /index.php/Special:Recentchangeslinked/Gorm.app
  [40]: /index.php/Special:Upload
  [41]: /index.php/Special:Specialpages
  [42]: /index.php?title=Gorm.app&printable=yes&printable=yes
  [43]: /skins/common/images/poweredby_mediawiki_88x31.png
  [44]: http://www.mediawiki.org/
  [45]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [46]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [47]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"