<>

# Graphos.app

### From GNUstepWiki	{#siteSub}

Vector editor for GNUstep.

<>

#### Current Version: [0\.6][1]

* Released: Apr 23, 2017
* Licensed: GPL

<>

### Overview

[<img src="/images/thumb/0/00/Graphos_v01_art_1.jpg/180px-Graphos_v01_art_1.jpg" width="180" height="116" />][2]

[<img src="/skins/common/images/magnify-clip.png" width="15" height="11" alt="Enlarge" />][3]

Graphos is a vector drawing application centered around bezier paths.

Graphos roots are directly set in GDraw, written by Enrico Sersale and released in 2000. Version 0.1 of Graphos is a direct descendant of GDraw: the interface is almost unchanged, but the application has been refactored, reorganized, debugged, rewritten and updated.

The main changes were the transition from post-script to NSBezierPath drawing, total rearrangement of the objects into Drawable Objects and their Editors organized hierarchically and the porting to Macintosh. Finally, after the rearrangement was complete, it was possible to create the Circle tool of which there was no working version in the GDraw tarball I was able to get.

The Undo function was redone from scratch and Graphos 0.1 supports one level of undo for creating and editing of objects.

<>

### Features

* Bezier paths
* Boxes
* Circles

V. 0.6 Cusps and Symmetric bezier path control points. Bitmap image objects. Improved text object and editor.

V. 0.5 sports improved Text object, improved selection

V. 0.3 sports an improved, modeless, real-time inspector. New file format.

V. 0.2 sports a new, modernized inspector.

<>

### Maintainer

Riccardo Mottola

<>

### Related Links

[Graphos in GAP][4]

 Retrieved from "<http://wiki.gnustep.org/index.php/Graphos.app>"

[Categories][5]: [Graphics Applications][6] | [GAP][7] | [Applications][8]

##### Views

* [Article][9]
* [Discussion][10]
* [Edit][11]
* [History][12]

##### Personal tools

* [Create an account or log in][13]

[][14]

##### users

* [Applications][15]
* [Guides][16]
* [FAQ][17]
* [Get Help][18]
* [Report Bugs][19]
* [Donations][20]
* [Screenshots][21]

##### developers

* [Guides][22]
* [FAQ][23]
* [Base API (Foundation)][24]
* [GUI API (AppKit)][25]
* [Frameworks][26]

##### Navigation

* [Main Page][27]
* [Community portal][28]
* [Current events][29]
* [Recent changes][30]
* [Random page][31]
* [Help][32]

##### Search

##### Toolbox

* [What links here][33]
* [Related changes][34]
* [Upload file][35]
* [Special pages][36]
* [Printable version][37]

[![MediaWiki][38]][39]

* This page was last modified 16:33, 27 April 2017.
* This page has been accessed 20,053 times.
* Content is available under [GNU General Public License][40].
* [About GNUstepWiki][41]
* [Disclaimers][42]

  [1]: http://savannah.nongnu.org/download/gap/Graphos-0.6.tar.gz "http://savannah.nongnu.org/download/gap/Graphos-0.6.tar.gz"
  [2]: /index.php/Image:Graphos_v01_art_1.jpg
  [3]: /index.php/Image:Graphos_v01_art_1.jpg "Enlarge"
  [4]: http://gap.nongnu.org/graphos/index.html "http://gap.nongnu.org/graphos/index.html"
  [5]: /index.php?title=Special:Categories&article=Graphos.app "Special:Categories"
  [6]: /index.php/Category:Graphics_Applications "Category:Graphics Applications"
  [7]: /index.php/Category:GAP "Category:GAP"
  [8]: /index.php/Category:Applications "Category:Applications"
  [9]: /index.php/Graphos.app
  [10]: /index.php/Talk:Graphos.app
  [11]: /index.php?title=Graphos.app&action=edit
  [12]: /index.php?title=Graphos.app&action=history
  [13]: /index.php?title=Special:Userlogin&returnto=Graphos.app
  [14]: /index.php/Main_Page "Main Page"
  [15]: /index.php/Category:Applications
  [16]: /index.php/User_Guides
  [17]: /index.php/User_FAQ
  [18]: /index.php/Get_Help
  [19]: /index.php/Report_Bugs
  [20]: /index.php/GNUstepWiki:Site_support
  [21]: /index.php/Screenshots
  [22]: /index.php/Developer_Guides
  [23]: /index.php/Developer_FAQ
  [24]: /index.php/Foundation
  [25]: /index.php/AppKit
  [26]: /index.php/Category:Frameworks
  [27]: /index.php/Main_Page
  [28]: /index.php/GNUstepWiki:Community_Portal
  [29]: /index.php/Current_events
  [30]: /index.php/Special:Recentchanges
  [31]: /index.php/Special:Random
  [32]: /index.php/Help:Contents
  [33]: /index.php/Special:Whatlinkshere/Graphos.app
  [34]: /index.php/Special:Recentchangeslinked/Graphos.app
  [35]: /index.php/Special:Upload
  [36]: /index.php/Special:Specialpages
  [37]: /index.php?title=Graphos.app&printable=yes&printable=yes
  [38]: /skins/common/images/poweredby_mediawiki_88x31.png
  [39]: http://www.mediawiki.org/
  [40]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [41]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [42]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"