<>

# I18n

### From GNUstepWiki	{#siteSub}

I'm trying to form a gnustep-i18n team and list all relevant subjects. If you are experienced in this field, please help.

<table>
<tr>
<td>
## Contents
* [1 Input][1]
  * [1\.1 Current Status][2]
  * [1\.2 Related Information][3]
  * [1\.3 Comments][4]
* [2 Output][5]
  * [2\.1 Current Status][6]
  * [2\.2 Related Information][7]
  * [2\.3 Comments][8]
* [3 Writing aids and processing mechanisms][9]
  * [3\.1 Current Status][10]
  * [3\.2 Related Information][11]
  * [3\.3 Comments][12]
* [4 Localization][13]
  * [4\.1 Current Status][14]
  * [4\.2 Related Information][15]
  * [4\.3 Comments][16]
</td>
</tr>
</table>

[[edit][17]]

<>

## Input

* NSTextInput protocol
* NSInputManager

[[edit][18]]

<>

### Current Status

* Currently we use XIM. It is only available on systems that use the X11 backends.

[[edit][19]]

<>

### Related Information

* X11 Input Method (XIM) system ([old documentation][20])
* Internet/Intranet Input Method Framework (IIIMF) is a new input management system from the same people who brought you XIM ([project information][21])
* UIM is an embeddable C library providing input methods ([project page][22])
* kinput2 is a Japanese input server for XIM ([homepage][23])
* [GNU Emacs][24] has long had extensive input support in its [LEIM][25] library. (See info docs within emacs if you have it on your system.) On the pro side it's GPL'd already and more complete than other implementations; on the con side it's mostly in elisp and also may be built around an odd encoding ("Emacs-MULE"), except possibly in the unicode-2 branch.
* <http://www.freedesktop.org/Software/uim> is obsolte. See <http://uim.freedesktop.org/wiki/>
* [wmuim][26]is a dockapp and can be instead of uim-helper-toolbar-gtk
* [MacUIM][27] is written in Cocoa.
* [SCIM][28] (Smart Common Input Method) is a one of major input methods.

Both UIM and SCIM support more Japanese engines (e.g. Anthy, PRIME...)than kinput2 and iiimf.

[[edit][29]]

<>

### Comments

* Many input systems, eg. IIIMF, kinput2 have their own XIM bridges. Do we have those pop-up helpers with XIM yet?

<br />

[[edit][30]]

<>

## Output

* vertical text layout
* bidi text layout
* opentype support
* NSTextView
* Word hyphenation
* Word segmentation
* font substitution

[[edit][31]]

<>

### Current Status

* Gnustep has font substitution support.
  * The GSPreferredFonts default should be set to a list of font names that the text system will fall back on, when a glyph isn't available in the system fonts

[[edit][32]]

<>

### Related Information

* freetype
* pango
* [CSS3 Text Module][33]

[[edit][34]]

<>

### Comments

* what output method(s) is used? How? Why?

<br />

[[edit][35]]

<>

## Writing aids and processing mechanisms

* Spell-checking NSSpellChecker

[[edit][36]]

<>

### Current Status

* The spellchecker uses libaspell for its backend
  * aspell has dictionaries for at least these languages - af, br, ca, cs, cy, da, de, el, en, eo, es, fo, fr, ga, he, hr, is, it, nl, no, pl, pt, ro, ru, sk, sl, sv, uk (list taken from gentoo portage)
  * some languages are [unsupported][37] by aspell.
  * In the case where the currently selected NSLanguage doesn't have a dictionary available, an error dialog will show, telling you that the dictionary isn't available. It won't allow you to spell check with another dictionary until you manually open the spell check panel, and select a different dictionary. I mention this becuase its easy to get the impression that the spellchecker is broken if your NSLanguage is for example set to Thai.
  * Continuous spellchecking isn't implemented

[[edit][38]]

<>

### Related Information

[[edit][39]]

<>

### Comments

* what aids are available? how they are backed?

<br />

[[edit][40]]

<>

## Localization

[[edit][41]]

<>

### Current Status

[Translation\_collaboration][42]

[[edit][43]]

<>

### Related Information

[[edit][44]]

<>

### Comments

 Retrieved from "<http://wiki.gnustep.org/index.php/I18n>"

##### Views

* [Article][45]
* [Discussion][46]
* [Edit][47]
* [History][48]

##### Personal tools

* [Create an account or log in][49]

[][50]

##### users

* [Applications][51]
* [Guides][52]
* [FAQ][53]
* [Get Help][54]
* [Report Bugs][55]
* [Donations][56]
* [Screenshots][57]

##### developers

* [Guides][58]
* [FAQ][59]
* [Base API (Foundation)][60]
* [GUI API (AppKit)][61]
* [Frameworks][62]

##### Navigation

* [Main Page][63]
* [Community portal][64]
* [Current events][65]
* [Recent changes][66]
* [Random page][67]
* [Help][68]

##### Search

##### Toolbox

* [What links here][69]
* [Related changes][70]
* [Upload file][71]
* [Special pages][72]
* [Printable version][73]

[![MediaWiki][74]][75]

* This page was last modified 04:47, 7 November 2007.
* This page has been accessed 61,011 times.
* Content is available under [GNU General Public License][76].
* [About GNUstepWiki][77]
* [Disclaimers][78]

  [1]: #Input
  [2]: #Current_Status
  [3]: #Related_Information
  [4]: #Comments
  [5]: #Output
  [6]: #Current_Status_2
  [7]: #Related_Information_2
  [8]: #Comments_2
  [9]: #Writing_aids_and_processing_mechanisms
  [10]: #Current_Status_3
  [11]: #Related_Information_3
  [12]: #Comments_3
  [13]: #Localization
  [14]: #Current_Status_4
  [15]: #Related_Information_4
  [16]: #Comments_4
  [17]: /index.php?title=I18n&action=edit&section=1 "I18n"
  [18]: /index.php?title=I18n&action=edit&section=2 "I18n"
  [19]: /index.php?title=I18n&action=edit&section=3 "I18n"
  [20]: http://ftp.xfree86.org/pub/XFree86/4.5.0/doc/xim.txt "http://ftp.xfree86.org/pub/XFree86/4.5.0/doc/xim.txt"
  [21]: http://www.openi18n.org/modules.php?op=modload&name=Sections&file=index&req=viewarticle&artid=30&page=1 "http://www.openi18n.org/modules.php?op=modload&name=Sections&file=index&req=viewarticle&artid=30&page=1"
  [22]: http://www.freedesktop.org/Software/uim "http://www.freedesktop.org/Software/uim"
  [23]: http://www.nec.co.jp/canna/ "http://www.nec.co.jp/canna/"
  [24]: http://www.gnu.org/software/emacs "http://www.gnu.org/software/emacs"
  [25]: http://savannah.gnu.org/cgi-bin/viewcvs/emacs/emacs/leim/ "http://savannah.gnu.org/cgi-bin/viewcvs/emacs/emacs/leim/"
  [26]: http://wmuim.sourceforge.jp/ "http://wmuim.sourceforge.jp/"
  [27]: http://www.digital-genes.com/~yatsu/macuim/ "http://www.digital-genes.com/~yatsu/macuim/"
  [28]: http://scim-im.org/ "http://scim-im.org/"
  [29]: /index.php?title=I18n&action=edit&section=4 "I18n"
  [30]: /index.php?title=I18n&action=edit&section=5 "I18n"
  [31]: /index.php?title=I18n&action=edit&section=6 "I18n"
  [32]: /index.php?title=I18n&action=edit&section=7 "I18n"
  [33]: http://www.w3.org/TR/css3-text/ "http://www.w3.org/TR/css3-text/"
  [34]: /index.php?title=I18n&action=edit&section=8 "I18n"
  [35]: /index.php?title=I18n&action=edit&section=9 "I18n"
  [36]: /index.php?title=I18n&action=edit&section=10 "I18n"
  [37]: http://aspell.sourceforge.net/man-html/Unsupported.html "http://aspell.sourceforge.net/man-html/Unsupported.html"
  [38]: /index.php?title=I18n&action=edit&section=11 "I18n"
  [39]: /index.php?title=I18n&action=edit&section=12 "I18n"
  [40]: /index.php?title=I18n&action=edit&section=13 "I18n"
  [41]: /index.php?title=I18n&action=edit&section=14 "I18n"
  [42]: /index.php/Translation_collaboration "Translation collaboration"
  [43]: /index.php?title=I18n&action=edit&section=15 "I18n"
  [44]: /index.php?title=I18n&action=edit&section=16 "I18n"
  [45]: /index.php/I18n
  [46]: /index.php?title=Talk:I18n&action=edit
  [47]: /index.php?title=I18n&action=edit
  [48]: /index.php?title=I18n&action=history
  [49]: /index.php?title=Special:Userlogin&returnto=I18n
  [50]: /index.php/Main_Page "Main Page"
  [51]: /index.php/Category:Applications
  [52]: /index.php/User_Guides
  [53]: /index.php/User_FAQ
  [54]: /index.php/Get_Help
  [55]: /index.php/Report_Bugs
  [56]: /index.php/GNUstepWiki:Site_support
  [57]: /index.php/Screenshots
  [58]: /index.php/Developer_Guides
  [59]: /index.php/Developer_FAQ
  [60]: /index.php/Foundation
  [61]: /index.php/AppKit
  [62]: /index.php/Category:Frameworks
  [63]: /index.php/Main_Page
  [64]: /index.php/GNUstepWiki:Community_Portal
  [65]: /index.php/Current_events
  [66]: /index.php/Special:Recentchanges
  [67]: /index.php/Special:Random
  [68]: /index.php/Help:Contents
  [69]: /index.php/Special:Whatlinkshere/I18n
  [70]: /index.php/Special:Recentchangeslinked/I18n
  [71]: /index.php/Special:Upload
  [72]: /index.php/Special:Specialpages
  [73]: /index.php?title=I18n&printable=yes&printable=yes
  [74]: /skins/common/images/poweredby_mediawiki_88x31.png
  [75]: http://www.mediawiki.org/
  [76]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [77]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [78]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"