<>

# Ideas

### From GNUstepWiki	{#siteSub}

Everybody loves to tinker. Ideas on future development should go here.

See also the different [wish lists][1].

<table>
<tr>
<td>
## Contents
* [1 Autogsdoc and wiki syntax][2]
  * [1\.1 Current actual documentation setup][3]
  * [1\.2 Doxygen][4]
* [2 New Approach to a Code Editor][5]
* [3 Help Center and Librarian In One Application][6]
* [4 Better integration into Gnome/KDE/Windows desktops: AppWrapper.app][7]
* [5 XIB codec using NSKeyedArchiver][8]
</td>
</tr>
</table>

[[edit][9]]

<>

## Autogsdoc and wiki syntax

The class documentation should have simpler syntax than XML. For example a wiki-like syntax, where references would be enclosed in [[ and ]] for the ObjectiveC message sends, one should prefix the first [ by a backslash. Like: \\[[alloc] init].

Italics should be marked by ''italics'', bold by '''bold''' (mediawiki) or by \_\_bold\_\_ (phpwiki)

The references should be: [[Class:class\_name]], [[Method:Class:methodName:]], [[framework:framework name in local documentation namespace]]

The requirement of specificaly marking instance variables should be reconsidered. Italics should be used instead. Firstly, it is already common. Secondly, there is no need to preserve an information in the documentation that specified word is a function argument or an instance variable. The information is obvious to the reader from context and already used different font.

<br />
 XML is a bit complicated for such simple task as documentation.

I'd suggest something like ruby's rdoc [[1]][10] --[Frederik][11] 19:34, 27 Feb 2005 (CET)

[[edit][12]]

<>

### Current actual documentation setup

The above seems to be based on a misunderstanding of how GNUstep documentation is generated and what the tools do.

The XML documentation language (gsdoc) is an intermediate format generated by autogsdoc, and from which standard tools like xslt can be used to generate other documentation formats. The actual markup used by autogsdoc is extremely simple.

eg.

To cross reference the NSArray class you write [NSArray] (ie class name within square brackets).

To reference a class method you might write +arrayWithobjects: (ie the method name prefixed with a +).

To reference an instance method you might write -descriptionWithLocale: (ie the method name prefixed with -).

To reference a method in a particular class you might write [NSDictionary-description] (class name and method both within square brackets).

To reference a function you write its name followed by brackets (eg. NSLog())

Users can also embed gsdoc markup (though it's rarely needed), typically for html-style list or text formatting.

[[edit][13]]

<>

### Doxygen

It does most of the cross-referencing automatically and is way more powerful.

The SideStep (and Etoile?) people and libFoundation already use Doxygen. See <http://libfoundation.opendarwin.org/docs/> for libFoundation. To see how the GNUstep source tree documentation looks like, first install Doxygen, then do:

	cd /tmp
	svn co svn://svn.gna.org/svn/sidestep/trunk sidestep
	cd sidestep
	&lt;edit Doxyfile.in -&gt; replace "@DOTDIR@" by the path containing the dot
	 tool. If you don't have graphviz installed, set HAVE_DOT to NO
	 instead. You can also use 'doxywizard &lt;file&gt;' to configure stuff.&gt;
	doxygen Doxyfile.in

and wait for it to finish (it generates no output except warnings). [Madleser][14] 16:17, 2 October 2006 (CEST)

[[edit][15]]

<>

## New Approach to a Code Editor

Developers should focus on development and not mess with files. Synchronizing header files with source files is no fun, neither is having to jump around for documentation of different methods and such. See <http://ide.roard.com/wakka.php?wiki=Goals> for some brainstorming on this topic.

[[edit][16]]

<>

## Help Center and Librarian In One Application

Use Yen-Ju Chen's [MyLibrary.app][17] as the help center and the answer to Nextstep's Librarian. Applications install their help files where MyLibrary can find and index them and taadaa, you have a note keeping, help storing and things-of-your-choice indexing application all in one! The only thing that would be even better is an enhanced Spotlight clone to do all of the above on all platforms.

[[edit][18]]

<>

## Better integration into Gnome/KDE/Windows desktops: AppWrapper.app

A script of some sort that, once run, collects information about the user's preferences. Is Gnome, KDE or Windows running? Which apps can handle which MIME types? Which icons do they have? This information is saved in separate application bundles and make\_services is run. Documents for which there is no GNUstep app installed will fallback on Gnome/KDE/Windows alternatives and for other files, the user has the choice. Generated App bundles should be flagged to make updating of apps easier, e.g. when the user installs other apps.

[[edit][19]]

<>

## XIB codec using NSKeyedArchiver

Here is a [XIB][20] file I have begun decodeing, it really is quite a simple format, what is more important is insuring that the NSObjects encode and decode themselves using the correct attribute names.

 Retrieved from "<http://wiki.gnustep.org/index.php/Ideas>"

##### Views

* [Article][21]
* [Discussion][22]
* [Edit][23]
* [History][24]

##### Personal tools

* [Create an account or log in][25]

[][26]

##### users

* [Applications][27]
* [Guides][28]
* [FAQ][29]
* [Get Help][30]
* [Report Bugs][31]
* [Donations][32]
* [Screenshots][33]

##### developers

* [Guides][34]
* [FAQ][35]
* [Base API (Foundation)][36]
* [GUI API (AppKit)][37]
* [Frameworks][38]

##### Navigation

* [Main Page][39]
* [Community portal][40]
* [Current events][41]
* [Recent changes][42]
* [Random page][43]
* [Help][44]

##### Search

##### Toolbox

* [What links here][45]
* [Related changes][46]
* [Upload file][47]
* [Special pages][48]
* [Printable version][49]

[![MediaWiki][50]][51]

* This page was last modified 21:16, 16 July 2012.
* This page has been accessed 43,950 times.
* Content is available under [GNU General Public License][52].
* [About GNUstepWiki][53]
* [Disclaimers][54]

  [1]: /index.php/Wish_list "Wish list"
  [2]: #Autogsdoc_and_wiki_syntax
  [3]: #Current_actual_documentation_setup
  [4]: #Doxygen
  [5]: #New_Approach_to_a_Code_Editor
  [6]: #Help_Center_and_Librarian_In_One_Application
  [7]: #Better_integration_into_Gnome.2FKDE.2FWindows_desktops:_AppWrapper.app
  [8]: #XIB_codec_using_NSKeyedArchiver
  [9]: /index.php?title=Ideas&action=edit&section=1 "Ideas"
  [10]: http://www.ruby-doc.org/stdlib/libdoc/rdoc/rdoc/index.html "http://www.ruby-doc.org/stdlib/libdoc/rdoc/rdoc/index.html"
  [11]: /index.php?title=User:Frederik&action=edit "User:Frederik"
  [12]: /index.php?title=Ideas&action=edit&section=2 "Ideas"
  [13]: /index.php?title=Ideas&action=edit&section=3 "Ideas"
  [14]: /index.php/User:Madleser "User:Madleser"
  [15]: /index.php?title=Ideas&action=edit&section=4 "Ideas"
  [16]: /index.php?title=Ideas&action=edit&section=5 "Ideas"
  [17]: /index.php/MyLibrary.app "MyLibrary.app"
  [18]: /index.php?title=Ideas&action=edit&section=6 "Ideas"
  [19]: /index.php?title=Ideas&action=edit&section=7 "Ideas"
  [20]: /index.php/XIB "XIB"
  [21]: /index.php/Ideas
  [22]: /index.php?title=Talk:Ideas&action=edit
  [23]: /index.php?title=Ideas&action=edit
  [24]: /index.php?title=Ideas&action=history
  [25]: /index.php?title=Special:Userlogin&returnto=Ideas
  [26]: /index.php/Main_Page "Main Page"
  [27]: /index.php/Category:Applications
  [28]: /index.php/User_Guides
  [29]: /index.php/User_FAQ
  [30]: /index.php/Get_Help
  [31]: /index.php/Report_Bugs
  [32]: /index.php/GNUstepWiki:Site_support
  [33]: /index.php/Screenshots
  [34]: /index.php/Developer_Guides
  [35]: /index.php/Developer_FAQ
  [36]: /index.php/Foundation
  [37]: /index.php/AppKit
  [38]: /index.php/Category:Frameworks
  [39]: /index.php/Main_Page
  [40]: /index.php/GNUstepWiki:Community_Portal
  [41]: /index.php/Current_events
  [42]: /index.php/Special:Recentchanges
  [43]: /index.php/Special:Random
  [44]: /index.php/Help:Contents
  [45]: /index.php/Special:Whatlinkshere/Ideas
  [46]: /index.php/Special:Recentchangeslinked/Ideas
  [47]: /index.php/Special:Upload
  [48]: /index.php/Special:Specialpages
  [49]: /index.php?title=Ideas&printable=yes&printable=yes
  [50]: /skins/common/images/poweredby_mediawiki_88x31.png
  [51]: http://www.mediawiki.org/
  [52]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [53]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [54]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"