<>

# Implementing test cases

### From GNUstepWiki	{#siteSub}

GNUstep now has a test framework included as part of the gnustep-make package. It has no external dependencies other than the tools needed to build GNUstep itself ... so if you can build code you are guaranteed to be able to produce tests for it.

Similarly, if you install gnustep-make on an Apple OSX system, you can run test cases there against the Apple implementation of the code ... this is great for ensuring that GNUstep implementation of common APIs not only behaves s documented, but also matches the details of Apple's implemented behaviours.

You execute test cases using the gnustep-tests command.

Try 'gnustep-tests --help' to list the available options.

Try 'gnustep-tests --documentation' for full documentation on how to run tests.

Look in $GNUSTEP\_MAKEFILES/TestFramework for examples of how to use the framework.

For gnustep-base test cases, look in the Tests/base subdirectory in the gnustep-base package

For gnustep-gui test cases, look in the Tests/gui subdirectory in the gnustep-gui package

When getting started, it makes particular sense to look at the functions in $GNUSTEP\_MAKEFILES/TestFramework/ObjectTesting.h (and look at examples of their use in the base and gui test cases). These functions allow you to test a lot of basic stuff without having to write any test cases of your own:

For instance, test\_alloc() can be used to test that your class supports instance allocation and deallocation properly and test\_NSObject() can be used to check that your class correctly implements the methods of the NSObject protocol).

 Retrieved from "[http://wiki.gnustep.org/index.php/Implementing\_test\_cases][1]"

##### Views

* [Article][2]
* [Discussion][3]
* [Edit][4]
* [History][5]

##### Personal tools

* [Create an account or log in][6]

[][7]

##### users

* [Applications][8]
* [Guides][9]
* [FAQ][10]
* [Get Help][11]
* [Report Bugs][12]
* [Donations][13]
* [Screenshots][14]

##### developers

* [Guides][15]
* [FAQ][16]
* [Base API (Foundation)][17]
* [GUI API (AppKit)][18]
* [Frameworks][19]

##### Navigation

* [Main Page][20]
* [Community portal][21]
* [Current events][22]
* [Recent changes][23]
* [Random page][24]
* [Help][25]

##### Search

##### Toolbox

* [What links here][26]
* [Related changes][27]
* [Upload file][28]
* [Special pages][29]
* [Printable version][30]

[![MediaWiki][31]][32]

* This page was last modified 08:46, 13 February 2012.
* This page has been accessed 3,372 times.
* Content is available under [GNU General Public License][33].
* [About GNUstepWiki][34]
* [Disclaimers][35]

  [1]: http://wiki.gnustep.org/index.php/Implementing_test_cases
  [2]: /index.php/Implementing_test_cases
  [3]: /index.php?title=Talk:Implementing_test_cases&action=edit
  [4]: /index.php?title=Implementing_test_cases&action=edit
  [5]: /index.php?title=Implementing_test_cases&action=history
  [6]: /index.php?title=Special:Userlogin&returnto=Implementing_test_cases
  [7]: /index.php/Main_Page "Main Page"
  [8]: /index.php/Category:Applications
  [9]: /index.php/User_Guides
  [10]: /index.php/User_FAQ
  [11]: /index.php/Get_Help
  [12]: /index.php/Report_Bugs
  [13]: /index.php/GNUstepWiki:Site_support
  [14]: /index.php/Screenshots
  [15]: /index.php/Developer_Guides
  [16]: /index.php/Developer_FAQ
  [17]: /index.php/Foundation
  [18]: /index.php/AppKit
  [19]: /index.php/Category:Frameworks
  [20]: /index.php/Main_Page
  [21]: /index.php/GNUstepWiki:Community_Portal
  [22]: /index.php/Current_events
  [23]: /index.php/Special:Recentchanges
  [24]: /index.php/Special:Random
  [25]: /index.php/Help:Contents
  [26]: /index.php/Special:Whatlinkshere/Implementing_test_cases
  [27]: /index.php/Special:Recentchangeslinked/Implementing_test_cases
  [28]: /index.php/Special:Upload
  [29]: /index.php/Special:Specialpages
  [30]: /index.php?title=Implementing_test_cases&printable=yes&printable=yes
  [31]: /skins/common/images/poweredby_mediawiki_88x31.png
  [32]: http://www.mediawiki.org/
  [33]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [34]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [35]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"