<>

# Installation of 32bit GNUstep on 64bit Linux

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Installation of 32bit GNUstep on 64bit Linux][1]
* [2 Differences between distros][2]
* [3 Building 32bit binaries][3]
* [4 Using RPMs w/ relocate][4]
* [5 Building GNUstep][5]
</td>
</tr>
</table>

[[edit][6]]

<>

### Installation of 32bit GNUstep on 64bit Linux

Recently, I got a new machine. My old machine was fried by a power surge, in spite of being behind a UPS. I decided to go all out and get a new machine w/ a P4 EM64T Processor with Hyperthreading 2GB of memory, etc. Unfortunately, there are currently some problems with running GNUstep configured under 64bit. While these problems are being worked on, it's helpful to be able to install a 32bit version of the GNUstep environment into your machine. Here are some of my notes on how I did it.

Proceed at your own risk.ÃÂ ;)

[[edit][7]]

<>

## Differences between distros

The distribution that I have is SuSE9.3. SuSE keeps it's 64bit versions of libraries in /usr/lib64, /usr/local/lib64 etc. The 32bit versions go into the regular lib directories. SuSE gives both 32bit and 64bit development versions of some libraries, but not for others. Some of the supporting libraries for GNUstep aren't included as 32bit devel libs, so they must be provided. Your mileage may vary. There are two ways to get around this:

* find and build each package as a 32bit library (more on this later)
* find the rpms for each library as a i586 or i386 library and install it under /usr/local using the --relocate

Also, please note, that these instructions only seem to apply to SuSE and distros derived from it. Debian derived distributions don't seem to have an issue building 64bit using the normal build process.

[[edit][8]]

<>

## Building 32bit binaries

64bit distros of either linux or BSD are equipped, obviously, with a copy of gcc that can compile 64bit binaries. These have an option which allows you to build 32bit binaries as well... it's -m32. When you build, it's possible to override certain settings in "configure" scripts by setting evironment variables. The following script, which called "32bit" and put in my ~/bin directory, worked for me:

	   #!/bin/sh
	   export CC="gcc -m32"
	   export CXX="g++ -m32"
	   export LD="ld -m elf64_i386"
	   export AS="gcc -c -m32"
	   export LDFLAGS="-L/usr/lib -L/usr/local/lib"

I simply source this script prior to the build. Additionally, when running configure you might want to add the following parameters:

	   ./configure --libdir=/usr/lib --x-libraries=/usr/X11R6/lib

If your machine puts the 64bit libraries into lib and 32bit binaries into lib32, you should modify the above accordingly.

[[edit][9]]

<>

## Using RPMs w/ relocate

As mentioned above some of the libraries have 32bit devel counterparts and some don't. I'm not sure why it's done this way. All you need to do to get around this is rpm -ivh --relocate=/usr=/usr/local &lt;name of package&gt;. This allows you to have a i586/i386 package installed under /usr/local so that it will not interfere with the one installed in /usr/lib (or /usr/lib64).

Please note that on some systems you might have to re-install the 64bit packages after you install the i586 or i386 packages in /usr/local. Doing this prevents the rpm database from being inconsistent. Otherwise the system will not warn you about missing dependencies for any packages which depend on the libraries you install in this way.

[[edit][10]]

<>

## Building GNUstep

Here is my build script to build all of GNUstep in one shot, more or less.ÃÂ :) I've modified it here to include all of the options which I used to build GNUstep as a 32bit. See below:

	   #/bin/sh

	   # Source the 32bit build script...
	   . ~/bin/32bit

	   ## install make
	   cd ~/Development/gnustep/core/make
	   make distclean
	   sh ./configure  --build=i386-linux-gnu --libdir=/usr/lib &amp;&amp; make
	   su -c 'make install'

	   ## install base
	   cd ../base
	   make distclean
	   sh ./configure  --build=i386-linux-gnu --libdir=/usr/lib --x-libraries=/usr/X11R6/lib
	   make debug=yes
	   su -c '. /usr/GNUstep/System/Library/Makefiles/GNUstep.sh &amp;&amp; make debug=yes install'

	   ## install gui
	   cd ../gui
	   make distclean
	   sh ./configure --disable-cups  --build=i386-linux-gnu --libdir=/usr/lib --x-libraries=/usr/X11R6/lib
	   make debug=yes
	   su -c '. /usr/GNUstep/System/Library/Makefiles/GNUstep.sh &amp;&amp; make debug=yes install'

	   ## install back
	   cd ../back
	   make distclean
	   sh ./configure --enable-graphics=art  --build=i386-linux-gnu --libdir=/usr/lib --x-libraries=/usr/X11R6/lib
	   make debug=yes
	   su -c '. /usr/GNUstep/System/Library/Makefiles/GNUstep.sh &amp;&amp; make debug=yes install'

	   ## complete
	   echo "Completed"
	   date
	   exit 0

There you have it. This is what worked for me. Please feel free to add additional sections to this page for BSD and other 64bit OSs.

 Retrieved from "[http://wiki.gnustep.org/index.php/Installation\_of\_32bit\_GNUstep\_on\_64bit\_Linux][11]"

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 13:22, 14 September 2008.
* This page has been accessed 27,508 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: #Installation_of_32bit_GNUstep_on_64bit_Linux
  [2]: #Differences_between_distros
  [3]: #Building_32bit_binaries
  [4]: #Using_RPMs_w.2F_relocate
  [5]: #Building_GNUstep
  [6]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit&section=1 "Installation of 32bit GNUstep on 64bit Linux"
  [7]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit&section=2 "Installation of 32bit GNUstep on 64bit Linux"
  [8]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit&section=3 "Installation of 32bit GNUstep on 64bit Linux"
  [9]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit&section=4 "Installation of 32bit GNUstep on 64bit Linux"
  [10]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit&section=5 "Installation of 32bit GNUstep on 64bit Linux"
  [11]: http://wiki.gnustep.org/index.php/Installation_of_32bit_GNUstep_on_64bit_Linux
  [12]: /index.php/Installation_of_32bit_GNUstep_on_64bit_Linux
  [13]: /index.php?title=Talk:Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit
  [14]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=edit
  [15]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=Installation_of_32bit_GNUstep_on_64bit_Linux
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/Installation_of_32bit_GNUstep_on_64bit_Linux
  [37]: /index.php/Special:Recentchangeslinked/Installation_of_32bit_GNUstep_on_64bit_Linux
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=Installation_of_32bit_GNUstep_on_64bit_Linux&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"