<>

# Installation on Windows

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Binary installer][1]
  * [1\.1 Install instructions][2]
  * [1\.2 Installer Troubleshooting][3]
* [2 Install Windows GNUstep Manually][4]
  * [2\.1 Install MinGW][5]
  * [2\.2 Install msys][6]
  * [2\.3 Install msys developer toolkit][7]
  * [2\.4 Download gnustep][8]
    * [2\.4.1 Via subversion][9]
    * [2\.4.2 Release tarball][10]
  * [2\.5 Install GNUstep make][11]
  * [2\.6 Install the ObjC runtime][12]
  * [2\.7 Reinstall GNUstep make (with ObjC this time)][13]
  * [2\.8 Install ffcall][14]
    * [2\.8.1 Precompiled library][15]
  * [2\.9 Install additional libs][16]
  * [2\.10 Install XML support][17]
  * [2\.11 Install GNUstep base][18]
  * [2\.12 Install additional GUI libs][19]
  * [2\.13 Install GNUstep gui][20]
  * [2\.14 Install GNUstep back][21]
  * [2\.15 Check the installation][22]
* [3 GNUstep MSI installer created by WiX][23]
  * [3\.1 Install GNUstep MSI installer][24]
  * [3\.2 Prepare your Win32 gnustep WiX packaging environment][25]
    * [3\.2.1 List of depended software][26]
    * [3\.2.2 Checkout gnustep.wxs][27]
    * [3\.2.3 overview of gnustep.wxs][28]
</td>
</tr>
</table>

[[edit][29]]

<>

# Binary installer

Using the binary [installer][30] (created using Nullsoft's [NSIS][31]) is the easiest way to get the GNUstep development libraries to your PC.

[[edit][32]]

<>

## Install instructions

* Download installers from [the ftp site][33] (i.e. gnustep-msys-system-0.X.X-setup.exe + gnustep-core-0.X.X-setup.exe) and run them.
* Also download gnustel-devel-X.X.X-setup.exe if you want to compile applications.
* select install binaries

Now you have an MSYS environment (minimal GNU with shell and basic programs). You can start the shell via "Start Ã¢ÂÂ Programs Ã¢ÂÂ GNUstep Ã¢ÂÂ Shell" and begin programming.

To start you could download the gnustep examples package:

	svn co svn://svn.gna.org/svn/gnustep/modules/usr-apps/examples

alternatively download the gnustep-example package from [here][34] and unpack with `tar zxf gnustep-examples-1.3.0.tar.gz`. To compile/run an example type:

	cd examples/gui/GSTest
	make
	openapp ./GSTest.app

Have much fun!

[[edit][35]]

<>

## Installer Troubleshooting

1. I installed gnustep-msys-system and tried to start Shell, but nothing happened (or I got an error).

There could be a number of issues here

* Try to reinstall (uninstall gnustep-msys-system and install again)
* Do you have a previous CYGWIN install? Remove it and any CYGWIN environment variable
* You might need to rebase the msys.dll. Instructions coming soon...

[[edit][36]]

<>

# Install Windows GNUstep Manually

Building and installing GNUstep on windows is a "lengthy but painless process." Below is the detailed recipe.

[[edit][37]]

<>

## Install MinGW

Download [MinGW][38] (MinGW-5.1.3.exe or later) (cygwin works with a little tweaking; see talk page) from <http://sourceforge.net/projects/mingw> Install it into C:\\_xxx_\\msys\\1.0\\mingw

(where _xxx_ is the top-level path you want to use, I use Nicola/GNUstep so I install it into C:\\Nicola\\GNUstep\\msys\\1.0\\mingw)

[[edit][39]]

<>

## Install msys

Download MSYS-1.0.10 or later from the same site. Install it into C:\\_xxx_\\msys\\1.0 The postinstall script should ask you for the mingw location, then detect it and be happy that it's there and all is setup properly.

[[edit][40]]

<>

## Install msys developer toolkit

Download msysDTK-1.0.1 or later from the same site. Install it into C:\\_xxx_\\msys\\1.0

Now your MSYS/MinGW system should be setup! Go around and make sure you know how to use the Unix-like shell. Log into it and work in it.

[[edit][41]]

<>

## Download gnustep

[[edit][42]]

<>

### Via subversion

If you have a copy of SVN (<http://subversion.tigris.org/>) installed on your system and want to have the most up-to-date version just being worked on, do the following.

In windows, go to 'Start Ã¢ÂÂ All Programs Ã¢ÂÂ mingw Ã¢ÂÂ MSYS Ã¢ÂÂ Msys'. The MINGW32 window appears.

Type the following:

	mkdir install
	cd install
	svn co svn://svn.gna.org/svn/gnustep/modules/core

This will download the core GNUstep libraries (make, base, gui and back).

[[edit][43]]

<>

### Release tarball

Otherwise download from the main site <http://www.gnustep.org> (or <ftp://ftp.gnustep.org/pub/gnustep/core/>) the file gnustep-startup-x.yy.z.tar.gz. It contains the core libraries. Put it somewhere in your MSYS home folder, i.e. under C:\\xxx\\msys\\1.0\\home\\Nicola\\install

To unpack the file type the following into the MSYS window

	cd ~/install   #or where you put it
	tar zxf gnustep-startup-0.16.1.tar.gz

After these steps you have the most recent installation instructions in the file 'core/make/Documentation/README.MinGW'

[[edit][44]]

<>

## Install GNUstep make

	cd gnustep/core/make
	./configure --with-layout=fhs
	make
	make install

[[edit][45]]

<>

## Install the ObjC runtime

Actually, recent versions of gcc (3.2+) have a working libobjc on Windows. Nevertheless this step is necessary unless you want some strange errors concerning NSAutoreleasePool etc.

First make sure to delete the old libobjc files

	rm -Rf /mingw/lib/gcc/mingw32/3.4.2/include/objc
	rm -Rf /mingw/lib/libobjc.a
	rm -Rf /mingw/lib/libobjc.la

Then get GNUstep's libobjc and install it.

	svn co svn://svn.gna.org/svn/gnustep/modules/dev-libs/libobjc
	cd libobjc
	make
	make install

If you don't use SVN, download gnustep-libobjc from <ftp://ftp.gnustep.org/pub/gnustep/libs/>

[[edit][46]]

<>

## Reinstall GNUstep make (with ObjC this time)

Enter the core/make directory and reconfigure/recompile again so that gnustep-objc is detected:

	cd ~/install/gnustep/core/make
	make distclean
	./configure --with-layout=fhs
	make
	make install

gnustep-make should have detected your custom libobjc.

[[edit][47]]

<>

## Install ffcall

Download ffcall from the GNUstep website into c:/xxx/msys/1.0/home/Nicola/install or from here: <ftp://ftp.santafe.edu/pub/gnu/ffcall-1.10.tar.gz>, and type:

	cd ~/install
	tar -zxvf ffcall-1.10.tar.gz
	cd ffcall-1.10
	./configure

A windows prompt may appear (several times) stating that conftest.exe has encountered a problem and needs to close. Click the [Don't Send] button.

After much output, the following will be displayed:

	configure: creating ./config.status
	config.status: creating Makefile
	config.status: creating config.h

Type the following:

	make
	make install

Note: The configure script of ffcall-1.10 is broken for Windows 2000. You have to apply a patch: <http://lists.gnu.org/archive/html/discuss-gnustep/2005-03/msg00258.html>

[[edit][48]]

<>

#### Precompiled library

Alternatively, a zip containing a precompiled copy of ffcall-1.9 is availabe here: <ftp://ftp.gnustep.org/pub/gnustep/binaries/windows/mingw-libs/ffcall-1.9-gnustep.zip>

Unzip it into $GNUSTEP\_SYSTEM\_ROOT/Library.

[[edit][49]]

<>

## Install additional libs

Download the following packages:

[Download libintl][50]

libintl-0.11.5-2-bin.zip libintl-0.11.5-2-lib.zip

[Download libiconv][51]

libiconv-1.9.2-1-bin.zip libiconv-1.9.2-1-lib.zip

[Download zlib][52]

zlib-1.2.2-bin.zip zlib-1.2.2-lib.zip

from <http://gnuwin32.sourceforge.net>, and install them. To install them, simply unzip them into C:\\_xxx_\\msys\\1.0\\mingw.

[[edit][53]]

<>

## Install XML support

Download the latest version of libxml from <ftp://xmlsoft.org/libxml2/>.

	./configure
	make
	make install

Do not install libxslt. It is broken on Windows.

[[edit][54]]

<>

## Install GNUstep base

Enter the gnustep-base directory, and type

	cd ~/install/gnustep/core/base
	./configure
	make
	make install

If you didn't install libxml,

	./configure --disable-xml
	make
	make install

[[edit][55]]

<>

## Install additional GUI libs

for the gui, download and install the following packages:

[Download jpeg][56]

jpeg-6b-3-bin.zip jpeg-6b-3-dep.zip jpeg-6b-3-lib.zip

[Download tiff][57]

tiff-3.7.1-bin.zip tiff-3.7.1-dep.zip tiff-3.7.1-lib.zip

[Download libpng][58]

libpng-1.2.8-bin.zip libpng-1.2.8-dep.zip libpng-1.2.8-lib.zip

The process is always the same: download the zip file from the gnuwin32 website, then unzip them into C:_xxx_\\msys\\1.0\\mingw.

[[edit][59]]

<>

## Install GNUstep gui

Type the following:

	 cd ~/install/gnustep/core/gui
	 ./configure
	 make
	 make install

[[edit][60]]

<>

## Install GNUstep back

cd to core/back and type:

	 ./configure
	 make
	 make install

[[edit][61]]

<>

## Check the installation

go in a simple gui application (examples/gui a very good starting point), compile and run it.ÃÂ :-)

Some older makefiles may require that you type

	export GNUSTEP_MAKEFILES=/usr/local/share/GNUstep/Makefiles

before compiling.

_based on a mail from Nicola Pero_

[[edit][62]]

<>

# GNUstep MSI installer created by [WiX][63]

There are three sub packages

* userÃÂ : To minimize the footprint of gnustep system on Windows machines.
* developerÃÂ : include WiX,gcc and package sources.
* gnustep applicationsÃÂ : include a broad suite of GNUstep applications.

[[edit][64]]

<>

## Install GNUstep MSI installer

* Download the msi from here.
* answer following questions.
* Test the installation.

[[edit][65]]

<>

## Prepare your Win32 gnustep WiX packaging environment

[[edit][66]]

<>

### List of depended software

* WiX Win32 MSI package creation tool.
  * candle.exe

	C:\tmp&gt;candle
	Microsoft (R) Windows Installer Xml Compiler version 2.0.4221.0
	Copyright (C) Microsoft Corporation 2003. All rights reserved.

	 usage:  candle.exe [-?] [-nologo] [-out outputFile] sourceFile [sourceFile ...]

	   -d&lt;name&gt;=&lt;value&gt;  define a parameter for the preprocessor
	   -p&lt;file&gt;  preprocess to a file (or stdout if no file supplied)
	   -I&lt;dir&gt;  add to include search path
	   -nologo  skip printing candle logo information
	   -out     specify output file (default: write to current directory)
	   -pedantic:&lt;level&gt;  pedantic checks (levels: easy, heroic, legendary)

	&lt;snip&gt;

	For more information see: http://wix.sourceforge.net

	C:\tmp&gt;

* * light.exe

	C:\tmp&gt;light
	Microsoft (R) Windows Installer Xml Linker version 2.0.4221.0
	Copyright (C) Microsoft Corporation 2003. All rights reserved.

	 usage:  light.exe [-?] [-b basePath] [-nologo] [-out outputFile] objectFile [o
	jectFile ...]

	   -ai        allow identical rows, identical rows will be treated as a warning
	   -au        (experimental) allow unresolved references, will not create a val
	d output
	   -b         base path to locate all files (default: current directory)
	   -cc        path to cache built cabinets (will not be deleted after linking)

	&lt;snip&gt;

	For more information see: http://wix.sourceforge.net

	C:\tmp&gt;

* makefile for nmake.
* gcc win32 compiler from MingW.

[[edit][67]]

<>

### Checkout gnustep.wxs

[[edit][68]]

<>

### overview of gnustep.wxs

 Retrieved from "[http://wiki.gnustep.org/index.php/Installation\_on\_Windows][69]"

[Categories][70]: [Microsoft Windows][71]

##### Views

* [Article][72]
* [Discussion][73]
* [Edit][74]
* [History][75]

##### Personal tools

* [Create an account or log in][76]

[][77]

##### users

* [Applications][78]
* [Guides][79]
* [FAQ][80]
* [Get Help][81]
* [Report Bugs][82]
* [Donations][83]
* [Screenshots][84]

##### developers

* [Guides][85]
* [FAQ][86]
* [Base API (Foundation)][87]
* [GUI API (AppKit)][88]
* [Frameworks][89]

##### Navigation

* [Main Page][90]
* [Community portal][91]
* [Current events][92]
* [Recent changes][93]
* [Random page][94]
* [Help][95]

##### Search

##### Toolbox

* [What links here][96]
* [Related changes][97]
* [Upload file][98]
* [Special pages][99]
* [Printable version][100]

[![MediaWiki][101]][102]

* This page was last modified 21:27, 9 December 2013.
* This page has been accessed 277,170 times.
* Content is available under [GNU General Public License][103].
* [About GNUstepWiki][104]
* [Disclaimers][105]

  [1]: #Binary_installer
  [2]: #Install_instructions
  [3]: #Installer_Troubleshooting
  [4]: #Install_Windows_GNUstep_Manually
  [5]: #Install_MinGW
  [6]: #Install_msys
  [7]: #Install_msys_developer_toolkit
  [8]: #Download_gnustep
  [9]: #Via_subversion
  [10]: #Release_tarball
  [11]: #Install_GNUstep_make
  [12]: #Install_the_ObjC_runtime
  [13]: #Reinstall_GNUstep_make_.28with_ObjC_this_time.29
  [14]: #Install_ffcall
  [15]: #Precompiled_library
  [16]: #Install_additional_libs
  [17]: #Install_XML_support
  [18]: #Install_GNUstep_base
  [19]: #Install_additional_GUI_libs
  [20]: #Install_GNUstep_gui
  [21]: #Install_GNUstep_back
  [22]: #Check_the_installation
  [23]: #GNUstep_MSI_installer_created__by_WiX
  [24]: #Install_GNUstep_MSI_installer
  [25]: #Prepare_your_Win32_gnustep_WiX_packaging_environment
  [26]: #List_of_depended_software
  [27]: #Checkout_gnustep.wxs
  [28]: #overview_of_gnustep.wxs
  [29]: /index.php?title=Installation_on_Windows&action=edit&section=1 "Installation on Windows"
  [30]: http://www.gnustep.org/experience/Windows.html "http://www.gnustep.org/experience/Windows.html"
  [31]: http://nsis.sourceforge.net/Main_Page "http://nsis.sourceforge.net/Main Page"
  [32]: /index.php?title=Installation_on_Windows&action=edit&section=2 "Installation on Windows"
  [33]: ftp://ftp.gnustep.org/pub/gnustep/binaries/windows "ftp://ftp.gnustep.org/pub/gnustep/binaries/windows"
  [34]: ftp://ftp.gnustep.org/pub/gnustep/core/ "ftp://ftp.gnustep.org/pub/gnustep/core/"
  [35]: /index.php?title=Installation_on_Windows&action=edit&section=3 "Installation on Windows"
  [36]: /index.php?title=Installation_on_Windows&action=edit&section=4 "Installation on Windows"
  [37]: /index.php?title=Installation_on_Windows&action=edit&section=5 "Installation on Windows"
  [38]: http://sourceforge.net/project/showfiles.php?group_id=2435&package_id=82721 "http://sourceforge.net/project/showfiles.php?group id=2435&package id=82721"
  [39]: /index.php?title=Installation_on_Windows&action=edit&section=6 "Installation on Windows"
  [40]: /index.php?title=Installation_on_Windows&action=edit&section=7 "Installation on Windows"
  [41]: /index.php?title=Installation_on_Windows&action=edit&section=8 "Installation on Windows"
  [42]: /index.php?title=Installation_on_Windows&action=edit&section=9 "Installation on Windows"
  [43]: /index.php?title=Installation_on_Windows&action=edit&section=10 "Installation on Windows"
  [44]: /index.php?title=Installation_on_Windows&action=edit&section=11 "Installation on Windows"
  [45]: /index.php?title=Installation_on_Windows&action=edit&section=12 "Installation on Windows"
  [46]: /index.php?title=Installation_on_Windows&action=edit&section=13 "Installation on Windows"
  [47]: /index.php?title=Installation_on_Windows&action=edit&section=14 "Installation on Windows"
  [48]: /index.php?title=Installation_on_Windows&action=edit&section=15 "Installation on Windows"
  [49]: /index.php?title=Installation_on_Windows&action=edit&section=16 "Installation on Windows"
  [50]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=73290 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=73290"
  [51]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=17090 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=17090"
  [52]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=16861 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=16861"
  [53]: /index.php?title=Installation_on_Windows&action=edit&section=17 "Installation on Windows"
  [54]: /index.php?title=Installation_on_Windows&action=edit&section=18 "Installation on Windows"
  [55]: /index.php?title=Installation_on_Windows&action=edit&section=19 "Installation on Windows"
  [56]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=16348&release_id=218220 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=16348&release id=218220"
  [57]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=16351 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=16351"
  [58]: http://sourceforge.net/project/showfiles.php?group_id=23617&package_id=16183 "http://sourceforge.net/project/showfiles.php?group id=23617&package id=16183"
  [59]: /index.php?title=Installation_on_Windows&action=edit&section=20 "Installation on Windows"
  [60]: /index.php?title=Installation_on_Windows&action=edit&section=21 "Installation on Windows"
  [61]: /index.php?title=Installation_on_Windows&action=edit&section=22 "Installation on Windows"
  [62]: /index.php?title=Installation_on_Windows&action=edit&section=23 "Installation on Windows"
  [63]: http://wix.sourceforge.net/ "http://wix.sourceforge.net/"
  [64]: /index.php?title=Installation_on_Windows&action=edit&section=24 "Installation on Windows"
  [65]: /index.php?title=Installation_on_Windows&action=edit&section=25 "Installation on Windows"
  [66]: /index.php?title=Installation_on_Windows&action=edit&section=26 "Installation on Windows"
  [67]: /index.php?title=Installation_on_Windows&action=edit&section=27 "Installation on Windows"
  [68]: /index.php?title=Installation_on_Windows&action=edit&section=28 "Installation on Windows"
  [69]: http://wiki.gnustep.org/index.php/Installation_on_Windows
  [70]: /index.php?title=Special:Categories&article=Installation_on_Windows "Special:Categories"
  [71]: /index.php/Category:Microsoft_Windows "Category:Microsoft Windows"
  [72]: /index.php/Installation_on_Windows
  [73]: /index.php/Talk:Installation_on_Windows
  [74]: /index.php?title=Installation_on_Windows&action=edit
  [75]: /index.php?title=Installation_on_Windows&action=history
  [76]: /index.php?title=Special:Userlogin&returnto=Installation_on_Windows
  [77]: /index.php/Main_Page "Main Page"
  [78]: /index.php/Category:Applications
  [79]: /index.php/User_Guides
  [80]: /index.php/User_FAQ
  [81]: /index.php/Get_Help
  [82]: /index.php/Report_Bugs
  [83]: /index.php/GNUstepWiki:Site_support
  [84]: /index.php/Screenshots
  [85]: /index.php/Developer_Guides
  [86]: /index.php/Developer_FAQ
  [87]: /index.php/Foundation
  [88]: /index.php/AppKit
  [89]: /index.php/Category:Frameworks
  [90]: /index.php/Main_Page
  [91]: /index.php/GNUstepWiki:Community_Portal
  [92]: /index.php/Current_events
  [93]: /index.php/Special:Recentchanges
  [94]: /index.php/Special:Random
  [95]: /index.php/Help:Contents
  [96]: /index.php/Special:Whatlinkshere/Installation_on_Windows
  [97]: /index.php/Special:Recentchangeslinked/Installation_on_Windows
  [98]: /index.php/Special:Upload
  [99]: /index.php/Special:Specialpages
  [100]: /index.php?title=Installation_on_Windows&printable=yes&printable=yes
  [101]: /skins/common/images/poweredby_mediawiki_88x31.png
  [102]: http://www.mediawiki.org/
  [103]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [104]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [105]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"