<>

# GNUstep Installation Process

### From GNUstepWiki	{#siteSub}

(Redirected from [Installation process][1])

At the moment, the ways available to install GNUstep is heavily dependent on the host operating system platform.

[[edit][2]]

<>

## Installing from source code

If you wish to install from source code, instructions are available from [GNUstep Howto][3] - and if you want to stay on the bleeding edge, check out point 7 on that page or Dennis Leeuw's [GNUstep Build Guide for Unix Systems][4].

* latest instructions for [Installation on Windows][5]
* latest instructions for [Gorm Installation On Windows][6]
* latest instructions for [Installation of 32bit GNUstep on 64bit Linux][7]

[[edit][8]]

<>

## Using your native packaging system

Many platforms offer native GNUstep packages that may be installed in the same way that other software is commonly installed. Some information on platform-specific packages can be located at [Platform\_compatibility][9].

[[edit][10]]

<>

## Some aspirations

GNUstep installation process could be and should be as simple as "pkg-inst GNUstep-1.0" across GNUstep supported OS plaforms.

Given GNUstep's cross-platform approach to application development activities, the application mangement activies should also be united across OS platforms.

For "pkg-inst GNUstep-1.0" details, please see [Package\_management][11].

<br />
 Few notes: <http://lists.gnu.org/archive/html/discuss-gnustep/2005-01/msg00381.html>

 Retrieved from "[http://wiki.gnustep.org/index.php/GNUstep\_Installation\_Process][12]"

##### Views

* [Article][13]
* [Discussion][14]
* [Edit][15]
* [History][16]

##### Personal tools

* [Create an account or log in][17]

[][18]

##### users

* [Applications][19]
* [Guides][20]
* [FAQ][21]
* [Get Help][22]
* [Report Bugs][23]
* [Donations][24]
* [Screenshots][25]

##### developers

* [Guides][26]
* [FAQ][27]
* [Base API (Foundation)][28]
* [GUI API (AppKit)][29]
* [Frameworks][30]

##### Navigation

* [Main Page][31]
* [Community portal][32]
* [Current events][33]
* [Recent changes][34]
* [Random page][35]
* [Help][36]

##### Search

##### Toolbox

* [What links here][37]
* [Related changes][38]
* [Upload file][39]
* [Special pages][40]
* [Printable version][41]

[![MediaWiki][42]][43]

* This page was last modified 11:07, 29 October 2006.
* This page has been accessed 112,452 times.
* Content is available under [GNU General Public License][44].
* [About GNUstepWiki][45]
* [Disclaimers][46]

  [1]: /index.php?title=Installation_process&redirect=no "Installation process"
  [2]: /index.php?title=GNUstep_Installation_Process&action=edit&section=1 "GNUstep Installation Process"
  [3]: http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto_toc.html "http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto toc.html"
  [4]: http://gnustep.made-it.com/BuildGuide/index.html "http://gnustep.made-it.com/BuildGuide/index.html"
  [5]: /index.php/Installation_on_Windows "Installation on Windows"
  [6]: /index.php/Gorm_Installation_On_Windows "Gorm Installation On Windows"
  [7]: /index.php/Installation_of_32bit_GNUstep_on_64bit_Linux "Installation of 32bit GNUstep on 64bit Linux"
  [8]: /index.php?title=GNUstep_Installation_Process&action=edit&section=2 "GNUstep Installation Process"
  [9]: /index.php/Platform_compatibility "Platform compatibility"
  [10]: /index.php?title=GNUstep_Installation_Process&action=edit&section=3 "GNUstep Installation Process"
  [11]: /index.php/Package_management "Package management"
  [12]: http://wiki.gnustep.org/index.php/GNUstep_Installation_Process
  [13]: /index.php/GNUstep_Installation_Process
  [14]: /index.php/Talk:GNUstep_Installation_Process
  [15]: /index.php?title=GNUstep_Installation_Process&action=edit
  [16]: /index.php?title=GNUstep_Installation_Process&action=history
  [17]: /index.php?title=Special:Userlogin&returnto=GNUstep_Installation_Process
  [18]: /index.php/Main_Page "Main Page"
  [19]: /index.php/Category:Applications
  [20]: /index.php/User_Guides
  [21]: /index.php/User_FAQ
  [22]: /index.php/Get_Help
  [23]: /index.php/Report_Bugs
  [24]: /index.php/GNUstepWiki:Site_support
  [25]: /index.php/Screenshots
  [26]: /index.php/Developer_Guides
  [27]: /index.php/Developer_FAQ
  [28]: /index.php/Foundation
  [29]: /index.php/AppKit
  [30]: /index.php/Category:Frameworks
  [31]: /index.php/Main_Page
  [32]: /index.php/GNUstepWiki:Community_Portal
  [33]: /index.php/Current_events
  [34]: /index.php/Special:Recentchanges
  [35]: /index.php/Special:Random
  [36]: /index.php/Help:Contents
  [37]: /index.php/Special:Whatlinkshere/GNUstep_Installation_Process
  [38]: /index.php/Special:Recentchangeslinked/GNUstep_Installation_Process
  [39]: /index.php/Special:Upload
  [40]: /index.php/Special:Specialpages
  [41]: /index.php?title=GNUstep_Installation_Process&printable=yes&printable=yes
  [42]: /skins/common/images/poweredby_mediawiki_88x31.png
  [43]: http://www.mediawiki.org/
  [44]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [45]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [46]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"