<>

# Introduction to GNUstep

### From GNUstepWiki	{#siteSub}

GNUstep is a free, object-oriented, cross-platform development environment that strives for simplicity and elegance. GNUstep is based on and completely compatible with the [OpenStep][1] specification developed by NeXT (now Apple Computer Inc.) as well as implementing many extensions included in Mac OS X/Cocoa.

* [Summary brochure][2] (2Mb PDF)
* [Summary Booklet][3] (3Mb PDF)
* Our [Mission][4]

<br />

<table>
<tr>
<td>
## Contents
* [1 GNUstep is...][5]
  * [1\.1 ...an object-oriented tool development kit][6]
  * [1\.2 ...a graphical development kit][7]
  * [1\.3 ...a desktop][8]
* [2 GNUstep is not a window manager][9]
* [3 Additions to OpenStep][10]
* [4 Why should I learn Objective-C?][11]
* [5 Why should I use GNUstep?][12]
* [6 Why not just use GNOME/KDE, X11, and C/C++?][13]
* [7 License][14]
* [8 Design][15]
</td>
</tr>
</table>

[[edit][16]]

<>

## GNUstep is...

[[edit][17]]

<>

### ...an object-oriented tool development kit

The first two packages (GNUstep-make and GNUstep-base) that make up the core libraries contain a complete system for writing non-graphic tools in Objective-C. The make package allows you to setup a simple and powerful system for building, installing and packaging your tools. The base package includes all the classes necessary for writing an incredible array of tools, from wrappers for system tools to tools for communicating with web and other types of servers.

[[edit][18]]

<>

### ...a graphical development kit

The core libraries contain classes for developing a complete graphical application for almost any purpose. Along with our object-oriented, graphical development applications, [ProjectCenter][19] and [Gorm][20] it's simple to write very complex commercial applications in weeks or months, rather than years (or often, never) in the case of other development environments.

[[edit][21]]

<>

### ...a desktop

Many GNUstep [applications][22] have been written to provide a powerful user experience for working on your computer. These include our workspace manager, [GWorkspace][23], and mail client, [GNUMail][24]. GNUstep does NOT have a window manager. You can use any window manager you want, although we recommend that you use [WindowMaker][25] for a better experience -- the WindowMaker project, however, is not associated with GNUstep. Many other applications that are useful for a desktop are not contained on this web site, nor are they controlled by the GNUstep project - there are too many ideas about what a desktop should look like that we have not made up our minds about which one to endorse yet.

Here are some current ones:

* [Project Backbone][26]
* [Etoile][27]

<br />

[[edit][28]]

<>

## GNUstep is not a window manager

GNUstep is [not a window manager][29]. And the libraries are not used by WindowMaker at present, although WindowMaker shares a similar look.

At no stage will you ever 'run' GNUstep - you will run applications and tools and will make use of its services. At some point you may well find packages distributed as 'GNUstep' systems in the way that you get 'GNU/Linux' systems packaged today. Look at the [GNUstep Live CD][30] for example.

[[edit][31]]

<>

## Additions to OpenStep

In addition to the OpenStep API, GNUstep also implements many additional classes and methods, some from the Cocoa API for the sake of compatibility. GNUstep is written in the object-oriented language [Objective-C][32], a superset of C which adds object-orientation to C. Objective-C is very simple, yet very powerful. GNUstep also includes bindings to other languages such as Java (JIGS) and Ruby (RIGS).

For more information, see the following [testimonial][33] from a GNUstep user.

<br />

[[edit][34]]

<>

## Why should I learn Objective-C?

[Objective-C][35] gives you the full power of a true object-oriented language with exactly one syntax addition to C and a dozen additional keywords. Its power lies in its elegance and simplicity. Don't like [Objective-C][36]? You can use Java (See [JIGS][37]) or Ruby (See [RIGS][38]).

<br />

[[edit][39]]

<>

## Why should I use GNUstep?

GNUstep provides an excellent, mature framework for writing good applications. There's good [anecdotal][40] [evidence][41] that [OpenStep][42] developers have written very complex commercial applications in weeks or months, rather than years (or often, never) in the case of other development environments. Using the visual interface modeling application, you can construct a decent user interface skeleton in a day or so with no coding.

<br />

[[edit][43]]

<>

## Why not just use GNOME/KDE, X11, and C/C++?

GNUstep works with GNOME, KDE (See [IconManager.app][44]), as well as many X11-based window managers. GNUstep runs on top of X11. You can still do programming in C (since Objective-C is a pure superset of C), and GCC version 4.1 and newer even supports the mixing of C++ and Objective-C. GNUstep frees you to develop cross-platform applications without the work of developing an OS independent framework from scratch. It gives you lots of functionality, including Font Panels, Unicode strings, and even Distributed Objects.

<br />

[[edit][45]]

<>

## License

The GNUstep libraries are covered under the [GNU Lesser (Library) Public License][46]. This generally means you can use these libraries in any program (even non-free programs) without affecting the license of your program or any other libraries GNUstep is linked with. If you distribute the GNUstep libraries along with your program, you must make the improvements you have made to the GNUstep libraries freely available. The stand-alone tools in GNUstep are under the standard [GPL][47].

With GNUstep-Base, we recommend the use of the ffcall libraries, which provides stack frame handling for NSInvocation and NSConnection. "Ffcall is under GNU GPL. As a special exception, if used in GNUstep or in derivate works of GNUstep, the included parts of ffcall are under GNU LGPL" (Text in quotes provided by the author of ffcall).

<br />

[[edit][48]]

<>

## Design

The GNUstep logo has been designed by Ayis Theseas Pyrros. It stands for the "yin-yang" of objects taking you "a couple of steps" further.

 Retrieved from "[http://wiki.gnustep.org/index.php/Introduction\_to\_GNUstep][49]"

##### Views

* [Article][50]
* [Discussion][51]
* [Edit][52]
* [History][53]

##### Personal tools

* [Create an account or log in][54]

[][55]

##### users

* [Applications][56]
* [Guides][57]
* [FAQ][58]
* [Get Help][59]
* [Report Bugs][60]
* [Donations][61]
* [Screenshots][62]

##### developers

* [Guides][63]
* [FAQ][64]
* [Base API (Foundation)][65]
* [GUI API (AppKit)][66]
* [Frameworks][67]

##### Navigation

* [Main Page][68]
* [Community portal][69]
* [Current events][70]
* [Recent changes][71]
* [Random page][72]
* [Help][73]

##### Search

##### Toolbox

* [What links here][74]
* [Related changes][75]
* [Upload file][76]
* [Special pages][77]
* [Printable version][78]

[![MediaWiki][79]][80]

* This page was last modified 17:45, 20 November 2010.
* This page has been accessed 44,302 times.
* Content is available under [GNU General Public License][81].
* [About GNUstepWiki][82]
* [Disclaimers][83]

  [1]: /index.php/OpenStep "OpenStep"
  [2]: http://www.gnustep.org/information/GNUstep-brochure.pdf "http://www.gnustep.org/information/GNUstep-brochure.pdf"
  [3]: http://www.gnustep.org/information/Booklet.pdf "http://www.gnustep.org/information/Booklet.pdf"
  [4]: /index.php/Mission "Mission"
  [5]: #GNUstep_is...
  [6]: #...an_object-oriented_tool_development_kit
  [7]: #...a_graphical_development_kit
  [8]: #...a_desktop
  [9]: #GNUstep_is_not_a_window_manager
  [10]: #Additions_to_OpenStep
  [11]: #Why_should_I_learn_Objective-C.3F
  [12]: #Why_should_I_use_GNUstep.3F
  [13]: #Why_not_just_use_GNOME.2FKDE.2C_X11.2C_and_C.2FC.2B.2B.3F
  [14]: #License
  [15]: #Design
  [16]: /index.php?title=Introduction_to_GNUstep&action=edit&section=1 "Introduction to GNUstep"
  [17]: /index.php?title=Introduction_to_GNUstep&action=edit&section=2 "Introduction to GNUstep"
  [18]: /index.php?title=Introduction_to_GNUstep&action=edit&section=3 "Introduction to GNUstep"
  [19]: /index.php/ProjectCenter "ProjectCenter"
  [20]: /index.php/Gorm "Gorm"
  [21]: /index.php?title=Introduction_to_GNUstep&action=edit&section=4 "Introduction to GNUstep"
  [22]: /index.php/Category:Applications "Category:Applications"
  [23]: /index.php/GWorkspace "GWorkspace"
  [24]: /index.php/GNUMail "GNUMail"
  [25]: /index.php/WindowMaker "WindowMaker"
  [26]: http://www.nongnu.org/backbone/ "http://www.nongnu.org/backbone/"
  [27]: http://www.etoile-project.org/ "http://www.etoile-project.org/"
  [28]: /index.php?title=Introduction_to_GNUstep&action=edit&section=5 "Introduction to GNUstep"
  [29]: /index.php/GNUstepIsNotWindowMaker "GNUstepIsNotWindowMaker"
  [30]: http://io.debian.net/~tar/gnustep/ "http://io.debian.net/~tar/gnustep/"
  [31]: /index.php?title=Introduction_to_GNUstep&action=edit&section=6 "Introduction to GNUstep"
  [32]: /index.php/Objective-C "Objective-C"
  [33]: http://www.gnustep.org/information/statement.html "http://www.gnustep.org/information/statement.html"
  [34]: /index.php?title=Introduction_to_GNUstep&action=edit&section=7 "Introduction to GNUstep"
  [35]: /index.php/Objective-C "Objective-C"
  [36]: /index.php/Objective-C "Objective-C"
  [37]: http://www.gnustep.it/jigs/index.html "http://www.gnustep.it/jigs/index.html"
  [38]: http://www.gnustep.org/experience/RIGS.html "http://www.gnustep.org/experience/RIGS.html"
  [39]: /index.php?title=Introduction_to_GNUstep&action=edit&section=8 "Introduction to GNUstep"
  [40]: http://www.stepwise.com/Articles/Business/NextOrderOfBusiness.html "http://www.stepwise.com/Articles/Business/NextOrderOfBusiness.html"
  [41]: http://www.stepwise.com/Articles/Business/NuclearStrike.html "http://www.stepwise.com/Articles/Business/NuclearStrike.html"
  [42]: /index.php/OpenStep "OpenStep"
  [43]: /index.php?title=Introduction_to_GNUstep&action=edit&section=9 "Introduction to GNUstep"
  [44]: /index.php/IconManager.app "IconManager.app"
  [45]: /index.php?title=Introduction_to_GNUstep&action=edit&section=10 "Introduction to GNUstep"
  [46]: http://www.gnu.org/copyleft/lesser.html "http://www.gnu.org/copyleft/lesser.html"
  [47]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [48]: /index.php?title=Introduction_to_GNUstep&action=edit&section=11 "Introduction to GNUstep"
  [49]: http://wiki.gnustep.org/index.php/Introduction_to_GNUstep
  [50]: /index.php/Introduction_to_GNUstep
  [51]: /index.php?title=Talk:Introduction_to_GNUstep&action=edit
  [52]: /index.php?title=Introduction_to_GNUstep&action=edit
  [53]: /index.php?title=Introduction_to_GNUstep&action=history
  [54]: /index.php?title=Special:Userlogin&returnto=Introduction_to_GNUstep
  [55]: /index.php/Main_Page "Main Page"
  [56]: /index.php/Category:Applications
  [57]: /index.php/User_Guides
  [58]: /index.php/User_FAQ
  [59]: /index.php/Get_Help
  [60]: /index.php/Report_Bugs
  [61]: /index.php/GNUstepWiki:Site_support
  [62]: /index.php/Screenshots
  [63]: /index.php/Developer_Guides
  [64]: /index.php/Developer_FAQ
  [65]: /index.php/Foundation
  [66]: /index.php/AppKit
  [67]: /index.php/Category:Frameworks
  [68]: /index.php/Main_Page
  [69]: /index.php/GNUstepWiki:Community_Portal
  [70]: /index.php/Current_events
  [71]: /index.php/Special:Recentchanges
  [72]: /index.php/Special:Random
  [73]: /index.php/Help:Contents
  [74]: /index.php/Special:Whatlinkshere/Introduction_to_GNUstep
  [75]: /index.php/Special:Recentchangeslinked/Introduction_to_GNUstep
  [76]: /index.php/Special:Upload
  [77]: /index.php/Special:Specialpages
  [78]: /index.php?title=Introduction_to_GNUstep&printable=yes&printable=yes
  [79]: /skins/common/images/poweredby_mediawiki_88x31.png
  [80]: http://www.mediawiki.org/
  [81]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [82]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [83]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"