<>

# JIGS

### From GNUstepWiki	{#siteSub}

JIGS is the Java Interface to GNUstep.

<>

#### Current Version: [1\.6.2][1]

* Released: August 8, 2013
* Licensed: LGPL

<>

### Overview

JIGS is a library allowing integration between Java and Objective-C. The main purpose of JIGS is to allow Java programmers to use the GNUstep libraries from Java.

<>

### Features

JIGS is more than a set of bindings for GNUstep from Java; JIGS takes advantage of the fact that Objective-C and Java are very similar languages to make it possible to use Objective-C classes from Java using exactly the same API (and vice versa). You have to learn the GNUstep API only once, and then you can use it both from Objective-C and from Java in the same way! Moreover, JIGS can generate automatically wrappers for your own Objective-C GNUstep libraries.

JIGS allows you to write optimized classes and components in Objective-C, and make them available to Java developers. In the typical configuration, fast Objective-C components and libraries are used in the backend, and JIGS is used to integrate them smoothly in a Java front-end. Moving from one language to the other is as easy as it can possibly be with two different languages.

<>

### Maintainer

* [Nicola Pero][2]

<>

### Related Links

* [Official Page][3]

 Retrieved from "<http://wiki.gnustep.org/index.php/JIGS>"

[Categories][4]: [Scripting Frameworks][5] | [Frameworks][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 21:26, 25 February 2015.
* This page has been accessed 13,710 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: http://www.gnustep.it/jigs/Download/jigs-1.6.2.tar.gz "http://www.gnustep.it/jigs/Download/jigs-1.6.2.tar.gz"
  [2]: mailto:n.pero@mi.flashnet.it "mailto:n.pero@mi.flashnet.it"
  [3]: http://www.gnustep.it/jigs/ "http://www.gnustep.it/jigs/"
  [4]: /index.php?title=Special:Categories&article=JIGS "Special:Categories"
  [5]: /index.php/Category:Scripting_Frameworks "Category:Scripting Frameworks"
  [6]: /index.php/Category:Frameworks "Category:Frameworks"
  [7]: /index.php/JIGS
  [8]: /index.php?title=Talk:JIGS&action=edit
  [9]: /index.php?title=JIGS&action=edit
  [10]: /index.php?title=JIGS&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=JIGS
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/JIGS
  [32]: /index.php/Special:Recentchangeslinked/JIGS
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=JIGS&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"