<>

# Library combos

### From GNUstepWiki	{#siteSub}

**Library combos** are compile-time decisions about which libraries and runtimes to use. Since the only other major libraries are from Apple, this applies only to [Darwin][1] and [Mac OS X][2].

There are three libraries that can be linked to. The [Objective-C runtime][3], the [Foundation][4] implementation, and the [AppKit][5] implementation.

Specifying which libraries to use is done with `./configure --with-library-combo=`objcruntime-foundation-applicationkit. Each of the three could have either the value gnu or apple, but not all of these are implemented. To use the GNUstep runtime for ObjectiveC-2 with all the latest cutting edge changes, you should specify the 'ng' (Next Generation) runtime library (which also implies use of a recent clang compiler)

The following options are supported:

<table>
<tr>
<th> Runtime </th>
<th> Foundation </th>
<th> AppKit </th>
</tr>
<tr>
<td> gnu </td>
<td> gnu </td>
<td> gnu </td>
</tr>
<tr>
<td> ng </td>
<td> gnu </td>
<td> gnu </td>
</tr>
<tr>
<td> apple </td>
<td> gnu </td>
<td> gnu </td>
</tr>
<tr>
<td> apple </td>
<td> apple </td>
<td> gnu </td>
</tr>
<tr>
<td> apple </td>
<td> apple </td>
<td> apple </td>
</tr>
</table>

Of these, the first two, and the last option are recommended (all GNU or all Apple). The default when building on Darwin and OS X is apple-apple-apple. Even when GNUstep apps use the all Apple option, GNUstep extensions are available to the app.

 Retrieved from "[http://wiki.gnustep.org/index.php/Library\_combos][6]"

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 08:32, 4 March 2016.
* This page has been accessed 4,700 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: /index.php?title=Darwin&action=edit "Darwin"
  [2]: /index.php?title=Mac_OS_X&action=edit "Mac OS X"
  [3]: /index.php/Objective-C_runtime "Objective-C runtime"
  [4]: /index.php/Foundation "Foundation"
  [5]: /index.php/AppKit "AppKit"
  [6]: http://wiki.gnustep.org/index.php/Library_combos
  [7]: /index.php/Library_combos
  [8]: /index.php?title=Talk:Library_combos&action=edit
  [9]: /index.php?title=Library_combos&action=edit
  [10]: /index.php?title=Library_combos&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=Library_combos
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/Library_combos
  [32]: /index.php/Special:Recentchangeslinked/Library_combos
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=Library_combos&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"