<>

# Message

### From GNUstepWiki	{#siteSub}

A message consists of the method selector (name) and accompanying arguments that tell the receiving [object][1] in a message expression what to do.

<table>
<tr>
<td>
## Contents
* [1 Action Message][2]
* [2 Asynchronous Message][3]
* [3 Event Message][4]
* [4 Remote Message][5]
* [5 Synchronous Message][6]
</td>
</tr>
</table>

[[edit][7]]

<>

## Action Message

In the [Application Kit][8], a message sent by an [object][9] (such as a Button or Slider) in response to a user action (such as clicking the button or dragging the slider's knob).

The message translates the user's action into a specific instruction for the [application][10].

[[edit][11]]

<>

## Asynchronous Message

A remote message that returns immediately, without waiting for the [application][12] that receives the message to respond. The sending [application][13] and the receiving [application][14] act independently, and are therefore not "in sync."

[[edit][15]]

<>

## Event Message

In the [Application Kit][16], a message to perform a [method][17] named after an event or sub-event. Event messages are used to dispatch events to the [objects][18] that will respond to them.

[[edit][19]]

<>

## Remote Message

A message sent from one [application][20] to an [object][21] in another [application][22].

[[edit][23]]

<>

## Synchronous Message

A remote message that doesn't return until the receiving [application][24] finishes responding to the message. Because the [application][25] that sends the message waits for an acknowledgment or return information from the receiving [application][26], the two applications are kept "in sync."

 Retrieved from "<http://wiki.gnustep.org/index.php/Message>"

[Categories][27]: [Objective-C][28]

##### Views

* [Article][29]
* [Discussion][30]
* [Edit][31]
* [History][32]

##### Personal tools

* [Create an account or log in][33]

[][34]

##### users

* [Applications][35]
* [Guides][36]
* [FAQ][37]
* [Get Help][38]
* [Report Bugs][39]
* [Donations][40]
* [Screenshots][41]

##### developers

* [Guides][42]
* [FAQ][43]
* [Base API (Foundation)][44]
* [GUI API (AppKit)][45]
* [Frameworks][46]

##### Navigation

* [Main Page][47]
* [Community portal][48]
* [Current events][49]
* [Recent changes][50]
* [Random page][51]
* [Help][52]

##### Search

##### Toolbox

* [What links here][53]
* [Related changes][54]
* [Upload file][55]
* [Special pages][56]
* [Printable version][57]

[![MediaWiki][58]][59]

* This page was last modified 09:43, 21 June 2006.
* This page has been accessed 16,310 times.
* Content is available under [GNU General Public License][60].
* [About GNUstepWiki][61]
* [Disclaimers][62]

  [1]: /index.php/Object "Object"
  [2]: #Action_Message
  [3]: #Asynchronous_Message
  [4]: #Event_Message
  [5]: #Remote_Message
  [6]: #Synchronous_Message
  [7]: /index.php?title=Message&action=edit&section=1 "Message"
  [8]: /index.php/AppKit "AppKit"
  [9]: /index.php/Object "Object"
  [10]: /index.php?title=Application&action=edit "Application"
  [11]: /index.php?title=Message&action=edit&section=2 "Message"
  [12]: /index.php?title=Application&action=edit "Application"
  [13]: /index.php?title=Application&action=edit "Application"
  [14]: /index.php?title=Application&action=edit "Application"
  [15]: /index.php?title=Message&action=edit&section=3 "Message"
  [16]: /index.php/AppKit "AppKit"
  [17]: /index.php/Method "Method"
  [18]: /index.php/Object "Object"
  [19]: /index.php?title=Message&action=edit&section=4 "Message"
  [20]: /index.php?title=Application&action=edit "Application"
  [21]: /index.php/Object "Object"
  [22]: /index.php?title=Application&action=edit "Application"
  [23]: /index.php?title=Message&action=edit&section=5 "Message"
  [24]: /index.php?title=Application&action=edit "Application"
  [25]: /index.php?title=Application&action=edit "Application"
  [26]: /index.php?title=Application&action=edit "Application"
  [27]: /index.php?title=Special:Categories&article=Message "Special:Categories"
  [28]: /index.php/Category:Objective-C "Category:Objective-C"
  [29]: /index.php/Message
  [30]: /index.php?title=Talk:Message&action=edit
  [31]: /index.php?title=Message&action=edit
  [32]: /index.php?title=Message&action=history
  [33]: /index.php?title=Special:Userlogin&returnto=Message
  [34]: /index.php/Main_Page "Main Page"
  [35]: /index.php/Category:Applications
  [36]: /index.php/User_Guides
  [37]: /index.php/User_FAQ
  [38]: /index.php/Get_Help
  [39]: /index.php/Report_Bugs
  [40]: /index.php/GNUstepWiki:Site_support
  [41]: /index.php/Screenshots
  [42]: /index.php/Developer_Guides
  [43]: /index.php/Developer_FAQ
  [44]: /index.php/Foundation
  [45]: /index.php/AppKit
  [46]: /index.php/Category:Frameworks
  [47]: /index.php/Main_Page
  [48]: /index.php/GNUstepWiki:Community_Portal
  [49]: /index.php/Current_events
  [50]: /index.php/Special:Recentchanges
  [51]: /index.php/Special:Random
  [52]: /index.php/Help:Contents
  [53]: /index.php/Special:Whatlinkshere/Message
  [54]: /index.php/Special:Recentchangeslinked/Message
  [55]: /index.php/Special:Upload
  [56]: /index.php/Special:Specialpages
  [57]: /index.php?title=Message&printable=yes&printable=yes
  [58]: /skins/common/images/poweredby_mediawiki_88x31.png
  [59]: http://www.mediawiki.org/
  [60]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [61]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [62]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"