<>

# Mission

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 GNUstep Mission Objectives][1]
  * [1\.1 API Objectives][2]
  * [1\.2 Display Model][3]
  * [1\.3 Look and Feel][4]
</td>
</tr>
</table>

[[edit][5]]

<>

# GNUstep Mission Objectives

The GNUstep Objectives describe the 'official' position regarding the direction and goals of GNUstep.

<br />

[[edit][6]]

<>

## API Objectives

GNUstep's goal is to create a free, superior development environment based on and inspired by the OpenStep standard developed by NeXT Computer Inc. (now Apple Computer Inc.) and the OPENSTEP implementation of this standard. Apple has continued to update this specification in the form of Cocoa and Mac OS X, and there is no hope of GNUstep guaranteeing that we shall maintain compatibility with an Apple API that is constantly changing.

Our target implementation for the core libraries is the OpenStep standard and OPENSTEP implementation. However, we do consider changes and additions to this API under the following circumstances.

* We add methods and classes, either from Cocoa or our own extensions, if they add substantial value and don't interfere with OpenStep and/or Cocoa compatibility.
* We generally don't remove things unless there is a clearly better implementation in newer Cocoa API
* Where there is a real problem with a change, we find a technically superior work-around. In rare cases, this might involve a change in the original OpenStep API

Note that it is not the responsibility of the main developers to achieve or maintain Cocoa compatibility! We accept patches and bug reports that detail Cocoa additions and/or changes and we do our best to integrate these changes as long as they do not conflict with the previously stated rules.

We typically code to the most recent documented API we can find. Where the latest documentation actually conflicts with the original, the latest version generally wins. Better or more explicit Cocoa documentation wins over ambiguous OpenStep documentation.

In some cases, classes or parts of classes have been added that are clearly specific to a particular platform. Since we provide a cross-platform solution, we will probably not add these classes to our core libraries. Although we do accept submission of code for these classes and perhaps put them in a separate library

We may add non-standard extensions that people might find useful, although these are generally contained in a separate library.

We also may be able to provide more comprehensive or flexible solutions than are available in Mac OS X. In this case, classes or functionality may be missing from the core libraries, but may be available in other libraries.

For instance, instead of adding the 20 or so trivial scripting classes to the base/Foundation library for scripting, we have StepTalk, Rigs, and gnustep-guile.

<br />

[[edit][7]]

<>

## Display Model

GNUstep has split the GUI into a front-end GUI "interface" and a backend window-server specific implementation. With this architecture it is possible to support several window-server backends (DPS, X, libart, Windows). Our main interest is supporting the Display PostScript drawing model (at least conceptually), but we may support other models in the future.

<br />

[[edit][8]]

<>

## Look and Feel

While we are not fanatical about the look and feel of a system, one of the primary reasons we are all working on an OpenStep system is the superior design and consistent interface defined in the specification. We will generally avoid specifying a look for GNUstep, except where not doing so may degrade the consistency of the interface. However, the feel of the interface is more deeply embedded in the specification and we agree that this aspect of an interface design is vital to the aesthetic appeal and user-friendliness of a system. We in general like the NeXT GUI, at least the fact that it does provide a uniform look and feel, and will probably continue to support this style.

 Retrieved from "<http://wiki.gnustep.org/index.php/Mission>"

##### Views

* [Article][9]
* [Discussion][10]
* [Edit][11]
* [History][12]

##### Personal tools

* [Create an account or log in][13]

[][14]

##### users

* [Applications][15]
* [Guides][16]
* [FAQ][17]
* [Get Help][18]
* [Report Bugs][19]
* [Donations][20]
* [Screenshots][21]

##### developers

* [Guides][22]
* [FAQ][23]
* [Base API (Foundation)][24]
* [GUI API (AppKit)][25]
* [Frameworks][26]

##### Navigation

* [Main Page][27]
* [Community portal][28]
* [Current events][29]
* [Recent changes][30]
* [Random page][31]
* [Help][32]

##### Search

##### Toolbox

* [What links here][33]
* [Related changes][34]
* [Upload file][35]
* [Special pages][36]
* [Printable version][37]

[![MediaWiki][38]][39]

* This page was last modified 09:46, 6 September 2006.
* This page has been accessed 8,047 times.
* Content is available under [GNU General Public License][40].
* [About GNUstepWiki][41]
* [Disclaimers][42]

  [1]: #GNUstep_Mission_Objectives
  [2]: #API_Objectives
  [3]: #Display_Model
  [4]: #Look_and_Feel
  [5]: /index.php?title=Mission&action=edit&section=1 "Mission"
  [6]: /index.php?title=Mission&action=edit&section=2 "Mission"
  [7]: /index.php?title=Mission&action=edit&section=3 "Mission"
  [8]: /index.php?title=Mission&action=edit&section=4 "Mission"
  [9]: /index.php/Mission
  [10]: /index.php?title=Talk:Mission&action=edit
  [11]: /index.php?title=Mission&action=edit
  [12]: /index.php?title=Mission&action=history
  [13]: /index.php?title=Special:Userlogin&returnto=Mission
  [14]: /index.php/Main_Page "Main Page"
  [15]: /index.php/Category:Applications
  [16]: /index.php/User_Guides
  [17]: /index.php/User_FAQ
  [18]: /index.php/Get_Help
  [19]: /index.php/Report_Bugs
  [20]: /index.php/GNUstepWiki:Site_support
  [21]: /index.php/Screenshots
  [22]: /index.php/Developer_Guides
  [23]: /index.php/Developer_FAQ
  [24]: /index.php/Foundation
  [25]: /index.php/AppKit
  [26]: /index.php/Category:Frameworks
  [27]: /index.php/Main_Page
  [28]: /index.php/GNUstepWiki:Community_Portal
  [29]: /index.php/Current_events
  [30]: /index.php/Special:Recentchanges
  [31]: /index.php/Special:Random
  [32]: /index.php/Help:Contents
  [33]: /index.php/Special:Whatlinkshere/Mission
  [34]: /index.php/Special:Recentchangeslinked/Mission
  [35]: /index.php/Special:Upload
  [36]: /index.php/Special:Specialpages
  [37]: /index.php?title=Mission&printable=yes&printable=yes
  [38]: /skins/common/images/poweredby_mediawiki_88x31.png
  [39]: http://www.mediawiki.org/
  [40]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [41]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [42]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"