<>

# NSBundle

### From GNUstepWiki	{#siteSub}

**NSBundle** is a class in Foundation for the manipulation of bundles. Bundles are specialized directories that collect related resources for an application or framework (or even an ordinary file) and present them to a user as a single, opaque file. Common resources are images, NIB or GORM interface files, localizations, and executable binaries.

NSBundle is mostly used to find the executable code for a given bundle (and vice versa), to choose appropriate [localizations][1], and to locate other resources in a bundle's directory. Currently GNUstep defines two methods in addition to those from OpenStep: bundleForLibrary and pathForLibraryResource. However, these two extensions are experimental and might change.

NSBundle inherits from [NSObject][2] and is declared in Foundation/NSBundle.h.

 Retrieved from "<http://wiki.gnustep.org/index.php/NSBundle>"

[Categories][3]: [Foundation][4]

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 05:12, 9 April 2007.
* This page has been accessed 16,486 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: /index.php?title=Localization&action=edit "Localization"
  [2]: /index.php?title=NSObject&action=edit "NSObject"
  [3]: /index.php?title=Special:Categories&article=NSBundle "Special:Categories"
  [4]: /index.php/Category:Foundation "Category:Foundation"
  [5]: /index.php/NSBundle
  [6]: /index.php?title=Talk:NSBundle&action=edit
  [7]: /index.php?title=NSBundle&action=edit
  [8]: /index.php?title=NSBundle&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=NSBundle
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/NSBundle
  [30]: /index.php/Special:Recentchangeslinked/NSBundle
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=NSBundle&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"