<>

# NSData

### From GNUstepWiki	{#siteSub}

**NSData** is a class in Foundation for working with binary data that does not fit any specific type. Methods are provided that work with generic data, such as reading and writing files, working with data in memory, and obtaining data over the network.

The data that an NSData object holds can come from a file, from a memory location, or from the network. Methods are provided that can move the data between all three of these. NSData is immutable, so a similar mutable type **NSMutableData** is provided (also in NSData.h). GNUstep defines extensions to NSData for use with shared memory. Also GNUstep adds methods to calculate a checksum and obtain various representations of the data (e.g. hexadecimal).

NSData inherits from [NSObject][1]. It is declared in Foundation/NSData.h and conforms to [NSCoding][2], [NSCopying][3], and NSMutableCopying.

 Retrieved from "<http://wiki.gnustep.org/index.php/NSData>"

[Categories][4]: [Foundation][5]

##### Views

* [Article][6]
* [Discussion][7]
* [Edit][8]
* [History][9]

##### Personal tools

* [Create an account or log in][10]

[][11]

##### users

* [Applications][12]
* [Guides][13]
* [FAQ][14]
* [Get Help][15]
* [Report Bugs][16]
* [Donations][17]
* [Screenshots][18]

##### developers

* [Guides][19]
* [FAQ][20]
* [Base API (Foundation)][21]
* [GUI API (AppKit)][22]
* [Frameworks][23]

##### Navigation

* [Main Page][24]
* [Community portal][25]
* [Current events][26]
* [Recent changes][27]
* [Random page][28]
* [Help][29]

##### Search

##### Toolbox

* [What links here][30]
* [Related changes][31]
* [Upload file][32]
* [Special pages][33]
* [Printable version][34]

[![MediaWiki][35]][36]

* This page was last modified 05:20, 9 April 2007.
* This page has been accessed 12,434 times.
* Content is available under [GNU General Public License][37].
* [About GNUstepWiki][38]
* [Disclaimers][39]

  [1]: /index.php?title=NSObject&action=edit "NSObject"
  [2]: /index.php?title=NSCoding&action=edit "NSCoding"
  [3]: /index.php?title=NSCopying&action=edit "NSCopying"
  [4]: /index.php?title=Special:Categories&article=NSData "Special:Categories"
  [5]: /index.php/Category:Foundation "Category:Foundation"
  [6]: /index.php/NSData
  [7]: /index.php?title=Talk:NSData&action=edit
  [8]: /index.php?title=NSData&action=edit
  [9]: /index.php?title=NSData&action=history
  [10]: /index.php?title=Special:Userlogin&returnto=NSData
  [11]: /index.php/Main_Page "Main Page"
  [12]: /index.php/Category:Applications
  [13]: /index.php/User_Guides
  [14]: /index.php/User_FAQ
  [15]: /index.php/Get_Help
  [16]: /index.php/Report_Bugs
  [17]: /index.php/GNUstepWiki:Site_support
  [18]: /index.php/Screenshots
  [19]: /index.php/Developer_Guides
  [20]: /index.php/Developer_FAQ
  [21]: /index.php/Foundation
  [22]: /index.php/AppKit
  [23]: /index.php/Category:Frameworks
  [24]: /index.php/Main_Page
  [25]: /index.php/GNUstepWiki:Community_Portal
  [26]: /index.php/Current_events
  [27]: /index.php/Special:Recentchanges
  [28]: /index.php/Special:Random
  [29]: /index.php/Help:Contents
  [30]: /index.php/Special:Whatlinkshere/NSData
  [31]: /index.php/Special:Recentchangeslinked/NSData
  [32]: /index.php/Special:Upload
  [33]: /index.php/Special:Specialpages
  [34]: /index.php?title=NSData&printable=yes&printable=yes
  [35]: /skins/common/images/poweredby_mediawiki_88x31.png
  [36]: http://www.mediawiki.org/
  [37]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [38]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [39]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"