<>

# NSDocument

### From GNUstepWiki	{#siteSub}

NSDocument is an AppKit class used to implement document-based applications. It is subclassed so that instances represent specific "document" types.

[[edit][1]]

<>

## Code chunks

[[edit][2]]

<>

### Multiple editors

If your document uses multiple editors and each is represented with a single [NSWindowController][3], you can commit all edits like in the following (obvious) code. Requirement is, that each NSWindowController should implement _commitEditing_.

	- (void)commitEdits
	{
	   NSWindowController *controller;
	   NSEnumerator       *enumerator;

	   enumerator = [[self windowControllers] objectEnumerator];

	   while( (controller = [enumerator nextObject]) )
	   {
	       if([controller respondsToSelector:@selector(commitEditing)])
	       {
	           [controller commitEditing];
	       }
	   }
	}

 Retrieved from "<http://wiki.gnustep.org/index.php/NSDocument>"

[Categories][4]: [AppKit][5] | [Snippets][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 15:50, 21 April 2006.
* This page has been accessed 24,902 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: /index.php?title=NSDocument&action=edit&section=1 "NSDocument"
  [2]: /index.php?title=NSDocument&action=edit&section=2 "NSDocument"
  [3]: /index.php?title=NSWindowController&action=edit "NSWindowController"
  [4]: /index.php?title=Special:Categories&article=NSDocument "Special:Categories"
  [5]: /index.php/Category:AppKit "Category:AppKit"
  [6]: /index.php/Category:Snippets "Category:Snippets"
  [7]: /index.php/NSDocument
  [8]: /index.php?title=Talk:NSDocument&action=edit
  [9]: /index.php?title=NSDocument&action=edit
  [10]: /index.php?title=NSDocument&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=NSDocument
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/NSDocument
  [32]: /index.php/Special:Recentchangeslinked/NSDocument
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=NSDocument&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"