<>

# NSEnumerator

### From GNUstepWiki	{#siteSub}

[NSEnumerator][1] in gnustep-base allow for iteration over collection.

[[edit][2]]

<>

## Using NSEnumerator

The following example demonstrates the use of NSEnumerator with an [NSArray][3] object:

	 NSArray *aArray = [NSArray arrayWithObjects: @"John", @"Bob", @"Jane", nil];
	 NSEnumerator *enumerator = [aArray objectEnumerator];
	 id obj;

	 while(obj = [enumerator nextObject])
	   doSomethingWithObject( obj );

[[edit][4]]

<>

## Getting an NSEnumerator from a Collection

The [NSArray][5], [NSSet][6], and [NSDictionary][7] collection objects all include the -objectEnumerator method. [NSDictionary][8] also includes -keyEnumerator, which enumerates over the dictionary keys instead of the objects.

 Retrieved from "<http://wiki.gnustep.org/index.php/NSEnumerator>"

[Categories][9]: [Foundation][10] | [Snippets][11]

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 06:28, 12 May 2009.
* This page has been accessed 14,645 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSEnumerator.html#class$NSEnumerator "http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSEnumerator.html#class$NSEnumerator"
  [2]: /index.php?title=NSEnumerator&action=edit&section=1 "NSEnumerator"
  [3]: /index.php/NSArray "NSArray"
  [4]: /index.php?title=NSEnumerator&action=edit&section=2 "NSEnumerator"
  [5]: /index.php/NSArray "NSArray"
  [6]: /index.php?title=NSSet&action=edit "NSSet"
  [7]: /index.php?title=NSDictionary&action=edit "NSDictionary"
  [8]: /index.php?title=NSDictionary&action=edit "NSDictionary"
  [9]: /index.php?title=Special:Categories&article=NSEnumerator "Special:Categories"
  [10]: /index.php/Category:Foundation "Category:Foundation"
  [11]: /index.php/Category:Snippets "Category:Snippets"
  [12]: /index.php/NSEnumerator
  [13]: /index.php?title=Talk:NSEnumerator&action=edit
  [14]: /index.php?title=NSEnumerator&action=edit
  [15]: /index.php?title=NSEnumerator&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=NSEnumerator
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/NSEnumerator
  [37]: /index.php/Special:Recentchangeslinked/NSEnumerator
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=NSEnumerator&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"