<>

# NSMenuItem

### From GNUstepWiki	{#siteSub}

Menu items belong to menus, sub meus, main menus and contextual menus, which are all the NSMenu class behaving differently.

[[edit][1]]

<>

## XIB Fields

<table>
<tr>
<th>Key </th>
<th>Type </th>
<th>Value </th>
</tr>
<tr>
<th>NSMenu </th>
<td>reference </td>
<td>The cached parent of this menu item, could be derived by the object declaration is under it in the XML treeÃ¢ÂÂ [Don't argue with apple][2]. </td>
</tr>
<tr>
<th>NSTitle </th>
<td>NSString </td>
<td>The title of this menu item. </td>
</tr>
<tr>
<th>NSKeyEquiv </th>
<td>NSString </td>
<td>The character that is the keyboard equivalent to this menu item. s="s" S="[shift]+s" . </td>
</tr>
<tr>
<th>NSKeyEquivModMask </th>
<td>enum [NSEventModifierFlags][3]ÃÂ : NSUInt </td>
<td> See Modifier flag, note: shift is not a modifier, it is enterpreted based on the case of the input character. </td>
</tr>
<tr>
<th>NSMnemonicLoc </th>
<td>int </td>
<td>Purpose unclear. </td>
</tr>
<tr>
<th>NSOnImage </th>
<td>reference </td>
<td>A reference to an NSImage in the object graph, for when the menu item is active in the "on" state. </td>
</tr>
<tr>
<th>NSOffImage </th>
<td>reference </td>
<td>A reference to an NSImage in the object graph, for when the menu item is in the "off" state. </td>
</tr>
<tr>
<th>NSMixedImage </th>
<td>reference </td>
<td>A reference to an NSImage in the object graph, for when the menu item is in the "mixed"(not on or off) state e.g. multiple fonts selected, font dropdown. </td>
</tr>
<tr>
<th>NSSubmenu </th>
<td>NSMenu </td>
<td>The menu this menu item contains, if applicable. </td>
</tr>
<tr>
<th>NSIsDisabled </th>
<td>bool </td>
<td>(Optional) </td>
<td></td>
</tr>
<tr>
<td>NSIsSeparator </td>
<td>bool </td>
<td>Cause the menu item to become a separator. If yes then recomended NSisDisabled, to prevent selection. </td>
</tr>
</table>

 Retrieved from "<http://wiki.gnustep.org/index.php/NSMenuItem>"

##### Views

* [Article][4]
* [Discussion][5]
* [Edit][6]
* [History][7]

##### Personal tools

* [Create an account or log in][8]

[][9]

##### users

* [Applications][10]
* [Guides][11]
* [FAQ][12]
* [Get Help][13]
* [Report Bugs][14]
* [Donations][15]
* [Screenshots][16]

##### developers

* [Guides][17]
* [FAQ][18]
* [Base API (Foundation)][19]
* [GUI API (AppKit)][20]
* [Frameworks][21]

##### Navigation

* [Main Page][22]
* [Community portal][23]
* [Current events][24]
* [Recent changes][25]
* [Random page][26]
* [Help][27]

##### Search

##### Toolbox

* [What links here][28]
* [Related changes][29]
* [Upload file][30]
* [Special pages][31]
* [Printable version][32]

[![MediaWiki][33]][34]

* This page was last modified 02:32, 19 July 2012.
* This page has been accessed 3,930 times.
* Content is available under [GNU General Public License][35].
* [About GNUstepWiki][36]
* [Disclaimers][37]

  [1]: /index.php?title=NSMenuItem&action=edit&section=1 "NSMenuItem"
  [2]: /index.php/Portability "Portability"
  [3]: https://developer.apple.com/library/mac/documentation/Cocoa/Reference/ApplicationKit/Classes/nsevent_Class/Reference/Reference.html#//apple_ref/doc/constant_group/Modifier_Flags "https://developer.apple.com/library/mac/documentation/Cocoa/Reference/ApplicationKit/Classes/nsevent Class/Reference/Reference.html#//apple ref/doc/constant group/Modifier Flags"
  [4]: /index.php/NSMenuItem
  [5]: /index.php?title=Talk:NSMenuItem&action=edit
  [6]: /index.php?title=NSMenuItem&action=edit
  [7]: /index.php?title=NSMenuItem&action=history
  [8]: /index.php?title=Special:Userlogin&returnto=NSMenuItem
  [9]: /index.php/Main_Page "Main Page"
  [10]: /index.php/Category:Applications
  [11]: /index.php/User_Guides
  [12]: /index.php/User_FAQ
  [13]: /index.php/Get_Help
  [14]: /index.php/Report_Bugs
  [15]: /index.php/GNUstepWiki:Site_support
  [16]: /index.php/Screenshots
  [17]: /index.php/Developer_Guides
  [18]: /index.php/Developer_FAQ
  [19]: /index.php/Foundation
  [20]: /index.php/AppKit
  [21]: /index.php/Category:Frameworks
  [22]: /index.php/Main_Page
  [23]: /index.php/GNUstepWiki:Community_Portal
  [24]: /index.php/Current_events
  [25]: /index.php/Special:Recentchanges
  [26]: /index.php/Special:Random
  [27]: /index.php/Help:Contents
  [28]: /index.php/Special:Whatlinkshere/NSMenuItem
  [29]: /index.php/Special:Recentchangeslinked/NSMenuItem
  [30]: /index.php/Special:Upload
  [31]: /index.php/Special:Specialpages
  [32]: /index.php?title=NSMenuItem&printable=yes&printable=yes
  [33]: /skins/common/images/poweredby_mediawiki_88x31.png
  [34]: http://www.mediawiki.org/
  [35]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [36]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [37]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"