<>

# NSNetServices

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />
**NSNetService** lets you publish a network service in a domain using multicast DNS. Additionally, it lets you resolve a network service that was discovered by [NSNetServiceBrowser][2].

[[edit][3]]

<>

## Code chunks

[[edit][4]]

<>

### How to resolve an address

When you [browse][5] for a service, your delegate will eventually receive a _-netServiceBrowser:didFindService:moreComing:_ message.

	 - (void)netServiceBrowser: (NSNetServiceBrowser *) aNetServiceBrowser
	            didFindService: (NSNetService *) aNetService
	                moreComing: (BOOL) moreComing
	 {
	   [aNetService setDelegate: self];
	   [aNetService resolve];
	 }

When you send _-resolve_ this will eventually result in a message sent to the delegate:

	 - (void) netServiceDidResolveAddress: (NSNetService *) sender
	 {
	   NSString           *name = nil;
	   NSData             *address = nil;
	   struct sockaddr_in *socketAddress = nil;
	   NSString           *ipString = nil;
	   int                port, i = 0;

	   // A service is published on ALL network addresses,
	   // so _-addresses_ may contain more than one IP

	   for(ÃÂ ; i &lt; [[sender addresses] count]; i++ )
	   {
	     name = [sender name];
	     address = [[sender addresses] objectAtIndex: i];

	     // IPs are sockaddr_in structures encapsulated in NSData...

	     socketAddress = (struct sockaddr_in *) [address bytes];
	     ipString = [NSString stringWithFormat: @"%s", inet_ntoa(socketAddress-&gt;sin_addr)];
	     port = socketAddress-&gt;sin_port;
	     [...]
	   }
	 }

After you have the name, IP and port you are ready to use that information. You will probably store the information in an array so you can access it any time you need it.

 Retrieved from "<http://wiki.gnustep.org/index.php/NSNetServices>"

[Categories][6]: [Stub][7] | [Foundation][8] | [Snippets][9]

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 09:57, 24 January 2009.
* This page has been accessed 19,358 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: http://wiki.gnustep.org/index.php?title=NSNetServices&action=edit "http://wiki.gnustep.org/index.php?title=NSNetServices&action=edit"
  [2]: /index.php/NSNetServiceBrowser "NSNetServiceBrowser"
  [3]: /index.php?title=NSNetServices&action=edit&section=1 "NSNetServices"
  [4]: /index.php?title=NSNetServices&action=edit&section=2 "NSNetServices"
  [5]: /index.php/NSNetServiceBrowser "NSNetServiceBrowser"
  [6]: /index.php?title=Special:Categories&article=NSNetServices "Special:Categories"
  [7]: /index.php/Category:Stub "Category:Stub"
  [8]: /index.php/Category:Foundation "Category:Foundation"
  [9]: /index.php/Category:Snippets "Category:Snippets"
  [10]: /index.php/NSNetServices
  [11]: /index.php?title=Talk:NSNetServices&action=edit
  [12]: /index.php?title=NSNetServices&action=edit
  [13]: /index.php?title=NSNetServices&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=NSNetServices
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/NSNetServices
  [35]: /index.php/Special:Recentchangeslinked/NSNetServices
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=NSNetServices&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"