<>

# NSTableView

### From GNUstepWiki	{#siteSub}

NSTableView is located within the AppKit (gnustep-gui library) and is used to display tables. It uses a delegate model for getting its data i.e. you give it an object that provides it with the data it should display.

[[edit][1]]

<>

## Code chunks

[[edit][2]]

<>

### Autosize row height according to font

Following code autosizes the row height according to the size of data cell font:

	- (void)autosizeRowHeight
	{
	   NSTableColumn *col = [[self tableColumns] objectAtIndex:0];
	   NSFont        *font;

	   font = [[col dataCell] font];

	   [self setRowHeight:[font maximumAdvancement].height];
	}

Use the method in a category of NSTableView.

 Retrieved from "<http://wiki.gnustep.org/index.php/NSTableView>"

[Categories][3]: [AppKit][4] | [Snippets][5]

##### Views

* [Article][6]
* [Discussion][7]
* [Edit][8]
* [History][9]

##### Personal tools

* [Create an account or log in][10]

[][11]

##### users

* [Applications][12]
* [Guides][13]
* [FAQ][14]
* [Get Help][15]
* [Report Bugs][16]
* [Donations][17]
* [Screenshots][18]

##### developers

* [Guides][19]
* [FAQ][20]
* [Base API (Foundation)][21]
* [GUI API (AppKit)][22]
* [Frameworks][23]

##### Navigation

* [Main Page][24]
* [Community portal][25]
* [Current events][26]
* [Recent changes][27]
* [Random page][28]
* [Help][29]

##### Search

##### Toolbox

* [What links here][30]
* [Related changes][31]
* [Upload file][32]
* [Special pages][33]
* [Printable version][34]

[![MediaWiki][35]][36]

* This page was last modified 20:51, 28 February 2007.
* This page has been accessed 20,654 times.
* Content is available under [GNU General Public License][37].
* [About GNUstepWiki][38]
* [Disclaimers][39]

  [1]: /index.php?title=NSTableView&action=edit&section=1 "NSTableView"
  [2]: /index.php?title=NSTableView&action=edit&section=2 "NSTableView"
  [3]: /index.php?title=Special:Categories&article=NSTableView "Special:Categories"
  [4]: /index.php/Category:AppKit "Category:AppKit"
  [5]: /index.php/Category:Snippets "Category:Snippets"
  [6]: /index.php/NSTableView
  [7]: /index.php?title=Talk:NSTableView&action=edit
  [8]: /index.php?title=NSTableView&action=edit
  [9]: /index.php?title=NSTableView&action=history
  [10]: /index.php?title=Special:Userlogin&returnto=NSTableView
  [11]: /index.php/Main_Page "Main Page"
  [12]: /index.php/Category:Applications
  [13]: /index.php/User_Guides
  [14]: /index.php/User_FAQ
  [15]: /index.php/Get_Help
  [16]: /index.php/Report_Bugs
  [17]: /index.php/GNUstepWiki:Site_support
  [18]: /index.php/Screenshots
  [19]: /index.php/Developer_Guides
  [20]: /index.php/Developer_FAQ
  [21]: /index.php/Foundation
  [22]: /index.php/AppKit
  [23]: /index.php/Category:Frameworks
  [24]: /index.php/Main_Page
  [25]: /index.php/GNUstepWiki:Community_Portal
  [26]: /index.php/Current_events
  [27]: /index.php/Special:Recentchanges
  [28]: /index.php/Special:Random
  [29]: /index.php/Help:Contents
  [30]: /index.php/Special:Whatlinkshere/NSTableView
  [31]: /index.php/Special:Recentchangeslinked/NSTableView
  [32]: /index.php/Special:Upload
  [33]: /index.php/Special:Specialpages
  [34]: /index.php?title=NSTableView&printable=yes&printable=yes
  [35]: /skins/common/images/poweredby_mediawiki_88x31.png
  [36]: http://www.mediawiki.org/
  [37]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [38]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [39]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"