<>

# NSView

### From GNUstepWiki	{#siteSub}

NSView is an [AppKit][1] class. It's role as a superclass is to provide most of the core functionality and services that specific GUI classes (such as NSButton or NSMenuView) use to display/render and handle events.

[[edit][2]]

<>

## Code chunks

[[edit][3]]

<>

### Dragging objects

_Note: following code can be somehow optimised by adding small 0.01s delay or something like that. If someone knows how to, please write it here._

Implement the **mouseDown:** method:

	- (void)mouseDown:(NSEvent *)event
	{
	   NSPoint        oldPoint;
	   NSEvent       *presentEvent;
	   NSEventType    eventType = [event type];
	   unsigned int   eventMask = NSLeftMouseDownMask | NSLeftMouseUpMask
	                                                | NSLeftMouseDraggedMask;
	   NSPoint        point;
	   float          dx,dy;
	   NSPoint        location;

	   point = [self convertPoint:[event locationInWindow] fromView:nil];

	   oldPoint = point;

	   do
	   {
	       while (event &amp;&amp; eventTypeÃÂ != NSLeftMouseUp)
	       {
	           presentEvent = event;
	           event = [NSApp nextEventMatchingMask: eventMask
	                        untilDate: [NSDate distantPast]
	                           inMode: NSEventTrackingRunLoopMode
	                          dequeue: YES];
	           eventType = [event type];
	       }

	       point = [self convertPoint: [presentEvent locationInWindow]
	                         fromView: nil];

	       dx = point.x - oldPoint.x;
	       dy = point.y - oldPoint.y;

	       [self scrollRectToVisible:frame];

Add code here:

	       //
	       // here move the dragged thing by: dx, dy
	       // ....

Then finish the loop:

	       [self setNeedsDisplay:YES];

	       oldPoint = point;

	       if (eventType == NSLeftMouseUp)
	       {
	           break;
	       }

	       event = [NSApp nextEventMatchingMask: eventMask
	                     untilDate: nil
	                        inMode: NSEventTrackingRunLoopMode
	                       dequeue: YES];
	      eventType = [event type];

	   } while (eventTypeÃÂ != NSLeftMouseUp);

	   [self setNeedsDisplay:YES];
	}

 Retrieved from "<http://wiki.gnustep.org/index.php/NSView>"

[Categories][4]: [AppKit][5] | [Snippets][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 15:46, 21 April 2006.
* This page has been accessed 19,983 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: /index.php/AppKit "AppKit"
  [2]: /index.php?title=NSView&action=edit&section=1 "NSView"
  [3]: /index.php?title=NSView&action=edit&section=2 "NSView"
  [4]: /index.php?title=Special:Categories&article=NSView "Special:Categories"
  [5]: /index.php/Category:AppKit "Category:AppKit"
  [6]: /index.php/Category:Snippets "Category:Snippets"
  [7]: /index.php/NSView
  [8]: /index.php/Talk:NSView
  [9]: /index.php?title=NSView&action=edit
  [10]: /index.php?title=NSView&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=NSView
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/NSView
  [32]: /index.php/Special:Recentchangeslinked/NSView
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=NSView&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"