<>

# NSWindow

### From GNUstepWiki	{#siteSub}

The NSWindow class creates a drawing surface and fills the background based on its style mask.

[[edit][1]]

<>

## XIB Fields

**N.B.** Unarchiver class = NSWindowTemplate

<table>
<tr>
<th> Name </th>
<th> Type </th>
<th> Description </th>
</tr>
<tr>
<th>NSWindowStyleMask </th>
<td>int </td>
<td>A bitmask that is interpreted by the window to select it's style. [Values][2]</td>
</tr>
<tr>
<th>NSWindowBacking </th>
<td>enum NSBackingStoreTypeÃÂ : int </td>
<td>Retained,Non-Retained,Buffered </td>
</tr>
<tr>
<th>NSWindowRect </th>
<td>NSRect </td>
<td>The initial window size. </td>
</tr>
<tr>
<th>NSWTFFlags </th>
<td>int </td>
<td>A bitmask, don't know what it does. </td>
</tr>
<tr>
<th>NSWindowTitle </th>
<td>NSString </td>
<td>What is the shown in the window titlebar. </td>
</tr>
<tr>
<th>NSWindowClass </th>
<td>NSString </td>
<td>The type of window the template represents. </td>
</tr>
<tr>
<th>NSViewClass </th>
<td>NSString </td>
<td>The name of the class backing the window's content area </td>
</tr>
<tr>
<th>NSWindowContentMaxSize </th>
<td>NSSize </td>
<td>Self explanitory. </td>
</tr>
<tr>
<th>NSWindowContentMinSize </th>
<td>NSSize </td>
<td>Self explanitory. </td>
</tr>
<tr>
<th>NSMinSize </th>
<td>NSSize </td>
<td>Seems to apply to the content view rather than the window. </td>
</tr>
<tr>
<th>NSMaxSize </th>
<td>NSSize </td>
<td>Seems to apply to the content view rather than the window. </td>
</tr>
<tr>
<th>NSScreenRect </th>
<td>NSRect </td>
<td>The screen size on which the view was encoded(used for scaling), should probably be an NSSize, but don't argue with Apple, or compatability issues will arise.
<br />
</td>
</tr>
</table>

[[edit][3]]

<>

## See Also

 Retrieved from "<http://wiki.gnustep.org/index.php/NSWindow>"

##### Views

* [Article][4]
* [Discussion][5]
* [Edit][6]
* [History][7]

##### Personal tools

* [Create an account or log in][8]

[][9]

##### users

* [Applications][10]
* [Guides][11]
* [FAQ][12]
* [Get Help][13]
* [Report Bugs][14]
* [Donations][15]
* [Screenshots][16]

##### developers

* [Guides][17]
* [FAQ][18]
* [Base API (Foundation)][19]
* [GUI API (AppKit)][20]
* [Frameworks][21]

##### Navigation

* [Main Page][22]
* [Community portal][23]
* [Current events][24]
* [Recent changes][25]
* [Random page][26]
* [Help][27]

##### Search

##### Toolbox

* [What links here][28]
* [Related changes][29]
* [Upload file][30]
* [Special pages][31]
* [Printable version][32]

[![MediaWiki][33]][34]

* This page was last modified 02:45, 24 August 2013.
* This page has been accessed 4,746 times.
* Content is available under [GNU General Public License][35].
* [About GNUstepWiki][36]
* [Disclaimers][37]

  [1]: /index.php?title=NSWindow&action=edit&section=1 "NSWindow"
  [2]: https://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSWindow_Class/Reference/Reference.html#//apple_ref/doc/constant_group/Window_Style_Masks "https://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSWindow Class/Reference/Reference.html#//apple ref/doc/constant group/Window Style Masks"
  [3]: /index.php?title=NSWindow&action=edit&section=2 "NSWindow"
  [4]: /index.php/NSWindow
  [5]: /index.php?title=Talk:NSWindow&action=edit
  [6]: /index.php?title=NSWindow&action=edit
  [7]: /index.php?title=NSWindow&action=history
  [8]: /index.php?title=Special:Userlogin&returnto=NSWindow
  [9]: /index.php/Main_Page "Main Page"
  [10]: /index.php/Category:Applications
  [11]: /index.php/User_Guides
  [12]: /index.php/User_FAQ
  [13]: /index.php/Get_Help
  [14]: /index.php/Report_Bugs
  [15]: /index.php/GNUstepWiki:Site_support
  [16]: /index.php/Screenshots
  [17]: /index.php/Developer_Guides
  [18]: /index.php/Developer_FAQ
  [19]: /index.php/Foundation
  [20]: /index.php/AppKit
  [21]: /index.php/Category:Frameworks
  [22]: /index.php/Main_Page
  [23]: /index.php/GNUstepWiki:Community_Portal
  [24]: /index.php/Current_events
  [25]: /index.php/Special:Recentchanges
  [26]: /index.php/Special:Random
  [27]: /index.php/Help:Contents
  [28]: /index.php/Special:Whatlinkshere/NSWindow
  [29]: /index.php/Special:Recentchangeslinked/NSWindow
  [30]: /index.php/Special:Upload
  [31]: /index.php/Special:Specialpages
  [32]: /index.php?title=NSWindow&printable=yes&printable=yes
  [33]: /skins/common/images/poweredby_mediawiki_88x31.png
  [34]: http://www.mediawiki.org/
  [35]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [36]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [37]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"