<>

# Nfont packages

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Nfonts packages][1]
* [2 Example][2]
* [3 Rendering Hints][3]
  * [3\.1 Rendering Hint example][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Nfonts packages

The [Arts backend][6] manages fonts using so-called nfonts.

Nfonts are hand-crafted directories with a plist file and the font files, where the backend can find additional information to the fonts.

System-wide available Nfont directories are usually installed to $GNUSTEP\_SYSTEM\_ROOT/Library/Fonts/.

Creating a nfont is mainly a trivial task, so there are tools to help you creating them. One of them is [alexm's mknfonts package][7].

[[edit][8]]

<>

## Example

A typical nfont folder - in this case Arial.nfont packaged by Jeff Teunissen (Deek) - looks like this:

	Arial.nfont/
	Arial.nfont/ariali.ttf
	Arial.nfont/arial.ttf
	Arial.nfont/arialbi.ttf
	Arial.nfont/arialbd.ttf
	Arial.nfont/FontInfo.plist
	Arial.nfont/arialblk.ttf

This is the FontInfo.plist file in that directory:

	{
	    Description = "Monotype Arial, WGL4 Character Set";
	    Faces = (
		{
		    Files = (
			arial.ttf
		    );
		    LocalizedNames = {
			Basque = Arrunta;
			Catalan = Normal;
			Danish = normal;
			Dutch = Standaard;
			English = Regular;
			Finnish = Normaali;
			French = Normal;
			Germany = Standard;
			Hungarian = "Norm\u00e1l";
			Italian = Normale;
			Norwegian = Normal;
			Polish = Normalne;
			Portuguese = Normal;
			Slovak = "Norm\u00e1lne";
			Slovene = Navadno;
			Spanish = Normal;
			Swedish = Normal;
			Turkish = Normal;
		    };
		    Name = Regular;
		    PostScriptName = ArialMT;
		    RenderHints_hack = 0x0002;
		    Traits = 0;
		    Weight = 5;
		},
		{
		    Files = (
			ariali.ttf
		    );
		    LocalizedNames = {
			English = Italic;
		    };
		    Name = Italic;
		    PostScriptName = "Arial-ItalicMT";
		    RenderHints_hack = 0x0002;
		    Traits = 1;
		    Weight = 5;
		},
		{
		    Files = (
			arialbd.ttf
		    );
		    LocalizedNames = {
			English = Bold;
		    };
		    Name = Bold;
		    PostScriptName = "Arial-BoldMT";
		    RenderHints_hack = 0x0002;
		    Traits = 2;
		    Weight = 9;
		},
		{
		    Files = (
			arialbi.ttf
		    );
		    LocalizedNames = {
			English = "Bold Italic";
		    };
		    Name = "Bold Italic";
		    PostScriptName = "Arial-BoldItalicMT";
		    RenderHints_hack = 0x0002;
		    Traits = 3;
		    Weight = 9;
		},
		{
		    Files = (
			arialblk.ttf
		    );
		    LocalizedNames = {
			English = Black;
		    };
		    Name = Black;
		    PostScriptName = "Arial-Black";
		    RenderHints_hack = 0x0002;
		    Traits = 2;
		    Weight = 12;
		}
	    );
	    FontCopyright = "Typeface \u00a9 The Monotype Corporation plc.\nData \u00a9 The Monotype Corporation plc/Type Solutions Inc. 1990-1992.\nAll Rights Reserved";
	    Foundry = "Monotype Typography";
	    Packager = "Jeff Teunissen &lt;deek@d2dc.net&gt;";
	    Version = 2.82;
	}

[[edit][9]]

<>

## Rendering Hints

There's a hack for encoding rendering hints into Nfonts packages. You provide them using the RenderHints\_hack value. It's a 24-bit value (usually given in hexadecimal form), where the highest-order byte contains information on if we want to use antialiasing by default and the two following bytes contain hinting information for antialiased displays and non-antialiased displays.

	&lt;-- high-order bits                       low-order bits --&gt;
	[  0 0 0 0 0 0 0 D  |  0 0 0 0 0 0 A A  | 0 0 0 0 0 0 N N  ]
	                 |                 \ /                \ /
	      antialiasing switch           |                  |
	                            hinting type           hinting type
	                     on antialiased displays    on non-antialiased displays

<br />
 The rendering hint types are as follows:

* '0' - unhinted, use only the font geometry
* '1' - use FreeType's auto-hinter
* '2' - use instructions in the font, if present
* '3' - force automatic hinting

[[edit][10]]

<>

### Rendering Hint example

Let's say we have a RenderHints-hack-value of 0x010203. This would then mean "use antialiasing, on antialiased displays use instructions in the font and on unantialiased displays force automatic hinting.

 Retrieved from "[http://wiki.gnustep.org/index.php/Nfont\_packages][11]"

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 11:32, 23 August 2005.
* This page has been accessed 11,206 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: #Nfonts_packages
  [2]: #Example
  [3]: #Rendering_Hints
  [4]: #Rendering_Hint_example
  [5]: /index.php?title=Nfont_packages&action=edit&section=1 "Nfont packages"
  [6]: /index.php?title=Arts_backend&action=edit "Arts backend"
  [7]: http://freshmeat.net/projects/mknfonts/ "http://freshmeat.net/projects/mknfonts/"
  [8]: /index.php?title=Nfont_packages&action=edit&section=2 "Nfont packages"
  [9]: /index.php?title=Nfont_packages&action=edit&section=3 "Nfont packages"
  [10]: /index.php?title=Nfont_packages&action=edit&section=4 "Nfont packages"
  [11]: http://wiki.gnustep.org/index.php/Nfont_packages
  [12]: /index.php/Nfont_packages
  [13]: /index.php/Talk:Nfont_packages
  [14]: /index.php?title=Nfont_packages&action=edit
  [15]: /index.php?title=Nfont_packages&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=Nfont_packages
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/Nfont_packages
  [37]: /index.php/Special:Recentchangeslinked/Nfont_packages
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=Nfont_packages&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"