<>

# Object

### From GNUstepWiki	{#siteSub}

An object is a unit that groups a data structure ([instance variables][1]) and the operations ([methods][2]) that can use or affect that data.

Objects are the principal building blocks of object-oriented programs.

<table>
<tr>
<td>
## Contents
* [1 Anonymous Object][3]
* [2 Class Object][4]
* [3 Factory Object][5]
* [4 Instance Object][6]
* [5 Remote Object][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Anonymous Object

An object of unknown [class][9]. The [interface][10] to an anonymous object is published through a [protocol][11] declaration.

[[edit][12]]

<>

## Class Object

An object that represents a [class][13] and knows how to create new instances of the class. Class objects are created by the compiler, lack [instance variables][14], and can't be statically typed, but otherwise behave like all other objects.

As the receiver in a [message expression][15], a class object is represented by the class name.

[[edit][16]]

<>

## Factory Object

Same as a class object.

[[edit][17]]

<>

## Instance Object

An object that belongs to (aka _is a member of_) a particular [class][18].

Instances are created at run time according to the specification in the class definition (aka [interface][19]).

[[edit][20]]

<>

## Remote Object

An object in another application, one that's a potential receiver for a [remote message][21].

 Retrieved from "<http://wiki.gnustep.org/index.php/Object>"

[Categories][22]: [Objective-C][23]

##### Views

* [Article][24]
* [Discussion][25]
* [Edit][26]
* [History][27]

##### Personal tools

* [Create an account or log in][28]

[][29]

##### users

* [Applications][30]
* [Guides][31]
* [FAQ][32]
* [Get Help][33]
* [Report Bugs][34]
* [Donations][35]
* [Screenshots][36]

##### developers

* [Guides][37]
* [FAQ][38]
* [Base API (Foundation)][39]
* [GUI API (AppKit)][40]
* [Frameworks][41]

##### Navigation

* [Main Page][42]
* [Community portal][43]
* [Current events][44]
* [Recent changes][45]
* [Random page][46]
* [Help][47]

##### Search

##### Toolbox

* [What links here][48]
* [Related changes][49]
* [Upload file][50]
* [Special pages][51]
* [Printable version][52]

[![MediaWiki][53]][54]

* This page was last modified 09:42, 21 June 2006.
* This page has been accessed 17,756 times.
* Content is available under [GNU General Public License][55].
* [About GNUstepWiki][56]
* [Disclaimers][57]

  [1]: /index.php/Instance_variable "Instance variable"
  [2]: /index.php/Method "Method"
  [3]: #Anonymous_Object
  [4]: #Class_Object
  [5]: #Factory_Object
  [6]: #Instance_Object
  [7]: #Remote_Object
  [8]: /index.php?title=Object&action=edit&section=1 "Object"
  [9]: /index.php/Class "Class"
  [10]: /index.php/Interface "Interface"
  [11]: /index.php/Protocol "Protocol"
  [12]: /index.php?title=Object&action=edit&section=2 "Object"
  [13]: /index.php/Class "Class"
  [14]: /index.php/Instance_variable "Instance variable"
  [15]: /index.php/Message "Message"
  [16]: /index.php?title=Object&action=edit&section=3 "Object"
  [17]: /index.php?title=Object&action=edit&section=4 "Object"
  [18]: /index.php/Class "Class"
  [19]: /index.php/Interface "Interface"
  [20]: /index.php?title=Object&action=edit&section=5 "Object"
  [21]: /index.php/Message#Remote_Message "Message"
  [22]: /index.php?title=Special:Categories&article=Object "Special:Categories"
  [23]: /index.php/Category:Objective-C "Category:Objective-C"
  [24]: /index.php/Object
  [25]: /index.php?title=Talk:Object&action=edit
  [26]: /index.php?title=Object&action=edit
  [27]: /index.php?title=Object&action=history
  [28]: /index.php?title=Special:Userlogin&returnto=Object
  [29]: /index.php/Main_Page "Main Page"
  [30]: /index.php/Category:Applications
  [31]: /index.php/User_Guides
  [32]: /index.php/User_FAQ
  [33]: /index.php/Get_Help
  [34]: /index.php/Report_Bugs
  [35]: /index.php/GNUstepWiki:Site_support
  [36]: /index.php/Screenshots
  [37]: /index.php/Developer_Guides
  [38]: /index.php/Developer_FAQ
  [39]: /index.php/Foundation
  [40]: /index.php/AppKit
  [41]: /index.php/Category:Frameworks
  [42]: /index.php/Main_Page
  [43]: /index.php/GNUstepWiki:Community_Portal
  [44]: /index.php/Current_events
  [45]: /index.php/Special:Recentchanges
  [46]: /index.php/Special:Random
  [47]: /index.php/Help:Contents
  [48]: /index.php/Special:Whatlinkshere/Object
  [49]: /index.php/Special:Recentchangeslinked/Object
  [50]: /index.php/Special:Upload
  [51]: /index.php/Special:Specialpages
  [52]: /index.php?title=Object&printable=yes&printable=yes
  [53]: /skins/common/images/poweredby_mediawiki_88x31.png
  [54]: http://www.mediawiki.org/
  [55]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [56]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [57]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"