<>

# Objective-C runtime

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

The **Objective-C runtime** provides C functions and data structures required to execute an Objective C program. It is low-level code that makes your applications work. Every Objective-C program links to the runtime, and the runtime manages objects, looks up methods, and implements the features of Objective-C.

[[edit][2]]

<>

## History

The first Objective-C runtime was created by [NeXT][3] in the 1980s for their implementation of Objective-C and NeXTSTEP. The GNU project rewrote it in 1992. This runtime was significantly modified in 1993 by Kresten Krab Thorup. Since then, there have been two runtimes evolving in parallel.

When Jobs returned to Apple, he brought with him NeXTSTEP's code. The Obj-C runtime used in Apple's [Mac OS X][4] is inherited from NeXT. Apple has made many changes to it. The biggest change Apple has made is supporting [Objective-C 2.0][5].

The [Etoile][6] project maintained its own extension to the GNU runtime for a few years. This updated runtime added support for many of the features that Apple added. However, David Chisnall added all the features from the Etoile runtime into a framework that runs on top of the GNU runtime. This framework, ObjectiveC2.framework obsoletes the Etoile runtime and makes it easier for regular GNUstep applications to use. [The ÃÂtoilÃÂ© Runtime is dead, long live the GNUstep runtime!][7]

[[edit][8]]

<>

## Choosing a runtime

* The GNU runtime supports everything needed by traditional Objective-C applications. Apple calls this Objective-C 1.0. Nothing special needs to be done for a GNUstep application to use this runtime.
* The Apple runtime from 10.0 to 10.4 is another runtime that supports Objective-C 1. Because this runtime is different from the GNUstep runtime, applications from Mac OS X will have to be re-compiled to run on GNUstep (they are not binary-compatible).
* In Mac OS X 10.5 Apple introduced many new features to the runtime under the name Objective-C 2.0. None of these features were added to the GNUstep runtime.
* The Etoile runtime added most of the features that Apple announced in Objective-C 2.0, but it was not possible for ordinary GNUstep applications to use. The Etoile runtime has been superseded by the ObjectiveC2 framework.
* The ObjectiveC2 framework relies on the GNU runtime for most features, yet adds new features on top. It is possible for ordinary GNUstep applications to link to this framework and get the benefits of Objective-C 2.0.

Of course, the Apple runtime is only available on Apple operating systems ([Darwin][9] and [Mac OS X][10]).

 Retrieved from "[http://wiki.gnustep.org/index.php/Objective-C\_runtime][11]"

[Categories][12]: [Stub][13]

##### Views

* [Article][14]
* [Discussion][15]
* [Edit][16]
* [History][17]

##### Personal tools

* [Create an account or log in][18]

[][19]

##### users

* [Applications][20]
* [Guides][21]
* [FAQ][22]
* [Get Help][23]
* [Report Bugs][24]
* [Donations][25]
* [Screenshots][26]

##### developers

* [Guides][27]
* [FAQ][28]
* [Base API (Foundation)][29]
* [GUI API (AppKit)][30]
* [Frameworks][31]

##### Navigation

* [Main Page][32]
* [Community portal][33]
* [Current events][34]
* [Recent changes][35]
* [Random page][36]
* [Help][37]

##### Search

##### Toolbox

* [What links here][38]
* [Related changes][39]
* [Upload file][40]
* [Special pages][41]
* [Printable version][42]

[![MediaWiki][43]][44]

* This page was last modified 22:22, 31 May 2015.
* This page has been accessed 18,391 times.
* Content is available under [GNU General Public License][45].
* [About GNUstepWiki][46]
* [Disclaimers][47]

  [1]: http://wiki.gnustep.org/index.php?title=Objective-C_runtime&action=edit "http://wiki.gnustep.org/index.php?title=Objective-C runtime&action=edit"
  [2]: /index.php?title=Objective-C_runtime&action=edit&section=1 "Objective-C runtime"
  [3]: /index.php/QuickHistory "QuickHistory"
  [4]: /index.php?title=Mac_OS_X&action=edit "Mac OS X"
  [5]: /index.php/ObjC2_FAQ "ObjC2 FAQ"
  [6]: http://etoileos.com/ "http://etoileos.com/"
  [7]: http://etoileos.com/news/archive/2009/09/10/1744/ "http://etoileos.com/news/archive/2009/09/10/1744/"
  [8]: /index.php?title=Objective-C_runtime&action=edit&section=2 "Objective-C runtime"
  [9]: /index.php?title=Darwin&action=edit "Darwin"
  [10]: /index.php?title=Mac_OS_X&action=edit "Mac OS X"
  [11]: http://wiki.gnustep.org/index.php/Objective-C_runtime
  [12]: /index.php?title=Special:Categories&article=Objective-C_runtime "Special:Categories"
  [13]: /index.php/Category:Stub "Category:Stub"
  [14]: /index.php/Objective-C_runtime
  [15]: /index.php?title=Talk:Objective-C_runtime&action=edit
  [16]: /index.php?title=Objective-C_runtime&action=edit
  [17]: /index.php?title=Objective-C_runtime&action=history
  [18]: /index.php?title=Special:Userlogin&returnto=Objective-C_runtime
  [19]: /index.php/Main_Page "Main Page"
  [20]: /index.php/Category:Applications
  [21]: /index.php/User_Guides
  [22]: /index.php/User_FAQ
  [23]: /index.php/Get_Help
  [24]: /index.php/Report_Bugs
  [25]: /index.php/GNUstepWiki:Site_support
  [26]: /index.php/Screenshots
  [27]: /index.php/Developer_Guides
  [28]: /index.php/Developer_FAQ
  [29]: /index.php/Foundation
  [30]: /index.php/AppKit
  [31]: /index.php/Category:Frameworks
  [32]: /index.php/Main_Page
  [33]: /index.php/GNUstepWiki:Community_Portal
  [34]: /index.php/Current_events
  [35]: /index.php/Special:Recentchanges
  [36]: /index.php/Special:Random
  [37]: /index.php/Help:Contents
  [38]: /index.php/Special:Whatlinkshere/Objective-C_runtime
  [39]: /index.php/Special:Recentchangeslinked/Objective-C_runtime
  [40]: /index.php/Special:Upload
  [41]: /index.php/Special:Specialpages
  [42]: /index.php?title=Objective-C_runtime&printable=yes&printable=yes
  [43]: /skins/common/images/poweredby_mediawiki_88x31.png
  [44]: http://www.mediawiki.org/
  [45]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [46]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [47]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"