<>

# Objective-C

### From GNUstepWiki	{#siteSub}

**Objective-C** is a reflective, object-oriented programming language that adds [Smalltalk][1]-style [messaging][2] to C.

It is a very "thin" layer on top of C, which makes Objective-C a strict superset of C. That means it is possible to compile any C program with an Objective-C compiler -- something that cannot be said of C++ ...

Objective-C derives its syntax from both C and Smalltalk. Most of the syntax (including preprocessing, expressions, function declarations and function calls) is inherited from C, while the syntax for object-oriented features was created to enable Smalltalk-style message passing.

[[edit][3]]

<>

## Some Resources

1. [Objective-C][4] on Wikipedia
2. [The Objective-C Programming Language][5]
3. [Object-Oriented Programming and the Objective-C Language][6]
4. [Objective-C FAQ][7]
5. [Manual de Objective-C y GNUstep en espaÃÂ±ol][8]

 Retrieved from "<http://wiki.gnustep.org/index.php/Objective-C>"

[Categories][9]: [Objective-C][10]

##### Views

* [Article][11]
* [Discussion][12]
* [Edit][13]
* [History][14]

##### Personal tools

* [Create an account or log in][15]

[][16]

##### users

* [Applications][17]
* [Guides][18]
* [FAQ][19]
* [Get Help][20]
* [Report Bugs][21]
* [Donations][22]
* [Screenshots][23]

##### developers

* [Guides][24]
* [FAQ][25]
* [Base API (Foundation)][26]
* [GUI API (AppKit)][27]
* [Frameworks][28]

##### Navigation

* [Main Page][29]
* [Community portal][30]
* [Current events][31]
* [Recent changes][32]
* [Random page][33]
* [Help][34]

##### Search

##### Toolbox

* [What links here][35]
* [Related changes][36]
* [Upload file][37]
* [Special pages][38]
* [Printable version][39]

[![MediaWiki][40]][41]

* This page was last modified 19:10, 29 May 2008.
* This page has been accessed 35,652 times.
* Content is available under [GNU General Public License][42].
* [About GNUstepWiki][43]
* [Disclaimers][44]

  [1]: /index.php/Smalltalk "Smalltalk"
  [2]: /index.php/Message "Message"
  [3]: /index.php?title=Objective-C&action=edit&section=1 "Objective-C"
  [4]: http://en.wikipedia.org/wiki/Objective-C "http://en.wikipedia.org/wiki/Objective-C"
  [5]: http://developer.apple.com/documentation/Cocoa/Conceptual/ObjectiveC/ "http://developer.apple.com/documentation/Cocoa/Conceptual/ObjectiveC/"
  [6]: http://www.toodarkpark.org/computers/objc/ "http://www.toodarkpark.org/computers/objc/"
  [7]: http://www.faqs.org/faqs/computer-lang/Objective-C/faq/ "http://www.faqs.org/faqs/computer-lang/Objective-C/faq/"
  [8]: http://wiki.gnustep.org/images/7/7a/Manual_GNUstep.pdf "http://wiki.gnustep.org/images/7/7a/Manual GNUstep.pdf"
  [9]: /index.php?title=Special:Categories&article=Objective-C "Special:Categories"
  [10]: /index.php/Category:Objective-C "Category:Objective-C"
  [11]: /index.php/Objective-C
  [12]: /index.php?title=Talk:Objective-C&action=edit
  [13]: /index.php?title=Objective-C&action=edit
  [14]: /index.php?title=Objective-C&action=history
  [15]: /index.php?title=Special:Userlogin&returnto=Objective-C
  [16]: /index.php/Main_Page "Main Page"
  [17]: /index.php/Category:Applications
  [18]: /index.php/User_Guides
  [19]: /index.php/User_FAQ
  [20]: /index.php/Get_Help
  [21]: /index.php/Report_Bugs
  [22]: /index.php/GNUstepWiki:Site_support
  [23]: /index.php/Screenshots
  [24]: /index.php/Developer_Guides
  [25]: /index.php/Developer_FAQ
  [26]: /index.php/Foundation
  [27]: /index.php/AppKit
  [28]: /index.php/Category:Frameworks
  [29]: /index.php/Main_Page
  [30]: /index.php/GNUstepWiki:Community_Portal
  [31]: /index.php/Current_events
  [32]: /index.php/Special:Recentchanges
  [33]: /index.php/Special:Random
  [34]: /index.php/Help:Contents
  [35]: /index.php/Special:Whatlinkshere/Objective-C
  [36]: /index.php/Special:Recentchangeslinked/Objective-C
  [37]: /index.php/Special:Upload
  [38]: /index.php/Special:Specialpages
  [39]: /index.php?title=Objective-C&printable=yes&printable=yes
  [40]: /skins/common/images/poweredby_mediawiki_88x31.png
  [41]: http://www.mediawiki.org/
  [42]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [43]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [44]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"