<>

# Objective-CL

### From GNUstepWiki	{#siteSub}

A portable Objective-C/Common Lisp bridge.

<>

#### Current Version: [0\.2.2][1]

* Released: Mar 23, 2008
* Licensed: GNU LGPLv3

<>

### Overview

Objective-CL integrates the Common Lisp Object System with Objective-C, making Cocoa and GNUstep development in Common Lisp possible.

<>

### Features

Objective-CL is an Objective-C/Common Lisp bridge that tries to be portable both across platforms, supporting various GNUstep platforms as well as Cocoa, and across Common Lisp implementations. In addition to making it possible to instantiate Objective-C classes and send messages to instances and classes, it allows you to subclass Objective-C classes, define slots for either Lisp or Objective-C values and implement methods in Common Lisp that can in turn be called by Objective-C code.

Classes and metaclasses are mapped onto CLOS classes and metaclasses, respectively. As long as you restrict mixins to pure Lisp, making use of multiple inheritance is possible as well.

Though doable in principle, it's not yet easy to create a GNUstep or Cocoa application or framework using Objective-CL, as there is no way of automatically creating an application or framework bundle, which makes loading of resources difficult. Automatic bundling is planned for a future release.

<>

### Maintainer

* [Matthias Benkard][2]

<>

### Related Links

* [Objective-CL web site][3]

 Retrieved from "<http://wiki.gnustep.org/index.php/Objective-CL>"

[Categories][4]: [Scripting Frameworks][5] | [Frameworks][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 15:16, 22 April 2008.
* This page has been accessed 8,091 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: http://matthias.benkard.de/objective-cl/releases/objective-cl-0.2.2.tar.gz "http://matthias.benkard.de/objective-cl/releases/objective-cl-0.2.2.tar.gz"
  [2]: mailto:objective-cl@mail.matthias.benkard.de "mailto:objective-cl@mail.matthias.benkard.de"
  [3]: http://matthias.benkard.de/objective-cl "http://matthias.benkard.de/objective-cl"
  [4]: /index.php?title=Special:Categories&article=Objective-CL "Special:Categories"
  [5]: /index.php/Category:Scripting_Frameworks "Category:Scripting Frameworks"
  [6]: /index.php/Category:Frameworks "Category:Frameworks"
  [7]: /index.php/Objective-CL
  [8]: /index.php?title=Talk:Objective-CL&action=edit
  [9]: /index.php?title=Objective-CL&action=edit
  [10]: /index.php?title=Objective-CL&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=Objective-CL
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/Objective-CL
  [32]: /index.php/Special:Recentchangeslinked/Objective-CL
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=Objective-CL&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"