<>

# Package management

### From GNUstepWiki	{#siteSub}

Package management tools will be required on GNUstep-only platforms, and are nice-to-have on platforms where GNUstep is only one environment. Having working package management tools makes the environment much more accessable to end users and application developers, by lowering the threshold to having a running environment.

Please add points below as you think of them, it's useful to collect issues and questions in one place.

<table>
<tr>
<td>
## Contents
* [1 Scope for package management within GNUstep][1]
  * [1\.1 Source packaging][2]
  * [1\.2 Binary packaging][3]
* [2 Current implementations][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Scope for package management within GNUstep

Package management tools will need to address some of the following issues:

* how do we ensure the authenticity and integrity of a package?

* how many competing package formats do we really need?

* should a package management tool interact with a (native) package management environment? (ie create synthetic dpkg data on install so that platform package management can be used by the system manager?)

* internationalisation of packages - making sure that installation metadata is separated from end-user information

[[edit][6]]

<>

### Source packaging

* is FTP'ing the existing tar.gz or CVS approach right? (ie no package management?)

[[edit][7]]

<>

### Binary packaging

We need to make sure that users installing binary packages don't get unpleasant surprises:

* how can installers inform end-users before install if the package is not suitable for their platform? (need to get some agreement on metadata)

* how can installers maximise user flexibility in terms of application or framework installation, especially as we can't necessarily control filesystem layout?

Multi-platform packages make sense for some application providers, especially if we can get cross-building working in Project Center.

* should non-flat packages be generated automatically by package creation tools integrated with GNUstep make? (we'd need merge and strip tools at the least)

* should a multi-platform format be server-side strippable to decrease download size? (this could be hard, might be easier to develop strip tools instead)

[[edit][8]]

<>

## Current implementations

There is an implementation called (surprise!) Installer.app <http://www.etoile-project.org/etoile/mediawiki/index.php?title=Installer> in Etoile.

 Retrieved from "[http://wiki.gnustep.org/index.php/Package\_management][9]"

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 18:11, 13 September 2006.
* This page has been accessed 13,785 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: #Scope_for_package_management_within_GNUstep
  [2]: #Source_packaging
  [3]: #Binary_packaging
  [4]: #Current_implementations
  [5]: /index.php?title=Package_management&action=edit&section=1 "Package management"
  [6]: /index.php?title=Package_management&action=edit&section=2 "Package management"
  [7]: /index.php?title=Package_management&action=edit&section=3 "Package management"
  [8]: /index.php?title=Package_management&action=edit&section=4 "Package management"
  [9]: http://wiki.gnustep.org/index.php/Package_management
  [10]: /index.php/Package_management
  [11]: /index.php?title=Talk:Package_management&action=edit
  [12]: /index.php?title=Package_management&action=edit
  [13]: /index.php?title=Package_management&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=Package_management
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/Package_management
  [35]: /index.php/Special:Recentchangeslinked/Package_management
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=Package_management&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"