<>

# Pantomime

### From GNUstepWiki	{#siteSub}

The Pantomime framework supports the major mail protocols: POP3, IMAP, and SMTP.

<>

#### Current Version: [1\.2.2)][1]

* Released: October 12, 2014
* Licensed: LGPL2.1

<>

### Overview

Pantomime provides a set of Objective-C classes that model a mail system. Pantomime can be seen as a JavaMail 1.2 clone written in Objective-C.

Pantomime is almost entirely written in Objective-C. The C language is only used where performance is critical. Pantomime uses a little bit of ELM code.

Pantomime is used in the project [GNUMail][2]. It has been included since the release 0.7.0pre2 of GNUMail.app.

<>

### Features

* A full MIME encoder and decoder
* A 'folder view' to local mailboxes (Berkeley Format), POP3 accounts or IMAP mailboxes
* A powerful API to work on all aspects of Message objects
* A local mailer and a SMTP conduit for sending messages
* APOP and SMTP AUTH support
* IMAP and POP3 URL Scheme support
* iconv and Core Foundation support
* UNIX mbox and maildir support
* SSL/TLS support for IMAP, POP3 and SMTP
* and more!

<>

### Maintainer

[Ludovic Marcotte][3]

<>

### Related Links

* [Official Page][4]

 Retrieved from "<http://wiki.gnustep.org/index.php/Pantomime>"

[Categories][5]: [Networking Frameworks][6] | [Frameworks][7]

##### Views

* [Article][8]
* [Discussion][9]
* [Edit][10]
* [History][11]

##### Personal tools

* [Create an account or log in][12]

[][13]

##### users

* [Applications][14]
* [Guides][15]
* [FAQ][16]
* [Get Help][17]
* [Report Bugs][18]
* [Donations][19]
* [Screenshots][20]

##### developers

* [Guides][21]
* [FAQ][22]
* [Base API (Foundation)][23]
* [GUI API (AppKit)][24]
* [Frameworks][25]

##### Navigation

* [Main Page][26]
* [Community portal][27]
* [Current events][28]
* [Recent changes][29]
* [Random page][30]
* [Help][31]

##### Search

##### Toolbox

* [What links here][32]
* [Related changes][33]
* [Upload file][34]
* [Special pages][35]
* [Printable version][36]

[![MediaWiki][37]][38]

* This page was last modified 21:09, 12 October 2014.
* This page has been accessed 24,365 times.
* Content is available under [GNU General Public License][39].
* [About GNUstepWiki][40]
* [Disclaimers][41]

  [1]: http://download.gna.org/gnustep-nonfsf/Pantomime-1.2.2.tar.gz "http://download.gna.org/gnustep-nonfsf/Pantomime-1.2.2.tar.gz"
  [2]: /index.php/GNUMail "GNUMail"
  [3]: mailto:ludovic@sophos.ca "mailto:ludovic@sophos.ca"
  [4]: http://www.collaboration-world.com/cgi-bin/project/index.cgi?pid=3 "http://www.collaboration-world.com/cgi-bin/project/index.cgi?pid=3"
  [5]: /index.php?title=Special:Categories&article=Pantomime "Special:Categories"
  [6]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [7]: /index.php/Category:Frameworks "Category:Frameworks"
  [8]: /index.php/Pantomime
  [9]: /index.php?title=Talk:Pantomime&action=edit
  [10]: /index.php?title=Pantomime&action=edit
  [11]: /index.php?title=Pantomime&action=history
  [12]: /index.php?title=Special:Userlogin&returnto=Pantomime
  [13]: /index.php/Main_Page "Main Page"
  [14]: /index.php/Category:Applications
  [15]: /index.php/User_Guides
  [16]: /index.php/User_FAQ
  [17]: /index.php/Get_Help
  [18]: /index.php/Report_Bugs
  [19]: /index.php/GNUstepWiki:Site_support
  [20]: /index.php/Screenshots
  [21]: /index.php/Developer_Guides
  [22]: /index.php/Developer_FAQ
  [23]: /index.php/Foundation
  [24]: /index.php/AppKit
  [25]: /index.php/Category:Frameworks
  [26]: /index.php/Main_Page
  [27]: /index.php/GNUstepWiki:Community_Portal
  [28]: /index.php/Current_events
  [29]: /index.php/Special:Recentchanges
  [30]: /index.php/Special:Random
  [31]: /index.php/Help:Contents
  [32]: /index.php/Special:Whatlinkshere/Pantomime
  [33]: /index.php/Special:Recentchangeslinked/Pantomime
  [34]: /index.php/Special:Upload
  [35]: /index.php/Special:Specialpages
  [36]: /index.php?title=Pantomime&printable=yes&printable=yes
  [37]: /skins/common/images/poweredby_mediawiki_88x31.png
  [38]: http://www.mediawiki.org/
  [39]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [40]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [41]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"