<>

# Performance

### From GNUstepWiki	{#siteSub}

Help improve the performance of GNUstep applications.

<>

#### Current Version: [0\.3.2][1]

* Released: Oct 25, 2011
* Licensed: LGPL

<>

### Overview

A collection of classes to help improve/tune performance of your software

<>

### Features

* The GSThroughput class allows you to track the total counts of transactions/events as well as the rate (per second) and the minimum, maximum and average durations of operations. You can look at this information to see how your program ha been performing over a particular time period, and to isolate frequently used operations which may need optimizing.
* The GSCache class provides effective caching for all sorts of data. You can configure the size (memory footprint) and/or maximum number of items in a cache, and you can specify the lifetime of objects in the cache. Cache removal is done on a least-recently-used flushed first basis, but hooks are provided to override that. The status of one or all caches can be easily reported, showing the size and the number of cache hits/misses.
* Provides a method to obtain a skip-list based NSMutableArray subclass. This is intended for use where you need a large array which you are going to insert/delete items from. The insertion/deletion operation in a skip-list array is similar in performance to a linked list (ie much faster than a conventional array), but the time to access an item at an arbitrary index, while not as slow as a conventional array, is enormously faster than a simple linked list implementation.

<>

### Maintainer

Richard Frith-Macdonald

<>

### Related Links

 Retrieved from "<http://wiki.gnustep.org/index.php/Performance>"

[Categories][2]: [Development Frameworks][3] | [Frameworks][4]

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 11:25, 12 December 2011.
* This page has been accessed 16,068 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: http://downloads.planetmirror.com/pub/gnustep/gnustep/libs/Performance-0.3.2.tar.gz "http://downloads.planetmirror.com/pub/gnustep/gnustep/libs/Performance-0.3.2.tar.gz"
  [2]: /index.php?title=Special:Categories&article=Performance "Special:Categories"
  [3]: /index.php/Category:Development_Frameworks "Category:Development Frameworks"
  [4]: /index.php/Category:Frameworks "Category:Frameworks"
  [5]: /index.php/Performance
  [6]: /index.php?title=Talk:Performance&action=edit
  [7]: /index.php?title=Performance&action=edit
  [8]: /index.php?title=Performance&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=Performance
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/Performance
  [30]: /index.php/Special:Recentchangeslinked/Performance
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=Performance&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"