<>

# Platform compatibility

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />
 Following are procedures for installing GNUstep on different Operating Systems.

* You may also want to take a look at the [dependencies][2].

<br />

<table>
<tr>
<td>
## Contents
* [1 BSD-based systems][3]
* [2 HP/UX][4]
* [3 Linux-based systems][5]
* [4 Solaris][6]
  * [4\.1 Intel][7]
  * [4\.2 Sparc][8]
  * [4\.3 GNUstep Solaris 10 U2 vmware appliance][9]
* [5 OpenSolaris][10]
* [6 Darwin][11]
* [7 Windows][12]
  * [7\.1 MingW][13]
* [8 Others][14]
</td>
</tr>
</table>

[[edit][15]]

<>

# BSD-based systems

To keep this list as brief as possible, information about these systems can [be found here][16].

<br />

[[edit][17]]

<>

# HP/UX

* GNUstep-core-1.0, please see [http://en.wikibooks.org/wiki/CPAM\_with\_TWW/References\_Manual#GNUstep\_and\_CPAM][18]. look for the gnustep-core-1.0.sb and gnustep-core-1.0.pb file for building and packaging information.

<br />

[[edit][19]]

<>

# Linux-based systems

To keep this list as brief as possible, information about these systems can [be found here][20].

<br />

[[edit][21]]

<>

# Solaris

Take a look at the required and recommended [dependencies][22]. Most of these can be found at [BlastWave][23] (which I personally recommend) or [Sun Freeware][24]. The notable exception are [ffcall][25]/[libffi][26], [Bonjour][27] and [portaudio][28] (as of 2008-05-23).

If you plan on compiling those from source, make sure to enable the creation of SHARED libraries. _Bonjour_ and _ffcall_ compile right out of the box. For _portaudio_ to compile, you will need to grab a daily-snapshot and you need to install [Open Sound System headers][29].

Then, if you follow the installation instructions for GNUstep, you should not run into any problems.

[[edit][30]]

<>

### Intel

_Intentionally left blank_.

[[edit][31]]

<>

### Sparc

* <http://www.linuks.mine.nu/gnustep/solaris> is one of package sources to create Solaris packages for GNUstep.
* GNUstep-core-1.0, please see [http://en.wikibooks.org/wiki/CPAM\_with\_TWW#GNUstep\_and\_TWW\_HPMS][32]. look for the gnustep-core-1.0.sb and gnustep-core-1.0.pb file for building and packaging information.

[[edit][33]]

<>

### GNUstep Solaris 10 U2 vmware appliance

* [Download sol u2 image][34], you need to have a Sun site account.
* You can run this image in VMware server or VMware player 1.0.3.
* Install Sun Studio 11 with latest patches.
* Objective Compiler
  * compile your own
  * get it from [BlastWave][35] using pkg-get.
* download all the GNUstep tar balls and follow build instruction.

<br />

[[edit][36]]

<>

# OpenSolaris

This will be an add-on packages to OpenSolaris distributions using TWW tools to create SPARC/Intel packages in SVR4 formats. "pkg-inst gnustep-user-1.0 gnustep-developer-1.0 gnustep-apps-1.0" will install GNUstep user,developer and GNUstep native applications. pkg-rm will perform the reverse of installation.

It will have a nice name like GNUstep O.S. (OpenSolaris).

<br />

[[edit][37]]

<>

# Darwin

Two issues differentiate Darwin from its FreeBSD cousin.

1. Darwin uses the Apple [Objective-C runtime][38], not the GNU version
2. Darwin uses the Apple version of GCC, not the GNU version

See [Platform:BSD#Darwin][39].

[[edit][40]]

<>

# Windows

There are many Unix Environment solutions for windows. Currently GNUstep is using [MingW][41] as its UNIX environment foundation for Windows.

[[edit][42]]

<>

### MingW

See [Installation on Windows][43] for details on MingW setup. Also look at precompiled binary installer, available from [GNUstep's ftp site][44].

<br />

[[edit][45]]

<>

# Others

To keep this list as brief as possible, information about these systems can [be found here][46].

 Retrieved from "[http://wiki.gnustep.org/index.php/Platform\_compatibility][47]"

[Categories][48]: [Stub][49] | [Development][50]

##### Views

* [Article][51]
* [Discussion][52]
* [Edit][53]
* [History][54]

##### Personal tools

* [Create an account or log in][55]

[][56]

##### users

* [Applications][57]
* [Guides][58]
* [FAQ][59]
* [Get Help][60]
* [Report Bugs][61]
* [Donations][62]
* [Screenshots][63]

##### developers

* [Guides][64]
* [FAQ][65]
* [Base API (Foundation)][66]
* [GUI API (AppKit)][67]
* [Frameworks][68]

##### Navigation

* [Main Page][69]
* [Community portal][70]
* [Current events][71]
* [Recent changes][72]
* [Random page][73]
* [Help][74]

##### Search

##### Toolbox

* [What links here][75]
* [Related changes][76]
* [Upload file][77]
* [Special pages][78]
* [Printable version][79]

[![MediaWiki][80]][81]

* This page was last modified 18:27, 22 October 2009.
* This page has been accessed 201,497 times.
* Content is available under [GNU General Public License][82].
* [About GNUstepWiki][83]
* [Disclaimers][84]

  [1]: http://wiki.gnustep.org/index.php?title=Platform_compatibility&action=edit "http://wiki.gnustep.org/index.php?title=Platform compatibility&action=edit"
  [2]: /index.php/Dependencies "Dependencies"
  [3]: #BSD-based_systems
  [4]: #HP.2FUX
  [5]: #Linux-based_systems
  [6]: #Solaris
  [7]: #Intel
  [8]: #Sparc
  [9]: #GNUstep_Solaris_10_U2_vmware_appliance
  [10]: #OpenSolaris
  [11]: #Darwin
  [12]: #Windows
  [13]: #MingW
  [14]: #Others
  [15]: /index.php?title=Platform_compatibility&action=edit&section=1 "Platform compatibility"
  [16]: /index.php/Platform:BSD "Platform:BSD"
  [17]: /index.php?title=Platform_compatibility&action=edit&section=2 "Platform compatibility"
  [18]: http://en.wikibooks.org/wiki/CPAM_with_TWW/References_Manual#GNUstep_and_CPAM "http://en.wikibooks.org/wiki/CPAM with TWW/References Manual#GNUstep and CPAM"
  [19]: /index.php?title=Platform_compatibility&action=edit&section=3 "Platform compatibility"
  [20]: /index.php/Platform:Linux "Platform:Linux"
  [21]: /index.php?title=Platform_compatibility&action=edit&section=4 "Platform compatibility"
  [22]: /index.php/Dependencies "Dependencies"
  [23]: http://www.blastwave.org/ "http://www.blastwave.org/"
  [24]: http://www.sunfreeware.com/ "http://www.sunfreeware.com/"
  [25]: http://www.haible.de/bruno/packages-ffcall.html "http://www.haible.de/bruno/packages-ffcall.html"
  [26]: http://sources.redhat.com/libffi/ "http://sources.redhat.com/libffi/"
  [27]: http://www.apple.com/macosx/features/bonjour/ "http://www.apple.com/macosx/features/bonjour/"
  [28]: http://www.portaudio.com/ "http://www.portaudio.com/"
  [29]: http://www.blastwave.org/packages.php/osndsys "http://www.blastwave.org/packages.php/osndsys"
  [30]: /index.php?title=Platform_compatibility&action=edit&section=5 "Platform compatibility"
  [31]: /index.php?title=Platform_compatibility&action=edit&section=6 "Platform compatibility"
  [32]: http://en.wikibooks.org/wiki/CPAM_with_TWW#GNUstep_and_TWW_HPMS "http://en.wikibooks.org/wiki/CPAM with TWW#GNUstep and TWW HPMS"
  [33]: /index.php?title=Platform_compatibility&action=edit&section=7 "Platform compatibility"
  [34]: http://developers.sun.com/solaris/downloads/solaris_apps/index.jsp "http://developers.sun.com/solaris/downloads/solaris apps/index.jsp"
  [35]: http://www.blastwave.org/ "http://www.blastwave.org/"
  [36]: /index.php?title=Platform_compatibility&action=edit&section=8 "Platform compatibility"
  [37]: /index.php?title=Platform_compatibility&action=edit&section=9 "Platform compatibility"
  [38]: /index.php/Objective-C_runtime "Objective-C runtime"
  [39]: /index.php/Platform:BSD#Darwin "Platform:BSD"
  [40]: /index.php?title=Platform_compatibility&action=edit&section=10 "Platform compatibility"
  [41]: http://www.mingw.org/ "http://www.mingw.org/"
  [42]: /index.php?title=Platform_compatibility&action=edit&section=11 "Platform compatibility"
  [43]: /index.php/Installation_on_Windows "Installation on Windows"
  [44]: ftp://ftp.gnustep.org/pub/gnustep/binaries/windows/ "ftp://ftp.gnustep.org/pub/gnustep/binaries/windows/"
  [45]: /index.php?title=Platform_compatibility&action=edit&section=12 "Platform compatibility"
  [46]: /index.php/Platform:Other "Platform:Other"
  [47]: http://wiki.gnustep.org/index.php/Platform_compatibility
  [48]: /index.php?title=Special:Categories&article=Platform_compatibility "Special:Categories"
  [49]: /index.php/Category:Stub "Category:Stub"
  [50]: /index.php/Category:Development "Category:Development"
  [51]: /index.php/Platform_compatibility
  [52]: /index.php/Talk:Platform_compatibility
  [53]: /index.php?title=Platform_compatibility&action=edit
  [54]: /index.php?title=Platform_compatibility&action=history
  [55]: /index.php?title=Special:Userlogin&returnto=Platform_compatibility
  [56]: /index.php/Main_Page "Main Page"
  [57]: /index.php/Category:Applications
  [58]: /index.php/User_Guides
  [59]: /index.php/User_FAQ
  [60]: /index.php/Get_Help
  [61]: /index.php/Report_Bugs
  [62]: /index.php/GNUstepWiki:Site_support
  [63]: /index.php/Screenshots
  [64]: /index.php/Developer_Guides
  [65]: /index.php/Developer_FAQ
  [66]: /index.php/Foundation
  [67]: /index.php/AppKit
  [68]: /index.php/Category:Frameworks
  [69]: /index.php/Main_Page
  [70]: /index.php/GNUstepWiki:Community_Portal
  [71]: /index.php/Current_events
  [72]: /index.php/Special:Recentchanges
  [73]: /index.php/Special:Random
  [74]: /index.php/Help:Contents
  [75]: /index.php/Special:Whatlinkshere/Platform_compatibility
  [76]: /index.php/Special:Recentchangeslinked/Platform_compatibility
  [77]: /index.php/Special:Upload
  [78]: /index.php/Special:Specialpages
  [79]: /index.php?title=Platform_compatibility&printable=yes&printable=yes
  [80]: /skins/common/images/poweredby_mediawiki_88x31.png
  [81]: http://www.mediawiki.org/
  [82]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [83]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [84]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"