<>

# Platform:BSD

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />

<table>
<tr>
<td>
## Contents
* [1 Darwin][2]
  * [1\.1 Intel][3]
  * [1\.2 PowerPC][4]
* [2 FreeBSD-based systems][5]
  * [2\.1 DesktopBSD][6]
  * [2\.2 DragonFly][7]
  * [2\.3 FreeBSD][8]
  * [2\.4 FreeBSD-Kernel w/ GNU userland, and GNU C library][9]
  * [2\.5 FreeSBIE][10]
  * [2\.6 MidnightBSD][11]
  * [2\.7 PicoBSD][12]
  * [2\.8 PC-BSD][13]
* [3 Mac OS X][14]
  * [3\.1 Full Install][15]
  * [3\.2 Extensions Install][16]
* [4 NetBSD][17]
* [5 OpenBSD][18]
</td>
</tr>
</table>

[[edit][19]]

<>

# Darwin

[[edit][20]]

<>

### Intel

Currently tested on Darwin 7.x

**Recommended compiler**<br />
gcc 3.3.2 or greater 3.3.\* versions. Older versions will not compile on Darwin and 3.4.\* versions don't support GNU runtime compilation on Darwin currently (The GCC bug report is [http://gcc.gnu.org/bugzilla/show\_bug.cgi?id=11572][21]). <br />
gcc 4.0.3 or greater 4.\* versions (the bug mentioned above has been fixed for 4.0.3 and newer)

Default compiler (Apple GCC) has unknown problems. Download the FSF GCC compiler (mirrors at <http://gcc.gnu.org/mirrors.html>) and configure it with -enable-threads=posix. You don't need binutils or anything else. Use the GNU runtime. Make sure to add

	 export CC=/usr/local/bin/gcc (use the correct path to FSF gcc)

so that the correct compiler is found

**Extra libs needed**<br />
Use libffi from <http://sourceware.org/libffi/> or the older ffcall if this does not work for some reason.

**Special Instructions**<br />
Read the README.Darwin file in the gnustep-make/Documentation directory for complete instructions.

[[edit][22]]

<>

### PowerPC

This section is for building the complete GNUstep system. This system will not interact at all with Mac OS X/Cocoa. It uses different compilers, different display systems, etc. For building GNUstep extensions to be used with Mac OS X (for instance, if you want to build something based on GNUstep, such as GSWeb or GNUMail), see the MacOSX/PowerPC section.

Currently tested on Darwin 6.x, 7.x, 8.x

**Recommended compiler**<br />
gcc 3.3.2 or greater 3.3.\* versions. Older versions will not compile on Darwin and 3.4.\* versions don't support GNU runtime compilation on Darwin currently (The GCC bug report is [http://gcc.gnu.org/bugzilla/show\_bug.cgi?id=11572][23]). <br />
gcc 4.0.3 or greater 4.\* versions (the bug mentioned above has been fixed for 4.0.3 and newer) <br />
Apple GCC with Xcode 2.5.

**Extra libs needed**<br />
Use libffi (not ffcall). This should be enabled by default in gnustep-base so you don't have to type --enable-libffi. For 6.x, you need the dlcompat library (from www.opendarwin.org) to load bundles (not needed for 7.x).

**Special Instructions**<br />
Read the README.Darwin file in the gnustep-make/Documentation directory for complete instructions.

See also the [Mac OSX / PowerPC][24] section

[[edit][25]]

<>

# FreeBSD-based systems

[[edit][26]]

<>

## DesktopBSD

[DesktopBSD][27] joins the ranks of [PC-BSD][28] and [FreeSBIE][29] as a desktop-ready version of [FreeBSD][30]. However, their desktop is based on [KDE][31].

[[edit][32]]

<>

## DragonFly

[DragonFly][33] is an operating system and environment designed to be the logical continuation of the [FreeBSD][34]-4.x OS series.

I have mostly ported GNUstep to DragonFly, I just need to submit patches now for both GNUstep and DragonFly. To know more, you can contact me. _[ Quentin MathÃÂ©][35]_

[[edit][36]]

<>

## FreeBSD

You can install GNUstep using the _[/usr/ports/devel/gnustep/][37]_ meta port.<br />
To automatically install GNUstep **and** (literally) tons of GNUstep-related applications, take a look at the _[/usr/ports/x11/gnustep-app/][38]_ meta port.

These ports should now install all dependencies -- a complete list can [be found here][39].

**Note**

 Prior to FreeBSD-6.0, there is a bug in _kvm(3)_ that **requires** a mounted _/proc_ for GNUstep to work properly. Until this bug is fixed, make sure you have an entry for _/proc_ in your _/etc/fstab_:

	proc                    /proc           procfs  rw              0       0

References: [FreeBSD GNUstep ports][40], [Freshports GNUstep][41]

[[edit][42]]

<>

## FreeBSD-Kernel w/ GNU userland, and GNU C library

It was reported that this runs GNUstep as well. For more details see the topic of the IRC channel #gnu-kbsd on irc.gnu.org

[[edit][43]]

<>

## FreeSBIE

[FreeSBIE][44] is a Live-CD Version of FreeBSD.

<br />

[[edit][45]]

<>

## MidnightBSD

[MidnightBSD][46] is based on FreeBSD 6.1 pre-release. The goal of the project is to create a BSD with ease of use and simplicity in mind.

The most intriguing thing about MidnightBSD is their integration of GNUstep into the system.

<br />

[[edit][47]]

<>

## PicoBSD

[PicoBSD][48] is a one floppy version of [FreeBSD][49] 3.0-current. You won't be able to use it as a platform for GNUstep.

[[edit][50]]

<>

## PC-BSD

[PC-BSD][51] has as its goals to be an easy to install and use desktop OS, which is built on the [FreeBSD][52] operating system.

<br />

[[edit][53]]

<>

# Mac OS X

[[edit][54]]

<>

### Full Install

GNUstep \*does\* work on OS X 10.4 and later, too, but it will not work out of the box with the dependencies built from MacPorts (and I guess from fink either). The problem is not the Apple linker per se, but rather that many of our dependencies nowadays depend directly or indirectly on CoreFoundation on OS X and, unfortunately, CoreFoundation started to depend on Apple's libobjc in 10.4.

To successfully build and run GNUstep on Mac OS X 10.4 and later, you need (at least) to configure aspell with --disable-nls (the nonls variant of aspell should do for MacPorts). Next, you need a freetype configured with --without-old-mac-fonts (unfortunately no help from MacPorts here and the freetype shipped with Mac OS X 10.5 will not work either). Apart from that, configure GNUstep-base with --disable-tls and GNUstep-back with --disable-glx and use either the libart (the default) or xlib backend. Eventually, I may have forgotten some other libraries in this list, but you will notice that when looking at the crash report being produced in ~/Library/Logs/CrashReporter. Look for a line containing /usr/lib/libobjc.A.dylib.

See [Macport Patches][55] for patches to Macports that might also work

[[edit][56]]

<>

### Extensions Install

This section is for building the GNUstep extensions only. Use this if, for instance, if you want to build something based on GNUstep, such as GSWeb or GNUMail. If you want to build the complete GNUstep system independant of Mac OS X, see the Full Install section above or Darwin/PowerPC section.

Currently tested on MacOSX 10.1.5, 10.2, 10.3

**Recommended compiler**<br />
Default. For 10.1.5, you need to add -no-cpp-precomp to CFLAGS (For instance, ./configure CFLAGS="-no-cpp-precomp" ...)

**Extra libs needed**<br />
None.

**Special Instructions**<br />
WarningÃÂ ! To know how to install a complete GNUstep system on Mac OS X, read the Darwin/PowerPC section. By default, on Mac OS X, only the GNUstep extensions are built. Read the README.Darwin file in the gnustep-make/Documentation directory for complete instructions.

To build the GNUstep extensions only is useful, when you want to build on Mac OS X, GNUstep related projects like gdl2, etc linked to Cocoa. Xcode project files exist, but they may not be up-to-date. Make sure /usr/sbin is in your path:

	 PATH=$PATH:/usr/sbin

Then type:

	 cd make
	 ./configure --with-library-combo=apple-apple-apple
	 make install
	 . /usr/GNUstep/System/Library/Makefiles/GNUstep.sh
	 cd ../base
	 ./configure --with-xml-prefix=/usr --disable-xmltest
	 make debug=yes install

On Mac OS X 10.1.5, there is no libxml. Either install libxml2 or configure base with --disable-xml.

See also the [Darwin / PowerPC][57] section.

[[edit][58]]

<>

# NetBSD

Installing GNUstep from pkgsrc is really straight-forward for NetBSD if you're using a recent pkgsrc distribution. NetBSD/i386 has no known problems right now, however there are reports of crashout problems for gdomap on NetBSD/sparc which may be related to ffi/ffcall issues.

In terms of pre-requisites, ensure you've got a working X11 environment on your system and preferrably are using WindowMaker as your window manager.

**Build instructions**

To install GNUstep, you need to cd to your pkgsrc tree and then cd to the right package directory, on my system:

	 cd /usr/pkgsrc

then go to the package you wish to install, for example:

	 cd meta-pkgs/gnustep

and issue the command:

	 make install

This command will download source code and whatever dependencies and compile and install them. The version of the meta-packages I used (released with NetBSD 2.0 and called gnustep-1.10.0nb2) installs the following GNUstep components as parts of the meta-package:

* gnustep-make-1.10.0
* gnustep-base-1.10.1
* gnustep-ssl-1.10.1
* gnustep-gui-0.9.4
* gnustep-back-0.9.4
* gnustep-examples-1.0.0
* ImageViewer-0.6.3
* Pantomime-1.1.2
* Addresses-0.4.6
* GNUMail-1.1.2
* Gorm-0.8.0
* ProjectCenter-0.4.0
* GWLib-0.6.5
* Renaissance-0.8.0
* gworkspace-0.6.5

A number of dependency packages are also installed.

This may be overkill - if you don't need all the applications etc, you can install the packages individually.

<br />

[[edit][59]]

<>

# OpenBSD

Since many years, GNUstep is available in the OpenBSD ports tree. Packages are available for amd64, i386, and powerpc. The packages are based on the latest releases. Since some time, using libobjc2, but compiled with the system gcc. For easy installation, a meta package is provided.

	   sudo pkg_add -i gnustep-desktop

Above command will install the meta package, and all the packages from the [x11/gnustep][60] part of the ports tree.

 Retrieved from "<http://wiki.gnustep.org/index.php/Platform:BSD>"

[Categories][61]: [Stub][62] | [Development][63]

##### Views

* [Article][64]
* [Discussion][65]
* [Edit][66]
* [History][67]

##### Personal tools

* [Create an account or log in][68]

[][69]

##### users

* [Applications][70]
* [Guides][71]
* [FAQ][72]
* [Get Help][73]
* [Report Bugs][74]
* [Donations][75]
* [Screenshots][76]

##### developers

* [Guides][77]
* [FAQ][78]
* [Base API (Foundation)][79]
* [GUI API (AppKit)][80]
* [Frameworks][81]

##### Navigation

* [Main Page][82]
* [Community portal][83]
* [Current events][84]
* [Recent changes][85]
* [Random page][86]
* [Help][87]

##### Search

##### Toolbox

* [What links here][88]
* [Related changes][89]
* [Upload file][90]
* [Special pages][91]
* [Printable version][92]

[![MediaWiki][93]][94]

* This page was last modified 15:05, 7 October 2015.
* This page has been accessed 58,134 times.
* Content is available under [GNU General Public License][95].
* [About GNUstepWiki][96]
* [Disclaimers][97]

  [1]: http://wiki.gnustep.org/index.php?title=Platform:BSD&action=edit "http://wiki.gnustep.org/index.php?title=Platform:BSD&action=edit"
  [2]: #Darwin
  [3]: #Intel
  [4]: #PowerPC
  [5]: #FreeBSD-based_systems
  [6]: #DesktopBSD
  [7]: #DragonFly
  [8]: #FreeBSD
  [9]: #FreeBSD-Kernel_w.2F_GNU_userland.2C_and_GNU_C_library
  [10]: #FreeSBIE
  [11]: #MidnightBSD
  [12]: #PicoBSD
  [13]: #PC-BSD
  [14]: #Mac_OS_X
  [15]: #Full_Install
  [16]: #Extensions_Install
  [17]: #NetBSD
  [18]: #OpenBSD
  [19]: /index.php?title=Platform:BSD&action=edit&section=1 "Platform:BSD"
  [20]: /index.php?title=Platform:BSD&action=edit&section=2 "Platform:BSD"
  [21]: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=11572 "http://gcc.gnu.org/bugzilla/show bug.cgi?id=11572"
  [22]: /index.php?title=Platform:BSD&action=edit&section=3 "Platform:BSD"
  [23]: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=11572 "http://gcc.gnu.org/bugzilla/show bug.cgi?id=11572"
  [24]: /index.php/Platform:BSD#Mac_OS_X "Platform:BSD"
  [25]: /index.php?title=Platform:BSD&action=edit&section=4 "Platform:BSD"
  [26]: /index.php?title=Platform:BSD&action=edit&section=5 "Platform:BSD"
  [27]: http://www.desktopbsd.net/ "http://www.desktopbsd.net/"
  [28]: #PC-BSD
  [29]: #FreeSBIE
  [30]: #FreeBSD
  [31]: http://www.kde.org "http://www.kde.org"
  [32]: /index.php?title=Platform:BSD&action=edit&section=6 "Platform:BSD"
  [33]: http://www.dragonflybsd.org "http://www.dragonflybsd.org"
  [34]: #FreeBSD
  [35]: /index.php/User:Qmathe "User:Qmathe"
  [36]: /index.php?title=Platform:BSD&action=edit&section=7 "Platform:BSD"
  [37]: http://www.freebsd.org/cgi/url.cgi?ports/devel/gnustep/pkg-descr "http://www.freebsd.org/cgi/url.cgi?ports/devel/gnustep/pkg-descr"
  [38]: http://www.freebsd.org/cgi/url.cgi?ports/x11/gnustep-app/pkg-descr "http://www.freebsd.org/cgi/url.cgi?ports/x11/gnustep-app/pkg-descr"
  [39]: /index.php/Dependencies "Dependencies"
  [40]: http://www.freebsd.org/cgi/ports.cgi?query=gnustep&stype=all "http://www.freebsd.org/cgi/ports.cgi?query=gnustep&stype=all"
  [41]: http://www.freshports.org/search.php?stype=longdescription&method=match&query=gnustep&num=10&orderby=category&orderbyupdown=asc&search=Search "http://www.freshports.org/search.php?stype=longdescription&method=match&query=gnustep&num=10&orderby=category&orderbyupdown=asc&search=Search"
  [42]: /index.php?title=Platform:BSD&action=edit&section=8 "Platform:BSD"
  [43]: /index.php?title=Platform:BSD&action=edit&section=9 "Platform:BSD"
  [44]: http://www.freesbie.org/ "http://www.freesbie.org/"
  [45]: /index.php?title=Platform:BSD&action=edit&section=10 "Platform:BSD"
  [46]: http://www.midnightbsd.org/ "http://www.midnightbsd.org/"
  [47]: /index.php?title=Platform:BSD&action=edit&section=11 "Platform:BSD"
  [48]: http://people.freebsd.org/~picobsd/old/picobsd.html "http://people.freebsd.org/~picobsd/old/picobsd.html"
  [49]: #FreeBSD
  [50]: /index.php?title=Platform:BSD&action=edit&section=12 "Platform:BSD"
  [51]: http://www.pcbsd.org/ "http://www.pcbsd.org/"
  [52]: #FreeBSD
  [53]: /index.php?title=Platform:BSD&action=edit&section=13 "Platform:BSD"
  [54]: /index.php?title=Platform:BSD&action=edit&section=14 "Platform:BSD"
  [55]: https://github.com/ericwa/gnustep-macports-fixes "https://github.com/ericwa/gnustep-macports-fixes"
  [56]: /index.php?title=Platform:BSD&action=edit&section=15 "Platform:BSD"
  [57]: /index.php/Platform:BSD#Darwin "Platform:BSD"
  [58]: /index.php?title=Platform:BSD&action=edit&section=16 "Platform:BSD"
  [59]: /index.php?title=Platform:BSD&action=edit&section=17 "Platform:BSD"
  [60]: http://www.openbsd.org/cgi-bin/cvsweb/ports/x11/gnustep/ "http://www.openbsd.org/cgi-bin/cvsweb/ports/x11/gnustep/"
  [61]: /index.php?title=Special:Categories&article=Platform%3ABSD "Special:Categories"
  [62]: /index.php/Category:Stub "Category:Stub"
  [63]: /index.php/Category:Development "Category:Development"
  [64]: /index.php/Platform:BSD
  [65]: /index.php?title=Talk:Platform:BSD&action=edit
  [66]: /index.php?title=Platform:BSD&action=edit
  [67]: /index.php?title=Platform:BSD&action=history
  [68]: /index.php?title=Special:Userlogin&returnto=Platform:BSD
  [69]: /index.php/Main_Page "Main Page"
  [70]: /index.php/Category:Applications
  [71]: /index.php/User_Guides
  [72]: /index.php/User_FAQ
  [73]: /index.php/Get_Help
  [74]: /index.php/Report_Bugs
  [75]: /index.php/GNUstepWiki:Site_support
  [76]: /index.php/Screenshots
  [77]: /index.php/Developer_Guides
  [78]: /index.php/Developer_FAQ
  [79]: /index.php/Foundation
  [80]: /index.php/AppKit
  [81]: /index.php/Category:Frameworks
  [82]: /index.php/Main_Page
  [83]: /index.php/GNUstepWiki:Community_Portal
  [84]: /index.php/Current_events
  [85]: /index.php/Special:Recentchanges
  [86]: /index.php/Special:Random
  [87]: /index.php/Help:Contents
  [88]: /index.php/Special:Whatlinkshere/Platform:BSD
  [89]: /index.php/Special:Recentchangeslinked/Platform:BSD
  [90]: /index.php/Special:Upload
  [91]: /index.php/Special:Specialpages
  [92]: /index.php?title=Platform:BSD&printable=yes&printable=yes
  [93]: /skins/common/images/poweredby_mediawiki_88x31.png
  [94]: http://www.mediawiki.org/
  [95]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [96]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [97]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"