<>

# Platform:Linux

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />

<table>
<tr>
<td>
## Contents
* [1 ALT Linux][2]
* [2 Archlinux][3]
* [3 Debian / Ubuntu][4]
  * [3\.1 Debian][5]
  * [3\.2 Ubuntu][6]
  * [3\.3 Install from source: Dependencies][7]
* [4 Fedora][8]
* [5 Gentoo][9]
* [6 Slackware][10]
  * [6\.1 Version 10.2][11]
  * [6\.2 Version 11.0][12]
  * [6\.3 Version 12.0][13]
  * [6\.4 Version 12.2][14]
    * [6\.4.1 Packages][15]
    * [6\.4.2 Build Scripts][16]
* [7 OpenSuse][17]
  * [7\.1 Version 11.3][18]
  * [7\.2 Version 11.4][19]
  * [7\.3 Version 12.1][20]
  * [7\.4 Version 12.2][21]
</td>
</tr>
</table>

[[edit][22]]

<>

## ALT Linux

Includes [quite a few packages][23] within Sisyphus the unstable development repository as of April 2014 with most of them being maintained in stable t7/branch as well; there's no metapackage so far, so

	apt-get install gnustep-base

and start deploying apps you'd like to see:

	apt-get install gnustep-gworkspace gnustep-Affiche

There's an installable [LiveCD][24] as well.

[[edit][25]]

<>

## Archlinux

[Packages][26]

[[edit][27]]

<>

## Debian / Ubuntu

[[edit][28]]

<>

### Debian

Since Debian _Sarge_ (3.1) you can use **apt-get** to obtain GNUstep packages.

	# apt-get install x-window-system-core wmaker gnustep gnustep-devel gnustep-games

to install GNUstep, X11 and Window Maker.

The best way to get up-to-date GNUstep packages is to upgrade from _stable_ to _testing_ or _unstable_. If upgrading to Debian _unstable_ is not desirable it is possible to simply add the unstable apt lines to the sources.list and specify the distribution when installing the packages, e.g.

	# apt-get install -t unstable gnumail.app

This method might upgrade some other packages to satisfy dependencies, but will have a much smaller impact on the system since only the packages on which GNUstep depends will be upgraded.

[[edit][29]]

<>

### Ubuntu

As Ubuntu is Debian-based you can likewise install gnustep libraries (and their dependencies) via

	sudo apt-get install gnustep gnustep-devel

apt will also suggest a lot of apps to install.

[[edit][30]]

<>

### Install from source: Dependencies

See [GNUstep\_under\_Ubuntu\_Linux][31] for detailed instructions for Ubuntu (should apply to Debian as well). If you want to compile from source install the following [Dependencies][32] packages (applies to both Debian and Ubuntu):

gobjc, libx11-dev, libx11-xft, libxmu-dev, libtiff4-dev, libpng12-dev, libungif4-dev, libart-2.0-dev, libxml2-dev, libxslt1-dev, libssl-dev, libgmp3-dev, libffcall1-dev, libcairo2-dev (universe), and svn if you want to download the svn version.

Optional: libaspell-dev for [GSspell.service][33]

Please follow the instructions on [GNUstep\_SVN\_installation\_guide][34].

[[edit][35]]

<>

## Fedora

This section needs updating. Fedora 14 users can install GNUstep via rpm. See the [Features][36] page.

[[edit][37]]

<>

## Gentoo

To install GNUstep libs and scripts, do

	emerge gnustep-env

For a list of GNUstep-related ebuilds, see the [Online Package Database][38]. For the most recent packages, type `ACCEPT_KEYWORDS="~x86" emerge _package-name_` (or analogically for your cpu family: "~sparc", "~ppc" ...)

[[edit][39]]

<>

## Slackware

[[edit][40]]

<>

### Version 10.2

Libraries and accompanying applications will build with no modifications. Slackware 10.2 ships with GCC 3.3.6, so mixed Objective-C and C++ code is not supported, meaning additional frameworks/libraries may not be supported.

[[edit][41]]

<>

### Version 11.0

This version of Slackware works the same as the previous (10.2). Libraries and applications will build with no modifications, but due to the GCC version used (3.4.6) Objective-C++ is not supported.

[[edit][42]]

<>

### Version 12.0

GNUstep compiles and install on Slackware 12.0 perfectly. Unfortunately, this version of Slackware does not include an Objective-C++ compiler.

[[edit][43]]

<>

### Version 12.2

[[edit][44]]

<>

#### Packages

Slackware packages have been created and can be found in:

* [GNUstep FTP][45] (Please read gnustep-core.README before installing)

[[edit][46]]

<>

#### Build Scripts

SlackBuild scripts can be found at:

* [SlackBuilds.org GNUstep scripts][47]

[[edit][48]]

<>

## OpenSuse

Packages for GNUstep releases can be found on the Open Build Service ([OBS][49]).

[[edit][50]]

<>

### Version 11.3

The package of pixman that comes with OpenSuse 11.3 seems to be broken for some graphic drivers. You may either downgrade or upgrade to another version of pixman (plus cairo) or use a different GNUstep backend. For me upgrading to the cairo version as provided by the GNOME Factory project on the OpenSuse Build Service worked perfectly. [[1]][51]

[[edit][52]]

<>

### Version 11.4

Packages provided by Richard Stonehouse [here][53] (including installation instructions).

[[edit][54]]

<>

### Version 12.1

[[edit][55]]

<>

### Version 12.2

These versions require that you install a few dev packages (e.g. libffi dev, cairo dev, ...), then GNUstep SVN compiles out of the box.

 Retrieved from "<http://wiki.gnustep.org/index.php/Platform:Linux>"

[Categories][56]: [Stub][57] | [Development][58]

##### Views

* [Article][59]
* [Discussion][60]
* [Edit][61]
* [History][62]

##### Personal tools

* [Create an account or log in][63]

[][64]

##### users

* [Applications][65]
* [Guides][66]
* [FAQ][67]
* [Get Help][68]
* [Report Bugs][69]
* [Donations][70]
* [Screenshots][71]

##### developers

* [Guides][72]
* [FAQ][73]
* [Base API (Foundation)][74]
* [GUI API (AppKit)][75]
* [Frameworks][76]

##### Navigation

* [Main Page][77]
* [Community portal][78]
* [Current events][79]
* [Recent changes][80]
* [Random page][81]
* [Help][82]

##### Search

##### Toolbox

* [What links here][83]
* [Related changes][84]
* [Upload file][85]
* [Special pages][86]
* [Printable version][87]

[![MediaWiki][88]][89]

* This page was last modified 14:04, 2 April 2014.
* This page has been accessed 86,815 times.
* Content is available under [GNU General Public License][90].
* [About GNUstepWiki][91]
* [Disclaimers][92]

  [1]: http://wiki.gnustep.org/index.php?title=Platform:Linux&action=edit "http://wiki.gnustep.org/index.php?title=Platform:Linux&action=edit"
  [2]: #ALT_Linux
  [3]: #Archlinux
  [4]: #Debian_.2F_Ubuntu
  [5]: #Debian
  [6]: #Ubuntu
  [7]: #Install_from_source:_Dependencies
  [8]: #Fedora
  [9]: #Gentoo
  [10]: #Slackware
  [11]: #Version_10.2
  [12]: #Version_11.0
  [13]: #Version_12.0
  [14]: #Version_12.2
  [15]: #Packages
  [16]: #Build_Scripts
  [17]: #OpenSuse
  [18]: #Version_11.3
  [19]: #Version_11.4
  [20]: #Version_12.1
  [21]: #Version_12.2_2
  [22]: /index.php?title=Platform:Linux&action=edit&section=1 "Platform:Linux"
  [23]: http://packages.altlinux.org/en/search?query=gnustep- "http://packages.altlinux.org/en/search?query=gnustep-"
  [24]: http://en.altlinux.org/Starterkits/gnustep "http://en.altlinux.org/Starterkits/gnustep"
  [25]: /index.php?title=Platform:Linux&action=edit&section=2 "Platform:Linux"
  [26]: https://www.archlinux.org/packages/?q=GNUstep "https://www.archlinux.org/packages/?q=GNUstep"
  [27]: /index.php?title=Platform:Linux&action=edit&section=3 "Platform:Linux"
  [28]: /index.php?title=Platform:Linux&action=edit&section=4 "Platform:Linux"
  [29]: /index.php?title=Platform:Linux&action=edit&section=5 "Platform:Linux"
  [30]: /index.php?title=Platform:Linux&action=edit&section=6 "Platform:Linux"
  [31]: /index.php/GNUstep_under_Ubuntu_Linux "GNUstep under Ubuntu Linux"
  [32]: /index.php/Dependencies "Dependencies"
  [33]: /index.php/GSspell.service "GSspell.service"
  [34]: /index.php/GNUstep_SVN_installation_guide "GNUstep SVN installation guide"
  [35]: /index.php?title=Platform:Linux&action=edit&section=7 "Platform:Linux"
  [36]: http://fedoraproject.org/wiki/Features/GNUstep "http://fedoraproject.org/wiki/Features/GNUstep"
  [37]: /index.php?title=Platform:Linux&action=edit&section=8 "Platform:Linux"
  [38]: http://packages.gentoo.org/search/?sstring=gnustep "http://packages.gentoo.org/search/?sstring=gnustep"
  [39]: /index.php?title=Platform:Linux&action=edit&section=9 "Platform:Linux"
  [40]: /index.php?title=Platform:Linux&action=edit&section=10 "Platform:Linux"
  [41]: /index.php?title=Platform:Linux&action=edit&section=11 "Platform:Linux"
  [42]: /index.php?title=Platform:Linux&action=edit&section=12 "Platform:Linux"
  [43]: /index.php?title=Platform:Linux&action=edit&section=13 "Platform:Linux"
  [44]: /index.php?title=Platform:Linux&action=edit&section=14 "Platform:Linux"
  [45]: ftp://ftp.gnustep.org/pub/gnustep/binaries/slackware/ "ftp://ftp.gnustep.org/pub/gnustep/binaries/slackware/"
  [46]: /index.php?title=Platform:Linux&action=edit&section=15 "Platform:Linux"
  [47]: http://slackbuilds.org/result/?search=gnustep "http://slackbuilds.org/result/?search=gnustep"
  [48]: /index.php?title=Platform:Linux&action=edit&section=16 "Platform:Linux"
  [49]: https://build.opensuse.org/project/show?project=X11%3AGNUstep "https://build.opensuse.org/project/show?project=X11:GNUstep"
  [50]: /index.php?title=Platform:Linux&action=edit&section=17 "Platform:Linux"
  [51]: http://software.opensuse.org/ymp/GNOME:Factory/openSUSE_11.3/libcairo2.ymp?base=openSUSE%3A11.3&query=cairo "http://software.opensuse.org/ymp/GNOME:Factory/openSUSE 11.3/libcairo2.ymp?base=openSUSE:11.3&query=cairo"
  [52]: /index.php?title=Platform:Linux&action=edit&section=18 "Platform:Linux"
  [53]: http://www.rstonehouse.co.uk/extras/gnustep-general/index.html "http://www.rstonehouse.co.uk/extras/gnustep-general/index.html"
  [54]: /index.php?title=Platform:Linux&action=edit&section=19 "Platform:Linux"
  [55]: /index.php?title=Platform:Linux&action=edit&section=20 "Platform:Linux"
  [56]: /index.php?title=Special:Categories&article=Platform%3ALinux "Special:Categories"
  [57]: /index.php/Category:Stub "Category:Stub"
  [58]: /index.php/Category:Development "Category:Development"
  [59]: /index.php/Platform:Linux
  [60]: /index.php?title=Talk:Platform:Linux&action=edit
  [61]: /index.php?title=Platform:Linux&action=edit
  [62]: /index.php?title=Platform:Linux&action=history
  [63]: /index.php?title=Special:Userlogin&returnto=Platform:Linux
  [64]: /index.php/Main_Page "Main Page"
  [65]: /index.php/Category:Applications
  [66]: /index.php/User_Guides
  [67]: /index.php/User_FAQ
  [68]: /index.php/Get_Help
  [69]: /index.php/Report_Bugs
  [70]: /index.php/GNUstepWiki:Site_support
  [71]: /index.php/Screenshots
  [72]: /index.php/Developer_Guides
  [73]: /index.php/Developer_FAQ
  [74]: /index.php/Foundation
  [75]: /index.php/AppKit
  [76]: /index.php/Category:Frameworks
  [77]: /index.php/Main_Page
  [78]: /index.php/GNUstepWiki:Community_Portal
  [79]: /index.php/Current_events
  [80]: /index.php/Special:Recentchanges
  [81]: /index.php/Special:Random
  [82]: /index.php/Help:Contents
  [83]: /index.php/Special:Whatlinkshere/Platform:Linux
  [84]: /index.php/Special:Recentchangeslinked/Platform:Linux
  [85]: /index.php/Special:Upload
  [86]: /index.php/Special:Specialpages
  [87]: /index.php?title=Platform:Linux&printable=yes&printable=yes
  [88]: /skins/common/images/poweredby_mediawiki_88x31.png
  [89]: http://www.mediawiki.org/
  [90]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [91]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [92]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"