<>

# Platform:Other

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

## Embedded GNUstep: mySTEP

There is a "fork" of GNUstep with optimizations for embedded systems. It is called "mySTEP" - my being the German pronunciation of the greek letter mu (for micro). More information can be found at <http://www.quantum-step.com/wiki.php?page=mySTEP> and the source file tree at <http://www.quantum-step.com/download/sources/>

[[edit][2]]

<>

## Linksys NSLU2

The first thing you need to do is to generate a gcc cross compiler with Objective-C enabled. The GCC currently used on nslu2 only has C and C++ enabled when building the crosstool-native package.

* Check out unslung source using follow command

	cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/nslu co unslung

* Add in Objective-C as a language that needs to be enabled

	perl -pi -e 's!^GCC_LANGUAGES=.*!GCC_LANGUAGES="c,c++,objc"!' toolchain/crosstool/nslu2-cross335.sh
	perl -pi -e 's!^GCC_LANGUAGES=.*!GCC_LANGUAGES="c,c++,objc"!' sources/crosstool-native/nslu2-native335.sh

* Compile the cross-compiler for an ARM CPU using gcc (here: on Debian 3.1 Linux)

	tjyang@debian:~/unslung$ pwd
	/home/tjyang/unslung
	tjyang@debian:~/unslung$ rm toolchain/crosstool/.configured
	tjyang@debian:~/unslung$ rm toolchain/crosstool/.built
	tjyang@debian:~/unslung$ unset LD_LIBRARY_PATH
	tjyang@debian:~/unslung$ make toolchain
	tjyang@debian:~/unslung$ /export/home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/bin/armv5b-softfloat-linux-gcc -v

	Reading specs from /export/home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/lib/gcc-lib/armv5b-softfloat-linux/3.3.5/specs
	Configured with: /export/home/tjyang/slug/unslung/toolchain/crosstool/build/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/gcc-3.3.5/configure --target=armv5b-softfloat-linux --host=i686-host_pc-linux-gnu --prefix=/export/home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5 --with-float=soft --with-cpu=xscale --enable-cxx-flags=-mcpu=xscale --with-headers=/export/home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/armv5b-softfloat-linux/include --with-local-prefix=/export/home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/armv5b-softfloat-linux --disable-nls --enable-threads=posix --enable-symvers=gnu --enable-__cxa_atexit --enable-languages=c,c++,objc --enable-shared --enable-c99 --enable-long-long
	Thread model: posix
	gcc version 3.3.5
	[tjyang@dual unslung]$

* Do a simple test on the host machine

	 [tjyang@dual bin]$ pwd
	 /home/tjyang/slug/unslung/toolchain/armv5b-softfloat-linux/gcc-3.3.5-glibc-2.2.5/armv5b-softfloat-linux/bin
	 [tjyang@dual bin]$
	 [tjyang@dual bin]$ cat helloworld.m
	 #include &lt;stdio.h&gt;

	 int main(void)
	 {
	    printf("Hello World\n");
	 }
	 [tjyang@dual bin]$ ./gcc helloworld.m -lobjc -o helloworld
	 [tjyang@dual bin]$ file helloworld
	 hellow: ELF 32-bit MSB executable, ARM, version 1 (ARM), for GNU/Linux 2.4.3, dynamically linked (uses shared libs), not stripped
	 [tjyang@dual bin]$ uname -a
	 Linux dual 2.4.21-9.ELsmp #1 SMP Thu Jan 8 17:08:56 EST 2004 i686 i686 i386 GNU/Linux
	 [tjyang@dual bin]$

* The second step is to use this cross-compiler which only generates binaries for ARM CPUs to compile a native compiler. This compiler can only be run on a native ARM machine (here: nslu2).

	[tjyang@dual unslung]$ make crosstool-native;make crosstool-native-ipk
	[tjyang@dual unslung]$ ls -lrt builds/*.ipk
	-rw-rw-r--    1 tjyang   tjyang    5569523 Feb 17 13:32 builds/crosstool-native-bin_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang   12677163 Feb 17 13:33 builds/crosstool-native-lib_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang    1722660 Feb 17 13:33 builds/crosstool-native-inc_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang    7049858 Feb 17 13:34 builds/crosstool-native-arch-bin_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang    9032668 Feb 17 13:34 builds/crosstool-native-arch-lib_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang    7483945 Feb 17 13:35 builds/crosstool-native-arch-inc_0.28-rc37-3_armeb.ipk
	-rw-rw-r--    1 tjyang   tjyang       1058 Feb 17 13:35 builds/crosstool-native_0.28-rc37-3_armeb.ipk

	[tjyang@dual unslung]$ cp  /export/home/tjyang/slug/unslung/builds/*.ipk  /disk76/nslu2/tmp/
	[tjyang@dual unslung]$

	login into your nslu2, cd to where the ipk packages are.
	run following commands.
	bash-2.05b# for i in *.ipk
	&gt; do
	&gt; ipkg -force-overwrite install $i
	&gt; done
	Upgrading crosstool-native-arch-bin on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-arch-bin
	Upgrading crosstool-native-arch-inc on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-arch-inc
	Upgrading crosstool-native-arch-lib on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-arch-lib
	Upgrading crosstool-native-bin on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-bin
	Upgrading crosstool-native-inc on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-inc
	Upgrading crosstool-native-lib on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native-lib
	Upgrading crosstool-native on root from 0.28-rc37-3 to 0.28-rc37-5...
	Configuring crosstool-native
	bash-2.05b# date
	Sat Feb 19 01:04:07 CST 2005
	bash-2.05b#

* Try to compile the helloworld.m Objective-C file and run the helloworld binary on nslu2.

	bash-2.05b# gcc helloworld.m -lobjc -o helloworld
	bash-2.05b# file helloworld
	helloworld: ELF 32-bit MSB executable, ARM, version 1 (ARM), for GNU/Linux 2.4.3, dynamically linked (uses shared libs), not stripped
	bash-2.05b# ./helloworld
	./helloworld: error while loading shared libraries: libobjc.so.1: cannot open shared object file: No such file or directory
	bash-2.05b#

	libobjc.so.1 is in /opt/armeb/armv5b-softfloat-linux/lib, this path need to be in LD_LIBRARY_PATH.

	bash-2.05b# ./helloworld
	Hello World
	bash-2.05b# uname -a
	Linux LKG7BFA96 2.4.22-xfs #1 Sat Jan 1 21:34:54 HST 2005 armv5b unknown unknown GNU/Linux
	bash-2.05b# date
	Thu Feb 17 11:35:19 CST 2005
	bash-2.05b# cat compile.sh
	/opt/armeb/armv5b-softfloat-linux/bin/gcc  helloworld.m -o helloworld -lobjc
	bash-2.05b# cat /etc/profile
	PATH=/opt/bin:/share/hdd/data/public/nslu2/tjyang/unslung/staging/bin:${PATH}
	TERM=xterm
	export LD_LIBRARY_PATH=/opt/lib:/lib:/opt/armeb/armv5b-softfloat-linux/lib
	export PATH TERM
	bash-2.05b#

You can now use the Objective-C enabled GCC to compile the GNUstep core packages and GNUstep software. However, more strong testing is needed. Please add instructon below if you know how to run objective-c's testsuite in crosstool.

References: <http://lists.gnu.org/archive/html/discuss-gnustep/2005-02/msg00124.html>

[[edit][3]]

<>

## LiveCD for Intel

Current version is 1.0

Find the instructions to install and the CD itself at [GNUSTEP LiveCD Homepage][4]

[<img src="/images/4/46/GNUstepCDandCover.jpg" width="640" height="480" alt="Image:GNUstepCDandCover.jpg" />][5]

 Retrieved from "<http://wiki.gnustep.org/index.php/Platform:Other>"

[Categories][6]: [Development][7]

##### Views

* [Article][8]
* [Discussion][9]
* [Edit][10]
* [History][11]

##### Personal tools

* [Create an account or log in][12]

[][13]

##### users

* [Applications][14]
* [Guides][15]
* [FAQ][16]
* [Get Help][17]
* [Report Bugs][18]
* [Donations][19]
* [Screenshots][20]

##### developers

* [Guides][21]
* [FAQ][22]
* [Base API (Foundation)][23]
* [GUI API (AppKit)][24]
* [Frameworks][25]

##### Navigation

* [Main Page][26]
* [Community portal][27]
* [Current events][28]
* [Recent changes][29]
* [Random page][30]
* [Help][31]

##### Search

##### Toolbox

* [What links here][32]
* [Related changes][33]
* [Upload file][34]
* [Special pages][35]
* [Printable version][36]

[![MediaWiki][37]][38]

* This page was last modified 14:37, 21 March 2012.
* This page has been accessed 29,520 times.
* Content is available under [GNU General Public License][39].
* [About GNUstepWiki][40]
* [Disclaimers][41]

  [1]: /index.php?title=Platform:Other&action=edit&section=1 "Platform:Other"
  [2]: /index.php?title=Platform:Other&action=edit&section=2 "Platform:Other"
  [3]: /index.php?title=Platform:Other&action=edit&section=3 "Platform:Other"
  [4]: http://livecd.gnustep.org/ "http://livecd.gnustep.org/"
  [5]: /index.php/Image:GNUstepCDandCover.jpg "Image:GNUstepCDandCover.jpg"
  [6]: /index.php?title=Special:Categories&article=Platform%3AOther "Special:Categories"
  [7]: /index.php/Category:Development "Category:Development"
  [8]: /index.php/Platform:Other
  [9]: /index.php?title=Talk:Platform:Other&action=edit
  [10]: /index.php?title=Platform:Other&action=edit
  [11]: /index.php?title=Platform:Other&action=history
  [12]: /index.php?title=Special:Userlogin&returnto=Platform:Other
  [13]: /index.php/Main_Page "Main Page"
  [14]: /index.php/Category:Applications
  [15]: /index.php/User_Guides
  [16]: /index.php/User_FAQ
  [17]: /index.php/Get_Help
  [18]: /index.php/Report_Bugs
  [19]: /index.php/GNUstepWiki:Site_support
  [20]: /index.php/Screenshots
  [21]: /index.php/Developer_Guides
  [22]: /index.php/Developer_FAQ
  [23]: /index.php/Foundation
  [24]: /index.php/AppKit
  [25]: /index.php/Category:Frameworks
  [26]: /index.php/Main_Page
  [27]: /index.php/GNUstepWiki:Community_Portal
  [28]: /index.php/Current_events
  [29]: /index.php/Special:Recentchanges
  [30]: /index.php/Special:Random
  [31]: /index.php/Help:Contents
  [32]: /index.php/Special:Whatlinkshere/Platform:Other
  [33]: /index.php/Special:Recentchangeslinked/Platform:Other
  [34]: /index.php/Special:Upload
  [35]: /index.php/Special:Specialpages
  [36]: /index.php?title=Platform:Other&printable=yes&printable=yes
  [37]: /skins/common/images/poweredby_mediawiki_88x31.png
  [38]: http://www.mediawiki.org/
  [39]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [40]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [41]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"