<>

# PrefixIndex

### From GNUstepWiki	{#siteSub}

This is an index of prefixes used by different GNUstep-related libraries and frameworks.

<table>
<tr>
<th> Contents: </th>
<td>[Top][1] - [0-9][2] [A][3] [B][4] [C][5] [D][6] [E][7] [F][8] [G][9] [H][10] [I][11] [J][12] [K][13] [L][14] [M][15] [N][16] [O][17] [P][18] [Q][19] [R][20] [S][21] [T][22] [U][23] [V][24] [W][25] [X][26] [Y][27] [Z][28]</td>
</tr>
</table>
Using a prefix

All symbols exported by the framework should have the prefix. This includes class names, protocol names, global variables, functions, and defines. Deviate from this only if it's **strictly** necessary.

Picking a prefix

Prefixes should be all uppercase and at least two characters. Avoid conflicts with prefixes that are already listed here. Since there is a finite number of two character prefixes, you should only use a two character prefix if you're really going to make good use of it.

Adding to the list

Feel free to add to this list.

To avoid trouble, don't "register" too late (ie. just before releasing after spending a bunch of time developing; someone might have grabbed the prefix before you), or too early (don't want a bunch of prefixes tied up by vaporware).

Unless the project is obvious (like GNUstep itself), include a contact for the prefix, or a link that provides contact information.

If you "register" your prefix below, **please** stay in alphabetical order.

[[edit][29]]

<>

## The List

[[edit][30]]

<>

### GNUstep Core

* NS, GSÃÂ : GNUstep core/

[[edit][31]]

<>

### A

* AFÃÂ : [AgentFarms][32]

[[edit][33]]

<>

### C

* CBÃÂ : [CamelBones][34]
* CFÃÂ : [Core Foundation][35]
* CSÃÂ : [Garma][36]
* CWÃÂ : [Collaboration World][37]

[[edit][38]]

<>

### D

* DKÃÂ : [DevelopmentKit][39]
* DNSÃÂ : DNSServiceDiscovery on [OS X][40]

[[edit][41]]

<>

### F

* FOO, FOOMÃÂ : [FOO sound synthesis project][42]

[[edit][43]]

<>

### I

* IWMÃÂ : [InterfaceWM][44]

[[edit][45]]

<>

### K

* KAÃÂ : [KoAppKit][46]
* KBÃÂ : [KoBase][47]
* KCÃÂ : [KoCrypt][48]
* KFÃÂ : [KoFoundation][49]
* KNÃÂ : [KoNet][50]

[[edit][51]]

<>

### L

* LC: Lucene Port

[[edit][52]]

<>

### M

* Misc, MISCÃÂ : [MiscKit][53]

[[edit][54]]

<>

### N

* NKÃÂ : [NeuroKit][55]

[[edit][56]]

<>

### O

* OBJCÃÂ : [Objective-C runtime][57] (really objc\_)

[[edit][58]]

<>

### R

* RKÃÂ : [Maliwan][59]

[[edit][60]]

<>

### S

* STÃÂ : [StepTalk][61]

 Retrieved from "<http://wiki.gnustep.org/index.php/PrefixIndex>"

[Categories][62]: [Frameworks][63]

##### Views

* [Article][64]
* [Discussion][65]
* [Edit][66]
* [History][67]

##### Personal tools

* [Create an account or log in][68]

[][69]

##### users

* [Applications][70]
* [Guides][71]
* [FAQ][72]
* [Get Help][73]
* [Report Bugs][74]
* [Donations][75]
* [Screenshots][76]

##### developers

* [Guides][77]
* [FAQ][78]
* [Base API (Foundation)][79]
* [GUI API (AppKit)][80]
* [Frameworks][81]

##### Navigation

* [Main Page][82]
* [Community portal][83]
* [Current events][84]
* [Recent changes][85]
* [Random page][86]
* [Help][87]

##### Search

##### Toolbox

* [What links here][88]
* [Related changes][89]
* [Upload file][90]
* [Special pages][91]
* [Printable version][92]

[![MediaWiki][93]][94]

* This page was last modified 13:44, 24 October 2006.
* This page has been accessed 19,371 times.
* Content is available under [GNU General Public License][95].
* [About GNUstepWiki][96]
* [Disclaimers][97]

  [1]: #top
  [2]: #0-9
  [3]: #A
  [4]: #B
  [5]: #C
  [6]: #D
  [7]: #E
  [8]: #F
  [9]: #G
  [10]: #H
  [11]: #I
  [12]: #J
  [13]: #K
  [14]: #L
  [15]: #M
  [16]: #N
  [17]: #O
  [18]: #P
  [19]: #Q
  [20]: #R
  [21]: #S
  [22]: #T
  [23]: #U
  [24]: #V
  [25]: #W
  [26]: #X
  [27]: #Y
  [28]: #Z
  [29]: /index.php?title=PrefixIndex&action=edit&section=1 "PrefixIndex"
  [30]: /index.php?title=PrefixIndex&action=edit&section=2 "PrefixIndex"
  [31]: /index.php?title=PrefixIndex&action=edit&section=3 "PrefixIndex"
  [32]: http://www.agentfarms.net/ "http://www.agentfarms.net/"
  [33]: /index.php?title=PrefixIndex&action=edit&section=4 "PrefixIndex"
  [34]: http://camelbones.sourceforge.net/ "http://camelbones.sourceforge.net/"
  [35]: http://developer.apple.com/corefoundation/ "http://developer.apple.com/corefoundation/"
  [36]: http://home.gna.org/garma/ "http://home.gna.org/garma/"
  [37]: http://www.collaboration-world.com/ "http://www.collaboration-world.com/"
  [38]: /index.php?title=PrefixIndex&action=edit&section=5 "PrefixIndex"
  [39]: /index.php/DevelopmentKit "DevelopmentKit"
  [40]: http://developer.apple.com/documentation/Networking/Conceptual/dns_discovery_api/ "http://developer.apple.com/documentation/Networking/Conceptual/dns discovery api/"
  [41]: /index.php?title=PrefixIndex&action=edit&section=6 "PrefixIndex"
  [42]: http://foo.sourceforge.net/ "http://foo.sourceforge.net/"
  [43]: /index.php?title=PrefixIndex&action=edit&section=7 "PrefixIndex"
  [44]: http://interfacewm.sourceforge.net/ "http://interfacewm.sourceforge.net/"
  [45]: /index.php?title=PrefixIndex&action=edit&section=8 "PrefixIndex"
  [46]: /index.php/KoKit#KoAppKit "KoKit"
  [47]: /index.php/KoKit#KoBase "KoKit"
  [48]: /index.php/KoKit#KoCrypt "KoKit"
  [49]: /index.php/KoKit#KoFoundation "KoKit"
  [50]: /index.php/KoKit#KoNet "KoKit"
  [51]: /index.php?title=PrefixIndex&action=edit&section=9 "PrefixIndex"
  [52]: /index.php?title=PrefixIndex&action=edit&section=10 "PrefixIndex"
  [53]: http://www.misckit.com/ "http://www.misckit.com/"
  [54]: /index.php?title=PrefixIndex&action=edit&section=11 "PrefixIndex"
  [55]: http://neurokit.sourceforge.net/ "http://neurokit.sourceforge.net/"
  [56]: /index.php?title=PrefixIndex&action=edit&section=12 "PrefixIndex"
  [57]: http://gcc.gnu.org/ "http://gcc.gnu.org/"
  [58]: /index.php?title=PrefixIndex&action=edit&section=13 "PrefixIndex"
  [59]: http://home.gna.org/garma/maliwan/ "http://home.gna.org/garma/maliwan/"
  [60]: /index.php?title=PrefixIndex&action=edit&section=14 "PrefixIndex"
  [61]: /index.php/StepTalk "StepTalk"
  [62]: /index.php?title=Special:Categories&article=PrefixIndex "Special:Categories"
  [63]: /index.php/Category:Frameworks "Category:Frameworks"
  [64]: /index.php/PrefixIndex
  [65]: /index.php?title=Talk:PrefixIndex&action=edit
  [66]: /index.php?title=PrefixIndex&action=edit
  [67]: /index.php?title=PrefixIndex&action=history
  [68]: /index.php?title=Special:Userlogin&returnto=PrefixIndex
  [69]: /index.php/Main_Page "Main Page"
  [70]: /index.php/Category:Applications
  [71]: /index.php/User_Guides
  [72]: /index.php/User_FAQ
  [73]: /index.php/Get_Help
  [74]: /index.php/Report_Bugs
  [75]: /index.php/GNUstepWiki:Site_support
  [76]: /index.php/Screenshots
  [77]: /index.php/Developer_Guides
  [78]: /index.php/Developer_FAQ
  [79]: /index.php/Foundation
  [80]: /index.php/AppKit
  [81]: /index.php/Category:Frameworks
  [82]: /index.php/Main_Page
  [83]: /index.php/GNUstepWiki:Community_Portal
  [84]: /index.php/Current_events
  [85]: /index.php/Special:Recentchanges
  [86]: /index.php/Special:Random
  [87]: /index.php/Help:Contents
  [88]: /index.php/Special:Whatlinkshere/PrefixIndex
  [89]: /index.php/Special:Recentchangeslinked/PrefixIndex
  [90]: /index.php/Special:Upload
  [91]: /index.php/Special:Specialpages
  [92]: /index.php?title=PrefixIndex&printable=yes&printable=yes
  [93]: /skins/common/images/poweredby_mediawiki_88x31.png
  [94]: http://www.mediawiki.org/
  [95]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [96]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [97]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"