<>

# PRICE.app

### From GNUstepWiki	{#siteSub}

(Redirected from [Price.app][1])

**PRICE** (Precision Raster Image Convolution Engine)

<>

#### Current Version: [1\.3.0][2]

* Released: Jan 08, 2015
* Licensed: GPL 2.0+

<>

### Overview

PRICE is a high quality image manipulation and enhancement application and supports the image formats supported by GNUstep. It allows various manipulations like simple rotating and flipping up to edge tracing or noise reduction. Custom convolutions are supported.

<>

### Features

PRICE can be used as a simple image viewer, it treats images as documents and thus multiple images can be opened and viewed at different zoom levels. PRICE is able to perform basic image operations like rotation, mirroring, cropping and scaling. PRICE also shows information about the image that can be useful for image analysis, like histograms (in case of an RGB image the colors are stacked so to give also a clue about the brightness) as well as the modulus of the FFT and thus show the image in its frequency domain.

PRICE can work with filters based on convolutions, either entered custom, or by applying a frequency low-pass or frequency high-pass filter. These frequency filters are applied in the frequency domain using a 2D discrete Fourier transform and thus they are of very high quality but expensive in terms of computation and memory. A low pass filter is roughly a "blur" while a high-pass filter shows the edges of an image and can be used for edge enhancement. The custom convolution kernel of 5x5 may also be used for thus effects and the documentation on the website offers both numeric as visual examples.

PRICE also offers a series of manipulations in the "enhancement" category. Basic controls like brightness and contrast controls are present. A Median filter is offered for noise reduction and different options about its application are offered, which allow to customize the effect regarding both strength as its impact on the edges and corners. Edge Tracing is also offered, both in a traditional manner as in an advance features which essentially couples a median filter with the standard edge tracer and works on up to three levels. While complicated to setup, this tool is very flexible and is capable of astonishing results.

<>

### Maintainer

* [Riccardo Mottola][3]

<>

### Related Links

* [PRICE's Official Web Site][4]
* [PRICE Manual][5]

 Retrieved from "<http://wiki.gnustep.org/index.php/PRICE.app>"

[Categories][6]: [Graphics Applications][7] | [Applications][8]

##### Views

* [Article][9]
* [Discussion][10]
* [Edit][11]
* [History][12]

##### Personal tools

* [Create an account or log in][13]

[][14]

##### users

* [Applications][15]
* [Guides][16]
* [FAQ][17]
* [Get Help][18]
* [Report Bugs][19]
* [Donations][20]
* [Screenshots][21]

##### developers

* [Guides][22]
* [FAQ][23]
* [Base API (Foundation)][24]
* [GUI API (AppKit)][25]
* [Frameworks][26]

##### Navigation

* [Main Page][27]
* [Community portal][28]
* [Current events][29]
* [Recent changes][30]
* [Random page][31]
* [Help][32]

##### Search

##### Toolbox

* [What links here][33]
* [Related changes][34]
* [Upload file][35]
* [Special pages][36]
* [Printable version][37]

[![MediaWiki][38]][39]

* This page was last modified 09:19, 11 January 2015.
* This page has been accessed 43,373 times.
* Content is available under [GNU General Public License][40].
* [About GNUstepWiki][41]
* [Disclaimers][42]

  [1]: /index.php?title=Price.app&redirect=no "Price.app"
  [2]: http://sourceforge.net/projects/price/files/1.3.0/PRICE-1.3.0.tar.gz/download "http://sourceforge.net/projects/price/files/1.3.0/PRICE-1.3.0.tar.gz/download"
  [3]: mailto:rmottola@users.sourceforge.net "mailto:rmottola@users.sourceforge.net"
  [4]: http://price.sourceforge.net/ "http://price.sourceforge.net/"
  [5]: http://price.sourceforge.net/manual/index.html "http://price.sourceforge.net/manual/index.html"
  [6]: /index.php?title=Special:Categories&article=PRICE.app "Special:Categories"
  [7]: /index.php/Category:Graphics_Applications "Category:Graphics Applications"
  [8]: /index.php/Category:Applications "Category:Applications"
  [9]: /index.php/PRICE.app
  [10]: /index.php/Talk:PRICE.app
  [11]: /index.php?title=PRICE.app&action=edit
  [12]: /index.php?title=PRICE.app&action=history
  [13]: /index.php?title=Special:Userlogin&returnto=PRICE.app
  [14]: /index.php/Main_Page "Main Page"
  [15]: /index.php/Category:Applications
  [16]: /index.php/User_Guides
  [17]: /index.php/User_FAQ
  [18]: /index.php/Get_Help
  [19]: /index.php/Report_Bugs
  [20]: /index.php/GNUstepWiki:Site_support
  [21]: /index.php/Screenshots
  [22]: /index.php/Developer_Guides
  [23]: /index.php/Developer_FAQ
  [24]: /index.php/Foundation
  [25]: /index.php/AppKit
  [26]: /index.php/Category:Frameworks
  [27]: /index.php/Main_Page
  [28]: /index.php/GNUstepWiki:Community_Portal
  [29]: /index.php/Current_events
  [30]: /index.php/Special:Recentchanges
  [31]: /index.php/Special:Random
  [32]: /index.php/Help:Contents
  [33]: /index.php/Special:Whatlinkshere/PRICE.app
  [34]: /index.php/Special:Recentchangeslinked/PRICE.app
  [35]: /index.php/Special:Upload
  [36]: /index.php/Special:Specialpages
  [37]: /index.php?title=PRICE.app&printable=yes&printable=yes
  [38]: /skins/common/images/poweredby_mediawiki_88x31.png
  [39]: http://www.mediawiki.org/
  [40]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [41]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [42]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"