<>

# Developer Guides

### From GNUstepWiki	{#siteSub}

(Redirected from [Programming topics][1])

This page is intended as a collection of guides for developers.

<table>
<tr>
<td>
## Contents
* [1 Introductory Articles on GNUstep Development][2]
  * [1\.1 Installation][3]
  * [1\.2 GNUstep Libraries and Tools][4]
  * [1\.3 GNUstep Base Programming Manual][5]
  * [1\.4 GNUStep Macros][6]
  * [1\.5 (GUI) Programming under GNUstep][7]
  * [1\.6 Writing Makefiles][8]
  * [1\.7 Sample GNUstep Programs][9]
* [2 General][10]
  * [2\.1 Coding for Portability][11]
  * [2\.2 Using Property Lists][12]
  * [2\.3 Deployment on Windows][13]
  * [2\.4 Translating GNUstep][14]
  * [2\.5 Contributing to GNUstep core libraries][15]
* [3 Graphical Applications][16]
  * [3\.1 Simple Graphical Application Design][17]
  * [3\.2 Document-based Application Design][18]
* [4 Web Applications][19]
* [5 Other Information][20]
  * [5\.1 Developer sites][21]
</td>
</tr>
</table>

[[edit][22]]

<>

## Introductory Articles on GNUstep Development

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][23]</th>
</tr>
</table>

<br />

[[edit][24]]

<>

### [Installation][25]

How to get started using GNUStep, because it is not immediately obvious, and we appologize for that.

[[edit][26]]

<>

### [GNUstep Libraries and Tools][27]

A general overview of GNUstep.

[[edit][28]]

<>

### [GNUstep Base Programming Manual][29]

The aim of this manual is to introduce you to the Objective-C language and the GNUstep development environment, in particular the Base library. The manual is organised to give you a tutorial introduction to the language and APIs, by using examples whenever possible, rather than providing a lengthy abstract description.

While Objective-C is not a difficult language to learn or use, some of the terms may be unfamiliar, especially to those that have not programmed using an object-oriented programming language before. Whenever possible, concepts will be explained in simple terms rather than in more advanced programming terms, and comparisons to other languages will be used to aid in illustration.

[[edit][30]]

<>

### [GNUStep Macros][31]

See a define, but don't know what it's for, you are not alone. See this article for a reference to various macros, or otherwise unusual language extensions that you may see when reading the GNUStep Code.

[[edit][32]]

<>

### [(GUI) Programming under GNUstep][33]

This tutorial will introduce you to the [AppKit][34] classes and how to use [Gorm][35] to create graphical interfaces.

[[edit][36]]

<>

### [Writing Makefiles][37]

The Makefile package is a system of make commands that is designed to encapsulate all the complex details of building and installing various types of projects from libraries to applications to documentation. This frees the developer to focus on the details of their particular project. Only a fairly simple main makefile need to be written which specifies the type of project and files involved in the project.

[[edit][38]]

<>

### Sample GNUstep Programs

This isn't really an article but rather a collection of small "codified guides" for the pragmatic programmer who wants to explore GNUstep by looking at and messing around with example code. This is best done while reading about basic concepts of OpenStep or Cocoa with the API documentation ([Foundation][39], [AppKit][40]) open in the background. Get the gnustep-examples package from [here][41]

[[edit][42]]

<>

## General

[[edit][43]]

<>

### [Coding for Portability][44]

Writing code that will compile and then run on different platforms can be surprisingly easy. This guide describes some straight-forward steps to take to make your program easy to port to new platforms.

[[edit][45]]

<>

### [Using Property Lists][46]

A regular issue that programmers face is storing structured configuration information, and reading it back. GNUstep has a standard mechanism that can be used for this task, amongst others: Property Lists.

[[edit][47]]

<>

### [Deployment on Windows][48]

This article will tell you how to deploy GNUstep applications on Windows.

[[edit][49]]

<>

### [Translating GNUstep][50]

Translation of GNUstep applications involves a number of steps, including translation of GNUstep Base and GNUstep GUI.

[[edit][51]]

<>

### [Contributing to GNUstep core libraries][52]

Contributing to the core libraries is what everyone loves you for the most ... but it's quite a step to go from simple bug fixes/patches to major new code contributions. Follow the link above to see how.

When you read the information on [Contributing to GNUstep core libraries][53], please keep in mind that while it was written primarily form the point of view of contributing code to the gnustep-base library, the principles all apply to the gnustep-gui library (and other library code too). Also, a lot of the information is also relevant to contributions to application/tool code, not just library code.

[[edit][54]]

<>

## Graphical Applications

[[edit][55]]

<>

### Simple Graphical Application Design

GNUstep includes several sophisticated development tools. GNUstep GUI interfaces are designed using [Gorm][56] (Graphical Object Relationship Modeler), an elegant application developed by Gregory Casamento. (See his [blog][57] for the latest news on GORM.) There are two proto-IDEs, [ProjectCenter][58] and [ProjectManager][59].

There are several introductory tutorials for using these development tools. The first [tutorial][60] by Pierre-Yves Rivaille is a classic demonstrating the process used to create the ubiquitous currency converter application. A second [tutorial][61] by Yen-Ju Chen is somewhat more in-depth and extensive.

Nicolas Roard created a [video][62] demonstrating the process of developing a simple calculator, and another [video][63] here by SaÃÂ¡o Kiselkov if you feel the need to create another currency converter.

[[edit][64]]

<>

### [Document-based Application Design][65]

One of the most common use-patterns of applications on modern platforms is that of document-based applications --- applications which can have several active user-controlled contexts. Some familar examples might be a word processor where the user may have multiple document windows concurrently, or a web browser which allows a user to have a number of different browser windows open at the same time. This guide provides information and tips on how to code this style of application.

<br />

[[edit][66]]

<>

## Web Applications

Please have a look at [Creating A Simple GSWeb Application][67] to learn how to create a [GNUstep Web][68] application.

[[edit][69]]

<>

## Other Information

[[edit][70]]

<>

### Developer sites

* [GNUstep HelpCenter][71]

 Retrieved from "[http://wiki.gnustep.org/index.php/Developer\_Guides][72]"

[Categories][73]: [Stub][74] | [Development][75]

##### Views

* [Article][76]
* [Discussion][77]
* [Edit][78]
* [History][79]

##### Personal tools

* [Create an account or log in][80]

[][81]

##### users

* [Applications][82]
* [Guides][83]
* [FAQ][84]
* [Get Help][85]
* [Report Bugs][86]
* [Donations][87]
* [Screenshots][88]

##### developers

* [Guides][89]
* [FAQ][90]
* [Base API (Foundation)][91]
* [GUI API (AppKit)][92]
* [Frameworks][93]

##### Navigation

* [Main Page][94]
* [Community portal][95]
* [Current events][96]
* [Recent changes][97]
* [Random page][98]
* [Help][99]

##### Search

##### Toolbox

* [What links here][100]
* [Related changes][101]
* [Upload file][102]
* [Special pages][103]
* [Printable version][104]

[![MediaWiki][105]][106]

* This page was last modified 21:29, 9 December 2013.
* This page has been accessed 132,927 times.
* Content is available under [GNU General Public License][107].
* [About GNUstepWiki][108]
* [Disclaimers][109]

  [1]: /index.php?title=Programming_topics&redirect=no "Programming topics"
  [2]: #Introductory_Articles_on_GNUstep_Development
  [3]: #Installation
  [4]: #GNUstep_Libraries_and_Tools
  [5]: #GNUstep_Base_Programming_Manual
  [6]: #GNUStep_Macros
  [7]: #.28GUI.29_Programming_under_GNUstep
  [8]: #Writing_Makefiles
  [9]: #Sample_GNUstep_Programs
  [10]: #General
  [11]: #Coding_for_Portability
  [12]: #Using_Property_Lists
  [13]: #Deployment_on_Windows
  [14]: #Translating_GNUstep
  [15]: #Contributing_to_GNUstep_core_libraries
  [16]: #Graphical_Applications
  [17]: #Simple_Graphical_Application_Design
  [18]: #Document-based_Application_Design
  [19]: #Web_Applications
  [20]: #Other_Information
  [21]: #Developer_sites
  [22]: /index.php?title=Developer_Guides&action=edit&section=1 "Developer Guides"
  [23]: http://wiki.gnustep.org/index.php?title=Developer_Guides&action=edit "http://wiki.gnustep.org/index.php?title=Developer Guides&action=edit"
  [24]: /index.php?title=Developer_Guides&action=edit&section=2 "Developer Guides"
  [25]: /index.php/Installation "Installation"
  [26]: /index.php?title=Developer_Guides&action=edit&section=3 "Developer Guides"
  [27]: /index.php/GNUstep_Suite "GNUstep Suite"
  [28]: /index.php?title=Developer_Guides&action=edit&section=4 "Developer Guides"
  [29]: http://www.gnustep.org/resources/documentation/Developer/Base/ProgrammingManual/manual_toc.html "http://www.gnustep.org/resources/documentation/Developer/Base/ProgrammingManual/manual toc.html"
  [30]: /index.php?title=Developer_Guides&action=edit&section=5 "Developer Guides"
  [31]: /index.php/GNUStep_Macros "GNUStep Macros"
  [32]: /index.php?title=Developer_Guides&action=edit&section=6 "Developer Guides"
  [33]: http://www.roard.com/docs/lmf2.article/en.html "http://www.roard.com/docs/lmf2.article/en.html"
  [34]: /index.php/AppKit "AppKit"
  [35]: /index.php/Gorm "Gorm"
  [36]: /index.php?title=Developer_Guides&action=edit&section=7 "Developer Guides"
  [37]: /index.php/Writing_Makefiles "Writing Makefiles"
  [38]: /index.php?title=Developer_Guides&action=edit&section=8 "Developer Guides"
  [39]: /index.php/Foundation "Foundation"
  [40]: /index.php/AppKit "AppKit"
  [41]: ftp://ftp.gnustep.org/pub/gnustep/core/ "ftp://ftp.gnustep.org/pub/gnustep/core/"
  [42]: /index.php?title=Developer_Guides&action=edit&section=9 "Developer Guides"
  [43]: /index.php?title=Developer_Guides&action=edit&section=10 "Developer Guides"
  [44]: /index.php/Writing_portable_code "Writing portable code"
  [45]: /index.php?title=Developer_Guides&action=edit&section=11 "Developer Guides"
  [46]: /index.php/Property_Lists "Property Lists"
  [47]: /index.php?title=Developer_Guides&action=edit&section=12 "Developer Guides"
  [48]: /index.php/Deployment_on_Windows "Deployment on Windows"
  [49]: /index.php?title=Developer_Guides&action=edit&section=13 "Developer Guides"
  [50]: /index.php/Adding_a_new_Natural_Language_to_GNUstep "Adding a new Natural Language to GNUstep"
  [51]: /index.php?title=Developer_Guides&action=edit&section=14 "Developer Guides"
  [52]: /index.php/Contributing_to_GNUstep_core_libraries "Contributing to GNUstep core libraries"
  [53]: /index.php/Contributing_to_GNUstep_core_libraries "Contributing to GNUstep core libraries"
  [54]: /index.php?title=Developer_Guides&action=edit&section=15 "Developer Guides"
  [55]: /index.php?title=Developer_Guides&action=edit&section=16 "Developer Guides"
  [56]: /index.php/Gorm "Gorm"
  [57]: http://heronsperch.blogspot.com/ "http://heronsperch.blogspot.com/"
  [58]: /index.php/ProjectCenter "ProjectCenter"
  [59]: /index.php/ProjectManager "ProjectManager"
  [60]: http://www.gnustep.it/pierre-yves/index.html "http://www.gnustep.it/pierre-yves/index.html"
  [61]: http://www.nongnu.org/gstutorial/ "http://www.nongnu.org/gstutorial/"
  [62]: http://gnustep.org/experience/DevelopmentDemonstration.html "http://gnustep.org/experience/DevelopmentDemonstration.html"
  [63]: http://home.gna.org/pmanager/videos.html "http://home.gna.org/pmanager/videos.html"
  [64]: /index.php?title=Developer_Guides&action=edit&section=17 "Developer Guides"
  [65]: /index.php/Document_based_applications "Document based applications"
  [66]: /index.php?title=Developer_Guides&action=edit&section=18 "Developer Guides"
  [67]: /index.php/Creating_A_Simple_GSWeb_Application "Creating A Simple GSWeb Application"
  [68]: /index.php/GNUstepWeb "GNUstepWeb"
  [69]: /index.php?title=Developer_Guides&action=edit&section=19 "Developer Guides"
  [70]: /index.php?title=Developer_Guides&action=edit&section=20 "Developer Guides"
  [71]: http://www.roard.com/docs/ "http://www.roard.com/docs/"
  [72]: http://wiki.gnustep.org/index.php/Developer_Guides
  [73]: /index.php?title=Special:Categories&article=Developer_Guides "Special:Categories"
  [74]: /index.php/Category:Stub "Category:Stub"
  [75]: /index.php/Category:Development "Category:Development"
  [76]: /index.php/Developer_Guides
  [77]: /index.php/Talk:Developer_Guides
  [78]: /index.php?title=Developer_Guides&action=edit
  [79]: /index.php?title=Developer_Guides&action=history
  [80]: /index.php?title=Special:Userlogin&returnto=Developer_Guides
  [81]: /index.php/Main_Page "Main Page"
  [82]: /index.php/Category:Applications
  [83]: /index.php/User_Guides
  [84]: /index.php/User_FAQ
  [85]: /index.php/Get_Help
  [86]: /index.php/Report_Bugs
  [87]: /index.php/GNUstepWiki:Site_support
  [88]: /index.php/Screenshots
  [89]: /index.php/Developer_Guides
  [90]: /index.php/Developer_FAQ
  [91]: /index.php/Foundation
  [92]: /index.php/AppKit
  [93]: /index.php/Category:Frameworks
  [94]: /index.php/Main_Page
  [95]: /index.php/GNUstepWiki:Community_Portal
  [96]: /index.php/Current_events
  [97]: /index.php/Special:Recentchanges
  [98]: /index.php/Special:Random
  [99]: /index.php/Help:Contents
  [100]: /index.php/Special:Whatlinkshere/Developer_Guides
  [101]: /index.php/Special:Recentchangeslinked/Developer_Guides
  [102]: /index.php/Special:Upload
  [103]: /index.php/Special:Specialpages
  [104]: /index.php?title=Developer_Guides&printable=yes&printable=yes
  [105]: /skins/common/images/poweredby_mediawiki_88x31.png
  [106]: http://www.mediawiki.org/
  [107]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [108]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [109]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"