<>

# ProjectCenter FAQ

### From GNUstepWiki	{#siteSub}

<br />

<table>
<tr>
<td>
## Contents
* [1 General Information][1]
  * [1\.1 What is ProjectCenter, aka PC?][2]
  * [1\.2 On what architecture does it run?][3]
  * [1\.3 Where will it be released?][4]
  * [1\.4 Is there a website for ProjectCenter?][5]
  * [1\.5 Is there a mailing list for ProjectCenter?][6]
  * [1\.6 What is ProjectCenter's copyright?][7]
  * [1\.7 How can I help?][8]
* [2 Development][9]
  * [2\.1 What languages are supported?][10]
  * [2\.2 What libraries can I use?][11]
  * [2\.3 Do I need the GNUstep makefile package?][12]
  * [2\.4 Do I have to install GTK+ or QT to use it?][13]
  * [2\.5 Can I use a different editor?][14]
* [3 The ProjectCenter Team][15]
  * [3\.1 Who is currently involved in writing code?][16]
  * [3\.2 Who else is currently involved in this project?][17]
</td>
</tr>
</table>

[[edit][18]]

<>

## General Information

[[edit][19]]

<>

### What is ProjectCenter, aka PC?

ProjectCenter is the GNUstep counterpart to NeXT's ProjectBuilder. The project is not finished yet - and won't be for a long time - but is already usable for real world projects. It is designed towards an extendibility and as much as programmer's freedom as possible! The ProjectCenter will hopefully consist of the following capabilities somewhen in the midterm future:

* _Project management_

This includes versioning control, automatic makefile generation, file management etc.

* _Source code editing facilities_

A built-in editor will be available in a future release. This has not main priority, though.

* _Debugging facilities_

A built-in debugger will be added to ProjectCenter as soon as possible!

* _Documentation automation help_

Automatic documentation generation using autogsdoc or another tool will be introduced later.

* _UML-based case tool_

This is very far away from now...

[[edit][20]]

<>

### On what architecture does it run?

ProjectCenter runs on all GNUstep based systems. Among them are GNU/Linux, FreeBSD and other unices. There are plans to port it to Mac OS X in the midterm future.

[[edit][21]]

<>

### Where will it be released?

Sources and documentation are released on the website mentioned below.

[[edit][22]]

<>

### Is there a website for ProjectCenter?

Yes, go to [ProjectCenter][23].

[[edit][24]]

<>

### Is there a mailing list for ProjectCenter?

No, but you can mail us if you have some questions. Please write the mails to one of the developers or to the [ GNUstep mailing lists][25].

[[edit][26]]

<>

### What is ProjectCenter's copyright?

ProjectCenter is released under the GNU GPL. More information about this license can be found at the [FSF home][27].

[[edit][28]]

<>

### How can I help?

If you have a specific piece of functionality that you would like to contribute, or if you would like to ask for suggestions about what coding work you can do to help, contact the [ProjectCenter team][29]!

<br />

[[edit][30]]

<>

## Development

[[edit][31]]

<>

### What languages are supported?

Since ProjectCenter is designed for GNUstep, Objective C is the language of choice. It should also be possible to use it for plain C applications without GNUstep, since the GNU makefile package supports this as well. For more information about Objective C, see the link section.

[[edit][32]]

<>

### What libraries can I use?

GNUstep is the environment for which ProjectCenter is designed. It may work elsewhere, such as under OS X, but this has not been tested.

[[edit][33]]

<>

### Do I need the GNUstep makefile package?

Yes, if you want to develop for GNUstep! GNUstep itself, as well as ProjectCenter, is based on this makefile package! You may download it from our download page.

[[edit][34]]

<>

### Do I have to install GTK+ or QT to use it?

No. ProjectCenter is based on the much more powerful OpenStep API, specified by NeXT Software Inc. (Now Apple Computer Corp.) and Sun Microsystems.

[[edit][35]]

<>

### Can I use a different editor?

Yes, and you should because let's face it, PC's built-in text editor is lacking features many programmers have come to expect in an IDE such as 'syntax highlighting' and 'auto indentation'. After all, PC's focus is to manage a project and not edit source files.

**General Strategy**

First one must tell PC which command invokes the custom text editor. Navigate to the _PC &gt; Info &gt; Preferences_ Menu. When the window appears, change the pulldown to _Miscellaneous_. There you'll find the _Editor_ preference, which by default is set to 'ProjectCenter'. Change this value to reflect the location of a custom editor. **Emacs**In short, tell emacs to start a server on startup that allows it to share editing contexts.

* First add the line '(server-start)' to your ~/.emacs file. You may skip this but you'll have to manually issue this command everytime you start emacs. Below is an example of how to do this using the shell.

	 echo '(server-start)' &gt;&gt; ~/.emacs

* Launch Emacs. Checking the \*messages\* buffer should show that the server has started.
* Set the _Editor Preference_ in PC to the location of your \`emacsclient\` (see General Strategy above) and tell it to not wait around for the buffer to exit.

	 /usr/bin/emacsclient -n

* Click a file in PC and it should appear in the buffer in your emacs client.

Again, make sure that emacs is running before you open the file in PC. \`emacsclient\` doesn't have the ability to create a new emacs server, only connect to an existing one. It's done this way versus using plain old \`emacs\` to prevent multiple instances of 'foo.h' being open. **Nano**Possible values for _Editor_ in the _Preferences_ window. Be sure to prefix with the location of \`nc\`.

	 nc  --noask

_On Debian_ÃÂ :

	 nedit-nc --noask

[[edit][36]]

<>

## The ProjectCenter Team

[[edit][37]]

<>

### Who is currently involved in writing code?

* **Serg Stoyan** is the main author and responsible for the ProjectCenter design
* **Philippe C.D. Robert** was the previous author and maintainer
* **Adam Fedor contributed** Makefile patches
* **Pierre-Yves Rivaille** contributed the Gorm project type
* **Nicola Pero** contributed some patches and code cleanup

[[edit][38]]

<>

### Who else is currently involved in this project?

* **Andrew Lindesay** is the creator of many of the great icons
* **Philippe C.D. Robert** also created some icons

 Retrieved from "[http://wiki.gnustep.org/index.php/ProjectCenter\_FAQ][39]"

[Categories][40]: [FAQ][41]

##### Views

* [Article][42]
* [Discussion][43]
* [Edit][44]
* [History][45]

##### Personal tools

* [Create an account or log in][46]

[][47]

##### users

* [Applications][48]
* [Guides][49]
* [FAQ][50]
* [Get Help][51]
* [Report Bugs][52]
* [Donations][53]
* [Screenshots][54]

##### developers

* [Guides][55]
* [FAQ][56]
* [Base API (Foundation)][57]
* [GUI API (AppKit)][58]
* [Frameworks][59]

##### Navigation

* [Main Page][60]
* [Community portal][61]
* [Current events][62]
* [Recent changes][63]
* [Random page][64]
* [Help][65]

##### Search

##### Toolbox

* [What links here][66]
* [Related changes][67]
* [Upload file][68]
* [Special pages][69]
* [Printable version][70]

[![MediaWiki][71]][72]

* This page was last modified 16:55, 22 October 2007.
* This page has been accessed 29,022 times.
* Content is available under [GNU General Public License][73].
* [About GNUstepWiki][74]
* [Disclaimers][75]

  [1]: #General_Information
  [2]: #What_is_ProjectCenter.2C_aka_PC.3F
  [3]: #On_what_architecture_does_it_run.3F
  [4]: #Where_will_it_be_released.3F
  [5]: #Is_there_a_website_for_ProjectCenter.3F
  [6]: #Is_there_a_mailing_list_for_ProjectCenter.3F
  [7]: #What_is_ProjectCenter.27s_copyright.3F
  [8]: #How_can_I_help.3F
  [9]: #Development
  [10]: #What_languages_are_supported.3F
  [11]: #What_libraries_can_I_use.3F
  [12]: #Do_I_need_the_GNUstep_makefile_package.3F
  [13]: #Do_I_have_to_install_GTK.2B_or_QT_to_use_it.3F
  [14]: #Can_I_use_a_different_editor.3F
  [15]: #The_ProjectCenter_Team
  [16]: #Who_is_currently_involved_in_writing_code.3F
  [17]: #Who_else_is_currently_involved_in_this_project.3F
  [18]: /index.php?title=ProjectCenter_FAQ&action=edit&section=1 "ProjectCenter FAQ"
  [19]: /index.php?title=ProjectCenter_FAQ&action=edit&section=2 "ProjectCenter FAQ"
  [20]: /index.php?title=ProjectCenter_FAQ&action=edit&section=3 "ProjectCenter FAQ"
  [21]: /index.php?title=ProjectCenter_FAQ&action=edit&section=4 "ProjectCenter FAQ"
  [22]: /index.php?title=ProjectCenter_FAQ&action=edit&section=5 "ProjectCenter FAQ"
  [23]: /index.php/ProjectCenter "ProjectCenter"
  [24]: /index.php?title=ProjectCenter_FAQ&action=edit&section=6 "ProjectCenter FAQ"
  [25]: /index.php/Get_Help "Get Help"
  [26]: /index.php?title=ProjectCenter_FAQ&action=edit&section=7 "ProjectCenter FAQ"
  [27]: http://www.fsf.org "http://www.fsf.org"
  [28]: /index.php?title=ProjectCenter_FAQ&action=edit&section=8 "ProjectCenter FAQ"
  [29]: mailto:discuss-gnustep@gnu.org "mailto:discuss-gnustep@gnu.org"
  [30]: /index.php?title=ProjectCenter_FAQ&action=edit&section=9 "ProjectCenter FAQ"
  [31]: /index.php?title=ProjectCenter_FAQ&action=edit&section=10 "ProjectCenter FAQ"
  [32]: /index.php?title=ProjectCenter_FAQ&action=edit&section=11 "ProjectCenter FAQ"
  [33]: /index.php?title=ProjectCenter_FAQ&action=edit&section=12 "ProjectCenter FAQ"
  [34]: /index.php?title=ProjectCenter_FAQ&action=edit&section=13 "ProjectCenter FAQ"
  [35]: /index.php?title=ProjectCenter_FAQ&action=edit&section=14 "ProjectCenter FAQ"
  [36]: /index.php?title=ProjectCenter_FAQ&action=edit&section=15 "ProjectCenter FAQ"
  [37]: /index.php?title=ProjectCenter_FAQ&action=edit&section=16 "ProjectCenter FAQ"
  [38]: /index.php?title=ProjectCenter_FAQ&action=edit&section=17 "ProjectCenter FAQ"
  [39]: http://wiki.gnustep.org/index.php/ProjectCenter_FAQ
  [40]: /index.php?title=Special:Categories&article=ProjectCenter_FAQ "Special:Categories"
  [41]: /index.php/Category:FAQ "Category:FAQ"
  [42]: /index.php/ProjectCenter_FAQ
  [43]: /index.php?title=Talk:ProjectCenter_FAQ&action=edit
  [44]: /index.php?title=ProjectCenter_FAQ&action=edit
  [45]: /index.php?title=ProjectCenter_FAQ&action=history
  [46]: /index.php?title=Special:Userlogin&returnto=ProjectCenter_FAQ
  [47]: /index.php/Main_Page "Main Page"
  [48]: /index.php/Category:Applications
  [49]: /index.php/User_Guides
  [50]: /index.php/User_FAQ
  [51]: /index.php/Get_Help
  [52]: /index.php/Report_Bugs
  [53]: /index.php/GNUstepWiki:Site_support
  [54]: /index.php/Screenshots
  [55]: /index.php/Developer_Guides
  [56]: /index.php/Developer_FAQ
  [57]: /index.php/Foundation
  [58]: /index.php/AppKit
  [59]: /index.php/Category:Frameworks
  [60]: /index.php/Main_Page
  [61]: /index.php/GNUstepWiki:Community_Portal
  [62]: /index.php/Current_events
  [63]: /index.php/Special:Recentchanges
  [64]: /index.php/Special:Random
  [65]: /index.php/Help:Contents
  [66]: /index.php/Special:Whatlinkshere/ProjectCenter_FAQ
  [67]: /index.php/Special:Recentchangeslinked/ProjectCenter_FAQ
  [68]: /index.php/Special:Upload
  [69]: /index.php/Special:Specialpages
  [70]: /index.php?title=ProjectCenter_FAQ&printable=yes&printable=yes
  [71]: /skins/common/images/poweredby_mediawiki_88x31.png
  [72]: http://www.mediawiki.org/
  [73]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [74]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [75]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"