<>

# QuantumSTEP vs iPhoneSDK

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

# Some definitions

* [[mySTEP][2]] is the GNUstep based GUI toolkit (i.e. frameworks) extended by QuantumSTEP (which adds an application suite e.g. for address book, calendar, mail, etc.) to develop applications for Linux/X11 based handheld devices (i.e. Sharp Zaurus, OpenMoko Phone)
* iPhone SDK is the Apple SDK to develop native applications for the iPhone and the iPod Touch

[[edit][3]]

<>

# Comparison

<table>
<tr>
<th></th>
<th> QuantumSTEP </th>
<th> iPhone SDK </th>
</tr>
<tr>
<td> Availability </td>
<td> continuous progress since 2003 (mySTEP) </td>
<td> beta now, final June 2008 </td>
</tr>
<tr>
<td> Frameworks </td>
<td> Foundation, full AppKit, Small WebKit, PDFKit, IOBluetooth, X11 (Render), SQLite </td>
<td> (Core) Foundation, UIKit, WebKit, Core Audio, Core Animation, OpenAL, OpenGL, SQLite </td>
</tr>
<tr>
<td> SDK cost </td>
<td> free (cross-gcc, etc.) </td>
<td> free (by registration only) </td>
</tr>
<tr>
<td> Simulator </td>
<td> not required (100% same source code) </td>
<td> included (since Apps don't run natively on a Mac) </td>
</tr>
<tr>
<td> Development Systems </td>
<td> Mac: Xcode 2.4 or later, Interface Builder, Xtoolchain
Linux: Project Center, GORM coming
</td>
<td> Intel Mac: Xcode 3.1, (Interface Builder coming)
Linux: no
</td>
</tr>
<tr>
<td> Minimum gcc </td>
<td> 2.95.3 (with Obj-C 1.0) </td>
<td> 4.x (with Obj-C 2.0) </td>
</tr>
<tr>
<td> Distribution of your App </td>
<td> free and open as you like and need </td>
<td> only through Ã¢ÂÂApp StoreÃ¢ÂÂ at 99$-299$/year + revenue sharing </td>
</tr>
<tr>
<td> Developer Program </td>
<td> none, but www.gnustep.org </td>
<td> appears to be initially limited and US only </td>
</tr>
<tr>
<td> Devices </td>
<td> Sharp Zaurus, OpenMoko, Acer n30, more to come </td>
<td> iPhone, iPod Touch, (more to expect, e.g. Tablet?) </td>
</tr>
<tr>
<td> GUI-Design </td>
<td> Interface Builder </td>
<td> by Code (IB coming) </td>
</tr>
<tr>
<td> License </td>
<td> LGPL </td>
<td> NDA </td>
</tr>
<tr>
<td> Restrictions </td>
<td> none imposed by project </td>
<td> type of applications is restricted (i.e. no download of other executables) </td>
</tr>
<tr>
<td> Addressable Deployments (E2008) </td>
<td> 10k ... 1 Mio (estimated range of OpenMoko or other devices with Linux/X11 capable of using mySTEP) </td>
<td> ca. 10 Mio </td>
</tr>
<tr>
<td> Backed by </td>
<td> FSF GNUstep project, quantum-step.com </td>
<td> Apple </td>
</tr>
<tr>
<td> Portability </td>
<td> Source can be (re)used on Mac, Linux, Windows </td>
<td> needs complete GUI rewrite of existing applications, even if Cocoa based </td>
</tr>
</table>

 Retrieved from "[http://wiki.gnustep.org/index.php/QuantumSTEP\_vs\_iPhoneSDK][4]"

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 16:19, 7 March 2008.
* This page has been accessed 19,959 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: /index.php?title=QuantumSTEP_vs_iPhoneSDK&action=edit&section=1 "QuantumSTEP vs iPhoneSDK"
  [2]: http://www.quantum-step.com/wiki.php?page=mySTEP "http://www.quantum-step.com/wiki.php?page=mySTEP"
  [3]: /index.php?title=QuantumSTEP_vs_iPhoneSDK&action=edit&section=2 "QuantumSTEP vs iPhoneSDK"
  [4]: http://wiki.gnustep.org/index.php/QuantumSTEP_vs_iPhoneSDK
  [5]: /index.php/QuantumSTEP_vs_iPhoneSDK
  [6]: /index.php?title=Talk:QuantumSTEP_vs_iPhoneSDK&action=edit
  [7]: /index.php?title=QuantumSTEP_vs_iPhoneSDK&action=edit
  [8]: /index.php?title=QuantumSTEP_vs_iPhoneSDK&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=QuantumSTEP_vs_iPhoneSDK
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/QuantumSTEP_vs_iPhoneSDK
  [30]: /index.php/Special:Recentchangeslinked/QuantumSTEP_vs_iPhoneSDK
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=QuantumSTEP_vs_iPhoneSDK&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"