<>

# RIGS

### From GNUstepWiki	{#siteSub}

RIGS stands for "Ruby Interface to GNUstep" and is library that allows programmers to develop GNUstep applications using the remarkable Ruby language.

<>

#### Current Version: [0\.2.2][1]

* Released: Feb 24, 2005
* Licensed: LGPL / GPL

<>

### Overview

Ruby is a remarkably well designed OO scripting language written by Yukihiro Matsumoto (a.k.a. Matz). Ruby has taken the best of many modern languages (Perl regexp, Eiffel syntax, SmallTalk pure OO approach, Objective C categories and protocols) and put them together. The result is a fast and lightweight interpreted scripting language for quick and easy object-oriented programming.

<>

### Features

There are a number of features in RIGS that makes programmers life easier: Ruby strings are automatically mapped on GNUstep strings and vice-versa. The same applies for Ruby numbers and Objective C NSNumbers.

Another interesting feature that is worth mentionning is that RIGS is entirely dynamic. It means that RIGS interact with the Objective C runtime to automatically discover the classes and methods available in the version of GNUstep base and gui libraries installed on your machine. So there is no need to recompile RIGS each time a GNUstep method has been modified. Similarly you can require your own Objective C libraries on the fly in Ruby and immediately get all the classes/methods available.

<>

### Maintainer

* [Laurent Julliard][2]

<>

### Related Links

* [Official Page][3]
* [The Ruby Language][4]
* [Introduction to Ruby][5]
* [Programming Ruby][6]

 Retrieved from "<http://wiki.gnustep.org/index.php/RIGS>"

[Categories][7]: [Scripting Frameworks][8] | [Frameworks][9]

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 14:33, 16 January 2009.
* This page has been accessed 12,802 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: ftp://ftp.gnustep.org/pub/gnustep/libs/rigs-0.2.2.tar.gz "ftp://ftp.gnustep.org/pub/gnustep/libs/rigs-0.2.2.tar.gz"
  [2]: mailto:laurent@moldus.org "mailto:laurent@moldus.org"
  [3]: http://www.gnustep.org/experience/RIGS.html "http://www.gnustep.org/experience/RIGS.html"
  [4]: http://www.ruby-lang.org/ "http://www.ruby-lang.org/"
  [5]: http://www.pragmaticprogrammer.com/talks/introruby/introruby.htm "http://www.pragmaticprogrammer.com/talks/introruby/introruby.htm"
  [6]: http://www.pragmaticprogrammer.com/ruby/downloads/book.html "http://www.pragmaticprogrammer.com/ruby/downloads/book.html"
  [7]: /index.php?title=Special:Categories&article=RIGS "Special:Categories"
  [8]: /index.php/Category:Scripting_Frameworks "Category:Scripting Frameworks"
  [9]: /index.php/Category:Frameworks "Category:Frameworks"
  [10]: /index.php/RIGS
  [11]: /index.php?title=Talk:RIGS&action=edit
  [12]: /index.php?title=RIGS&action=edit
  [13]: /index.php?title=RIGS&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=RIGS
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/RIGS
  [35]: /index.php/Special:Recentchangeslinked/RIGS
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=RIGS&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"