<>

# Release Checklist

### From GNUstepWiki	{#siteSub}

This checklist details each step which needs to be taken in order to prepare a new version of apps and libs in the GNUstep repository for release.

_Special thanks to Larry Coleman, who sent me an e-mail asking what the release criteria was, so he could do his first release of RIGS (he's the new maintainer). He gave me the final impetus to type up this document which I'd been intending to do for a long time._

[[edit][1]]

<>

## Quick procedure

1. Make sure it compiles against the latest _releases_ of GNUstep-core, not just SVN
2. Avoid version inconsistency - use single place for storing the version number and get it from there.
3. Make the tarball with version number in the name _ProjectName-1.0.0.tar.gz_
4. Send an e-mail to info-gnustep@gnu.org, optionaly you can send it to the gnustep-discuss@gnu.org

[[edit][2]]

<>

## Detailed procedure

1) **Make sure it compiles against the latest _RELEASES_ of GNUstep-core**, not just SVN...this is a common problem and it's simply embarassing. If it does not, delay the release until the next GNUstep release that includes the fixes you need. If it is critical that you release a new version, you can always appeal to the release manager for a new release via the gnustep-dev@gnu.org mailing list. You can build a separate $PREFIX/GNUstep-Release dir or something which you can then execute the GNUstep.sh file from this tree, which will make it use those release libs without trouncing on your current (perhaps SVN) GNUstep build.

2) **Use single place for storing the version number** and get it from there. Be it a header file, or defined macro in a makefile.

it's very embarressing when you forget to change it somewhere, as has recently happened with the ProjectCenter 0.4.2 release (which was still marked as 0.4.1 in numerous places, including the info panel and framework versionÃÂ :[ )

Original suggestion: _grep for the version number in the source tree.... and change it everywhere..._

3) Once you're actually ready for a release, **make the tarball**, RIGS-x.y.z, and upload it to ftp.gnustep.org/pub/incoming. You can do this anonymously.

<br />
 4) Once the file is uploaded, **send an e-mail to gnustep-webmasters@gnu.org**, (which I am subscribed to, as well as others) and simply request that (A) the file be moved from the incoming directory on the FTP site to /pub/GNUstep/libs and (B) that we add a one-line news item to the GNUstep.org front page with a direct link to the latest tarball on the FTP site, and, OPTIONALLY, (C) add info to <http://www.gnustep.org/experience/RIGS.html> with what's new in the current version, etc.

5) Once the file has been moved to its permanent FTP directory (but you don't necessarily have to wait for the website to be updated to reflect this), **send an e-mail to info-gnustep@gnu.org with "ANN: RIGS version x.y.z etc et" in the subject, with a standard release-formatted e-mail (for a decent and recent ANN: example, see <http://lists.gnu.org/archive/html/info-gnustep/2005-02/msg00000.html> ) and be sure to include notable new changes. It's important to be informative about what has changed and why it's changed. Try to be as succinct as you can. (unlike /this/ e-mailÃÂ ;-)**

6) **OPTIONAL:** If you have CVS commit privelages to GNUstep, you also have the choice of updating GNUstep.org yourself via CVS. To check out the entire CVS GNUstep website, run:

	 CVS_RSH=ssh cvs -z3 -d &lt;username&gt;@savannah.gnu.org:/webcvs/gnustep co gnustep

you can choose to just check out the main index.html page if you'd like. There are a couple of large (~17MB) files on the GNUstep.org website which might take a while to download depending on the speed of your Internet connection.

Don't feel obligated to do step 6. It's actually not going to buy us much until we have a way set up where any gnustep person with CVS commit can post stuff anywhere on the GNUstep ftp site, but until then you will have to email webmasters@gnustep.org to ask us to move stuff from incoming/ to libs/ on the FTP site itself. We are of course more than happy to update the website for you, and since there are webmasters in both europe and the USA, it usually happens fairly quickly. If you do elect to update the website yourself, please be sure you know what you're doing. GNUstep.org pulls from CVS checkouts at the bottom of every hour, so be sure to check that the page updated properly the next time it goes live. In a worst-cast scenario, you might have bogus stuff on the main page for one hour. I do this accidentally from time to time.

 Retrieved from "[http://wiki.gnustep.org/index.php/Release\_Checklist][3]"

[Categories][4]: [Project procedures][5]

##### Views

* [Article][6]
* [Discussion][7]
* [Edit][8]
* [History][9]

##### Personal tools

* [Create an account or log in][10]

[][11]

##### users

* [Applications][12]
* [Guides][13]
* [FAQ][14]
* [Get Help][15]
* [Report Bugs][16]
* [Donations][17]
* [Screenshots][18]

##### developers

* [Guides][19]
* [FAQ][20]
* [Base API (Foundation)][21]
* [GUI API (AppKit)][22]
* [Frameworks][23]

##### Navigation

* [Main Page][24]
* [Community portal][25]
* [Current events][26]
* [Recent changes][27]
* [Random page][28]
* [Help][29]

##### Search

##### Toolbox

* [What links here][30]
* [Related changes][31]
* [Upload file][32]
* [Special pages][33]
* [Printable version][34]

[![MediaWiki][35]][36]

* This page was last modified 21:51, 11 February 2012.
* This page has been accessed 41,419 times.
* Content is available under [GNU General Public License][37].
* [About GNUstepWiki][38]
* [Disclaimers][39]

  [1]: /index.php?title=Release_Checklist&action=edit&section=1 "Release Checklist"
  [2]: /index.php?title=Release_Checklist&action=edit&section=2 "Release Checklist"
  [3]: http://wiki.gnustep.org/index.php/Release_Checklist
  [4]: /index.php?title=Special:Categories&article=Release_Checklist "Special:Categories"
  [5]: /index.php/Category:Project_procedures "Category:Project procedures"
  [6]: /index.php/Release_Checklist
  [7]: /index.php/Talk:Release_Checklist
  [8]: /index.php?title=Release_Checklist&action=edit
  [9]: /index.php?title=Release_Checklist&action=history
  [10]: /index.php?title=Special:Userlogin&returnto=Release_Checklist
  [11]: /index.php/Main_Page "Main Page"
  [12]: /index.php/Category:Applications
  [13]: /index.php/User_Guides
  [14]: /index.php/User_FAQ
  [15]: /index.php/Get_Help
  [16]: /index.php/Report_Bugs
  [17]: /index.php/GNUstepWiki:Site_support
  [18]: /index.php/Screenshots
  [19]: /index.php/Developer_Guides
  [20]: /index.php/Developer_FAQ
  [21]: /index.php/Foundation
  [22]: /index.php/AppKit
  [23]: /index.php/Category:Frameworks
  [24]: /index.php/Main_Page
  [25]: /index.php/GNUstepWiki:Community_Portal
  [26]: /index.php/Current_events
  [27]: /index.php/Special:Recentchanges
  [28]: /index.php/Special:Random
  [29]: /index.php/Help:Contents
  [30]: /index.php/Special:Whatlinkshere/Release_Checklist
  [31]: /index.php/Special:Recentchangeslinked/Release_Checklist
  [32]: /index.php/Special:Upload
  [33]: /index.php/Special:Specialpages
  [34]: /index.php?title=Release_Checklist&printable=yes&printable=yes
  [35]: /skins/common/images/poweredby_mediawiki_88x31.png
  [36]: http://www.mediawiki.org/
  [37]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [38]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [39]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"