<>

# Report Bugs

### From GNUstepWiki	{#siteSub}

Please report bugs via the [GNUstep Bug Tracking database][1]. You can then query the database any time to see the status of your bug report. Due to spam being sent through bug reports, you now have to be a registered user before submitting a bug. Alternatively, you may report bugs by sending a message to [bug-gnustep@gnu.org][2].

User testing is vital for improving GNUstep, so please report any bugs you find!

[[edit][3]]

<>

## What to Report

Please include as much of this information as possible when submitting your report:

* GNUstep version and snapshot date or date of last update from CVS (ideally, on finding a bug you should update your system to the latest version in the CVS repository, in order to avoid reporting problems that have already been fixed).
* Machine/Operating system on which you are running
* Compiler version you use
* A description of the problem, along with either a test program to demonstrate the problem, or a description of how to make the problem appear in one of the test programs that come as part of the GNUstep distribution.
  * If you have a problem configuring the libraries, please send the config.log file
  * If you have a problem compiling a library or application, please send the complete output of make or at least enough to show what went wrong. If you are using sh or bash, do this: make messages=yes &gt; output.txt 2&gt;&amp;1

The provision of a test/demonstration program is very important for getting the bug fixed quickly. Often, with no test program, we will not do anything with the report for a long time unless it is immediately obvious what the problem is. If possible, the test program should be in the form of a testcase (to be built/run using the gnustep-tests script) for inclusion into the testsuites - such testcases can readily be run on MacOSX as a reference platform so that we can tell what the correct behavior is.

If your problem is that some API from OSX 10.5 or later is unimplemented, please report it as a 'Change Request' rather than a 'Bug', and (ideally) contribute an implementation of the missing functionality. In this case please provide documentation for the missing API and a test case to demonstrate what it does.

[[edit][4]]

<>

## Sending Fixes

Actually fixing problems is even more appreciated than sending in bug reports. To do this, first fix the bug and make sure it works. Then send in a diff file containing the differences between the old version of the file(s) you changed and the new version. Use the diff (diff -u oldfile newfile &gt; file.patch) program to do this. For new APIs, provide header changes as well as source code changes, with macros bracketing the changes to specify which version of OSX they correspond to (see existing headers or examples) and comments in the headers documenting the behaviors of new methods etc. For both bugfixes and new functionality, please, please, PLEASE provide testcases (see the existing testsuite for examples) which demonstrate the correct behavior of the code. Without testcases it's much harder to review patches, so if you don't provide testcases, your patch may simply be ignored. Testcases are executed using the gnustep-tests script from the gnustep-make package. Add a ChangeLog entry in front of the diff file, and send the whole thing (patch plus testcases) to the bug database.

If you use emacs, it is easy to add a ChangeLog entry. Just edit the file you changed, and move the cursor to the function or method you changed, then type M-x add-change-log-entry and emacs automatically formats an entry in the ChangeLog file with the information on the file and function you changed. You just need to add a comment about what was fixed. Note: Don't send a diff of the ChangeLog file, just send a copy of your ChangeLog entry normally. Here is an example ChangeLog:

	* src/NSAutoreleasePool.m ([NSAutoreleasePool -addObject:]):
	Remove double_release checking. Increment released_count after
	setting released array.
	([NSAutoreleasePool -dealloc]): Catch release errors.
	([NSAutoreleasePool -enableDoubleReleaseCheck:]): Removed method.

	* src/NSObject.h ([NSObject -autorelease], [NSObject -release]):
	Add double_release checking.
	([NSObject +enableDoubleReleaseCheck:]): New method.

	* src/Foundation/NSAutoreleasePool.h: Remove
	+enableDoubleReleaseCheck:, add +autoreleaseCountForObject:.

	* src/Foundation/NSObject.h: Add +enableDoubleReleaseCheck:.

	* src/Foundation/objc-load.h: Include objc-api file.

[[edit][5]]

<>

## One thing at a time

Please try to ensure that, you only address one issue at a time (ie try to ensure that different issues are kept clearly separate, not bundled together) and address complex issues in stages, completing one stage before going on to the next. This keeps things managable, and allows other people to understand/address the issues efficiently and quickly.

 Retrieved from "[http://wiki.gnustep.org/index.php/Report\_Bugs][6]"

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 08:18, 4 March 2013.
* This page has been accessed 160,913 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: https://savannah.gnu.org/bugs/?group=gnustep "https://savannah.gnu.org/bugs/?group=gnustep"
  [2]: http://mail.gnu.org/mailman/listinfo/bug-gnustep "http://mail.gnu.org/mailman/listinfo/bug-gnustep"
  [3]: /index.php?title=Report_Bugs&action=edit&section=1 "Report Bugs"
  [4]: /index.php?title=Report_Bugs&action=edit&section=2 "Report Bugs"
  [5]: /index.php?title=Report_Bugs&action=edit&section=3 "Report Bugs"
  [6]: http://wiki.gnustep.org/index.php/Report_Bugs
  [7]: /index.php/Report_Bugs
  [8]: /index.php?title=Talk:Report_Bugs&action=edit
  [9]: /index.php?title=Report_Bugs&action=edit
  [10]: /index.php?title=Report_Bugs&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=Report_Bugs
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/Report_Bugs
  [32]: /index.php/Special:Recentchangeslinked/Report_Bugs
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=Report_Bugs&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"