<>

# Roadmap

### From GNUstepWiki	{#siteSub}

The roadmap is a living document- if you're a maintainer, please update it with your plans.

[[edit][1]]

<>

## Roadmap Introduction

The GNUstep Roadmap represents where the team sees GNUstep going in future releases. As decisions are made regarding what should go into a given release, it will be added here for that release. This will help to track what features are planned in the future and what direction GNUstep will take in the future.

<br />

[[edit][2]]

<>

## GNUstep 1.0

* Make
  * Improvements for Windows (_see [Make on Windows][3]_)

* Base
  * Improvements for Windows (_see [Base on Windows][4]_)

* GUI
  * Improve printing support.
    * Alpha support for printing. All other operations are working.
  * Stable interface
    * GNUstep's API has stablized a lot recently.
  * Correct any severe bugs which remain in the codebase (none known at this time)
  * popup/pulldown menu operation ... sometimes (often) popup menus seem to fail to track the mouse, so you can't select their buttons. cursor bug?
    * [Correct a few long standing, but minor, focus problems][5]
    * [Support for NSColor colorWithPatternImage:][6] (done)
  * Complete [themeing][7] in GUI (and windows theme) (in progress)
  * In-window menu support for Windows (working)
  * Nib support in gui, complete keyed archiving support. (In progress)
    * Phase 1: Nib reading (Percent complete: 100%)

* Back
  * Better Windows Support (_see [Gui on Windows][8]_)
  * Focus issues
  * Reliable window manager/desktop interaction: several target WM? -- window manager interaction ... I want clicking on windows to work _reliably_, so that when I click on any GNUstep window:
  1. The application activates (shows its menu and panels, and raises the window clicked on).
  2. The clicked window starts accepting keyboard input
  3. any other GNUstep application deactivates (hides its menu and panels)

* Development Environment:
  * Gorm 1.4.x
  * ProjectCenter 0.6.x
  * Create an "xcodebuild" like tool, perhaps called simply "codebuild" which will allow users to build xcodeprojects on a GNUstep system without having to resort to writing GNUmakefiles.
    * 80% Done: see [pbxbuild][9].

* User apps
  * GWorkspace 0.9.x
  * Need more basic user apps

* Other
  * Initial public release of SimpleWebKit

* Packaging
  * Package name, like GNUstep 1.0 for everything...

[[edit][10]]

<>

## GNUstep 1.1

* GUI
  * Nib Compatibility Phase 2: Nib writing (Percent complete: 95%)

<br />

* General
  * Maybe extract functionality from core libraries into other lightweight libraries if useful?

 Retrieved from "<http://wiki.gnustep.org/index.php/Roadmap>"

##### Views

* [Article][11]
* [Discussion][12]
* [Edit][13]
* [History][14]

##### Personal tools

* [Create an account or log in][15]

[][16]

##### users

* [Applications][17]
* [Guides][18]
* [FAQ][19]
* [Get Help][20]
* [Report Bugs][21]
* [Donations][22]
* [Screenshots][23]

##### developers

* [Guides][24]
* [FAQ][25]
* [Base API (Foundation)][26]
* [GUI API (AppKit)][27]
* [Frameworks][28]

##### Navigation

* [Main Page][29]
* [Community portal][30]
* [Current events][31]
* [Recent changes][32]
* [Random page][33]
* [Help][34]

##### Search

##### Toolbox

* [What links here][35]
* [Related changes][36]
* [Upload file][37]
* [Special pages][38]
* [Printable version][39]

[![MediaWiki][40]][41]

* This page was last modified 09:17, 15 November 2010.
* This page has been accessed 133,634 times.
* Content is available under [GNU General Public License][42].
* [About GNUstepWiki][43]
* [Disclaimers][44]

  [1]: /index.php?title=Roadmap&action=edit&section=1 "Roadmap"
  [2]: /index.php?title=Roadmap&action=edit&section=2 "Roadmap"
  [3]: /index.php/Roadmap_to_Windows#Make "Roadmap to Windows"
  [4]: /index.php/Roadmap_to_Windows#Base "Roadmap to Windows"
  [5]: https://savannah.gnu.org/bugs/?6152 "https://savannah.gnu.org/bugs/?6152"
  [6]: https://savannah.gnu.org/bugs/?10825 "https://savannah.gnu.org/bugs/?10825"
  [7]: /index.php/Themability "Themability"
  [8]: /index.php/Roadmap_to_Windows#Gui "Roadmap to Windows"
  [9]: /index.php/Pbxbuild "Pbxbuild"
  [10]: /index.php?title=Roadmap&action=edit&section=3 "Roadmap"
  [11]: /index.php/Roadmap
  [12]: /index.php/Talk:Roadmap
  [13]: /index.php?title=Roadmap&action=edit
  [14]: /index.php?title=Roadmap&action=history
  [15]: /index.php?title=Special:Userlogin&returnto=Roadmap
  [16]: /index.php/Main_Page "Main Page"
  [17]: /index.php/Category:Applications
  [18]: /index.php/User_Guides
  [19]: /index.php/User_FAQ
  [20]: /index.php/Get_Help
  [21]: /index.php/Report_Bugs
  [22]: /index.php/GNUstepWiki:Site_support
  [23]: /index.php/Screenshots
  [24]: /index.php/Developer_Guides
  [25]: /index.php/Developer_FAQ
  [26]: /index.php/Foundation
  [27]: /index.php/AppKit
  [28]: /index.php/Category:Frameworks
  [29]: /index.php/Main_Page
  [30]: /index.php/GNUstepWiki:Community_Portal
  [31]: /index.php/Current_events
  [32]: /index.php/Special:Recentchanges
  [33]: /index.php/Special:Random
  [34]: /index.php/Help:Contents
  [35]: /index.php/Special:Whatlinkshere/Roadmap
  [36]: /index.php/Special:Recentchangeslinked/Roadmap
  [37]: /index.php/Special:Upload
  [38]: /index.php/Special:Specialpages
  [39]: /index.php?title=Roadmap&printable=yes&printable=yes
  [40]: /skins/common/images/poweredby_mediawiki_88x31.png
  [41]: http://www.mediawiki.org/
  [42]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [43]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [44]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"