<>

# SQLClient

### From GNUstepWiki	{#siteSub}

Lightweight database abstraction layer.

<>

#### Current Version: [1\.6.0][1]

* Released: Nov 10, 2012
* Licensed: LGPL

<>

### Overview

The SQLClient library is designed to provide a simple interface to SQL databases for GNUstep applications. It does not attempt the sort of abstraction provided by the much more sophisticated GDL2 library but rather allows applications to directly execute SQL queries and statements.

SQLClient provides for the Objective-C programmer much the same thing that JDBC provides for the Java programmer (though SQLClient is a bit faster, easier to use, and easier to add new database backends for than JDBC).

<>

### Features

* Simple API for executing queries and statements... a variable length sequence of comma separated strings and other objects (NSNumber, NSDate, NSData) are concatenated into a single SQL statement and executed.
* Simple API for combining multiple SQL statements into a single transaction which can be used to minimise client-server interactions to get the best possible performance from your database.
* Supports multiple simultaneous named connections to a database server in a thread-safe manner.
* Supports multiple simultaneous connections to different database servers with backend driver bundles loaded for different database engines. Clear, simple subclassing of the abstract base class to enable easy implementation of new backend bundles.
* Configuration for all connections held in one place and referenced by connection name for ease of configuration control. Changes via NSUserDefaults can even allow reconfiguration of client instances within a running application.
* Thread safe operation... The base class supports locking such that a single instance can be shared between multiple threads.
* Supports batching of statements into a single transaction to minimise client-server interaction overheads.
* Has backends for PostgreSQL, MySQL, SQLite and JDBC (the latter allowing you to use any database for which JDBC drivers exist , but suffering from the performance overhead of going through Java).

<>

### Maintainer

Richard Frith-Macdonald

<>

### Related Links

 Retrieved from "<http://wiki.gnustep.org/index.php/SQLClient>"

[Categories][2]: [Database Frameworks][3] | [Frameworks][4]

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 16:05, 30 December 2012.
* This page has been accessed 18,946 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: ftp://ftp.gnustep.org/pub/gnustep/libs/SQLClient-1.6.0.tar.gz "ftp://ftp.gnustep.org/pub/gnustep/libs/SQLClient-1.6.0.tar.gz"
  [2]: /index.php?title=Special:Categories&article=SQLClient "Special:Categories"
  [3]: /index.php/Category:Database_Frameworks "Category:Database Frameworks"
  [4]: /index.php/Category:Frameworks "Category:Frameworks"
  [5]: /index.php/SQLClient
  [6]: /index.php?title=Talk:SQLClient&action=edit
  [7]: /index.php?title=SQLClient&action=edit
  [8]: /index.php?title=SQLClient&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=SQLClient
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/SQLClient
  [30]: /index.php/Special:Recentchangeslinked/SQLClient
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=SQLClient&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"