<>

# Script management

### From GNUstepWiki	{#siteSub}

Application and tool specific scripts are stored in Library/StepTalk/Scripts/_domain\_name_ directory where _domain\_name_ is a name of an application or tool. The place is called _script repository_ and is being accessed by the script manager.

<table>
<tr>
<td>
## Contents
* [1 Script repositories][1]
* [2 Scripts provided by bundles and frameworks][2]
* [3 Sharing scripts][3]
* [4 Script Metafile][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Script repositories

The manager is looking for scripts in:

* actual application's resource directory _(ApplicationName.app/Resources/Scripts)_
* application specific scripts in all GNUstep Library directories _(\*/Library/StepTalk/Scripts/ApplicationName)_
* shared scriptins in all GNUstep Library directories _(\*/Library/StepTalk/Scripts/Shared)_
* resource directories of all bundles loaded by the application _(BundleName.bundle/Resources/Scripts)_

(\*) can be any of GNUstep System, Local, Network or user home path

[STScriptManager][6] is used to get application or tool specific script by name:

	STScriptManager *manager = [STScriptManager defaultManager];
	STScript        *script;

	script = [manager scriptWithName:@"someScript"];

Script name can be without the file extension.

To execute the script you have to use appropriate engine for language _[script language]_ and execute _[script source]_.

[[edit][7]]

<>

## Scripts provided by bundles and frameworks

Bundles and frameworks can also provide scripts for an application or a tool. In addition, script manager will search for scipts also in all loaded bundles and frameworks in _bundle\_path_/Resources/Scripts.

[[edit][8]]

<>

## Sharing scripts

Scripts that can be shared between tools and applications are stored in Library/!StepTalk/Scripts/Shared.

If you want to execute a script from another domain, for example, if your application can share scripting interface with some another application, you should get a script manager for that another domain:

	STScriptManager *foreignManager = [ [STScriptManager alloc] initWithDomainName:@"AnotherApplication"];

[[edit][9]]

<>

## Script Metafile

Each script may have accopmpaining file containing information about script. This information file is optional, has extension .stinfo and its name is script name with that extension. For example if script name is insertDate.st then information file is _insertDate.st.stinfo_. File may contain:

* script name that will be shown to the user (localizable)
* script description (localizable)
* scripting language used for script -- overrides language guess based on file extension

The file is dictionary property list. Kes are:

**Name:** Name of a script that is shown to the user.

**Description:** Description of a script.

**Language:** Scripting language name used in script. This value overrides language guess based on script file extension.

Example:

	   {
	       Default = {
	           Name = "Some name";
	           Description = "Some description";
	       };
	       English = {
	           Name = "Some name in english";
	           Description = "Some description in english";
	       };
	       French = {
	           Name = "Some name in french";
	           Description = "Some description in french";
	       }
	   }

----

See also: [StepTalk][10]

 Retrieved from "[http://wiki.gnustep.org/index.php/Script\_management][11]"

[Categories][12]: [Scripting][13]

##### Views

* [Article][14]
* [Discussion][15]
* [Edit][16]
* [History][17]

##### Personal tools

* [Create an account or log in][18]

[][19]

##### users

* [Applications][20]
* [Guides][21]
* [FAQ][22]
* [Get Help][23]
* [Report Bugs][24]
* [Donations][25]
* [Screenshots][26]

##### developers

* [Guides][27]
* [FAQ][28]
* [Base API (Foundation)][29]
* [GUI API (AppKit)][30]
* [Frameworks][31]

##### Navigation

* [Main Page][32]
* [Community portal][33]
* [Current events][34]
* [Recent changes][35]
* [Random page][36]
* [Help][37]

##### Search

##### Toolbox

* [What links here][38]
* [Related changes][39]
* [Upload file][40]
* [Special pages][41]
* [Printable version][42]

[![MediaWiki][43]][44]

* This page was last modified 12:49, 18 February 2005.
* This page has been accessed 12,447 times.
* Content is available under [GNU General Public License][45].
* [About GNUstepWiki][46]
* [Disclaimers][47]

  [1]: #Script_repositories
  [2]: #Scripts_provided_by_bundles_and_frameworks
  [3]: #Sharing_scripts
  [4]: #Script_Metafile
  [5]: /index.php?title=Script_management&action=edit&section=1 "Script management"
  [6]: /index.php?title=STScriptManager&action=edit "STScriptManager"
  [7]: /index.php?title=Script_management&action=edit&section=2 "Script management"
  [8]: /index.php?title=Script_management&action=edit&section=3 "Script management"
  [9]: /index.php?title=Script_management&action=edit&section=4 "Script management"
  [10]: /index.php/StepTalk "StepTalk"
  [11]: http://wiki.gnustep.org/index.php/Script_management
  [12]: /index.php?title=Special:Categories&article=Script_management "Special:Categories"
  [13]: /index.php/Category:Scripting "Category:Scripting"
  [14]: /index.php/Script_management
  [15]: /index.php?title=Talk:Script_management&action=edit
  [16]: /index.php?title=Script_management&action=edit
  [17]: /index.php?title=Script_management&action=history
  [18]: /index.php?title=Special:Userlogin&returnto=Script_management
  [19]: /index.php/Main_Page "Main Page"
  [20]: /index.php/Category:Applications
  [21]: /index.php/User_Guides
  [22]: /index.php/User_FAQ
  [23]: /index.php/Get_Help
  [24]: /index.php/Report_Bugs
  [25]: /index.php/GNUstepWiki:Site_support
  [26]: /index.php/Screenshots
  [27]: /index.php/Developer_Guides
  [28]: /index.php/Developer_FAQ
  [29]: /index.php/Foundation
  [30]: /index.php/AppKit
  [31]: /index.php/Category:Frameworks
  [32]: /index.php/Main_Page
  [33]: /index.php/GNUstepWiki:Community_Portal
  [34]: /index.php/Current_events
  [35]: /index.php/Special:Recentchanges
  [36]: /index.php/Special:Random
  [37]: /index.php/Help:Contents
  [38]: /index.php/Special:Whatlinkshere/Script_management
  [39]: /index.php/Special:Recentchangeslinked/Script_management
  [40]: /index.php/Special:Upload
  [41]: /index.php/Special:Specialpages
  [42]: /index.php?title=Script_management&printable=yes&printable=yes
  [43]: /skins/common/images/poweredby_mediawiki_88x31.png
  [44]: http://www.mediawiki.org/
  [45]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [46]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [47]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"