<>

# Scripting context

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

## Objects in Scripting Environments

In most scripting environments in [StepTalk][2], including Common or application environment there are available following objects:

* **Environment** - current scripting environment
* **Transcript** - shared transcript
* **Workspace** _(not yet default)_

You can get standard GNUstep objects:

<table>
<tr>
<th> Object </th>
<th> How to get the object </th>
<caption></caption>
<td> Workspace </td>
<td>[NSWorkspace][3] sharedWorkspace </td>
<caption></caption>
<td> File manager </td>
<td>[NSFileManager][4] defaultManager </td>
<caption></caption>
<td> Open panel </td>
<td>[NSOpenPanel][5] openPanel </td>
<caption></caption>
<td> Save panel </td>
<td>[NSSavePanel][6] savePanel </td>
<caption></caption>
<td> Pasteboard </td>
<td>[NSPasteboard][7] generalPasteboard </td>
<caption></caption>
<td> Screen </td>
<td>[NSScreen][8] mainScreen </td>
<caption></caption>
<td> User defaults </td>
<td>[NSDefaults][9] standardUserDefaults </td>
<caption></caption>
<td> Notification center </td>
<td>[NSNotificationCenter][10] defaultCenter </td>
<caption></caption>
<td> Distributed notification center </td>
<td>[NSDistributedNotificationCenter][11] defaultCenter </td>
</tr>
</table>

 Retrieved from "[http://wiki.gnustep.org/index.php/Scripting\_context][12]"

[Categories][13]: [Scripting][14]

##### Views

* [Article][15]
* [Discussion][16]
* [Edit][17]
* [History][18]

##### Personal tools

* [Create an account or log in][19]

[][20]

##### users

* [Applications][21]
* [Guides][22]
* [FAQ][23]
* [Get Help][24]
* [Report Bugs][25]
* [Donations][26]
* [Screenshots][27]

##### developers

* [Guides][28]
* [FAQ][29]
* [Base API (Foundation)][30]
* [GUI API (AppKit)][31]
* [Frameworks][32]

##### Navigation

* [Main Page][33]
* [Community portal][34]
* [Current events][35]
* [Recent changes][36]
* [Random page][37]
* [Help][38]

##### Search

##### Toolbox

* [What links here][39]
* [Related changes][40]
* [Upload file][41]
* [Special pages][42]
* [Printable version][43]

[![MediaWiki][44]][45]

* This page was last modified 12:31, 18 February 2005.
* This page has been accessed 8,253 times.
* Content is available under [GNU General Public License][46].
* [About GNUstepWiki][47]
* [Disclaimers][48]

  [1]: /index.php?title=Scripting_context&action=edit&section=1 "Scripting context"
  [2]: /index.php/StepTalk "StepTalk"
  [3]: /index.php?title=NSWorkspace&action=edit "NSWorkspace"
  [4]: /index.php?title=NSFileManager&action=edit "NSFileManager"
  [5]: /index.php/NSOpenPanel "NSOpenPanel"
  [6]: /index.php?title=NSSavePanel&action=edit "NSSavePanel"
  [7]: /index.php?title=NSPasteboard&action=edit "NSPasteboard"
  [8]: /index.php?title=NSScreen&action=edit "NSScreen"
  [9]: /index.php?title=NSDefaults&action=edit "NSDefaults"
  [10]: /index.php?title=NSNotificationCenter&action=edit "NSNotificationCenter"
  [11]: /index.php?title=NSDistributedNotificationCenter&action=edit "NSDistributedNotificationCenter"
  [12]: http://wiki.gnustep.org/index.php/Scripting_context
  [13]: /index.php?title=Special:Categories&article=Scripting_context "Special:Categories"
  [14]: /index.php/Category:Scripting "Category:Scripting"
  [15]: /index.php/Scripting_context
  [16]: /index.php?title=Talk:Scripting_context&action=edit
  [17]: /index.php?title=Scripting_context&action=edit
  [18]: /index.php?title=Scripting_context&action=history
  [19]: /index.php?title=Special:Userlogin&returnto=Scripting_context
  [20]: /index.php/Main_Page "Main Page"
  [21]: /index.php/Category:Applications
  [22]: /index.php/User_Guides
  [23]: /index.php/User_FAQ
  [24]: /index.php/Get_Help
  [25]: /index.php/Report_Bugs
  [26]: /index.php/GNUstepWiki:Site_support
  [27]: /index.php/Screenshots
  [28]: /index.php/Developer_Guides
  [29]: /index.php/Developer_FAQ
  [30]: /index.php/Foundation
  [31]: /index.php/AppKit
  [32]: /index.php/Category:Frameworks
  [33]: /index.php/Main_Page
  [34]: /index.php/GNUstepWiki:Community_Portal
  [35]: /index.php/Current_events
  [36]: /index.php/Special:Recentchanges
  [37]: /index.php/Special:Random
  [38]: /index.php/Help:Contents
  [39]: /index.php/Special:Whatlinkshere/Scripting_context
  [40]: /index.php/Special:Recentchangeslinked/Scripting_context
  [41]: /index.php/Special:Upload
  [42]: /index.php/Special:Specialpages
  [43]: /index.php?title=Scripting_context&printable=yes&printable=yes
  [44]: /skins/common/images/poweredby_mediawiki_88x31.png
  [45]: http://www.mediawiki.org/
  [46]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [47]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [48]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"