<>

# Scripting ideas

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Shared Scripting Environment Process/Server][1]
  * [1\.1 Scripting from an UNIX shell][2]
  * [1\.2 Scripting from an application][3]
* [2 What to do][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Shared Scripting Environment Process/Server

[[edit][6]]

<>

### Scripting from an UNIX shell

Create a shared scripting environment process _test_

	&gt; stalk --create test

Execute some scripts in the environment called _test_

	&gt; echo "Transcript showLine:'Hello!'" | stalk test
	&gt; echo "nameÃÂ := 'StepTalk'" | stalk test
	&gt; echo "Transcript showLine:('Hello ', name, '!')" | stalk test

Kill the environment

	&gt; stalk --kill test

[[edit][7]]

<>

### Scripting from an application

Create a shared scripting environment (stand-alone process)

	server = [[STServer launchedServerWithEnvrionmentName:@"test"];

... or connect to an existing one:

	server = [[STServer serverWithIdentifier:@"test" host:@"localhost"];

Create a new conversation with the server

	conversaton = [[STServer createConversaion];

Create a transcript object, just in case the server will produce an output

	transcript = [[STSimpleTranscript transcript];
	[conversation setTranscript:transcript];

Run a script in the shared environment:

	[[conversation runScriptFromString:@"Transcript showLine:'Hello!'"];

The environment is a process that sits in the system until killed. Connection to the environment should be analogous to a connection to a database server. Executing StepTalk scripts is analogous to executing SQL commands.

The scripting environment process/server is something like a gateway from an user to the system (either whole system or user environment only). Is should persistant per session or there should be some mechanisms to store environment state and restore it later, after reboot for example.

[[edit][8]]

<>

## What to do

What is required to implement it? Implementation of distant conversation and stpetalk server process. It will require small changes in the [STEnvironment][9] and addition of contexts. Engines should use contexts instead of an environment, so we can have a one Transcript per conversation, for example. Moreover, conversation should not return an object by default - different handling of script result should be implemented. I have already few random notes and code pieces, so if you are interested, please contact [the author][10].

 Retrieved from "[http://wiki.gnustep.org/index.php/Scripting\_ideas][11]"

[Categories][12]: [Scripting][13]

##### Views

* [Article][14]
* [Discussion][15]
* [Edit][16]
* [History][17]

##### Personal tools

* [Create an account or log in][18]

[][19]

##### users

* [Applications][20]
* [Guides][21]
* [FAQ][22]
* [Get Help][23]
* [Report Bugs][24]
* [Donations][25]
* [Screenshots][26]

##### developers

* [Guides][27]
* [FAQ][28]
* [Base API (Foundation)][29]
* [GUI API (AppKit)][30]
* [Frameworks][31]

##### Navigation

* [Main Page][32]
* [Community portal][33]
* [Current events][34]
* [Recent changes][35]
* [Random page][36]
* [Help][37]

##### Search

##### Toolbox

* [What links here][38]
* [Related changes][39]
* [Upload file][40]
* [Special pages][41]
* [Printable version][42]

[![MediaWiki][43]][44]

* This page was last modified 09:37, 18 February 2005.
* This page has been accessed 8,875 times.
* Content is available under [GNU General Public License][45].
* [About GNUstepWiki][46]
* [Disclaimers][47]

  [1]: #Shared_Scripting_Environment_Process.2FServer
  [2]: #Scripting_from_an_UNIX_shell
  [3]: #Scripting_from_an_application
  [4]: #What_to_do
  [5]: /index.php?title=Scripting_ideas&action=edit&section=1 "Scripting ideas"
  [6]: /index.php?title=Scripting_ideas&action=edit&section=2 "Scripting ideas"
  [7]: /index.php?title=Scripting_ideas&action=edit&section=3 "Scripting ideas"
  [8]: /index.php?title=Scripting_ideas&action=edit&section=4 "Scripting ideas"
  [9]: /index.php?title=STEnvironment&action=edit "STEnvironment"
  [10]: /index.php/User:Stefan_Urbanek "User:Stefan Urbanek"
  [11]: http://wiki.gnustep.org/index.php/Scripting_ideas
  [12]: /index.php?title=Special:Categories&article=Scripting_ideas "Special:Categories"
  [13]: /index.php/Category:Scripting "Category:Scripting"
  [14]: /index.php/Scripting_ideas
  [15]: /index.php?title=Talk:Scripting_ideas&action=edit
  [16]: /index.php?title=Scripting_ideas&action=edit
  [17]: /index.php?title=Scripting_ideas&action=history
  [18]: /index.php?title=Special:Userlogin&returnto=Scripting_ideas
  [19]: /index.php/Main_Page "Main Page"
  [20]: /index.php/Category:Applications
  [21]: /index.php/User_Guides
  [22]: /index.php/User_FAQ
  [23]: /index.php/Get_Help
  [24]: /index.php/Report_Bugs
  [25]: /index.php/GNUstepWiki:Site_support
  [26]: /index.php/Screenshots
  [27]: /index.php/Developer_Guides
  [28]: /index.php/Developer_FAQ
  [29]: /index.php/Foundation
  [30]: /index.php/AppKit
  [31]: /index.php/Category:Frameworks
  [32]: /index.php/Main_Page
  [33]: /index.php/GNUstepWiki:Community_Portal
  [34]: /index.php/Current_events
  [35]: /index.php/Special:Recentchanges
  [36]: /index.php/Special:Random
  [37]: /index.php/Help:Contents
  [38]: /index.php/Special:Whatlinkshere/Scripting_ideas
  [39]: /index.php/Special:Recentchangeslinked/Scripting_ideas
  [40]: /index.php/Special:Upload
  [41]: /index.php/Special:Specialpages
  [42]: /index.php?title=Scripting_ideas&printable=yes&printable=yes
  [43]: /skins/common/images/poweredby_mediawiki_88x31.png
  [44]: http://www.mediawiki.org/
  [45]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [46]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [47]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"