<>

# SimpleWebKit

### From GNUstepWiki	{#siteSub}

A native web rendering engine, WebKit API compatible and drop-in replacement.

<>

#### Current Version: [unreleased]

* Released: not released yet
* Licensed: GPLv2+

<>

### Overview

Native WebKit implementation.

<>

### Features

<br />

<>

### Maintainer

* Nikolaus Schaller

<>

### Related Links

QuantumSTEP: [[1]][1]

<br />

<>

### SimpleWebKit

<>

## Background Information

* originated in mySTEP
* is completely written in Objective-C (1.0) so that it can be compiled on any system, even with gcc 2.95.3
* aims at providing the most popular documented methods of Full WebKit for the classes WebView, WebFrame, WebDataSource, etc.
* aims at rendering (X)HTML as well as possible (but not perfectly)
* uses NSAttributedStrings passed into NSTextView as the rendering backend
* already displays many pages
* is used in the [Vespucci.app][2] Web Browser application for GNUstep

<>

## Source Code

svn co <http://svn.gna.org/svn/gnustep/libs/simplewebkit/trunk>

svn+ssh://user@svn.gna.org/svn/gnustep/libs/simplewebkit/trunk

<http://svn.gna.org/viewcvs/gnustep/libs/simplewebkit/trunk>

<>

## How to compile

	 mkdir SWK
	 cd SWK
	 svn co <http://svn.gna.org/svn/gnustep/libs/simplewebkit/trunk>
	 cd trunk
	 make

 <>

## Status

<table>
<caption> Web Standards </caption>
<tr>
<th></th>
<th> Status </th>
<th> Notes </th>
</tr>
<tr>
<td> Cookies </td>
<td></td>
<td></td>
</tr>
<tr>
<td>CSS1 </td>
<td></td>
<td></td>
</tr>
<tr>
<td>CSS2 </td>
<td></td>
<td></td>
</tr>
<tr>
<td>HTML4 </td>
<td></td>
<td></td>
</tr>
<tr>
<td>HTML5 </td>
<td></td>
<td></td>
</tr>
<tr>
<td>HTTP 1.1 </td>
<td></td>
<td></td>
</tr>
<tr>
<td>HTTP Authentication </td>
<td></td>
<td></td>
</tr>
<tr>
<td>HTTPS </td>
<td></td>
<td></td>
</tr>
<tr>
<td>JavaScript </td>
<td></td>
<td>Parsing relatively complete. Engine not working. </td>
</tr>
</table>

<br />

<table>
<caption> Important HTML features </caption>
<tr>
<th></th>
<th>Status </th>
<th>Notes </th>
</tr>
<tr>
<td>Forms </td>
<td></td>
<td>Basic form elements (fieds, buttons) work. </td>
</tr>
<tr>
<td>Frames </td>
<td> Basic </td>
<td> Basic frames work. </td>
<caption></caption>
<td>Image maps </td>
<td></td>
<td></td>
</tr>
<tr>
<td> Lists </td>
<td></td>
<td> Parsed, displayed, not formatted correctly. Ordered lists do not count. </td>
</tr>
<tr>
<td>Tables </td>
<td></td>
<td>Partially supported only on Cocoa. Formatting is rough. GNUstep and myStep lack support. </td>
</tr>
</table>

<table>
<caption> CSS </caption>
<tr>
<th></th>
<th> Status </th>
<th> Notes </th>
</tr>
<tr>
<td>@import </td>
<td></td>
<td></td>
</tr>
<tr>
<td>Selectors </td>
<td></td>
<td></td>
</tr>
<tr>
<td>background-attachment </td>
<td></td>
<td></td>
<caption></caption>
<td>background-color </td>
<td></td>
<td></td>
<caption></caption>
<td>background-image </td>
<td></td>
<td></td>
<caption></caption>
<td>background-position </td>
<td></td>
<td></td>
<caption></caption>
<td>background-repeat </td>
<td></td>
<td></td>
<caption></caption>
<td>background (shorthand) </td>
<td></td>
<td></td>
<caption></caption>
<td>border-collapse </td>
<td></td>
<td></td>
<caption></caption>
<td>border-color </td>
<td></td>
<td></td>
<caption></caption>
<td>border-spacing </td>
<td></td>
<td></td>
<caption></caption>
<td>border-style </td>
<td></td>
<td></td>
<caption></caption>
<td>right|bottom|left] </td>
<td></td>
<td></td>
<caption></caption>
<td>border-\*-color </td>
<td></td>
<td></td>
<caption></caption>
<td>border-\*-style </td>
<td></td>
<td></td>
<caption></caption>
<td>border-\*-width </td>
<td></td>
<td></td>
<caption></caption>
<td>bottom </td>
<caption></caption>
</tr>
</table>

Features of the Subversion (SVN) trunk code:

* parses (X)HTML into a DOM tree
* renders approx. 98% of the HTML 4.0 tags in a reasonable way (e.g. &lt; font color="#667788"&gt;, &lt; center&gt;, &lt; h2&gt;, works)
* makes &lt;a&gt; links clickable and processes them
* loads &lt;img&gt;
* loads &lt;script&gt; etc. asynchronously i.e. loads them as subresources
* loads CSS etc. asynchronously i.e. loads them as subresources
* handles &lt;frame&gt;
* handles &lt;form&gt;
* handles &lt; table &gt; (if the NSTextView backend can handle)
* has an ECMAScript engine that parses 90% of the syntax and evaluates expressions (missing are Statements and the native Objects including "document", "window", "event" etc.)

Missing:

* properly compile and run &lt;script&gt;
* completion of the ECMAScript engine
* properly parse and apply CSS

<>

## SWK Browser

SWK Browser is part of the SimpleWebKit project and more or less a test bed for it, although it has most features of a full browser. These are

* multiple documents
* shows (X)HTML, Images etc.
* can show page source code
* can show activities (i.e. subresources)
* can show a DOM Tree inspector
* has a JavaScript console

We have compiled Simple WebKit and SWK Browser with Cocoa so that it runs natively on a Mac.

SWK Browser has been ported to GNUstep as well and runs using NIB loading without any additional code change.

Download it here: [[2]][3]

<>

## Screenshots

Some first screen shots (made from SWK Browser on a Mac)

[![Image:SimpleWebKit_Example_1.png][4]][5]

<>

## How it Works

1\. the WebView

* is the master view object and there is only one per browser (or browser tab)
* it holds the mainFrame which represents either the normal &lt;body&gt; or the top level &lt;frame&gt; or &lt;frameset&gt;
* if there is a &lt;frameset&gt; hierarchy, there are additional child WebFrames

2\. the WebFrame

* is repsonsible for loading and rendering content from a specific URL
* it uses a WebDataSource to trigger loading and get callbacks
* it is also the owner of the DOMDocument tree
* JavaScript statements are evaluated in a frame context
* it is also the target of user clicks on links since it knows the base URL (through the WebDataSource)

3\. the WebDataSource

* is responsible for loading data from an URL
* it may cache data and handle/synchronize loading fo subresources (e.g. for an embedded &lt;img&gt; tag)
* it translates the request and the response URLs
* it provides an estimated content length (for a progress indicator) and the MIMEType of the incoming data stream
* as soon as the header comes in a WebDocomentRepresentation is created and incoming segments are notified
* it also collects the incoming data, so that a WebDocumentRepresentation can handle either segments or the collected data

4\. the WebDocumentRepresentation(s)

* there is one for each MIME type (the WebView provides a mapping database)
* it is responsible for parsing the incoming data stream (either completely when finished, or partially)
* and provide a better suitable representation, e.g. an NSImage or a DOMHTMLTree
* finally, it creates a WebDocumentView as the child of the WebView and attaches it to the WebFrame as the -webFrameView
* so, if you want to handle an additional MIME type, write a class that conforms to the WebDocumentRepresentation protocol

5\. NSXMLParser

* a private variant is used that adds a stalling mechanism and selection of the file encoding
* recognizes the &lt;?xml&gt; tag for XHTML and has a lazy mode for pure HTML
* it also has an Entity table that translates the HTML entities to character strings

6\. the DOMHTMLTree

* is used only for HTML content
* is built in WebHTMLDocumentRepresentation by parsing segment of HTML data coming in
* any change in the DOMHTMLTree is notified to the WebDocumentView (or one of its subviews) by setNeedsLayout
* each class of potential DOMHTMLTree records has methods to denote how to handle tags
* the tag to class mapping is table driven

7\. the WebDocumentView(s) an its subviews

* are responsible for displaying the contents of its WebDataRepresentation
* either HTML, Images, PDF or whatever (e.g. SVG, XML, ...)
* they gets notified about changes either by updates of the WebDataSource (-dadaSourceUpdated:) or directly (-setNeedsLayout:)
* if one needs layout, it must go to the DOM Tree to find out what has changed and update its size, content, children, layout etc.
* this is a little tricky/risky since the -layout method is called within -drawRect: - so changing e.g. the View frame is very critical and may result in drawing glitches
* for HTML, we do a simple trick: the WebDocumentView is an NSTextView and the DOMHTMLTree objects can be traversed to return an attributedString with embedded Tables and NSTextAttachments

8\. the JavaScript engine

* is programmed according to the specificaion of [[[3]][6] ECMA-262]
* uses a simple recursive stateless parser (could be optimized in stack useage and speed by a state-table driven approach)
* parses the script into a Tree representation in a first step
* then, evaluates the expressions and statements according to the current environement
* this allows to store scripts in translated form and reevaluate them when needed (e.g. on mouse events)
* uses Foundation for basic types (string, number, boolean, null)
* uses WebScriptObject as the base Object representation
* DOMObjects are a subclass of WebScriptObjects and therefore provide bridging, so that changing a DOMHTML tree element through JavaScript automatically triggers the appropriate WebDocumentView update notification

9\. the CSS engine

* CSS style sheets are translated into a DOMCSS tree
* @import ed sheets are loaded as needed
* the CSS is not yet applied to the HTML -&gt; NSAttributedString translation

 Retrieved from "<http://wiki.gnustep.org/index.php/SimpleWebKit>"

[Categories][7]: [Networking Frameworks][8] | [Frameworks][9]

##### Views

* [Article][10]
* [Discussion][11]
* [Edit][12]
* [History][13]

##### Personal tools

* [Create an account or log in][14]

[][15]

##### users

* [Applications][16]
* [Guides][17]
* [FAQ][18]
* [Get Help][19]
* [Report Bugs][20]
* [Donations][21]
* [Screenshots][22]

##### developers

* [Guides][23]
* [FAQ][24]
* [Base API (Foundation)][25]
* [GUI API (AppKit)][26]
* [Frameworks][27]

##### Navigation

* [Main Page][28]
* [Community portal][29]
* [Current events][30]
* [Recent changes][31]
* [Random page][32]
* [Help][33]

##### Search

##### Toolbox

* [What links here][34]
* [Related changes][35]
* [Upload file][36]
* [Special pages][37]
* [Printable version][38]

[![MediaWiki][39]][40]

* This page was last modified 09:45, 24 February 2012.
* This page has been accessed 60,121 times.
* Content is available under [GNU General Public License][41].
* [About GNUstepWiki][42]
* [Disclaimers][43]

  [1]: http://www.quantum-step.com "http://www.quantum-step.com"
  [2]: /index.php/Vespucci.app "Vespucci.app"
  [3]: http://www.quantum-step.com/download/SWKBrowser.app.zip "http://www.quantum-step.com/download/SWKBrowser.app.zip"
  [4]: /images/f/fa/SimpleWebKit_Example_1.png
  [5]: /index.php/Image:SimpleWebKit_Example_1.png "Image:SimpleWebKit_Example_1.png"
  [6]: http://www.ecma-international.org/publications/standards/Ecma-262.htm "http://www.ecma-international.org/publications/standards/Ecma-262.htm"
  [7]: /index.php?title=Special:Categories&article=SimpleWebKit "Special:Categories"
  [8]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [9]: /index.php/Category:Frameworks "Category:Frameworks"
  [10]: /index.php/SimpleWebKit
  [11]: /index.php?title=Talk:SimpleWebKit&action=edit
  [12]: /index.php?title=SimpleWebKit&action=edit
  [13]: /index.php?title=SimpleWebKit&action=history
  [14]: /index.php?title=Special:Userlogin&returnto=SimpleWebKit
  [15]: /index.php/Main_Page "Main Page"
  [16]: /index.php/Category:Applications
  [17]: /index.php/User_Guides
  [18]: /index.php/User_FAQ
  [19]: /index.php/Get_Help
  [20]: /index.php/Report_Bugs
  [21]: /index.php/GNUstepWiki:Site_support
  [22]: /index.php/Screenshots
  [23]: /index.php/Developer_Guides
  [24]: /index.php/Developer_FAQ
  [25]: /index.php/Foundation
  [26]: /index.php/AppKit
  [27]: /index.php/Category:Frameworks
  [28]: /index.php/Main_Page
  [29]: /index.php/GNUstepWiki:Community_Portal
  [30]: /index.php/Current_events
  [31]: /index.php/Special:Recentchanges
  [32]: /index.php/Special:Random
  [33]: /index.php/Help:Contents
  [34]: /index.php/Special:Whatlinkshere/SimpleWebKit
  [35]: /index.php/Special:Recentchangeslinked/SimpleWebKit
  [36]: /index.php/Special:Upload
  [37]: /index.php/Special:Specialpages
  [38]: /index.php?title=SimpleWebKit&printable=yes&printable=yes
  [39]: /skins/common/images/poweredby_mediawiki_88x31.png
  [40]: http://www.mediawiki.org/
  [41]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [42]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [43]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"