<>

# StepTalk TODO

### From GNUstepWiki	{#siteSub}

If you would like to help [StepTalk][1], just contact me and I will guide you. Requirements: courage onlyÃÂ :-)

Contact: [Stefan Urbanek][2]

<table>
<tr>
<td>
## Contents
* [1 1\.0 release][3]
  * [1\.1 STEnvironment tool][4]
* [2 Smalltalk][5]
* [3 Other][6]
</td>
</tr>
</table>

[[edit][7]]

<>

## 1.0 release

* implement STActor (reuse code from STScriptObject and make the class obsolete)
* implement NSRect object - see STStruct object
* implement distant conversations
* create stenvironment tool

[[edit][8]]

<>

### STEnvironment tool

First, changes to the STConversation is needed as follows:

* method executing code should not return a value
* script result object should be fetched by method: -(id)result or -(bycopy id)resultByCopy;
* conversation object should collect error messages - it should hold kind of transcript
* it would be great if conversation object can send notifications when transcript was updated
* conversation object should hold last exception raised by the script

Then stand-alone process should be created with following functionality:

* point of the stand alone process is that it can load any framework it likes and it should provide semi-persistent environment holding intermediate results of a inter-process and inter-application tasks
* one creates an STDistantEnvironment object - the object is in fact represented by single process that will be launched on -init
* the environment process will handle all execution requests - connections are created in form of conversations: user makes conversation with the environment
* environment is "live" until someone requests it to die

To make it more clear about the STEnvironment stand-alone process, here is an analogy:

* stenvironment process = database instance
* conversation = database connection
* StepTalk script = SQL script
* result = SQL script result (rows, message, ...)

one should be able to do following:

	stenv create experiment
	stenv execute experiment script.st
	stenv execute experiment script2.st

	...
	    env = [STEnvironment distantEnvironmentWithName:@"experiment"];
	    conversation = [STConversation conversationWithEnvironment:env language:nil];
	    [conversation executeScript:aScript];
	    result = [conversation resultByCopy]; /* or .... [conversation result] */
	...

[[edit][9]]

<>

## Smalltalk

* Rewrite Smalltalk compiler (grammar)
  * Remove STBytecodeInterpreter and use only STCompiler. How?

Simply convert language constructions into 'command' objects like SmalltalkStatement, SmalltalkPrimary, SmalltalkMethodSend, ... and implement executeInEnvironment:context:receiver:

* Update application scripting to use STConversation

[[edit][10]]

<>

## Other

* handle 'connection did die' notification for distant objects in STEnvironment
* fix class-info lookup for proxies in STEnvironment
* Smalltalk: separate compiler and compilation context
* create a 'Shell' scripting environment
* Create ApplicationScripting framework, instead of bundle. It should offer

passive application scripting (without linking) and active app. scripting (linking with the framewotk). Give it some reasonable name, becauase that one is already used by Apple

* Add framework list into environment description
* Change Modules to Frameworks
* Fill implementation of STScriptObject, STMethod and related STEngine methods
* Remove empty directories (Source, Modules/StepTalk)
* Replace STMethod languageName with map table of method class-&gt;engine class

* integrate with Gorm - use Script objects, make a palette for Gorm with script objects

 Retrieved from "[http://wiki.gnustep.org/index.php/StepTalk\_TODO][11]"

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 07:58, 5 September 2005.
* This page has been accessed 21,696 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: /index.php/StepTalk "StepTalk"
  [2]: /index.php/User:Stefan_Urbanek "User:Stefan Urbanek"
  [3]: #1.0_release
  [4]: #STEnvironment_tool
  [5]: #Smalltalk
  [6]: #Other
  [7]: /index.php?title=StepTalk_TODO&action=edit&section=1 "StepTalk TODO"
  [8]: /index.php?title=StepTalk_TODO&action=edit&section=2 "StepTalk TODO"
  [9]: /index.php?title=StepTalk_TODO&action=edit&section=3 "StepTalk TODO"
  [10]: /index.php?title=StepTalk_TODO&action=edit&section=4 "StepTalk TODO"
  [11]: http://wiki.gnustep.org/index.php/StepTalk_TODO
  [12]: /index.php/StepTalk_TODO
  [13]: /index.php?title=Talk:StepTalk_TODO&action=edit
  [14]: /index.php?title=StepTalk_TODO&action=edit
  [15]: /index.php?title=StepTalk_TODO&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=StepTalk_TODO
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/StepTalk_TODO
  [37]: /index.php/Special:Recentchangeslinked/StepTalk_TODO
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=StepTalk_TODO&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"