<>

# StepTalk tools

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Script executor][1]
* [2 The StepTalk Shell][2]
  * [2\.1 First steps with the shell][3]
  * [2\.2 Tab Completion][4]
  * [2\.3 Getting Help][5]
  * [2\.4 AppKit][6]
  * [2\.5 Unix Shell Equivalents][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Script executor

[[edit][9]]

<>

## The StepTalk Shell

<br />
 !! StepTalk Shell

[StepTalk][10] shell is a handy tool for interactive scripting with GNUstep objects. The real name of the tool is _stshell_.

<table>
<caption></caption>
<tr>
<td>**Important notice:** The _stshell_ tool is not built by default by StepTalk, because it requires extra library called _libreadline_. </td>
</tr>
</table>

After launching the _stshell_ it will greet you by:

	Welcome to the StepTalk shell.
	StepTalk &gt; _

[[edit][11]]

<>

### First steps with the shell

Try following examples, line by line

	1 + 1.
	NSDate date.
	(NSHost hostWithName:'www.gnustep.org') addresses

[[edit][12]]

<>

### Tab Completion

StepTalk Shell can do TAB completion of variable names, class names and selectors. Press &lt;TAB&gt; where indicated:

	NSFileMa&lt;TAB&gt; defa&lt;TAB&gt;Ma&lt;TAB&gt; curr&lt;TAB&gt;Di&lt;TAB&gt;P&lt;TAB&gt;

[[edit][13]]

<>

### Getting Help

<table>
<tr>
<th> Problem </th>
<th> Example </th>
<caption></caption>
<td> Get a class of an object </td>
<td> 'aString' class </td>
<caption></caption>
<td> List methods that an object can respond to <br />
(superclass methods are not included) </td>
<td> 'aString' methodNames </td>
<caption></caption>
<td> List class methods </td>
<td> NSString methodNames </td>
<caption></caption>
<td> List instace methods </td>
<td> NSString instanceMethodNames </td>
<caption></caption>
<td> Find a selector </td>
<td> Runtime selectorsContainingString: 'init' </td>
<caption></caption>
<td> Find implementors </td>
<td> Runtime implementorsOfSelector: #compare: </td>
</tr>
</table>

[[edit][14]]

<>

### AppKit

To use AppKit clases, execute the shell by:

	$ stshell -env AppKit

or load the module at the runtime:

	&gt; Environment loadModule:'AppKit'

How to get a filename using the Open panel?

	NSOpenPanel openPanel runModalÃÂ ; filename

Create a Workspace object for further experiments

	WorkspaceÃÂ := NSWorkspace sharedWorkspace

Launch an application:

	Workspace launchApplication:'Ink'

Open a file

	Workspace openFile:'file name'

or

	Workspace openFile:(NSOpenPanel openPanel runModalÃÂ ; filename)

[[edit][15]]

<>

### Unix Shell Equivalents

For Unix commands equivalets, refer to the Unix.txt file in the Shell source directory.

----

See also: [StepTalk][16]

 Retrieved from "[http://wiki.gnustep.org/index.php/StepTalk\_tools][17]"

[Categories][18]: [Scripting][19]

##### Views

* [Article][20]
* [Discussion][21]
* [Edit][22]
* [History][23]

##### Personal tools

* [Create an account or log in][24]

[][25]

##### users

* [Applications][26]
* [Guides][27]
* [FAQ][28]
* [Get Help][29]
* [Report Bugs][30]
* [Donations][31]
* [Screenshots][32]

##### developers

* [Guides][33]
* [FAQ][34]
* [Base API (Foundation)][35]
* [GUI API (AppKit)][36]
* [Frameworks][37]

##### Navigation

* [Main Page][38]
* [Community portal][39]
* [Current events][40]
* [Recent changes][41]
* [Random page][42]
* [Help][43]

##### Search

##### Toolbox

* [What links here][44]
* [Related changes][45]
* [Upload file][46]
* [Special pages][47]
* [Printable version][48]

[![MediaWiki][49]][50]

* This page was last modified 15:36, 18 February 2005.
* This page has been accessed 10,994 times.
* Content is available under [GNU General Public License][51].
* [About GNUstepWiki][52]
* [Disclaimers][53]

  [1]: #Script_executor
  [2]: #The_StepTalk_Shell
  [3]: #First_steps_with_the_shell
  [4]: #Tab_Completion
  [5]: #Getting_Help
  [6]: #AppKit
  [7]: #Unix_Shell_Equivalents
  [8]: /index.php?title=StepTalk_tools&action=edit&section=1 "StepTalk tools"
  [9]: /index.php?title=StepTalk_tools&action=edit&section=2 "StepTalk tools"
  [10]: /index.php/StepTalk "StepTalk"
  [11]: /index.php?title=StepTalk_tools&action=edit&section=3 "StepTalk tools"
  [12]: /index.php?title=StepTalk_tools&action=edit&section=4 "StepTalk tools"
  [13]: /index.php?title=StepTalk_tools&action=edit&section=5 "StepTalk tools"
  [14]: /index.php?title=StepTalk_tools&action=edit&section=6 "StepTalk tools"
  [15]: /index.php?title=StepTalk_tools&action=edit&section=7 "StepTalk tools"
  [16]: /index.php/StepTalk "StepTalk"
  [17]: http://wiki.gnustep.org/index.php/StepTalk_tools
  [18]: /index.php?title=Special:Categories&article=StepTalk_tools "Special:Categories"
  [19]: /index.php/Category:Scripting "Category:Scripting"
  [20]: /index.php/StepTalk_tools
  [21]: /index.php?title=Talk:StepTalk_tools&action=edit
  [22]: /index.php?title=StepTalk_tools&action=edit
  [23]: /index.php?title=StepTalk_tools&action=history
  [24]: /index.php?title=Special:Userlogin&returnto=StepTalk_tools
  [25]: /index.php/Main_Page "Main Page"
  [26]: /index.php/Category:Applications
  [27]: /index.php/User_Guides
  [28]: /index.php/User_FAQ
  [29]: /index.php/Get_Help
  [30]: /index.php/Report_Bugs
  [31]: /index.php/GNUstepWiki:Site_support
  [32]: /index.php/Screenshots
  [33]: /index.php/Developer_Guides
  [34]: /index.php/Developer_FAQ
  [35]: /index.php/Foundation
  [36]: /index.php/AppKit
  [37]: /index.php/Category:Frameworks
  [38]: /index.php/Main_Page
  [39]: /index.php/GNUstepWiki:Community_Portal
  [40]: /index.php/Current_events
  [41]: /index.php/Special:Recentchanges
  [42]: /index.php/Special:Random
  [43]: /index.php/Help:Contents
  [44]: /index.php/Special:Whatlinkshere/StepTalk_tools
  [45]: /index.php/Special:Recentchangeslinked/StepTalk_tools
  [46]: /index.php/Special:Upload
  [47]: /index.php/Special:Specialpages
  [48]: /index.php?title=StepTalk_tools&printable=yes&printable=yes
  [49]: /skins/common/images/poweredby_mediawiki_88x31.png
  [50]: http://www.mediawiki.org/
  [51]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [52]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [53]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"