<>

# Subversion Migration

### From GNUstepWiki	{#siteSub}

[[edit][1]]

<>

## Subversion Documentation

Subversion is quick to learn coming from CVS, but there are differences. Below are links to help people learn subversion and understand how it differs from CVS.

* [Version Control with Subversion][2]
* [Appendix A: Subversion for CVS Users][3]

[[edit][4]]

<>

## Proposed Layout

The following directories will be the toplevel layout of the individual "repositories". Under each of these directories there will be at least three top-level directories: tags/, branches/, and trunk/.

	/apps/easydiff
	/apps/gorm
	/apps/gsldapwebexplorer
	/apps/gworkspace
	/apps/projectcenter
	/apps/systempreferences

	/libs/back
	/libs/base
	/libs/db
	/libs/dgs
	/libs/extensions
	/libs/gdl2
	/libs/gsantlr
	/libs/gscrypt
	/libs/gsgd
	/libs/gsldap
	/libs/gsweb
	/libs/gui
	/libs/guile
	/libs/java
	/libs/libobjc
	/libs/palettes
	/libs/performance
	/libs/ppd
	/libs/renaissance
	/libs/ruby
	/libs/smbkit
	/libs/sqlclient
	/libs/steptalk
	/libs/ucsdata
	/libs/webserver
	/libs/xdps
	/libs/xgps

	/modules/dev-apps ( svn:externals mapping to old dev-apps )
	/modules/core     ( svn:externals mapping to old core )
	/modules/dev-libs ( svn:externals mapping to old dev-libs )
	/modules/usr-apps ( svn:externals mapping to old usr-apps )

	/tests/examples
	/tests/gormtest
	/tests/gtests
	/tests/palettetest
	/tests/retaincount
	/tests/test ( this is legacy, and can be deleted after conversion )
	/tests/testsuite

	/tools/charsets
	/tools/make
	/tools/model-main
	/tools/nfmake
	/tools/startup

[[edit][5]]

<>

## SVN:Externals

Subversion includes a nifty feature called externals. What this enables you to do is specify metadata on a directory such that when it is checked out it will check out any other subversion repository into a subdirectory (and you can specify a certain revision if you like). This means you can set up a /modules/core which checks out /libs/gui/trunk /libs/base/trunk /libs/back/trunk and /tools/make/trunk into the subdirectories gui, base, back, and make respectively. Projects like Startup would also benefit immensely from this feature while keeping a clean separation between all different actual projects.

The Subversion book has a chapter on this feature [here][6].

 Retrieved from "[http://wiki.gnustep.org/index.php/Subversion\_Migration][7]"

##### Views

* [Article][8]
* [Discussion][9]
* [Edit][10]
* [History][11]

##### Personal tools

* [Create an account or log in][12]

[][13]

##### users

* [Applications][14]
* [Guides][15]
* [FAQ][16]
* [Get Help][17]
* [Report Bugs][18]
* [Donations][19]
* [Screenshots][20]

##### developers

* [Guides][21]
* [FAQ][22]
* [Base API (Foundation)][23]
* [GUI API (AppKit)][24]
* [Frameworks][25]

##### Navigation

* [Main Page][26]
* [Community portal][27]
* [Current events][28]
* [Recent changes][29]
* [Random page][30]
* [Help][31]

##### Search

##### Toolbox

* [What links here][32]
* [Related changes][33]
* [Upload file][34]
* [Special pages][35]
* [Printable version][36]

[![MediaWiki][37]][38]

* This page was last modified 08:12, 15 January 2006.
* This page has been accessed 16,420 times.
* Content is available under [GNU General Public License][39].
* [About GNUstepWiki][40]
* [Disclaimers][41]

  [1]: /index.php?title=Subversion_Migration&action=edit&section=1 "Subversion Migration"
  [2]: http://svnbook.red-bean.com "http://svnbook.red-bean.com"
  [3]: http://svnbook.red-bean.com/en/1.1/apa.html "http://svnbook.red-bean.com/en/1.1/apa.html"
  [4]: /index.php?title=Subversion_Migration&action=edit&section=2 "Subversion Migration"
  [5]: /index.php?title=Subversion_Migration&action=edit&section=3 "Subversion Migration"
  [6]: http://svnbook.red-bean.com/en/1.1/ch07s04.html "http://svnbook.red-bean.com/en/1.1/ch07s04.html"
  [7]: http://wiki.gnustep.org/index.php/Subversion_Migration
  [8]: /index.php/Subversion_Migration
  [9]: /index.php?title=Talk:Subversion_Migration&action=edit
  [10]: /index.php?title=Subversion_Migration&action=edit
  [11]: /index.php?title=Subversion_Migration&action=history
  [12]: /index.php?title=Special:Userlogin&returnto=Subversion_Migration
  [13]: /index.php/Main_Page "Main Page"
  [14]: /index.php/Category:Applications
  [15]: /index.php/User_Guides
  [16]: /index.php/User_FAQ
  [17]: /index.php/Get_Help
  [18]: /index.php/Report_Bugs
  [19]: /index.php/GNUstepWiki:Site_support
  [20]: /index.php/Screenshots
  [21]: /index.php/Developer_Guides
  [22]: /index.php/Developer_FAQ
  [23]: /index.php/Foundation
  [24]: /index.php/AppKit
  [25]: /index.php/Category:Frameworks
  [26]: /index.php/Main_Page
  [27]: /index.php/GNUstepWiki:Community_Portal
  [28]: /index.php/Current_events
  [29]: /index.php/Special:Recentchanges
  [30]: /index.php/Special:Random
  [31]: /index.php/Help:Contents
  [32]: /index.php/Special:Whatlinkshere/Subversion_Migration
  [33]: /index.php/Special:Recentchangeslinked/Subversion_Migration
  [34]: /index.php/Special:Upload
  [35]: /index.php/Special:Specialpages
  [36]: /index.php?title=Subversion_Migration&printable=yes&printable=yes
  [37]: /skins/common/images/poweredby_mediawiki_88x31.png
  [38]: http://www.mediawiki.org/
  [39]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [40]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [41]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"