<>

# Summer Of Code 2006

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Summer Of Code 2006][1]
* [2 Note][2]
  * [2\.1 Mentors][3]
  * [2\.2 Students][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Summer Of Code 2006

The [Summer Of Code][6] is a Google program that offers student developers stipends to create new freely available programs or to help currently established projects. It would be an excellent opportunity for GNUstep to fund some developments.

<br />
 Here are some ideas -- Feel free to add more

<br />

* **Bindings, KVO support**
  * We need NSController, NSArrayController, NSObjectController, NSTreeController, NSUserDefaultController, NSValueTransformer implementations. NSSortDescriptor has already been implemented by Saso Kiselkov. The current NSTreeController is known to be a bit buggy and have an API a bit flawed, as Apple rushed the release of this class in Mac OS 10.4. It is widely believed that these shortcomings will be fixed in Leopard (10.5), so perhaps we should wait a while.
  * Key Value Observing implementation was written by Richard Frith-Macdonald, and is only about 80% finished. Needs completion and testing.

<br />

* **Porting**
  * Port [WebKit][7] (using GCC 4.x with ObjC++ support)

<br />

* **General Improvements**
  * Printing Support (better postcript generation, etc.)
  * Cairo backend
  * Windows support
  * GNUstepWeb (add script language support, etc)
  * Finish input server [support][8]
  * Compare current API with Tiger's API, indicate which classes are missing, and summarize the current status of the existing ones, then work to complete them...ÃÂ ;) The best would be to have a tool which parses all headers (both from Cocoa and GNUstep) and outputs differences in HTML (XML probably too by the way). This would summarize missing classes, missing or partially implementated methods in existing classes and GNUstep-specific extensions. Eventually we should include links to the related documentation on both GNUstep and Cocoa web sites.

<br />

* **AppKit**
  * PDFKit wrapper implementation around the Freedesktop Poppler library, probably by wrapping PopplerKit (used in ViewPDF/Vindaloo, a GNUstep PDF Viewer). Afterwards, providing support in AppKit trough NSPDFImageRep would be great.
    * Here is a link to [PopplerKit/Vindaloo][9] that works well, but is currently lacking a maintainer.
  * Text System should be cleaned, profiled and finished. Many methods in NSLayoutManager are unfinished or unimplemented, so we currently cannot tweak the test system as much as the one provided by Cocoa. (Quentin Mathe)
  * We need NSTypeSetter, NSGlyphStorage, NSGlyphInfo, and NSGlyphGenerator implementations. If NSTypeSetter and NSLayoutManager were implemented, they would probably be used in Etoile. (Quentin Mathe)
  * NSTextTable, NSTextTableBlock, NSTextList, &amp; NSTextBlock implementations would also bring the GNUstep text system in line with that of Cocoa as of Mac OS 10.4. The classes could be useful to build a powerful word processor. (Quentin Mathe)
  * Finish once and for all the NSTableView class, and have it work properly with any kind of cells. This is a big job, but sorely needed (Quentin Mathe)
  * NSOpenGL Classes could be improved, made compatible with current Cocoa implementations, and further tested (Quentin Mathe)
  * NSBitmapImageRep formats: Currenly, we support only reading and writing for TIFF, read-only for GIF, JPEG, PNG, PNM. We would like to have write support for these NSBitmapImageRep categories. Afterwards, SVG reading, then write support, would be nice. (Quentin Mathe)
  * NSDatePicker, NSLevelIndicator (and obligatory companion NSCell subclasses) implementations.
  * Updating NSDocument architecture with numerous modern methods which were introduced in Mac OS 10.4. In 10.4, Apple deprecated many methods in NSDocument in favor of a more flexible and well-designed implementation.
  * NSFormatter isn't working very well at this time (Quentin Mathe)

<br />

* **Base**
  * NSError related improvements to allow better user messages (with the new error responder chain). In Mac OS 10.4, NSDocument version uses this.
  * NSLocale-compatible locale implementation could be useful for internationalization.
  * NSDateComponents implementation.
  * NSCalendar implementation.
  * Finish the NSPredicate implementation. This was partially done by Quentin Mathe, but is untested. The most important part is not done, which is to write a parser and lexer for the custom language used by NSPredicate. Also needed for this are NSComparisonPredicate, NSCompoundPredicate, and NSExpression implementations.
  * Test the NSXMLParser Cocoa class wrapper around GSXML, written by Richard-Frith Macdonald. Once this is thoroughly tested, NSXMLDocument, NSXMLDTD, and NSXMLDTDNode, and NSXMLElement, and NSXMLNode implementations may be useful for compatibility.

<br />

* **Misc**
  * Create a AJAX Framework for GNUstepWeb

<br />

[[edit][10]]

<>

## Note

We need [mentor(s)][11] to manage the volunteers...

<br />

[[edit][12]]

<>

### Mentors

- David Wetzel (dave at turbocat dot de) could mentor GSWeb related projects

- Adam Fedor (backup mentor)

<br />

[[edit][13]]

<>

### Students

Nicolas Roard

Quentin MathÃÂ©

 Retrieved from "[http://wiki.gnustep.org/index.php/Summer\_Of\_Code\_2006][14]"

[Categories][15]: [Summer Of Code][16]

##### Views

* [Article][17]
* [Discussion][18]
* [Edit][19]
* [History][20]

##### Personal tools

* [Create an account or log in][21]

[][22]

##### users

* [Applications][23]
* [Guides][24]
* [FAQ][25]
* [Get Help][26]
* [Report Bugs][27]
* [Donations][28]
* [Screenshots][29]

##### developers

* [Guides][30]
* [FAQ][31]
* [Base API (Foundation)][32]
* [GUI API (AppKit)][33]
* [Frameworks][34]

##### Navigation

* [Main Page][35]
* [Community portal][36]
* [Current events][37]
* [Recent changes][38]
* [Random page][39]
* [Help][40]

##### Search

##### Toolbox

* [What links here][41]
* [Related changes][42]
* [Upload file][43]
* [Special pages][44]
* [Printable version][45]

[![MediaWiki][46]][47]

* This page was last modified 21:13, 8 March 2009.
* This page has been accessed 51,972 times.
* Content is available under [GNU General Public License][48].
* [About GNUstepWiki][49]
* [Disclaimers][50]

  [1]: #Summer_Of_Code_2006
  [2]: #Note
  [3]: #Mentors
  [4]: #Students
  [5]: /index.php?title=Summer_Of_Code_2006&action=edit&section=1 "Summer Of Code 2006"
  [6]: http://code.google.com/soc/ "http://code.google.com/soc/"
  [7]: http://developer.apple.com/opensource/internet/webkit.html "http://developer.apple.com/opensource/internet/webkit.html"
  [8]: http://svn.gna.org/viewcvs/gnustep/libs/gui/branches/kazunobu_input_management/ "http://svn.gna.org/viewcvs/gnustep/libs/gui/branches/kazunobu input management/"
  [9]: http://home.gna.org/gsimageapps/ "http://home.gna.org/gsimageapps/"
  [10]: /index.php?title=Summer_Of_Code_2006&action=edit&section=2 "Summer Of Code 2006"
  [11]: http://code.google.com/soc/mentorfaq.html "http://code.google.com/soc/mentorfaq.html"
  [12]: /index.php?title=Summer_Of_Code_2006&action=edit&section=3 "Summer Of Code 2006"
  [13]: /index.php?title=Summer_Of_Code_2006&action=edit&section=4 "Summer Of Code 2006"
  [14]: http://wiki.gnustep.org/index.php/Summer_Of_Code_2006
  [15]: /index.php?title=Special:Categories&article=Summer_Of_Code_2006 "Special:Categories"
  [16]: /index.php/Category:Summer_Of_Code "Category:Summer Of Code"
  [17]: /index.php/Summer_Of_Code_2006
  [18]: /index.php/Talk:Summer_Of_Code_2006
  [19]: /index.php?title=Summer_Of_Code_2006&action=edit
  [20]: /index.php?title=Summer_Of_Code_2006&action=history
  [21]: /index.php?title=Special:Userlogin&returnto=Summer_Of_Code_2006
  [22]: /index.php/Main_Page "Main Page"
  [23]: /index.php/Category:Applications
  [24]: /index.php/User_Guides
  [25]: /index.php/User_FAQ
  [26]: /index.php/Get_Help
  [27]: /index.php/Report_Bugs
  [28]: /index.php/GNUstepWiki:Site_support
  [29]: /index.php/Screenshots
  [30]: /index.php/Developer_Guides
  [31]: /index.php/Developer_FAQ
  [32]: /index.php/Foundation
  [33]: /index.php/AppKit
  [34]: /index.php/Category:Frameworks
  [35]: /index.php/Main_Page
  [36]: /index.php/GNUstepWiki:Community_Portal
  [37]: /index.php/Current_events
  [38]: /index.php/Special:Recentchanges
  [39]: /index.php/Special:Random
  [40]: /index.php/Help:Contents
  [41]: /index.php/Special:Whatlinkshere/Summer_Of_Code_2006
  [42]: /index.php/Special:Recentchangeslinked/Summer_Of_Code_2006
  [43]: /index.php/Special:Upload
  [44]: /index.php/Special:Specialpages
  [45]: /index.php?title=Summer_Of_Code_2006&printable=yes&printable=yes
  [46]: /skins/common/images/poweredby_mediawiki_88x31.png
  [47]: http://www.mediawiki.org/
  [48]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [49]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [50]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"