<>

# Summer Of Code 2009

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Summer Of Code 2009][1]
  * [1\.1 Joint Application][2]
  * [1\.2 GNUstep Ideas][3]
  * [1\.3 ÃÂtoilÃÂ© Ideas][4]
  * [1\.4 GAP (GNUstep Application Project) Ideas][5]
  * [1\.5 OpenGroupware.org Ideas][6]
  * [1\.6 Mentors][7]
  * [1\.7 Students][8]
</td>
</tr>
</table>

[[edit][9]]

<>

## Summer Of Code 2009

The [Summer Of Code][10] is a Google program that offers student developers stipends to create new freely available programs or to help currently established projects. It would be an excellent opportunity for GNUstep to fund some developments.

**We need more [ mentor(s)][11] to manage the volunteersÃ¢ÂÂ¦** More infos on the [SoC FAQ][12]

<br />

[[edit][13]]

<>

### Joint Application

The idea of a joint application for [GNUstep][14], [ÃÂtoilÃÂ©][15], [GAP][16] and [OpenGroupware.org][17] has been brought up. A lot of the projects that were accepted last year were joint applications (e.g. GNU, GNOME, KDE), so it might improve our chances. Please discuss!

<br />

[[edit][18]]

<>

### GNUstep Ideas

_Here are some ideas -- Feel free to add more_

* **Core Data**: A CoreData compatible library is today in a alpha stage and needs some improvements.
  * _NSPersistentStore concrete classes_ based on SQLite, XML, binary, etc. backends.
  * _DataBuilder.app_ is a graphical application for designing data models. The GUI needs some improvement. Moreover DataBuilder should be turn into a true CoreData application.
  * _File formats compatibility_ with Cocoa, including model files.
  * _Model versioning and data Migration_ÃÂ : Instances of NSMigrationManager and associated classes perform a migration of data from one persistent store to another using a given mapping model.
  * _NSPersistentDocument_ is a subclass of NSDocument that integrates with the Core Data framework.
  * _NSEditor_ and _NSEditorRegistration_ protocols are implemented by NSManagedObjectContext.

<br />

* **WebKit / SimpleWebKit**
  * Porting [WebKit][19] (using GCC 4.x with ObjC++ support) should be a lot easier by now (see <http://lwat.blogspot.com/2008/11/redistributable-webkit.html> and <http://lwat.blogspot.com/2009/02/opencflite-476171-release.html>)
  * helping to improve Simple WebKit which does not require gcc 4.xx and Obj-C++ and has less dependencies and a much smaller footprint than full WebKit

<br />

* **General Improvements**
  * Compare current API with Leopard's (Mac OS X 10.5) API, indicate which classes are missing, and summarize the current status of the existing ones, then work to complete them...ÃÂ ;) The best would be to have a tool which parses all headers (both from Cocoa and GNUstep) and outputs differences in HTML (XML probably too by the way). This would summarize missing classes, missing or partially implementated methods in existing classes and GNUstep-specific extensions. Eventually we should include links to the related documentation on both GNUstep and Cocoa web sites.
  * Garbage Collection ... get this working reliably for all classes in the base library (mostly done already) and then make the gui and back libraries support garbage collection too. The existing support consists of an option in gnustep-make to build everything with GS\_WITH\_GC defined and link with the Boehm garbage collecting library and the garbage collecting version of the runtime, and near complete support for the OSX10.5 garbage collection APIs in gnustep-base. the project would involve making sure that all classes handle memory management properly in a GC environment, and would require the student to develop a thorough understanding of the benefits and pitfalls of using garbage collection, and how to alter existing design patterns to make classes operate efficiently in a garbage collecting environment. existing code would need to be stress-tested in both single and multi-threaded use and on different platforms (at least gnu/linux and mswindows).
  * Craft a system which allows to distribute GNUstep to the various packaging systems (rpm, debian, ports, etc.) on various distributions (Ubuntu, Red Hat, FreeBSD, etc.) with a snap and without knowledge of the specific packaging system. This system should be able to distribute GNUstep libraries, and existing or new applications written with it. The user should be able to choose how often this is done: on request, on each release, on in regular intervals, tracking a source code repository. Ideally, changes to the library/app's sources are minimized and/or calculated at runtime.

<br />

* **Backend**
  * _Windows support_ÃÂ : Win32 backend lacks some features
  * _Unified backend_ÃÂ : Win32 and X11 backends share a lot of functionalities. Many of them might be provided by a base class. The student would have to find out these functions shared by both backend, design an interface to theses functions, and adapt the current backend classes that would then use the new interface.
  * _Cairo/DirectFB backend_ÃÂ : a DirectFB backend for GNUstep would run on low-end embedded devices. As Cairo can already draw on a DirectFB surface, the project concern the system part of the backend and the access to low level resources through DirectFB. The student would have to understand both GNUstep backend and DirectFB interface, and link them through a standardized interface (see above).
  * _Cairo/Glitz/OpenGL backend_ÃÂ : Glitz is an OpenGL backend for Cairo graphics. Today in an alpha stage, Glitz based GNUstep graphic backend gives access to hardware accelerated graphics on platforms that only implement OpenGL (or OpenGL-ES) functions like some embedded devices. It might be used along with a DirectFB backend (see above). Glitz itself is in a beta stage and not actively maintained.

<br />

* **Foundation**
  * Update the main class/API coverage to match OSX 10.5 by implementing missing methods and in particular the missing NSXML classes (for tree-based XML processing and XSLT etc) and the NSOperation class (leave the scripting classes as a separate task). This is quite a wide and varied project. Checking for and implementing missing minor features provides an easy introduction to the OpenStep/Cocoa API without any need to go into great depth, while implementing the missing XML classes will develop a good understanding of how XML works, and implementing the NSOperation code is an interesting problem in task scheduling and efficient multi-threaded programming, as an ideal implementation would involve multiple threads working with a single queue and avoiding locking overheads.
  * CoreFoundation ... implement the CoreFoundation API as an extension of the base library so that Apple code which uses it can easily be ported. This is a great exercise in writing portable code as it must provide the same (working) API on both unix-style systems and on mswindows. The CoreFoundation library would be built as a subproject of the base library and could both wrap base library classes and implement new code changing the base library classes to wrap the new code, as appropriate. This combination of Foundation/CoreFoundation allows maximum re-use of existing code, but also allows for critical parts to be written for optimum performance and/or clarity/maintainability.
  * Implement the apple scripting classes and produce example/test programs and utilities/tools for scripting using those classes from applescript and/or an objective-c like scripting language. Supporting applescript would be good for OSX compatibility. Supporting objective-c scripting would be great for GNUstepWeb. Helge Hesse has written objective-c interpreter code which could be used as a basis for an objective-c scripting language.
  * Implement a version of distributed objects binary compatible with the Apple implementation by using keyed archiving (work on NIB support means that the keyed archiving is now basically binary compatible) and my using Nicolas' work on NSSocketPort etc in mySTEP (he says that his port implementation is binary compatible with OSX). This would let GNUstep applications communicate directly with cocoa applications, something which was until recently considered too big a job to attempt.

<br />

* **AppKit**
  * Themes for GNUstep. This includes the moving of all drawing code from the GUI classes into theme methods, replacing all hard coded panels with Gorm/NIB files, updating Thematic.app to support the new theming methods, and as the proof of the concept a native Windows theme (Or at least one theme that looks sufficiently different from standard GNUstep).
  * Implement a test framework for the graphical part of the GNUstep AppKit implementation. We already have a great test framework for base and this is well suited for non-graphical tests.
  * _NSMovie/QTMovie class_ÃÂ : on Mac OSX, the NSMovie (now deprecated) and QTMovie classes are based on QuickTime Apple tecnologies. GNUstep compatible classes might be based on open source ans multiplatform technologies like [VideoLAN][20]
  * NSOpenGLPixelBufferÃÂ : this class has been introduced in Mac OSX 10.5. It might be useful for any modern OpenGL application.
  * Improve/clean the text system -- add temporary attributes, pango support

* **GNUstepWeb**
  * GNUstepWeb (add script language support, etc)
  * Create a AJAX Framework for GNUstepWeb (similar to what [Project Wonder][21] [provides for WebObjects][22]

<br />

* **[ More Ideas][23]**

[[edit][24]]

<>

### ÃÂtoilÃÂ© Ideas

Take a look at ÃÂtoilÃÂ© [Open Projects page][25].

<br />

[[edit][26]]

<>

### GAP (GNUstep Application Project) Ideas

* Debug and Complete FlexiSheet, making sure it works on Cocoa as expected and noting incompatibilities with GNUstep. Those should be either fixed for both platforms (FlexiSheet portability of code improvment) or noted as a bug or missing feature in GNUstep.
* implement (Extract from Addresses) an iSync compatible framework, its corresponding managment application and then integrating it with AddressBook (which already has part of such framework). The goal would be to have syncronization of Addresses (but in future, perhaps calendar, Vespucci bookmarks) gnustep to gnustep, gnustep to mac and gnustep to .Mac/MobileMe by having such account.
* porting of Applications from OpenStep or Cocoa abandonware. This needs to be checked on application-per-application: License and dependencies can be a problem as defining the scope of the project well.
* Some miscellaneous applications that run a Cocoa GUI could be ported to GNUstep:
  * _Vim GUI_ÃÂ : at least two cocoa-based gui projects already exist - [vim-cocoa][27] and [mac-vim][28]
  * [VLC media player][29]ÃÂ : a Cocoa based interface exists for VLC.
  * _[NetHack3D][30]_ is a Cocoa port of [NetHack][31] with 3D graphics.
* _OpenGL extensions management API_: before using an OpenGL extension a program must first determine its availability. The mechanism for doing this is platform-specific and libraries such as [w:GLEW][32] and [w:GLEE][33] exist to simplify the process. The target of this project is a multiplatform Objective-C wrapper around OpenGL platform-specific functions.
* _HID API_: GNUstep can only handle the usual _human interface devices_ (HID)ÃÂ : keyboard and mouse. A multiplatform framework would allow GNUstep application to handle joystick, graphic tablet or 3D device.

_Feel to add ideasÃ¢ÂÂ¦_

[[edit][34]]

<>

### OpenGroupware.org Ideas

Some ideas by Sebastian Reitenbach:

(a) port SOPE/OGo from libFoundation to gnustep-base

(b) implement the CalDAV/CardDAV REPORT operations in ZideStore

(c) implement VTODO put in ZideStore

(d) Complete the SOAP implementation in SOPE.

For (b) and (c) I think I could help them out and both I would consider pretty 'educational' since it touched on allot of things (Obj-C, HTTP, DAV, etc...) They are also [relatively] small-ish. Whereas I would apply to help with (a).

[[edit][35]]

<>

### Mentors

* Quentin MathÃÂ©
* David Chisnall
* Richard Frith-Macdonald
* Fred Kiefer
* Riccardo Mottola (as co-Mentor, as Fred suggested)
* Xavier Glattard
* Nicolas Roard

[[edit][36]]

<>

### Students

- t.b.a.

 Retrieved from "[http://wiki.gnustep.org/index.php/Summer\_Of\_Code\_2009][37]"

[Categories][38]: [Summer Of Code][39]

##### Views

* [Article][40]
* [Discussion][41]
* [Edit][42]
* [History][43]

##### Personal tools

* [Create an account or log in][44]

[][45]

##### users

* [Applications][46]
* [Guides][47]
* [FAQ][48]
* [Get Help][49]
* [Report Bugs][50]
* [Donations][51]
* [Screenshots][52]

##### developers

* [Guides][53]
* [FAQ][54]
* [Base API (Foundation)][55]
* [GUI API (AppKit)][56]
* [Frameworks][57]

##### Navigation

* [Main Page][58]
* [Community portal][59]
* [Current events][60]
* [Recent changes][61]
* [Random page][62]
* [Help][63]

##### Search

##### Toolbox

* [What links here][64]
* [Related changes][65]
* [Upload file][66]
* [Special pages][67]
* [Printable version][68]

[![MediaWiki][69]][70]

* This page was last modified 09:00, 13 March 2009.
* This page has been accessed 46,571 times.
* Content is available under [GNU General Public License][71].
* [About GNUstepWiki][72]
* [Disclaimers][73]

  [1]: #Summer_Of_Code_2009
  [2]: #Joint_Application
  [3]: #GNUstep_Ideas
  [4]: #.C3.89toil.C3.A9_Ideas
  [5]: #GAP_.28GNUstep_Application_Project.29_Ideas
  [6]: #OpenGroupware.org_Ideas
  [7]: #Mentors
  [8]: #Students
  [9]: /index.php?title=Summer_Of_Code_2009&action=edit&section=1 "Summer Of Code 2009"
  [10]: http://code.google.com/soc/ "http://code.google.com/soc/"
  [11]: #Mentors
  [12]: http://code.google.com/soc/mentorfaq.html "http://code.google.com/soc/mentorfaq.html"
  [13]: /index.php?title=Summer_Of_Code_2009&action=edit&section=2 "Summer Of Code 2009"
  [14]: http://www.gnustep.org "http://www.gnustep.org"
  [15]: http://www.etoileos.com "http://www.etoileos.com"
  [16]: http://www.nongnu.org/gap/ "http://www.nongnu.org/gap/"
  [17]: http://www.opengroupware.org "http://www.opengroupware.org"
  [18]: /index.php?title=Summer_Of_Code_2009&action=edit&section=3 "Summer Of Code 2009"
  [19]: http://developer.apple.com/opensource/internet/webkit.html "http://developer.apple.com/opensource/internet/webkit.html"
  [20]: http://www.videolan.org "http://www.videolan.org"
  [21]: http://wiki.objectstyle.org/confluence/display/WO/Project+WONDER-Overview "http://wiki.objectstyle.org/confluence/display/WO/Project WONDER-Overview"
  [22]: http://en.wikibooks.org/wiki/Programming:WebObjects/Project_WONDER/Frameworks/Ajax "http://en.wikibooks.org/wiki/Programming:WebObjects/Project WONDER/Frameworks/Ajax"
  [23]: /index.php/Summer_Of_Code_Ideas "Summer Of Code Ideas"
  [24]: /index.php?title=Summer_Of_Code_2009&action=edit&section=4 "Summer Of Code 2009"
  [25]: http://etoileos.com/dev/projects/ "http://etoileos.com/dev/projects/"
  [26]: /index.php?title=Summer_Of_Code_2009&action=edit&section=5 "Summer Of Code 2009"
  [27]: http://www.ohloh.net/p/vim-cocoa "http://www.ohloh.net/p/vim-cocoa"
  [28]: http://macvim.org/OSX "http://macvim.org/OSX"
  [29]: http://www.videolan.org/vlc "http://www.videolan.org/vlc"
  [30]: http://www.sbrain.org/nethack3d "http://www.sbrain.org/nethack3d"
  [31]: http://www.nethack.org "http://www.nethack.org"
  [32]: /index.php?title=W:GLEW&action=edit "W:GLEW"
  [33]: /index.php?title=W:GLEE&action=edit "W:GLEE"
  [34]: /index.php?title=Summer_Of_Code_2009&action=edit&section=6 "Summer Of Code 2009"
  [35]: /index.php?title=Summer_Of_Code_2009&action=edit&section=7 "Summer Of Code 2009"
  [36]: /index.php?title=Summer_Of_Code_2009&action=edit&section=8 "Summer Of Code 2009"
  [37]: http://wiki.gnustep.org/index.php/Summer_Of_Code_2009
  [38]: /index.php?title=Special:Categories&article=Summer_Of_Code_2009 "Special:Categories"
  [39]: /index.php/Category:Summer_Of_Code "Category:Summer Of Code"
  [40]: /index.php/Summer_Of_Code_2009
  [41]: /index.php?title=Talk:Summer_Of_Code_2009&action=edit
  [42]: /index.php?title=Summer_Of_Code_2009&action=edit
  [43]: /index.php?title=Summer_Of_Code_2009&action=history
  [44]: /index.php?title=Special:Userlogin&returnto=Summer_Of_Code_2009
  [45]: /index.php/Main_Page "Main Page"
  [46]: /index.php/Category:Applications
  [47]: /index.php/User_Guides
  [48]: /index.php/User_FAQ
  [49]: /index.php/Get_Help
  [50]: /index.php/Report_Bugs
  [51]: /index.php/GNUstepWiki:Site_support
  [52]: /index.php/Screenshots
  [53]: /index.php/Developer_Guides
  [54]: /index.php/Developer_FAQ
  [55]: /index.php/Foundation
  [56]: /index.php/AppKit
  [57]: /index.php/Category:Frameworks
  [58]: /index.php/Main_Page
  [59]: /index.php/GNUstepWiki:Community_Portal
  [60]: /index.php/Current_events
  [61]: /index.php/Special:Recentchanges
  [62]: /index.php/Special:Random
  [63]: /index.php/Help:Contents
  [64]: /index.php/Special:Whatlinkshere/Summer_Of_Code_2009
  [65]: /index.php/Special:Recentchangeslinked/Summer_Of_Code_2009
  [66]: /index.php/Special:Upload
  [67]: /index.php/Special:Specialpages
  [68]: /index.php?title=Summer_Of_Code_2009&printable=yes&printable=yes
  [69]: /skins/common/images/poweredby_mediawiki_88x31.png
  [70]: http://www.mediawiki.org/
  [71]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [72]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [73]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"