<>

# Themability

### From GNUstepWiki	{#siteSub}

_Audience of this article: developers, theme creators_

<table>
<tr>
<td>
## Contents
* [1 Introduction for developers][1]
* [2 Requirements][2]
* [3 Random Notes][3]
* [4 Available Themes][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Introduction for developers

AppKit should be:

1. aware of theming - presence of theming extension in AppKit
2. polite to theming - use only theme-delegated class for UI drawing

Having GUI without (1) and (2) is selfish and it is like saying: "NeXT UI is the default, if you want yours, you are free to dig through the sources and create your hack".

Considering KDE/GNOME/etc, we can have themes that simple by providing a "pixmap theme engine" on one hand. On the other hand, by having that "UI drawing delegation" we keep open door for non-pixmap-based themes for those who know how to code and perhaps know how to optimise their themes.

[[edit][6]]

<>

## Requirements

What needs to be (roughly) written before any implementation:

1. list of all UI elements (not controls, but all visible elements): ...
2. list of controls and their drawing methods: ...
3. map of what methods should use what UI shapes: ...

After this list is completed, then implementation of themability support can be started. This list can also provide base for future _GNUstep Themability_ documentation.

[[edit][7]]

<>

## Random Notes

Then GUI should not use drawing by using bezier paths nor DPS operators, it should use ONLY functions from the "theme class". With this, complete themability can be achieved without it being a hack, as it is now. This desing is much cleaner and straightforward. Theme creator does not have to dig into the AppKit classes to find out "what should be overriden to make the theme work", moreover the theme developer will not end by uncomplete theme, as he knows everything that he should implement.

It is not easy for the average user who doesn't know how to code. Whereas with KDE/GNOME/etc it's a matter of creating a few textures and pixmaps etc.

[[edit][8]]

<>

## Available Themes

For a growing list of available themes see [Themes][9]

 Retrieved from "<http://wiki.gnustep.org/index.php/Themability>"

[Categories][10]: [Themes][11]

##### Views

* [Article][12]
* [Discussion][13]
* [Edit][14]
* [History][15]

##### Personal tools

* [Create an account or log in][16]

[][17]

##### users

* [Applications][18]
* [Guides][19]
* [FAQ][20]
* [Get Help][21]
* [Report Bugs][22]
* [Donations][23]
* [Screenshots][24]

##### developers

* [Guides][25]
* [FAQ][26]
* [Base API (Foundation)][27]
* [GUI API (AppKit)][28]
* [Frameworks][29]

##### Navigation

* [Main Page][30]
* [Community portal][31]
* [Current events][32]
* [Recent changes][33]
* [Random page][34]
* [Help][35]

##### Search

##### Toolbox

* [What links here][36]
* [Related changes][37]
* [Upload file][38]
* [Special pages][39]
* [Printable version][40]

[![MediaWiki][41]][42]

* This page was last modified 09:01, 15 November 2010.
* This page has been accessed 24,378 times.
* Content is available under [GNU General Public License][43].
* [About GNUstepWiki][44]
* [Disclaimers][45]

  [1]: #Introduction_for_developers
  [2]: #Requirements
  [3]: #Random_Notes
  [4]: #Available_Themes
  [5]: /index.php?title=Themability&action=edit&section=1 "Themability"
  [6]: /index.php?title=Themability&action=edit&section=2 "Themability"
  [7]: /index.php?title=Themability&action=edit&section=3 "Themability"
  [8]: /index.php?title=Themability&action=edit&section=4 "Themability"
  [9]: /index.php/Themes "Themes"
  [10]: /index.php?title=Special:Categories&article=Themability "Special:Categories"
  [11]: /index.php/Category:Themes "Category:Themes"
  [12]: /index.php/Themability
  [13]: /index.php?title=Talk:Themability&action=edit
  [14]: /index.php?title=Themability&action=edit
  [15]: /index.php?title=Themability&action=history
  [16]: /index.php?title=Special:Userlogin&returnto=Themability
  [17]: /index.php/Main_Page "Main Page"
  [18]: /index.php/Category:Applications
  [19]: /index.php/User_Guides
  [20]: /index.php/User_FAQ
  [21]: /index.php/Get_Help
  [22]: /index.php/Report_Bugs
  [23]: /index.php/GNUstepWiki:Site_support
  [24]: /index.php/Screenshots
  [25]: /index.php/Developer_Guides
  [26]: /index.php/Developer_FAQ
  [27]: /index.php/Foundation
  [28]: /index.php/AppKit
  [29]: /index.php/Category:Frameworks
  [30]: /index.php/Main_Page
  [31]: /index.php/GNUstepWiki:Community_Portal
  [32]: /index.php/Current_events
  [33]: /index.php/Special:Recentchanges
  [34]: /index.php/Special:Random
  [35]: /index.php/Help:Contents
  [36]: /index.php/Special:Whatlinkshere/Themability
  [37]: /index.php/Special:Recentchangeslinked/Themability
  [38]: /index.php/Special:Upload
  [39]: /index.php/Special:Specialpages
  [40]: /index.php?title=Themability&printable=yes&printable=yes
  [41]: /skins/common/images/poweredby_mediawiki_88x31.png
  [42]: http://www.mediawiki.org/
  [43]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [44]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [45]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"