<>

# Unit Testing

### From GNUstepWiki	{#siteSub}

**Unit Testing** is the practice of writing code that tests the code in your application and quickly determines if the code is working properly. The concept of unit testing is implemented in libraries for most modern languages, including Objective-C.

[[edit][1]]

<>

## Common Frameworks

There are several unit testing frameworks for Objective-C projects.

* OCUnit, built in to Apple Xcode and open sourced. Version 27 (pretty old) has been tested with GNUstep
* UnitKit, common for Mac OS X until OCUnit was built into Xcode. Now ported to Etoile.
* ObjCUnit, a Mac OS X framework that has been ported to GNUstep.
* TestKit, an inactive framework

[[edit][2]]

<>

## See also

* Mock objects

 Retrieved from "[http://wiki.gnustep.org/index.php/Unit\_Testing][3]"

##### Views

* [Article][4]
* [Discussion][5]
* [Edit][6]
* [History][7]

##### Personal tools

* [Create an account or log in][8]

[][9]

##### users

* [Applications][10]
* [Guides][11]
* [FAQ][12]
* [Get Help][13]
* [Report Bugs][14]
* [Donations][15]
* [Screenshots][16]

##### developers

* [Guides][17]
* [FAQ][18]
* [Base API (Foundation)][19]
* [GUI API (AppKit)][20]
* [Frameworks][21]

##### Navigation

* [Main Page][22]
* [Community portal][23]
* [Current events][24]
* [Recent changes][25]
* [Random page][26]
* [Help][27]

##### Search

##### Toolbox

* [What links here][28]
* [Related changes][29]
* [Upload file][30]
* [Special pages][31]
* [Printable version][32]

[![MediaWiki][33]][34]

* This page was last modified 19:37, 9 November 2009.
* This page has been accessed 1,963 times.
* Content is available under [GNU General Public License][35].
* [About GNUstepWiki][36]
* [Disclaimers][37]

  [1]: /index.php?title=Unit_Testing&action=edit&section=1 "Unit Testing"
  [2]: /index.php?title=Unit_Testing&action=edit&section=2 "Unit Testing"
  [3]: http://wiki.gnustep.org/index.php/Unit_Testing
  [4]: /index.php/Unit_Testing
  [5]: /index.php?title=Talk:Unit_Testing&action=edit
  [6]: /index.php?title=Unit_Testing&action=edit
  [7]: /index.php?title=Unit_Testing&action=history
  [8]: /index.php?title=Special:Userlogin&returnto=Unit_Testing
  [9]: /index.php/Main_Page "Main Page"
  [10]: /index.php/Category:Applications
  [11]: /index.php/User_Guides
  [12]: /index.php/User_FAQ
  [13]: /index.php/Get_Help
  [14]: /index.php/Report_Bugs
  [15]: /index.php/GNUstepWiki:Site_support
  [16]: /index.php/Screenshots
  [17]: /index.php/Developer_Guides
  [18]: /index.php/Developer_FAQ
  [19]: /index.php/Foundation
  [20]: /index.php/AppKit
  [21]: /index.php/Category:Frameworks
  [22]: /index.php/Main_Page
  [23]: /index.php/GNUstepWiki:Community_Portal
  [24]: /index.php/Current_events
  [25]: /index.php/Special:Recentchanges
  [26]: /index.php/Special:Random
  [27]: /index.php/Help:Contents
  [28]: /index.php/Special:Whatlinkshere/Unit_Testing
  [29]: /index.php/Special:Recentchangeslinked/Unit_Testing
  [30]: /index.php/Special:Upload
  [31]: /index.php/Special:Specialpages
  [32]: /index.php?title=Unit_Testing&printable=yes&printable=yes
  [33]: /skins/common/images/poweredby_mediawiki_88x31.png
  [34]: http://www.mediawiki.org/
  [35]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [36]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [37]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"