<>

# User FAQ

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 GNUstep General Information][1]
  * [1\.1 What is GNUstep?][2]
  * [1\.2 What is Cocoa?][3]
  * [1\.3 What platforms does GNUstep run on?][4]
  * [1\.4 Does GNUstep run on Windows?][5]
  * [1\.5 What is GNUstep's position towards KDE and the GNOME project?][6]
  * [1\.6 How can I get GNUstep?][7]
  * [1\.7 How do you run GNUstep?][8]
  * [1\.8 Is there a web site?][9]
  * [1\.9 When is GNUstep intended to be available?][10]
  * [1\.10 What is usable?][11]
* [2 Compiling and Installing][12]
  * [2\.1 How do I compile GNUstep on my machine?][13]
  * [2\.2 Are there any precompiled packages available?][14]
  * [2\.3 How do I start the applications I just installed?][15]
  * [2\.4 What are these type and size warnings?][16]
  * [2\.5 What are these import warnings?][17]
* [3 Compatibility and Layout][18]
  * [3\.1 Can I run NeXT OPENSTEP or Mac OS X programs on GNUstep?][19]
  * [3\.2 Is GNUstep following changes to OpenStep and Mac OS X?][20]
  * [3\.3 Do we have to have the NEXTSTEP look and feel?][21]
  * [3\.4 What's up with the directory structure?][22]
  * [3\.5 Why not use framework bundles?][23]
  * [3\.6 Why not use native widgets?][24]
* [4 Troubleshooting][25]
  * [4\.1 Problems compiling (loading shared libs)][26]
  * [4\.2 Problems compiling (GNUstep Internal Error)][27]
  * [4\.3 Problems with Alt key][28]
  * [4\.4 Problems with gcc3][29]
  * [4\.5 Problems with fonts][30]
  * [4\.6 No characters displayed][31]
  * [4\.7 No Makefile][32]
* [5 Misc][33]
  * [5\.1 Why don't you just have Gorm output Renaissance files?][34]
  * [5\.2 Is there a way to install GNUstep on Mac OS X?][35]
  * [5\.3 Is there any way to use gnustep-make and gnustep-base without using openapp/opentool?][36]
  * [5\.4 Can GNUstep help with porting applications from MacOS X? Is there any HOWTO on that?][37]
  * [5\.5 Can I deploy my GNUstep application without requiring people to install GNUstep?][38]
  * [5\.6 How can I get more information on Objective-CÃÂ ?][39]
</td>
</tr>
</table>

[[edit][40]]

<>

## GNUstep General Information

[[edit][41]]

<>

### What is GNUstep?

GNUstep is the Free Software Foundation's effort to implement Apple, Inc's (formerly NeXT Software, Inc.'s) [Cocoa][42] APIs (formerly the [OpenStep][43] Standard). Also we are building developer and user applications based on this standard which may be used to form a complete desktop experience. For more details, take a look at the [introduction][44].

[[edit][45]]

<>

### What is Cocoa?

[Cocoa][46] is an Application Programming Interface (API) for creating applications using the Objective-C language. It was published by Apple, Inc.(Formerly NeXT Software, Inc.).

Cocoa consists of three parts: the \`Foundation Kit', a library of non-graphical objects; the \`Application Kit', a library of objects useful in creating graphical applications; and the Quartz display system.

[[edit][47]]

<>

### What platforms does GNUstep run on?

See the list of [supported platforms][48] for information on what machines GNUstep builds on and what the status of the ports is. GNUstep can be ported to any other UNIX system where current gcc compilers and gdb debugger work.

[[edit][49]]

<>

### Does GNUstep run on Windows?

The primary targets for GNUstep are free UNIX system-based platforms such as GNU/Linux and FreeBSD.

That being said, the whole environment has been ported to [MinGW environment][50] and the non-gui libraries are reported to work well.

The GUI library uses the [Cairo Backend][51] library to work under Windows. The backend library is a thin layer that converts the GNUstep methods to handle drawing of GUI elements to calls to the Windows API.

GNUstep also has a theme which lets it use native windows widgets wherever possible so it can better blend into the Windows environment.

[[edit][52]]

<>

### What is GNUstep's position towards KDE and the GNOME project?

You can use GNUstep with GNOME and/or KDE (See [IconManager.app][53]). GNUstep displays on top of X11. You can still do programming in C (since Objective-C is just a superset of C), and if you're using gcc 4.1 or later, you can [mix C++ and Objective-C code in the same file][54].

GNUstep, is much more than a window manager or desktop environment. It frees you to develop cross-platform applications without the work of developing an OS independent framework from scratch. It gives you lots of basic functionality, from font panels to Unicode strings to distributed objects.

[[edit][55]]

<>

### How can I get GNUstep?

Many distributions include packaged versions of GNUstep (Debian, etc.). To compile from scratch, download the GNUstep Startup package or take a look at the [Platform compatibility][56] list. Get the latest releases from [FTP][57].

[[edit][58]]

<>

### How do you run GNUstep?

You are presumably under the misapprehension that GNUstep is some sort of program or window manager. It isn't! GNUstep is a whole load of things -- primarily a set of libraries for developing software. At present, it's those libraries, plus various command-line based support tools and service providing daemons, plus various GUI development tools, a GUI desktop/workspace application, etc. At no stage will you ever 'run' GNUstep -- you will run applications and tools and will use it's services. At some point you may well find packages distributed as 'GNUstep' systems in the way that you get 'GNU/Linux' systems packaged today. For instance, look at the [GNUstep Live CD][59].

If you want to see a sample GUI application running you need to build GNUstep and look at the example applications in the [gnustep-examples][60] package. Build 'Finger' or 'Ink' and start it with 'openapp Finger.app' or 'openapp Ink.app'

For the best look, use Window Maker (preferred GNUstep window manager) as your window manager. In others desktops (that have its how window manager) you can use [IconManager.app][61]

[[edit][62]]

<>

### Is there a web site?

See [GNUstep Website][63] and [ GNUstep Wiki][64].

[[edit][65]]

<>

### When is GNUstep intended to be available?

It's usable now. Major releases are made about every six months. However, if you are a serious developer, it's probably best to use the latest snapshots.

[[edit][66]]

<>

### What is usable?

Most of GNUstep is quite usable and there are many complex applications that work well. However, GNUstep does not completely track the latest changes that Apple makes to their interface and there are still some parts that need some work. This means many applications will run quite well. Applications that require very complex text handling and some unusual features and/or some of the latest additions to Cocoa may not work as well. See the [Compatibility and Layout][67] section for more information.

[[edit][68]]

<>

## Compiling and Installing

[[edit][69]]

<>

### How do I compile GNUstep on my machine?

Read the file 'GNUstep-HOWTO', which comes with the GNUstep distribution (gnustep-make), and also is available separately on the GNUstep web site. To check beforehand, take a look at the [Platform compatibility][70] list. NB. gnustep-base-1.23.0 is the last release which supports pre gcc-4.0.0 compilers. For later releases you will want to ensure you have a more recent Objective-C compiler.

[[edit][71]]

<>

### Are there any precompiled packages available?

Check the [Download Section][72] for links to RPMs, Debian packages, and BSD ports. There are also Windows installers, Mac OS X binaries and others.

[[edit][73]]

<>

### How do I start the applications I just installed?

First, read [GNUstep Howto][74] to make sure you have set up your environment correctly. Then from a terminal enter:

	openapp Application.app

[[edit][75]]

<>

### What are these type and size warnings?

These warnings:

	 /usr/bin/ld: warning: type and size of dynamic symbol
	 `__objc_class_name_NSConstantString' are not defined

are a common occurence and are due to a mismatch between the gcc compiler and the ld linker. They don't do any harm so they can be safely ignored. They have been fixed in the 3.1 version of the GCC compiler.

[[edit][76]]

<>

### What are these import warnings?

Do you get this obnoxious warning whenever you compile an application, tool, or Objective-C program:

	 warning: using `#import' is not recommended
	 [...]

Up until version 3.4 of the GCC compiler, the #import directive was improperly implemented. As a result, the compiler automatically emitted a warning whenever the #import directive was used. As of gcc 3.4, this problem has been fixed, so presumably, this warning is no longer emitted when code is compiled. If you are using an earlier compiler, you can suppress these warnings by adding -Wno-import to your CPPFLAGS.

[[edit][77]]

<>

## Compatibility and Layout

[[edit][78]]

<>

### Can I run NeXT OPENSTEP or Mac OS X programs on GNUstep?

You can't run these programs on GNUstep, but if you have the source code for the programs, you should be able to port them to GNUstep and compile them. Whether or not you will be able to run them depends on how complete GNUstep is at the time.

[[edit][79]]

<>

### Is GNUstep following changes to OpenStep and Mac OS X?

Yes, gnustep-base already contains the documented changes in the Foundation library. GNUstep aims to be compatible with both the OpenStep specification and with Mac OS X. It should be easy to write an application that compiles cleanly under both GNUstep and Cocoa. GNUstep can be expected to support the OSX 10.4 version of the Cocoa APIs (we consider it a bug if it does not), but also actually supports many APIs from OSX 10.5 and later (contributions of methods from these later versions are very welcome).

[[edit][80]]

<>

### Do we have to have the NEXTSTEP look and feel?

GNUstep is aiming for something like the NEXTSTEP 3.3 look and feel. Although we don't want to force anyone into this, a lot of the power and ease of use comes from this feel. The look of GNUstep is something different -- buttons and other widgets can look different but still act the same way. We hope to implement themes which will allow this.

For a different desktop feel please see [Themability][81].

[[edit][82]]

<>

### What's up with the directory structure?

First of all, GNUstep uses a slightly different directory structure than NEXTSTEP or Mac OS X. Part of this is historical, part is because we can't do things the same way (see the section [Why not use framework bundles][83]). Although currently the structure is very similar to the one used in Mac OS X.

It's also possible to configure GNUstep run using the standard FHS directory structure used under GNU/Linux and other unices so that it blends better in the host environment.

[[edit][84]]

<>

### Why not use framework bundles?

Framework bundles are much more difficult to port and to use, and are very unnatural on a UNIX system; extremely unnatural on Windows. In a framework bundle, the shared dynamic library is inside a framework wrapper directory. Because of this, the dynamic linker can't find it.

We have frameworks, so how do we work around that? Well, we create symbolic links from a directory inside the dynamic linker path into the framework, which work, but then you can't move the framework anywhere else on the system, otherwise you break the link, such that nothing will find the framework any longer! On systems without symbolic links, like Windows, we can't even do this! We have to copy the library from the framework into the dynamic linker path, but that is simply a shared library then! Absolutely no difference. You put the dynamic library in a system directory in the dynamic linker path, and associate with that library a resource directory. OpenStep for Windows did that, and still called them frameworks. So we can do the same, and call our libraries frameworks.

Shared libraries are all in a flat directory where the dynamic linker can easily find them. This is how it works on Unixoids, Windows and probably most other systems. The OpenStep API requires us to provide some stuff for frameworks, like creating and registering a framework object automatically each time a framework is used (linked at runtime, or linked into the app), and attaching to it the list of classes inside the framework, which are not particularly trivial to implement and might make trouble when porting, as they depend on playing with the linker and the object file format. However, shared libraries are handled by the operating system for us, so we never have to use these facilities.

It's easier for Apple's Mac OS X. They can modify the system linker, compiler, the system dynamical linker as they please, because they have full control over the platform these run on. They can modify the system to support frameworks natively. GNUstep, however, is meant to run on many different platforms, platforms which we don't control (Windows, Sun Solaris, Darwin, GNU/Linux, UNIX system variants) and which have different linkers and do not support frameworks natively. On some systems it's difficult to just load a bundle or compile a shared library!

So building the core libraries as 'libraries' means that it's much easier to port them, and it's much more difficult to break them. Sure, frameworks have a bundle of resources associated with it -- but we can very easily associate a bundle of resource with a shared library, no reason why not. We are doing it. So please note that GNUstep libraries are meant to be much similar to Mac OS X frameworks. They are composed of a shared library and associated with a bundle of resources. There is a difference in terminology, in where the resources are installed, and possibly a slight difference in the NSBundle API to get to the resource bundle (anyway, it's a one line difference between Mac OS X and GNUstep, so it looks like very easy to \#ifdef).

In other words, GNUstep libraries are meant to basically do the same as frameworks do on Mac OS X, but to be portable to very different platforms (such as Windows).

[[edit][85]]

<>

### Why not use native widgets?

The GNUstep GUI code is divided into two libraries ... the gui proper (gnustep-gui), which handles most of the work of implementing the AppKit API, and the backend (gnustep-back) which handles the interface to the native operating system. The display server (GSDisplayServer) is one of the two classes which provide the main interface between the two parts. The other class is the graphics context (NSGraphicsContext). The later does the actual drawing whereas the former manages windows and events. This separation is just great to have multiple graphics backends like art, xlib and cairo share the same x11 display server. So code in gnustep-gui calls methods of the display server, and code in gnustep-back translates those calls to native calls of the system you are running on.

This means that application developers use the OpenStep/GNUstep/MacOS-X AppKit API to write their applications, and the gnustep-back library uses the native functionality to do the job where possible. For instance, you do cut and paste or DnD using the OpenStep API for that, and on an ms-windows system, the actual calls to perform the operations are the native win32 ones. ie we leave the job to the operating system, so cut and paste from gnustep applications can interact with cut and paste from native win32 applications. Of course, where the two APIs (OpenStep and win32) operate in very different ways, the conversion between the two is hard, but often the layer between the two is quite thin.

One area where there is not much scope for overlap is drawing within a window ... the way that the OpenStep API operates is so different from ms-windows or X-windows that high level code for drawing things inside a windows using the native operating system generally cannot fit with OpenStep, so the gui library does all the drawing inside the window with quite low level code rather than trying to map OpenStep 'controls' to native 'widgets'.

Since the basic design of the two (frontend and backend) libraries is, to draw OpenStep controls rather than try to map to native controls (because that's generally easier and makes the code very portable), we generally make no use of native widgets. However, the gui frontend can dynamically load a theme engine to draw it's controls, and a theme engine is free to try to draw parts of a window using its own code ... so it can use the native controls where that's a practical solution.

[[edit][86]]

<>

## Troubleshooting

[[edit][87]]

<>

### Problems compiling (loading shared libs)

If you get something like

	 plmerge: error while loading shared libraries:
	 libgnustep-base.so.1: cannot open shared object file: No such file or directory

or this:

	 Making all for service example...
	 make[2]: *** [example.service/Resources/Info-gnustep.plist] Error 1
	 make[1]: *** [example.all.service.variables] Error 2
	 make[1]: Leaving directory `/home/multix/gnustep-gui-0.8.6/Tools'
	 make: *** [internal-all] Error 2

This means your GNU make is being overly protective. When you try to become root (e.g. to install something), certain environment variables like LD\_LIBRARY\_PATH are unset in order to reduce the possibility of a security breach. If you are becoming root to install something, you need to exec the GNUstep.sh file as root, just as you do when you login. Although for simplicity, you can also try this:

	 make LD_LIBRARY_PATH=$LD_LIBRARY_PATH

You could also be having problems with gcc. gcc 2.96 does not work (Mandrake 8.1, perhaps others). Use a different compiler, like gcc 3.x.

[[edit][88]]

<>

### Problems compiling (GNUstep Internal Error)

If you get

	 GNUSTEP Internal Error:
	 The private GNUstep function to establish the argv and environment
	 variables was not called.
	 Please report the error to <mailto:bug-gnustep@gnu.org>

when compiling the gui library, there could be several things wrong. One is that you installed the gnustep-objc library, but the compiler found another Objective-C library (like the one that came with gcc). If you are using gcc 3.x, DO NOT use the gnustep-objc library.

There could also be a mismatch between the base and gui library versions. Make sure you have the latest release of each library installed.

[[edit][89]]

<>

### Problems with Alt key

It's possible the Alt key is not where you think it is or is defined incorrectly. Try running the GSTest application, KeyboardInput test (located in the examples package at [FTP][90]) to test it. See [keyboard setup][91] for information on how to change the settings.

If you are using [Window Maker][92], it's possible it is grabbing this key and using it for itself. To check, open Window Maker's WPrefs and go to the Mouse Preferences. Then use another value for the "Mouse grab modifier" (bottom right). That will allow you to alt-drag things.

[[edit][93]]

<>

### Problems with gcc3

Don't forget you need to update binutils and libc also.

[[edit][94]]

<>

### Problems with fonts

Why do the characters get changed to asterisks ('\*')?

The problem you are getting come from the fact that the xlib backend (when not using Xft) will only use one fixed X font for a given font name. If the font "helvetica" is used inside of GNUstep the one selected X font, in your case "-\*-helvetica-medium-r-normal--12-\*-\*-\*-p-\*-iso8859-1" is used. So only characters (or glyphs) that are available in that font can be displayed. The selection of which font name to use happens inside the font\_cacher and is more or less at random (the order fonts are listed by the X system).

You can influence the fonts that are available by setting:

	 defaults write NSGlobalDomain GSFontMask "*iso8859-13"
	 font_cacher

(or using a different character set, like iso8859-2). This is really a bug in GNUstep, but it hasn't been fixed yet.

The other option is the use the art backend, which handles fonts much better. When compiling gnustep-back, start with

	 ./configure --enable-graphics=art

[[edit][95]]

<>

### No characters displayed

When using the xlib backend, no characters are displayed in any GNUstep applications.

The xlib backend has font anti-aliasing turned on by default. It's possible that GNUstep can't find any fonts on your system that can be properly anti-aliased. Try

	 defaults write NSGlobalDomain GSFontAntiAlias NO

to turn off font anti-aliasing.

[[edit][96]]

<>

### No Makefile

I tried to compile something and I get:

	 GNUmakefile:27: /Makefiles/common.make: No such file or directory
	 GNUmakefile:39: /Makefiles/aggregate.make: No such file or directory
	 gmake: *** No rule to make target `/Makefiles/aggregate.make'.  Stop.

Make sure you have installed the gnustep-make package and also type something like

	 source /usr/GNUstep/System/Library/Makefiles/GNUstep.sh

depending on your GNUstep's installation path.

You can put this line in your \`.profile' or \`.bash\_profile' file so that it is done automatically when you log in.

[[edit][97]]

<>

## Misc

[[edit][98]]

<>

### Why don't you just have Gorm output Renaissance files?

Philosophical and architectural incompatibilities.

[[edit][99]]

<>

### Is there a way to install GNUstep on Mac OS X?

Yes! Please see [ MacOS X installation notes][100].

[[edit][101]]

<>

### Is there any way to use gnustep-make and gnustep-base without using openapp/opentool?

opentool is obsolete and you should be able to run command-line programs directly from your shell prompt like any other command-line program.

openapp is useful to run applications but in standard situations you can also run directly the program from within the .app folder.

[[edit][102]]

<>

### Can GNUstep help with porting applications from MacOS X? Is there any HOWTO on that?

See for example [Tamsys][103].

[[edit][104]]

<>

### Can I deploy my GNUstep application without requiring people to install GNUstep?

No. Compare it to running Java applications without people requiring to install Java runtime environment.

[[edit][105]]

<>

### How can I get more information on Objective-CÃÂ ?

Take a look at the [Objective-C][106] page.

 Retrieved from "[http://wiki.gnustep.org/index.php/User\_FAQ][107]"

[Categories][108]: [FAQ][109]

##### Views

* [Article][110]
* [Discussion][111]
* [Edit][112]
* [History][113]

##### Personal tools

* [Create an account or log in][114]

[][115]

##### users

* [Applications][116]
* [Guides][117]
* [FAQ][118]
* [Get Help][119]
* [Report Bugs][120]
* [Donations][121]
* [Screenshots][122]

##### developers

* [Guides][123]
* [FAQ][124]
* [Base API (Foundation)][125]
* [GUI API (AppKit)][126]
* [Frameworks][127]

##### Navigation

* [Main Page][128]
* [Community portal][129]
* [Current events][130]
* [Recent changes][131]
* [Random page][132]
* [Help][133]

##### Search

##### Toolbox

* [What links here][134]
* [Related changes][135]
* [Upload file][136]
* [Special pages][137]
* [Printable version][138]

[![MediaWiki][139]][140]

* This page was last modified 22:15, 26 February 2015.
* This page has been accessed 154,637 times.
* Content is available under [GNU General Public License][141].
* [About GNUstepWiki][142]
* [Disclaimers][143]

  [1]: #GNUstep_General_Information
  [2]: #What_is_GNUstep.3F
  [3]: #What_is_Cocoa.3F
  [4]: #What_platforms_does_GNUstep_run_on.3F
  [5]: #Does_GNUstep_run_on_Windows.3F
  [6]: #What_is_GNUstep.27s_position_towards_KDE_and_the_GNOME_project.3F
  [7]: #How_can_I_get_GNUstep.3F
  [8]: #How_do_you_run_GNUstep.3F
  [9]: #Is_there_a_web_site.3F
  [10]: #When_is_GNUstep_intended_to_be_available.3F
  [11]: #What_is_usable.3F
  [12]: #Compiling_and_Installing
  [13]: #How_do_I_compile_GNUstep_on_my_machine.3F
  [14]: #Are_there_any_precompiled_packages_available.3F
  [15]: #How_do_I_start_the_applications_I_just_installed.3F
  [16]: #What_are_these_type_and_size_warnings.3F
  [17]: #What_are_these_import_warnings.3F
  [18]: #Compatibility_and_Layout
  [19]: #Can_I_run_NeXT_OPENSTEP_or_Mac_OS_X_programs_on_GNUstep.3F
  [20]: #Is_GNUstep_following_changes_to_OpenStep_and_Mac_OS_X.3F
  [21]: #Do_we_have_to_have_the_NEXTSTEP_look_and_feel.3F
  [22]: #What.27s_up_with_the_directory_structure.3F
  [23]: #Why_not_use_framework_bundles.3F
  [24]: #Why_not_use_native_widgets.3F
  [25]: #Troubleshooting
  [26]: #Problems_compiling_.28loading_shared_libs.29
  [27]: #Problems_compiling_.28GNUstep_Internal_Error.29
  [28]: #Problems_with_Alt_key
  [29]: #Problems_with_gcc3
  [30]: #Problems_with_fonts
  [31]: #No_characters_displayed
  [32]: #No_Makefile
  [33]: #Misc
  [34]: #Why_don.27t_you_just_have_Gorm_output_Renaissance_files.3F
  [35]: #Is_there_a_way_to_install_GNUstep_on_Mac_OS_X.3F
  [36]: #Is_there_any_way_to_use_gnustep-make_and_gnustep-base_without_using_openapp.2Fopentool.3F
  [37]: #Can_GNUstep_help_with_porting_applications_from_MacOS_X.3F_Is_there_any_HOWTO_on_that.3F
  [38]: #Can_I_deploy_my_GNUstep_application_without_requiring_people_to_install_GNUstep.3F
  [39]: #How_can_I_get_more_information_on_Objective-C_.3F
  [40]: /index.php?title=User_FAQ&action=edit&section=1 "User FAQ"
  [41]: /index.php?title=User_FAQ&action=edit&section=2 "User FAQ"
  [42]: /index.php/Cocoa "Cocoa"
  [43]: /index.php/OpenStep "OpenStep"
  [44]: /index.php/Introduction_to_GNUstep "Introduction to GNUstep"
  [45]: /index.php?title=User_FAQ&action=edit&section=3 "User FAQ"
  [46]: /index.php/Cocoa "Cocoa"
  [47]: /index.php?title=User_FAQ&action=edit&section=4 "User FAQ"
  [48]: /index.php/Platform_compatibility "Platform compatibility"
  [49]: /index.php?title=User_FAQ&action=edit&section=5 "User FAQ"
  [50]: http://www.mingw.org "http://www.mingw.org"
  [51]: /index.php/Backend "Backend"
  [52]: /index.php?title=User_FAQ&action=edit&section=6 "User FAQ"
  [53]: /index.php/IconManager.app "IconManager.app"
  [54]: http://web.archive.org/web/20081231010709/http://developer.apple.com/DOCUMENTATION/Cocoa/Conceptual/ObjectiveC/Articles/chapter_14_section_1.html "http://web.archive.org/web/20081231010709/http://developer.apple.com/DOCUMENTATION/Cocoa/Conceptual/ObjectiveC/Articles/chapter 14 section 1.html"
  [55]: /index.php?title=User_FAQ&action=edit&section=7 "User FAQ"
  [56]: /index.php/Platform_compatibility "Platform compatibility"
  [57]: ftp://ftp.gnustep.org/pub/gnustep/core "ftp://ftp.gnustep.org/pub/gnustep/core"
  [58]: /index.php?title=User_FAQ&action=edit&section=8 "User FAQ"
  [59]: /index.php/GNUstep_Live_CD "GNUstep Live CD"
  [60]: http://www.gnu.org/software/gnustep/experience/examples.html "http://www.gnu.org/software/gnustep/experience/examples.html"
  [61]: /index.php/IconManager.app "IconManager.app"
  [62]: /index.php?title=User_FAQ&action=edit&section=9 "User FAQ"
  [63]: http://www.gnustep.org/ "http://www.gnustep.org/"
  [64]: /index.php/Main_Page "Main Page"
  [65]: /index.php?title=User_FAQ&action=edit&section=10 "User FAQ"
  [66]: /index.php?title=User_FAQ&action=edit&section=11 "User FAQ"
  [67]: #Compatibility_and_Layout
  [68]: /index.php?title=User_FAQ&action=edit&section=12 "User FAQ"
  [69]: /index.php?title=User_FAQ&action=edit&section=13 "User FAQ"
  [70]: /index.php/Platform_compatibility "Platform compatibility"
  [71]: /index.php?title=User_FAQ&action=edit&section=14 "User FAQ"
  [72]: http://www.gnustep.org/resources/sources.html "http://www.gnustep.org/resources/sources.html"
  [73]: /index.php?title=User_FAQ&action=edit&section=15 "User FAQ"
  [74]: http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto_4.html#SEC7 "http://www.gnustep.org/resources/documentation/User/GNUstep/gnustep-howto 4.html#SEC7"
  [75]: /index.php?title=User_FAQ&action=edit&section=16 "User FAQ"
  [76]: /index.php?title=User_FAQ&action=edit&section=17 "User FAQ"
  [77]: /index.php?title=User_FAQ&action=edit&section=18 "User FAQ"
  [78]: /index.php?title=User_FAQ&action=edit&section=19 "User FAQ"
  [79]: /index.php?title=User_FAQ&action=edit&section=20 "User FAQ"
  [80]: /index.php?title=User_FAQ&action=edit&section=21 "User FAQ"
  [81]: /index.php/Themability "Themability"
  [82]: /index.php?title=User_FAQ&action=edit&section=22 "User FAQ"
  [83]: /index.php/User_FAQ#Why_not_use_framework_bundles.3F "User FAQ"
  [84]: /index.php?title=User_FAQ&action=edit&section=23 "User FAQ"
  [85]: /index.php?title=User_FAQ&action=edit&section=24 "User FAQ"
  [86]: /index.php?title=User_FAQ&action=edit&section=25 "User FAQ"
  [87]: /index.php?title=User_FAQ&action=edit&section=26 "User FAQ"
  [88]: /index.php?title=User_FAQ&action=edit&section=27 "User FAQ"
  [89]: /index.php?title=User_FAQ&action=edit&section=28 "User FAQ"
  [90]: ftp://ftp.gnustep.org/pub/gnustep/core "ftp://ftp.gnustep.org/pub/gnustep/core"
  [91]: http://www.gnustep.org/resources/documentation/User/Gui/KeyboardSetup.html "http://www.gnustep.org/resources/documentation/User/Gui/KeyboardSetup.html"
  [92]: /index.php/Window_Maker "Window Maker"
  [93]: /index.php?title=User_FAQ&action=edit&section=29 "User FAQ"
  [94]: /index.php?title=User_FAQ&action=edit&section=30 "User FAQ"
  [95]: /index.php?title=User_FAQ&action=edit&section=31 "User FAQ"
  [96]: /index.php?title=User_FAQ&action=edit&section=32 "User FAQ"
  [97]: /index.php?title=User_FAQ&action=edit&section=33 "User FAQ"
  [98]: /index.php?title=User_FAQ&action=edit&section=34 "User FAQ"
  [99]: /index.php?title=User_FAQ&action=edit&section=35 "User FAQ"
  [100]: /index.php/Platform:BSD#Mac_OS_X "Platform:BSD"
  [101]: /index.php?title=User_FAQ&action=edit&section=36 "User FAQ"
  [102]: /index.php?title=User_FAQ&action=edit&section=37 "User FAQ"
  [103]: http://tamsys.sourceforge.net/gtams/ "http://tamsys.sourceforge.net/gtams/"
  [104]: /index.php?title=User_FAQ&action=edit&section=38 "User FAQ"
  [105]: /index.php?title=User_FAQ&action=edit&section=39 "User FAQ"
  [106]: /index.php/Objective-C "Objective-C"
  [107]: http://wiki.gnustep.org/index.php/User_FAQ
  [108]: /index.php?title=Special:Categories&article=User_FAQ "Special:Categories"
  [109]: /index.php/Category:FAQ "Category:FAQ"
  [110]: /index.php/User_FAQ
  [111]: /index.php/Talk:User_FAQ
  [112]: /index.php?title=User_FAQ&action=edit
  [113]: /index.php?title=User_FAQ&action=history
  [114]: /index.php?title=Special:Userlogin&returnto=User_FAQ
  [115]: /index.php/Main_Page "Main Page"
  [116]: /index.php/Category:Applications
  [117]: /index.php/User_Guides
  [118]: /index.php/User_FAQ
  [119]: /index.php/Get_Help
  [120]: /index.php/Report_Bugs
  [121]: /index.php/GNUstepWiki:Site_support
  [122]: /index.php/Screenshots
  [123]: /index.php/Developer_Guides
  [124]: /index.php/Developer_FAQ
  [125]: /index.php/Foundation
  [126]: /index.php/AppKit
  [127]: /index.php/Category:Frameworks
  [128]: /index.php/Main_Page
  [129]: /index.php/GNUstepWiki:Community_Portal
  [130]: /index.php/Current_events
  [131]: /index.php/Special:Recentchanges
  [132]: /index.php/Special:Random
  [133]: /index.php/Help:Contents
  [134]: /index.php/Special:Whatlinkshere/User_FAQ
  [135]: /index.php/Special:Recentchangeslinked/User_FAQ
  [136]: /index.php/Special:Upload
  [137]: /index.php/Special:Specialpages
  [138]: /index.php?title=User_FAQ&printable=yes&printable=yes
  [139]: /skins/common/images/poweredby_mediawiki_88x31.png
  [140]: http://www.mediawiki.org/
  [141]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [142]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [143]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"