<>

# User Guides

### From GNUstepWiki	{#siteSub}

This page is intended as a collection of guides for users.

<table>
<tr>
<td>
## Contents
* [1 Installing GNUstep][1]
* [2 Using GNUstep][2]
* [3 Other Info][3]
* [4 Stores][4]
</td>
</tr>
</table>

[[edit][5]]

<>

## Installing GNUstep

Installation can be easy or complex, depending on the system you use. If you encounter problems that aren't discussed here, please [ask for help on the mailing lists][6].

* [ Simple Installation][7]
* Make sure you also check the [platform-specific][8] instructions as well.
* Comprehensive [build guide][9] for GNUstep on GNU/Linux.
* [User Keyboard Setup][10]
* [Setup for East Asian Languages][11]
* User Defaults ([GUI][12]) ([Back][13])
* [GNUstep SVN Installation Guide][14]

* [GNUstep and ÃÂtoilÃÂ© dependency list][15]
* [Building GNUstep with Clang][16]
* [Building GNUstep with clang, blocks, and Grand Central Dispatch][17]
* [ Raspbian Install][18]

[[edit][19]]

<>

## Using GNUstep

* [User Applications][20]
* [Filesystem Layout][21] ([PDF][22])
* [GNUstep Users' FAQ][23] ([PDF][24])
* [Mailing Lists, IRC and Newsgroups][25]
* [Cross Compiling][26]
* [Manual de Objective-C y GNUstep (PDF en espaÃÂ±ol)][27]
* [Changing GNUstep Theme][28]

[[edit][29]]

<>

## Other Info

* News and info:
  * [Freshmeat][30] -&gt;Freecode Effective 2014-06-18 Freecode is no longer being updated (content may be stale).
  * [GNUstep en espaÃÂ±ol][31] - Noticias e informaciÃÂ³n
* Projects:
  * [Desktop Environments][32]
    * [Backbone][33] - GNUstep Desktop project
    * [ÃÂtoilÃÂ©][34] - GNUstep based user environment
    * [GAP][35] - GNUstep Application Project
  * Live CDs
    * [GNUstep Live CD Project][36] - based on Debian
    * ALT Linux based (i586/x86\_64, BIOS/UEFI, considerable number of GNUstep/ÃÂtoilÃÂ© apps):
      * [GNUstep starterkit][37] - updated quarterly (as of June 2014) using stable package branch
      * [Regular GNUstep][38] - updated [weekly][39] using unstable development branch
* Developer sites:
  * [ Developers][40] - List of developers
  * [GNUstep.it][41] - Italian developer site
  * [Advogato][42] - basic GNUstep project info and links to some developer diaries
  * [Collaboration World][43] - home to GNUMail, Affiche and more
  * [GNUstep HelpCenter][44]
  * [GNUstep Icons project][45]
* [ GNUstep Success Stories][46]

[[edit][47]]

<>

## Stores

* ["Openlogic" GNUstep store][48] - A portion of these proceeds go to the FSF and GNUstep.
* The GNUstep project does not sponsor or benefit from these items:
  * ["GNUstep" store][49]

 Retrieved from "[http://wiki.gnustep.org/index.php/User\_Guides][50]"

##### Views

* [Article][51]
* [Discussion][52]
* [Edit][53]
* [History][54]

##### Personal tools

* [Create an account or log in][55]

[][56]

##### users

* [Applications][57]
* [Guides][58]
* [FAQ][59]
* [Get Help][60]
* [Report Bugs][61]
* [Donations][62]
* [Screenshots][63]

##### developers

* [Guides][64]
* [FAQ][65]
* [Base API (Foundation)][66]
* [GUI API (AppKit)][67]
* [Frameworks][68]

##### Navigation

* [Main Page][69]
* [Community portal][70]
* [Current events][71]
* [Recent changes][72]
* [Random page][73]
* [Help][74]

##### Search

##### Toolbox

* [What links here][75]
* [Related changes][76]
* [Upload file][77]
* [Special pages][78]
* [Printable version][79]

[![MediaWiki][80]][81]

* This page was last modified 07:28, 29 May 2016.
* This page has been accessed 313,969 times.
* Content is available under [GNU General Public License][82].
* [About GNUstepWiki][83]
* [Disclaimers][84]

  [1]: #Installing_GNUstep
  [2]: #Using_GNUstep
  [3]: #Other_Info
  [4]: #Stores
  [5]: /index.php?title=User_Guides&action=edit&section=1 "User Guides"
  [6]: /index.php/Get_Help "Get Help"
  [7]: /index.php/Installation "Installation"
  [8]: /index.php/Platform_compatibility "Platform compatibility"
  [9]: http://gnustep.made-it.com/BuildGuide/ "http://gnustep.made-it.com/BuildGuide/"
  [10]: http://www.gnustep.org/resources/documentation/User/Gui/KeyboardSetup.html "http://www.gnustep.org/resources/documentation/User/Gui/KeyboardSetup.html"
  [11]: http://www.gnustep.org/resources/documentation/User/Gui/LanguageSetup.html "http://www.gnustep.org/resources/documentation/User/Gui/LanguageSetup.html"
  [12]: http://www.gnustep.org/resources/documentation/User/Gui/DefaultsSummary.html "http://www.gnustep.org/resources/documentation/User/Gui/DefaultsSummary.html"
  [13]: http://www.gnustep.org/resources/documentation/Developer/Back/General/DefaultsSummary.html "http://www.gnustep.org/resources/documentation/Developer/Back/General/DefaultsSummary.html"
  [14]: /index.php/GNUstep_SVN_Installation_Guide "GNUstep SVN Installation Guide"
  [15]: http://svn.gna.org/svn/etoile/trunk/Etoile/INSTALL.Ubuntu "http://svn.gna.org/svn/etoile/trunk/Etoile/INSTALL.Ubuntu"
  [16]: /index.php/Building_GNUstep_with_Clang "Building GNUstep with Clang"
  [17]: http://artinamessage.wordpress.com/2013/06/03/gnustep-install-with-clang-blocks-and-grand-central-dispatch-gcd/ "http://artinamessage.wordpress.com/2013/06/03/gnustep-install-with-clang-blocks-and-grand-central-dispatch-gcd/"
  [18]: /index.php?title=Raspbian_Install&action=edit "Raspbian Install"
  [19]: /index.php?title=User_Guides&action=edit&section=2 "User Guides"
  [20]: /index.php/Category:Applications "Category:Applications"
  [21]: http://www.gnustep.org/resources/documentation/User/GNUstep/filesystem_toc.html "http://www.gnustep.org/resources/documentation/User/GNUstep/filesystem toc.html"
  [22]: http://www.gnustep.org/resources/documentation/User/GNUstep/filesystem.pdf "http://www.gnustep.org/resources/documentation/User/GNUstep/filesystem.pdf"
  [23]: /index.php/User_FAQ "User FAQ"
  [24]: http://www.gnustep.org/resources/documentation/User/GNUstep/userfaq.pdf "http://www.gnustep.org/resources/documentation/User/GNUstep/userfaq.pdf"
  [25]: /index.php/Get_Help "Get Help"
  [26]: /index.php/Cross_Compiling "Cross Compiling"
  [27]: http://gnustep.files.wordpress.com/2010/11/objective-c_gnustep.pdf "http://gnustep.files.wordpress.com/2010/11/objective-c gnustep.pdf"
  [28]: /index.php/Themes "Themes"
  [29]: /index.php?title=User_Guides&action=edit&section=3 "User Guides"
  [30]: http://freecode.com/tags/objective-c "http://freecode.com/tags/objective-c"
  [31]: http://www.gnustep.wordpress.com/ "http://www.gnustep.wordpress.com/"
  [32]: /index.php/Category:Desktop_Environments "Category:Desktop Environments"
  [33]: http://www.nongnu.org/backbone/ "http://www.nongnu.org/backbone/"
  [34]: http://www.etoile-project.org/ "http://www.etoile-project.org/"
  [35]: http://www.nongnu.org/gap/ "http://www.nongnu.org/gap/"
  [36]: http://io.debian.net/~tar/gnustep/ "http://io.debian.net/~tar/gnustep/"
  [37]: http://en.altlinux.org/Starterkits/gnustep "http://en.altlinux.org/Starterkits/gnustep"
  [38]: http://en.altlinux.org/Regular#experimental "http://en.altlinux.org/Regular#experimental"
  [39]: http://nightly.altlinux.org/sisyphus/flavours/gnustep/ "http://nightly.altlinux.org/sisyphus/flavours/gnustep/"
  [40]: /index.php/For_Developers "For Developers"
  [41]: http://www.gnustep.it/ "http://www.gnustep.it/"
  [42]: http://www.advogato.org/proj/GNUstep/ "http://www.advogato.org/proj/GNUstep/"
  [43]: http://www.collaboration-world.com/ "http://www.collaboration-world.com/"
  [44]: http://www.roard.com/docs/ "http://www.roard.com/docs/"
  [45]: http://freshmeat.net/projects/gnustep-icons/ "http://freshmeat.net/projects/gnustep-icons/"
  [46]: /index.php/Success_Stories "Success Stories"
  [47]: /index.php?title=User_Guides&action=edit&section=4 "User Guides"
  [48]: http://www.cafepress.com/openlogic "http://www.cafepress.com/openlogic"
  [49]: http://www.cafepress.com/gnustep "http://www.cafepress.com/gnustep"
  [50]: http://wiki.gnustep.org/index.php/User_Guides
  [51]: /index.php/User_Guides
  [52]: /index.php?title=Talk:User_Guides&action=edit
  [53]: /index.php?title=User_Guides&action=edit
  [54]: /index.php?title=User_Guides&action=history
  [55]: /index.php?title=Special:Userlogin&returnto=User_Guides
  [56]: /index.php/Main_Page "Main Page"
  [57]: /index.php/Category:Applications
  [58]: /index.php/User_Guides
  [59]: /index.php/User_FAQ
  [60]: /index.php/Get_Help
  [61]: /index.php/Report_Bugs
  [62]: /index.php/GNUstepWiki:Site_support
  [63]: /index.php/Screenshots
  [64]: /index.php/Developer_Guides
  [65]: /index.php/Developer_FAQ
  [66]: /index.php/Foundation
  [67]: /index.php/AppKit
  [68]: /index.php/Category:Frameworks
  [69]: /index.php/Main_Page
  [70]: /index.php/GNUstepWiki:Community_Portal
  [71]: /index.php/Current_events
  [72]: /index.php/Special:Recentchanges
  [73]: /index.php/Special:Random
  [74]: /index.php/Help:Contents
  [75]: /index.php/Special:Whatlinkshere/User_Guides
  [76]: /index.php/Special:Recentchangeslinked/User_Guides
  [77]: /index.php/Special:Upload
  [78]: /index.php/Special:Specialpages
  [79]: /index.php?title=User_Guides&printable=yes&printable=yes
  [80]: /skins/common/images/poweredby_mediawiki_88x31.png
  [81]: http://www.mediawiki.org/
  [82]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [83]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [84]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"