<>

# User knowledge requirements

### From GNUstepWiki	{#siteSub}

What new users and developers have to know so they can use GNUstep? What of that knowledge is really required for GNUstep development and what can be removed later? I mean, knowledge requred for new users with very little knowledge of programing - a person that is deciding between various development platforms and environments.

Here are lists of requirements. After knowledge, there is a dificulty level for learning that knowledge for very-beginners.

[[edit][1]]

<>

## Users

* Packaging system

or

* Shell commands _tar_, _gz_, how to locate a file and execute a script

* Configuration files (for setting up the GNUstep environment)

The last one should be removed.

Also note that environments with packaging systems do not allow per-user installation.

[[edit][2]]

<>

## Developers - ideal

* ObjectiveC
  * basic language principles, expressions and messages - _easy_
  * interfaces and implementations - _intermediate_
* GNUstep/Cocoa
  * Classes - _easy_
  * Different concepts than in other environments - _intermediate_
  * Reference Counting Garbage Collection - _easy_

[[edit][3]]

<>

## Developers - real

* ObjectiveC
  * basic language principles, expressions and messages - _easy_
  * interfaces and implementations - _intermediate_
* Terminal application (xterm, Terminal.app,...) and some unix shell basics (cd, rm, mkdir, cp, mv) - _easy_
* 'make' tool - _easy (make, make install, ...)_
* GNUstep make package - _intermediate_
* Makefile structure/grammar - _intermediate_
* GNUstep/Cocoa
  * Classes - _easy_
  * Different concepts than in other environments - _intermediate_
  * Reference Counting Garbage Collection - _easy_
* Property Lists (for application info and document based applications): _intermediate (for begginers to understand how it works)_

<br />
 Obvious things are intentionaly mentioned. Even most of current users do not think about them, new users do not have to know them. Moreover, think that person who is deciding between development environments will decide to chose the one where he can start creating applications sooner, without having to learn too much.

I think that ProjectCenter can remove most of the developer requirements. Moreover, if there was some class editing tool, it can remove also requirement 2 (and transform it into just basic OOP knowledge).

_What do you think are other requirements for basic GNUstep development and usage? What knowledge requirements can be removed to make GNUstep more accessible for new programmers?_

_Can anyone compare the requirements with requirements for other development environments?_

 Retrieved from "[http://wiki.gnustep.org/index.php/User\_knowledge\_requirements][4]"

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 13:15, 7 March 2005.
* This page has been accessed 11,241 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: /index.php?title=User_knowledge_requirements&action=edit&section=1 "User knowledge requirements"
  [2]: /index.php?title=User_knowledge_requirements&action=edit&section=2 "User knowledge requirements"
  [3]: /index.php?title=User_knowledge_requirements&action=edit&section=3 "User knowledge requirements"
  [4]: http://wiki.gnustep.org/index.php/User_knowledge_requirements
  [5]: /index.php/User_knowledge_requirements
  [6]: /index.php?title=Talk:User_knowledge_requirements&action=edit
  [7]: /index.php?title=User_knowledge_requirements&action=edit
  [8]: /index.php?title=User_knowledge_requirements&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=User_knowledge_requirements
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/User_knowledge_requirements
  [30]: /index.php/Special:Recentchangeslinked/User_knowledge_requirements
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=User_knowledge_requirements&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"