<>

# WebServer

### From GNUstepWiki	{#siteSub}

Framework for a GNUstep program to act as an HTTP or HTTPS server.

<>

#### Current Version: [1\.4.6][1]

* Released: Dec 14, 2011
* Licensed: LGPL

<>

### Overview

This provides a class to do all the heavy lifting of acting as a web server handling the HTTP and HTTPS protocols. You just need to create an instance of it in your program, configure it with a port it is to listen on, and set another object in your program to act as a delegate. The delegate then handles the pre-parsed incoming requests in a similar way to a CGI script being run by a more conventional web server. The library also handles logging and provides many configuration options and helper methods of course.

<>

### Features

* Robust single threaded default operation, for ease of debugging your programs
* Minimal configuration required
* Parses parameter strings in requests
* Parses URL encoded form data
* Parses multi-part form data
* Supports SSL
* Supports basic authentication
* Supports substitution of values into html templates
* Provides logging

<>

### Maintainer

Richard Frith-Macdonald

<>

### Related Links

 Retrieved from "<http://wiki.gnustep.org/index.php/WebServer>"

[Categories][2]: [Networking Frameworks][3] | [Frameworks][4]

##### Views

* [Article][5]
* [Discussion][6]
* [Edit][7]
* [History][8]

##### Personal tools

* [Create an account or log in][9]

[][10]

##### users

* [Applications][11]
* [Guides][12]
* [FAQ][13]
* [Get Help][14]
* [Report Bugs][15]
* [Donations][16]
* [Screenshots][17]

##### developers

* [Guides][18]
* [FAQ][19]
* [Base API (Foundation)][20]
* [GUI API (AppKit)][21]
* [Frameworks][22]

##### Navigation

* [Main Page][23]
* [Community portal][24]
* [Current events][25]
* [Recent changes][26]
* [Random page][27]
* [Help][28]

##### Search

##### Toolbox

* [What links here][29]
* [Related changes][30]
* [Upload file][31]
* [Special pages][32]
* [Printable version][33]

[![MediaWiki][34]][35]

* This page was last modified 17:43, 21 December 2011.
* This page has been accessed 17,302 times.
* Content is available under [GNU General Public License][36].
* [About GNUstepWiki][37]
* [Disclaimers][38]

  [1]: http://downloads.planetmirror.com/pub/gnustep/gnustep/libs/WebServer-1.4.6.tar.gz "http://downloads.planetmirror.com/pub/gnustep/gnustep/libs/WebServer-1.4.6.tar.gz"
  [2]: /index.php?title=Special:Categories&article=WebServer "Special:Categories"
  [3]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [4]: /index.php/Category:Frameworks "Category:Frameworks"
  [5]: /index.php/WebServer
  [6]: /index.php?title=Talk:WebServer&action=edit
  [7]: /index.php?title=WebServer&action=edit
  [8]: /index.php?title=WebServer&action=history
  [9]: /index.php?title=Special:Userlogin&returnto=WebServer
  [10]: /index.php/Main_Page "Main Page"
  [11]: /index.php/Category:Applications
  [12]: /index.php/User_Guides
  [13]: /index.php/User_FAQ
  [14]: /index.php/Get_Help
  [15]: /index.php/Report_Bugs
  [16]: /index.php/GNUstepWiki:Site_support
  [17]: /index.php/Screenshots
  [18]: /index.php/Developer_Guides
  [19]: /index.php/Developer_FAQ
  [20]: /index.php/Foundation
  [21]: /index.php/AppKit
  [22]: /index.php/Category:Frameworks
  [23]: /index.php/Main_Page
  [24]: /index.php/GNUstepWiki:Community_Portal
  [25]: /index.php/Current_events
  [26]: /index.php/Special:Recentchanges
  [27]: /index.php/Special:Random
  [28]: /index.php/Help:Contents
  [29]: /index.php/Special:Whatlinkshere/WebServer
  [30]: /index.php/Special:Recentchangeslinked/WebServer
  [31]: /index.php/Special:Upload
  [32]: /index.php/Special:Specialpages
  [33]: /index.php?title=WebServer&printable=yes&printable=yes
  [34]: /skins/common/images/poweredby_mediawiki_88x31.png
  [35]: http://www.mediawiki.org/
  [36]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [37]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [38]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"