<>

# WebServices

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<th> This article or section is a stub (i.e., in need of additional material).<br />
You can help us by [**expanding it**][1]</th>
</tr>
</table>

<br />

Framework for a GNUstep program to interact with web services

<>

#### Current Version: [0\.5.3][2]

* Released: Jun 26, 2010
* Licensed: LGPL

<>

### Overview

The WebServices library contains a collection of classes to be used for creating client and server 'web service' applications. It is also useful for general XML work as the API that is particularly simple and efficient.

The GWSService class is used to make RPCs as a client. This class makes use of GWSCoder classes to serialize the request before sending it to the remote system, and to deserialize the response received.

Different GWSCoder sublasses handle different encoding mechanisms, and this library provides one for XMLRPC (because it's a nice, simple mechanism good for most normal applications), and one for SOAP (because, while it's a horrible, bloated, designed-by-comittee mechanism, it's also the most common one by far and the standard one for web services).

The GWSCoder base class provides support for decoding an XML document to a tree of GWSElement objects, and encoding a tree of GWSElement objects to form an XML document.

The GWSElement class represents an element in an XML document and provides a concise set of methods for locating and manipulating the elements within a tree representing the entire document.

The remaining classes in the library provide support for WSDL, allowing a WSDL document to be parsed, and SOAP calls to be made to a service described in the WSDL, with binding information from the WSDL used to build the calls from a minimal set of parameters.

<>

### Features

* Easy/simple ObjectiveC API for parsing/generating XML documents, XMLRPC and SOAP remote procedure call support, WSDL support, GNUstep and OSX

<>

### Maintainer

Richard Frith-Macdonald

<>

### Related Links

 Retrieved from "<http://wiki.gnustep.org/index.php/WebServices>"

[Categories][3]: [Stub][4] | [Networking Frameworks][5] | [Frameworks][6]

##### Views

* [Article][7]
* [Discussion][8]
* [Edit][9]
* [History][10]

##### Personal tools

* [Create an account or log in][11]

[][12]

##### users

* [Applications][13]
* [Guides][14]
* [FAQ][15]
* [Get Help][16]
* [Report Bugs][17]
* [Donations][18]
* [Screenshots][19]

##### developers

* [Guides][20]
* [FAQ][21]
* [Base API (Foundation)][22]
* [GUI API (AppKit)][23]
* [Frameworks][24]

##### Navigation

* [Main Page][25]
* [Community portal][26]
* [Current events][27]
* [Recent changes][28]
* [Random page][29]
* [Help][30]

##### Search

##### Toolbox

* [What links here][31]
* [Related changes][32]
* [Upload file][33]
* [Special pages][34]
* [Printable version][35]

[![MediaWiki][36]][37]

* This page was last modified 11:06, 26 June 2011.
* This page has been accessed 16,195 times.
* Content is available under [GNU General Public License][38].
* [About GNUstepWiki][39]
* [Disclaimers][40]

  [1]: http://wiki.gnustep.org/index.php?title=WebServices&action=edit "http://wiki.gnustep.org/index.php?title=WebServices&action=edit"
  [2]: ftp://ftp.gnustep.org/pub/gnustep/libs/WebServices-0.5.3.tar.gz "ftp://ftp.gnustep.org/pub/gnustep/libs/WebServices-0.5.3.tar.gz"
  [3]: /index.php?title=Special:Categories&article=WebServices "Special:Categories"
  [4]: /index.php/Category:Stub "Category:Stub"
  [5]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [6]: /index.php/Category:Frameworks "Category:Frameworks"
  [7]: /index.php/WebServices
  [8]: /index.php?title=Talk:WebServices&action=edit
  [9]: /index.php?title=WebServices&action=edit
  [10]: /index.php?title=WebServices&action=history
  [11]: /index.php?title=Special:Userlogin&returnto=WebServices
  [12]: /index.php/Main_Page "Main Page"
  [13]: /index.php/Category:Applications
  [14]: /index.php/User_Guides
  [15]: /index.php/User_FAQ
  [16]: /index.php/Get_Help
  [17]: /index.php/Report_Bugs
  [18]: /index.php/GNUstepWiki:Site_support
  [19]: /index.php/Screenshots
  [20]: /index.php/Developer_Guides
  [21]: /index.php/Developer_FAQ
  [22]: /index.php/Foundation
  [23]: /index.php/AppKit
  [24]: /index.php/Category:Frameworks
  [25]: /index.php/Main_Page
  [26]: /index.php/GNUstepWiki:Community_Portal
  [27]: /index.php/Current_events
  [28]: /index.php/Special:Recentchanges
  [29]: /index.php/Special:Random
  [30]: /index.php/Help:Contents
  [31]: /index.php/Special:Whatlinkshere/WebServices
  [32]: /index.php/Special:Recentchangeslinked/WebServices
  [33]: /index.php/Special:Upload
  [34]: /index.php/Special:Specialpages
  [35]: /index.php?title=WebServices&printable=yes&printable=yes
  [36]: /skins/common/images/poweredby_mediawiki_88x31.png
  [37]: http://www.mediawiki.org/
  [38]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [39]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [40]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"