<>

# Writing Makefiles

### From GNUstepWiki	{#siteSub}

<table>
<tr>
<td>
## Contents
* [1 Tutorials and documentation][1]
* [2 Releasing][2]
  * [2\.1 dist][3]
  * [2\.2 cvs-tag][4]
  * [2\.3 cvs-dist][5]
  * [2\.4 svn-tag][6]
  * [2\.5 svn-dist][7]
</td>
</tr>
</table>

[[edit][8]]

<>

## Tutorials and documentation

For further reading:

* [GNUstep Make tutorial][9]
* [GNUstep Make manual][10]

[[edit][11]]

<>

## Releasing

To aid the developer and the packager, gGNUstep make has special targets which aid the maintenance.

Some parameters need to be set in the GNUmakefile for this to work properly.

	PACKAGE_NAME=&lt;package name&gt;
	VERSION=&lt;version identifier&gt;

[[edit][12]]

<>

### dist

Creates the classic tarball, using the sources of the directory project. It uses the makefile information to name and version the package. Be sure that you don't have any spurious files around (coredumps, temporary editor files, binaries...)

[[edit][13]]

<>

### cvs-tag

Tags the release on CVS.

Be sure your gnustep makefile is properly set up and contains:

	VERSION=x.x.x
	CVS_MODULE_NAME=&lt;module name&gt;
	CVS_TAG_NAME=&lt;tag name, typically the project name&gt;

[[edit][14]]

<>

### cvs-dist

Creates a tarball by exporting the files directly from the CVS revision control system. It guarantees, compared to dist, that the sources are clean.

The sources need to be tagged before.

[[edit][15]]

<>

### svn-tag

Tags the release on SVN.

Be sure your gnustep makefile is properly set up and contains:

	VERSION=x.x.x
	SVN_MODULE_NAME = &lt;module name&gt;
	SVN_BASE_URL=svn+ssh://&lt;server&gt;/&lt;path&gt;
	SVN_TAG_NAME=&lt;tag name, typically the project name&gt;

[[edit][16]]

<>

### svn-dist

Creates a tarball by exporting the files directly from the SVN revision control system. It guarantees, compared to dist, that the sources are clean.

The sources need to be tagged before.

 Retrieved from "[http://wiki.gnustep.org/index.php/Writing\_Makefiles][17]"

##### Views

* [Article][18]
* [Discussion][19]
* [Edit][20]
* [History][21]

##### Personal tools

* [Create an account or log in][22]

[][23]

##### users

* [Applications][24]
* [Guides][25]
* [FAQ][26]
* [Get Help][27]
* [Report Bugs][28]
* [Donations][29]
* [Screenshots][30]

##### developers

* [Guides][31]
* [FAQ][32]
* [Base API (Foundation)][33]
* [GUI API (AppKit)][34]
* [Frameworks][35]

##### Navigation

* [Main Page][36]
* [Community portal][37]
* [Current events][38]
* [Recent changes][39]
* [Random page][40]
* [Help][41]

##### Search

##### Toolbox

* [What links here][42]
* [Related changes][43]
* [Upload file][44]
* [Special pages][45]
* [Printable version][46]

[![MediaWiki][47]][48]

* This page was last modified 18:10, 8 June 2012.
* This page has been accessed 20,889 times.
* Content is available under [GNU General Public License][49].
* [About GNUstepWiki][50]
* [Disclaimers][51]

  [1]: #Tutorials_and_documentation
  [2]: #Releasing
  [3]: #dist
  [4]: #cvs-tag
  [5]: #cvs-dist
  [6]: #svn-tag
  [7]: #svn-dist
  [8]: /index.php?title=Writing_Makefiles&action=edit&section=1 "Writing Makefiles"
  [9]: http://www.gnustep.it/nicola/Tutorials/WritingMakefiles/ "http://www.gnustep.it/nicola/Tutorials/WritingMakefiles/"
  [10]: http://www.gnustep.org/resources/documentation/Developer/Make/Manual/make_toc.html "http://www.gnustep.org/resources/documentation/Developer/Make/Manual/make toc.html"
  [11]: /index.php?title=Writing_Makefiles&action=edit&section=2 "Writing Makefiles"
  [12]: /index.php?title=Writing_Makefiles&action=edit&section=3 "Writing Makefiles"
  [13]: /index.php?title=Writing_Makefiles&action=edit&section=4 "Writing Makefiles"
  [14]: /index.php?title=Writing_Makefiles&action=edit&section=5 "Writing Makefiles"
  [15]: /index.php?title=Writing_Makefiles&action=edit&section=6 "Writing Makefiles"
  [16]: /index.php?title=Writing_Makefiles&action=edit&section=7 "Writing Makefiles"
  [17]: http://wiki.gnustep.org/index.php/Writing_Makefiles
  [18]: /index.php/Writing_Makefiles
  [19]: /index.php?title=Talk:Writing_Makefiles&action=edit
  [20]: /index.php?title=Writing_Makefiles&action=edit
  [21]: /index.php?title=Writing_Makefiles&action=history
  [22]: /index.php?title=Special:Userlogin&returnto=Writing_Makefiles
  [23]: /index.php/Main_Page "Main Page"
  [24]: /index.php/Category:Applications
  [25]: /index.php/User_Guides
  [26]: /index.php/User_FAQ
  [27]: /index.php/Get_Help
  [28]: /index.php/Report_Bugs
  [29]: /index.php/GNUstepWiki:Site_support
  [30]: /index.php/Screenshots
  [31]: /index.php/Developer_Guides
  [32]: /index.php/Developer_FAQ
  [33]: /index.php/Foundation
  [34]: /index.php/AppKit
  [35]: /index.php/Category:Frameworks
  [36]: /index.php/Main_Page
  [37]: /index.php/GNUstepWiki:Community_Portal
  [38]: /index.php/Current_events
  [39]: /index.php/Special:Recentchanges
  [40]: /index.php/Special:Random
  [41]: /index.php/Help:Contents
  [42]: /index.php/Special:Whatlinkshere/Writing_Makefiles
  [43]: /index.php/Special:Recentchangeslinked/Writing_Makefiles
  [44]: /index.php/Special:Upload
  [45]: /index.php/Special:Specialpages
  [46]: /index.php?title=Writing_Makefiles&printable=yes&printable=yes
  [47]: /skins/common/images/poweredby_mediawiki_88x31.png
  [48]: http://www.mediawiki.org/
  [49]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [50]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [51]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"