<>

# Tryst

### From GNUstepWiki	{#siteSub}

[<img src="/images/thumb/c/cc/TBrowser.jpg/180px-TBrowser.jpg" width="180" height="62" alt="Example screenshot of a net service browser (TBrowser.app)." />][1]

[<img src="/skins/common/images/magnify-clip.png" width="15" height="11" alt="Enlarge" />][2]

Example screenshot of a net service browser (TBrowser.app).

**Tryst** is a _proof of concept_ implementation of [Apple][3]'s [Bonjour][4] (formerly known as Rendezvous) for GNUstep.

<>

#### Current Version: [1\.0.8.pl6][5]

* Released: January 24, 2007
* Licensed: Dual BSD/LGPL

<>

### Overview

Bonjour allows you to register a network service, such as a printer or file server, so that it can be found by name or browsed for by service type and domain.

Using Tryst, applications can publish their own service and discover what services are available on the network, along with all necessary access information such as name, IP address, and port number for a given service.

<>

### Features

* Adheres to Apple's specification, therefore fully source-compatible
  * Full support for monitoring TXT record data updates
* Supports IPv6 (where available)
* Thread-Safe
* Works with Apple's [mDNSResponder][6], native support for [Avahi][7] under development

<>

### Maintainer

* [cbv][8]

<>

### Related Links

* [Official Page][9]
  * [TAR.GZ][10]
* [Bonjour Overview][11]
* [Bonjour Downloads][12]
* [Avahi Page][13]

 Retrieved from "<http://wiki.gnustep.org/index.php/Tryst>"

[Categories][14]: [Networking Frameworks][15] | [Frameworks][16]

##### Views

* [Article][17]
* [Discussion][18]
* [Edit][19]
* [History][20]

##### Personal tools

* [Create an account or log in][21]

[][22]

##### users

* [Applications][23]
* [Guides][24]
* [FAQ][25]
* [Get Help][26]
* [Report Bugs][27]
* [Donations][28]
* [Screenshots][29]

##### developers

* [Guides][30]
* [FAQ][31]
* [Base API (Foundation)][32]
* [GUI API (AppKit)][33]
* [Frameworks][34]

##### Navigation

* [Main Page][35]
* [Community portal][36]
* [Current events][37]
* [Recent changes][38]
* [Random page][39]
* [Help][40]

##### Search

##### Toolbox

* [What links here][41]
* [Related changes][42]
* [Upload file][43]
* [Special pages][44]
* [Printable version][45]

[![MediaWiki][46]][47]

* This page was last modified 09:22, 26 April 2007.
* This page has been accessed 32,245 times.
* Content is available under [GNU General Public License][48].
* [About GNUstepWiki][49]
* [Disclaimers][50]

  [1]: /index.php/Image:TBrowser.jpg "Example screenshot of a net service browser (TBrowser.app)."
  [2]: /index.php/Image:TBrowser.jpg "Enlarge"
  [3]: http://www.apple.com/ "http://www.apple.com/"
  [4]: http://www.apple.com/macosx/features/bonjour/ "http://www.apple.com/macosx/features/bonjour/"
  [5]: http://gnustep.dyndns.org/Downloads/ "http://gnustep.dyndns.org/Downloads/"
  [6]: http://developer.apple.com/networking/bonjour/download/ "http://developer.apple.com/networking/bonjour/download/"
  [7]: http://avahi.org/ "http://avahi.org/"
  [8]: /index.php/User:Cbv "User:Cbv"
  [9]: http://gnustep.dyndns.org/ "http://gnustep.dyndns.org/"
  [10]: ftp://ftp.freebsd.org/pub/FreeBSD/ports/local-distfiles/dinoex/tryst-108pl6.tgz "ftp://ftp.freebsd.org/pub/FreeBSD/ports/local-distfiles/dinoex/tryst-108pl6.tgz"
  [11]: http://www.apple.com/macosx/features/bonjour/ "http://www.apple.com/macosx/features/bonjour/"
  [12]: http://developer.apple.com/networking/bonjour/download/ "http://developer.apple.com/networking/bonjour/download/"
  [13]: http://avahi.org/ "http://avahi.org/"
  [14]: /index.php?title=Special:Categories&article=Tryst "Special:Categories"
  [15]: /index.php/Category:Networking_Frameworks "Category:Networking Frameworks"
  [16]: /index.php/Category:Frameworks "Category:Frameworks"
  [17]: /index.php/Tryst
  [18]: /index.php?title=Talk:Tryst&action=edit
  [19]: /index.php?title=Tryst&action=edit
  [20]: /index.php?title=Tryst&action=history
  [21]: /index.php?title=Special:Userlogin&returnto=Tryst
  [22]: /index.php/Main_Page "Main Page"
  [23]: /index.php/Category:Applications
  [24]: /index.php/User_Guides
  [25]: /index.php/User_FAQ
  [26]: /index.php/Get_Help
  [27]: /index.php/Report_Bugs
  [28]: /index.php/GNUstepWiki:Site_support
  [29]: /index.php/Screenshots
  [30]: /index.php/Developer_Guides
  [31]: /index.php/Developer_FAQ
  [32]: /index.php/Foundation
  [33]: /index.php/AppKit
  [34]: /index.php/Category:Frameworks
  [35]: /index.php/Main_Page
  [36]: /index.php/GNUstepWiki:Community_Portal
  [37]: /index.php/Current_events
  [38]: /index.php/Special:Recentchanges
  [39]: /index.php/Special:Random
  [40]: /index.php/Help:Contents
  [41]: /index.php/Special:Whatlinkshere/Tryst
  [42]: /index.php/Special:Recentchangeslinked/Tryst
  [43]: /index.php/Special:Upload
  [44]: /index.php/Special:Specialpages
  [45]: /index.php?title=Tryst&printable=yes&printable=yes
  [46]: /skins/common/images/poweredby_mediawiki_88x31.png
  [47]: http://www.mediawiki.org/
  [48]: http://www.gnu.org/copyleft/gpl.html "http://www.gnu.org/copyleft/gpl.html"
  [49]: /index.php/GNUstepWiki:About "GNUstepWiki:About"
  [50]: /index.php/GNUstepWiki:General_disclaimer "GNUstepWiki:General disclaimer"